// python wrapper for vtkBlockItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBlockItem.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBlockItemNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBlockItemNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkBlockItem_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  const char    *temp20;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockItem::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockItem_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  char    *temp0;
  int      temp20;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockItem::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockItem_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  vtkBlockItem  *temp20;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockItem::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockItem_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBlockItem  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBlockItem::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBlockItem_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockItem::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBlockItem_SetLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  char    *temp0;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlockItem::SetLabel(temp0);
      }
    else
      {
      op->SetLabel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockItem_GetLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  char    *temp20;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockItem::GetLabel();
      }
    else
      {
      temp20 = op->GetLabel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockItem_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlockItem::SetDimensions(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetDimensions(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  int    temp0[4];
  PyErr_Clear();
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"(iiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlockItem::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockItem_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockItem *op;

  int     *temp20;
  op = (vtkBlockItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockItem::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiii",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBlockItemMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBlockItem_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBlockItem_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBlockItem_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBlockItem\nC++: vtkBlockItem *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBlockItem_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBlockItem\nC++: vtkBlockItem *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkBlockItem_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the item.\n"},
  {(char*)"SetLabel",                (PyCFunction)PyvtkBlockItem_SetLabel, 1,
   (char*)"V.SetLabel(string)\nC++: void SetLabel (char *);\n\n Set the block label.\n"},
  {(char*)"GetLabel",                (PyCFunction)PyvtkBlockItem_GetLabel, 1,
   (char*)"V.GetLabel() -> string\nC++: char *GetLabel ();\n\n Get the block label.\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkBlockItem_SetDimensions, 1,
   (char*)"V.SetDimensions(int, int, int, int)\nC++: void SetDimensions (int , int , int , int );\nV.SetDimensions((int, int, int, int))\nC++: void SetDimensions (int  a[4]);\n\n Set the dimensions of the block, elements 0 and 1 are the x and y coordinate\n of the bottom corner. Elements 2 and 3 are the width and height.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkBlockItem_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int, int)\nC++: int  *GetDimensions ();\n\n Get the dimensions of the block, elements 0 and 1 are the x and y coordinate\n of the bottom corner. Elements 2 and 3 are the width and height.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBlockItemDoc[] = {
  (char*)"vtkBlockItem - a vtkContextItem that draws a block (optional label).\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" This is a vtkContextItem that can be placed into a vtkContextScene. It draws\n a block of the given dimensions, and reacts to mouse events.\n\n",
  NULL
};

static vtkObjectBase *vtkBlockItemStaticNew()
{
  return vtkBlockItem::New();
}

PyObject *PyVTKClass_vtkBlockItemNew(char *modulename)
{
  return PyVTKClass_New(&vtkBlockItemStaticNew,
                        PyvtkBlockItemMethods,
                        (char*)"vtkBlockItem",modulename,
                        (char**)vtkBlockItemDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

