// python wrapper for vtkBrush object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBrush.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBrushNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBrushNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkBrush_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  const char    *temp20;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrush::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  char    *temp0;
  int      temp20;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrush::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  vtkBrush  *temp20;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrush::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBrush  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBrush::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBrush_SetColorF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  double temp0[3];
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetColorF(temp0);
      }
    else
      {
      op->SetColorF(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBrush *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetColorF(temp0,temp1,temp2);
      }
    else
      {
      op->SetColorF(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBrush *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  PyErr_Clear();
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetColorF(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetColorF(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_SetOpacityF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  double   temp0;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetOpacityF(temp0);
      }
    else
      {
      op->SetOpacityF(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"bbb", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBrush *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  unsigned char     temp3;
  PyErr_Clear();
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"bbbb", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  unsigned char     temp0;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_GetColorF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  double temp0[4];
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::GetColorF(temp0);
      }
    else
      {
      op->GetColorF(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrush_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrush *op;

  vtkBrush  *temp0;
  PyObject *tempH0;
  op = (vtkBrush *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBrush *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBrush");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkBrush::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkBrushMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBrush_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBrush_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBrush_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBrush\nC++: vtkBrush *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBrush_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBrush\nC++: vtkBrush *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetColorF",                (PyCFunction)PyvtkBrush_SetColorF, 1,
   (char*)"V.SetColorF((float, float, float))\nC++: void SetColorF (double color[3]);\nV.SetColorF(float, float, float)\nC++: void SetColorF (double r, double g, double b);\nV.SetColorF(float, float, float, float)\nC++: void SetColorF (double r, double g, double b, double a);\n\n Set the color of the brush with three component doubles (RGB), ranging from\n 0.0 to 1.0.\n"},
  {(char*)"SetOpacityF",                (PyCFunction)PyvtkBrush_SetOpacityF, 1,
   (char*)"V.SetOpacityF(float)\nC++: void SetOpacityF (double a);\n\n Set the opacity with a double, ranging from 0.0 (transparent) to 1.0\n (opaque).\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkBrush_SetColor, 1,
   (char*)"V.SetColor(int, int, int)\nC++: void SetColor (unsigned char r, unsigned char g, unsigned char b);\nV.SetColor(int, int, int, int)\nC++: void SetColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a);\n\n Set the color of the brush with three component unsigned chars (RGB),\n ranging from 0 to 255.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkBrush_SetOpacity, 1,
   (char*)"V.SetOpacity(int)\nC++: void SetOpacity (unsigned char a);\n\n Set the opacity with an unsigned char, ranging from 0 (transparent) to 255\n (opaque).\n"},
  {(char*)"GetColorF",                (PyCFunction)PyvtkBrush_GetColorF, 1,
   (char*)"V.GetColorF((float, float, float, float))\nC++: void GetColorF (double color[4]);\n\n Get the color of the brush - expects a double of length 4 to copy into.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkBrush_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkBrush)\nC++: void DeepCopy (vtkBrush *brush);\n\n Make a deep copy of the supplied brush.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBrushDoc[] = {
  (char*)"vtkBrush - provides a brush that fills shapes drawn by vtkContext2D.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The vtkBrush defines the fill (or pattern) of shapes that are drawn by\n vtkContext2D. The color is stored as four unsigned chars (RGBA), where the\n opacity defaults to 255, but can be modified separately to the other\n components. Ideally we would use a lightweight color class to store and pass\n around colors.\n\n",
  NULL
};

static vtkObjectBase *vtkBrushStaticNew()
{
  return vtkBrush::New();
}

PyObject *PyVTKClass_vtkBrushNew(char *modulename)
{
  return PyVTKClass_New(&vtkBrushStaticNew,
                        PyvtkBrushMethods,
                        (char*)"vtkBrush",modulename,
                        (char**)vtkBrushDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

