// python wrapper for vtkChartLegend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkChartLegend.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChartLegendNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChartLegendNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkChartLegend_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  const char    *temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  char    *temp0;
  int      temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  vtkChartLegend  *temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkChartLegend  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkChartLegend::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChartLegend_SetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  float    temp0;
  float    temp1;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"ff", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::SetPoint(temp0,temp1);
      }
    else
      {
      op->SetPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::SetPoint(temp0);
      }
    else
      {
      op->SetPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  float   *temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::GetPoint();
      }
    else
      {
      temp20 = op->GetPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ff",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_SetHorizontalAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  int      temp0;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::SetHorizontalAlignment(temp0);
      }
    else
      {
      op->SetHorizontalAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_GetHorizontalAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  int      temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::GetHorizontalAlignment();
      }
    else
      {
      temp20 = op->GetHorizontalAlignment();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_SetVerticalAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  int      temp0;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::SetVerticalAlignment(temp0);
      }
    else
      {
      op->SetVerticalAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_GetVerticalAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  int      temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::GetVerticalAlignment();
      }
    else
      {
      temp20 = op->GetVerticalAlignment();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_SetLabelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  int      temp0;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::SetLabelSize(temp0);
      }
    else
      {
      op->SetLabelSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_GetLabelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  int      temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::GetLabelSize();
      }
    else
      {
      temp20 = op->GetLabelSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_SetChart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  vtkChart  *temp0;
  PyObject *tempH0;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkChart *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkChart");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::SetChart(temp0);
      }
    else
      {
      op->SetChart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkChartLegend_GetChart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  vtkChart  *temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::GetChart();
      }
    else
      {
      temp20 = op->GetChart();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartLegend::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartLegend_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartLegend *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkChartLegend *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartLegend::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkChartLegendMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChartLegend_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChartLegend_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChartLegend_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChartLegend\nC++: vtkChartLegend *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkChartLegend_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChartLegend\nC++: vtkChartLegend *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPoint",                (PyCFunction)PyvtkChartLegend_SetPoint, 1,
   (char*)"V.SetPoint(float, float)\nC++: void SetPoint (float , float );\nV.SetPoint((float, float))\nC++: void SetPoint (float  a[2]);\n\n Set point the legend box is anchored to.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkChartLegend_GetPoint, 1,
   (char*)"V.GetPoint() -> (float, float)\nC++: float  *GetPoint ();\n\n Get point the legend box is anchored to.\n"},
  {(char*)"SetHorizontalAlignment",                (PyCFunction)PyvtkChartLegend_SetHorizontalAlignment, 1,
   (char*)"V.SetHorizontalAlignment(int)\nC++: void SetHorizontalAlignment (int );\n\n Set the horizontal alignment of the legend to the point specified.\n"},
  {(char*)"GetHorizontalAlignment",                (PyCFunction)PyvtkChartLegend_GetHorizontalAlignment, 1,
   (char*)"V.GetHorizontalAlignment() -> int\nC++: int GetHorizontalAlignment ();\n\n Get the horizontal alignment of the legend to the point specified.\n"},
  {(char*)"SetVerticalAlignment",                (PyCFunction)PyvtkChartLegend_SetVerticalAlignment, 1,
   (char*)"V.SetVerticalAlignment(int)\nC++: void SetVerticalAlignment (int );\n\n Set the vertical alignment of the legend to the point specified.\n"},
  {(char*)"GetVerticalAlignment",                (PyCFunction)PyvtkChartLegend_GetVerticalAlignment, 1,
   (char*)"V.GetVerticalAlignment() -> int\nC++: int GetVerticalAlignment ();\n\n Get the vertical alignment of the legend to the point specified.\n"},
  {(char*)"SetLabelSize",                (PyCFunction)PyvtkChartLegend_SetLabelSize, 1,
   (char*)"V.SetLabelSize(int)\nC++: void SetLabelSize (int );\n\n Set the point size of the label text.\n"},
  {(char*)"GetLabelSize",                (PyCFunction)PyvtkChartLegend_GetLabelSize, 1,
   (char*)"V.GetLabelSize() -> int\nC++: int GetLabelSize ();\n\n Get the point size of the label text.\n"},
  {(char*)"SetChart",                (PyCFunction)PyvtkChartLegend_SetChart, 1,
   (char*)"V.SetChart(vtkChart)\nC++: void SetChart (vtkChart *chart);\n\n Set the chart that the legend belongs to and will draw the legend for.\n"},
  {(char*)"GetChart",                (PyCFunction)PyvtkChartLegend_GetChart, 1,
   (char*)"V.GetChart() -> vtkChart\nC++: vtkChart *GetChart ();\n\n Get the chart that the legend belongs to and will draw the legend for.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkChartLegend_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Update the geometry of the axis. Takes care of setting up the tick mark\n locations etc. Should be called by the scene before rendering.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkChartLegend_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the axis, called whenever the axis needs to be drawn.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChartLegendDoc[] = {
  (char*)"vtkChartLegend - draw the chart legend\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" The vtkChartLegend is drawn in screen coordinates. It is usually one of the\n last elements of a chart to be drawn. It renders the the mark/line for each\n plot, and the plot labels.\n\n",
  NULL
};

static vtkObjectBase *vtkChartLegendStaticNew()
{
  return vtkChartLegend::New();
}

PyObject *PyVTKClass_vtkChartLegendNew(char *modulename)
{
  return PyVTKClass_New(&vtkChartLegendStaticNew,
                        PyvtkChartLegendMethods,
                        (char*)"vtkChartLegend",modulename,
                        (char**)vtkChartLegendDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

