// python wrapper for vtkChartXY object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkChartXY.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChartXYNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChartXYNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkChartNew(char *); }

static PyObject *PyvtkChartXY_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  const char    *temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  char    *temp0;
  int      temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkChartXY  *temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkChartXY  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkChartXY::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChartXY_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkChartXY_AddPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  int      temp0;
  vtkPlot  *temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::AddPlot(temp0);
      }
    else
      {
      temp20 = op->AddPlot(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_RemovePlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkIdType   temp0;
  bool   temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::RemovePlot(temp0);
      }
    else
      {
      temp20 = op->RemovePlot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_ClearPlots(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::ClearPlots();
      }
    else
      {
      op->ClearPlots();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkIdType   temp0;
  vtkPlot  *temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetPlot(temp0);
      }
    else
      {
      temp20 = op->GetPlot(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetNumberOfPlots(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkIdType   temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetNumberOfPlots();
      }
    else
      {
      temp20 = op->GetNumberOfPlots();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetPlotCorner(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkPlot  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlot *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlot");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetPlotCorner(temp0);
      }
    else
      {
      temp20 = op->GetPlotCorner(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkChartXY_SetPlotCorner(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkPlot  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPlot *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlot");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::SetPlotCorner(temp0,temp1);
      }
    else
      {
      op->SetPlotCorner(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkChartXY_GetAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  int      temp0;
  vtkAxis  *temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetAxis(temp0);
      }
    else
      {
      temp20 = op->GetAxis(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetNumberOfAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkIdType   temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetNumberOfAxes();
      }
    else
      {
      temp20 = op->GetNumberOfAxes();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_RecalculateBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::RecalculateBounds();
      }
    else
      {
      op->RecalculateBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_SetDrawAxesAtOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  bool   temp0;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::SetDrawAxesAtOrigin(temp0);
      }
    else
      {
      op->SetDrawAxesAtOrigin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetDrawAxesAtOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  bool   temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetDrawAxesAtOrigin();
      }
    else
      {
      temp20 = op->GetDrawAxesAtOrigin();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_SetAutoAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  bool   temp0;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::SetAutoAxes(temp0);
      }
    else
      {
      op->SetAutoAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetAutoAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  bool   temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetAutoAxes();
      }
    else
      {
      temp20 = op->GetAutoAxes();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_SetBarWidthFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  float    temp0;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::SetBarWidthFraction(temp0);
      }
    else
      {
      op->SetBarWidthFraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_GetBarWidthFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  float    temp20;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartXY::GetBarWidthFraction();
      }
    else
      {
      temp20 = op->GetBarWidthFraction();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartXY_SetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartXY *op;

  vtkContextScene  *temp0;
  PyObject *tempH0;
  op = (vtkChartXY *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextScene *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextScene");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkChartXY::SetScene(temp0);
      }
    else
      {
      op->SetScene(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}

static PyMethodDef PyvtkChartXYMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChartXY_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChartXY_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChartXY_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChartXY\nC++: vtkChartXY *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkChartXY_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChartXY\nC++: vtkChartXY *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkChartXY_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkChartXY_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the chart, called whenever the chart needs to be drawn\n"},
  {(char*)"AddPlot",                (PyCFunction)PyvtkChartXY_AddPlot, 1,
   (char*)"V.AddPlot(int) -> vtkPlot\nC++: virtual vtkPlot *AddPlot (int type);\n\n Add a plot to the chart, defaults to using the name of the y column\n"},
  {(char*)"RemovePlot",                (PyCFunction)PyvtkChartXY_RemovePlot, 1,
   (char*)"V.RemovePlot(int) -> bool\nC++: virtual bool RemovePlot (vtkIdType index);\n\n Remove the plot at the specified index, returns true if successful,\n false if the index was invalid.\n"},
  {(char*)"ClearPlots",                (PyCFunction)PyvtkChartXY_ClearPlots, 1,
   (char*)"V.ClearPlots()\nC++: virtual void ClearPlots ();\n\n Remove all plots from the chart.\n"},
  {(char*)"GetPlot",                (PyCFunction)PyvtkChartXY_GetPlot, 1,
   (char*)"V.GetPlot(int) -> vtkPlot\nC++: virtual vtkPlot *GetPlot (vtkIdType index);\n\n Get the plot at the specified index, returns null if the index is invalid.\n"},
  {(char*)"GetNumberOfPlots",                (PyCFunction)PyvtkChartXY_GetNumberOfPlots, 1,
   (char*)"V.GetNumberOfPlots() -> int\nC++: virtual vtkIdType GetNumberOfPlots ();\n\n Get the number of plots the chart contains.\n"},
  {(char*)"GetPlotCorner",                (PyCFunction)PyvtkChartXY_GetPlotCorner, 1,
   (char*)"V.GetPlotCorner(vtkPlot) -> int\nC++: int GetPlotCorner (vtkPlot *plot);\n\n Figure out which quadrant the plot is in.\n"},
  {(char*)"SetPlotCorner",                (PyCFunction)PyvtkChartXY_SetPlotCorner, 1,
   (char*)"V.SetPlotCorner(vtkPlot, int)\nC++: void SetPlotCorner (vtkPlot *plot, int corner);\n\n Figure out which quadrant the plot is in.\n"},
  {(char*)"GetAxis",                (PyCFunction)PyvtkChartXY_GetAxis, 1,
   (char*)"V.GetAxis(int) -> vtkAxis\nC++: virtual vtkAxis *GetAxis (int axisIndex);\n\n Get the axis specified by axisIndex. This should probably\n be improved either using a string or enum to select the axis.\n (0 - left, 1 - bottom, 2 - right, 3 - top).\n"},
  {(char*)"GetNumberOfAxes",                (PyCFunction)PyvtkChartXY_GetNumberOfAxes, 1,
   (char*)"V.GetNumberOfAxes() -> int\nC++: virtual vtkIdType GetNumberOfAxes ();\n\n Get the number of axes in the current chart.\n"},
  {(char*)"RecalculateBounds",                (PyCFunction)PyvtkChartXY_RecalculateBounds, 1,
   (char*)"V.RecalculateBounds()\nC++: virtual void RecalculateBounds ();\n\n Request that the chart recalculates the range of its axes. Especially\n useful in applications after the parameters of plots have been modified.\n"},
  {(char*)"SetDrawAxesAtOrigin",                (PyCFunction)PyvtkChartXY_SetDrawAxesAtOrigin, 1,
   (char*)"V.SetDrawAxesAtOrigin(bool)\nC++: void SetDrawAxesAtOrigin (bool );\n\n If true then the axes will be drawn at the origin (scientific style).\n"},
  {(char*)"GetDrawAxesAtOrigin",                (PyCFunction)PyvtkChartXY_GetDrawAxesAtOrigin, 1,
   (char*)"V.GetDrawAxesAtOrigin() -> bool\nC++: bool GetDrawAxesAtOrigin ();\n\n If true then the axes will be drawn at the origin (scientific style).\n"},
  {(char*)"SetAutoAxes",                (PyCFunction)PyvtkChartXY_SetAutoAxes, 1,
   (char*)"V.SetAutoAxes(bool)\nC++: void SetAutoAxes (bool );\n\n If true then the axes will be turned on and off depending upon whether\n any plots are in that corner. Defaults to true.\n"},
  {(char*)"GetAutoAxes",                (PyCFunction)PyvtkChartXY_GetAutoAxes, 1,
   (char*)"V.GetAutoAxes() -> bool\nC++: bool GetAutoAxes ();\n\n If true then the axes will be turned on and off depending upon whether\n any plots are in that corner. Defaults to true.\n"},
  {(char*)"SetBarWidthFraction",                (PyCFunction)PyvtkChartXY_SetBarWidthFraction, 1,
   (char*)"V.SetBarWidthFraction(float)\nC++: void SetBarWidthFraction (float );\n\n Set the width fraction for any bar charts drawn in this chart. It is\n assumed that all bar plots will use the same array for the X axis, and that\n this array is regularly spaced. The delta between the first two x values is\n used to calculated the width of the bars, and subdivided between each bar.\n The default value is 0.8, 1.0 would lead to bars that touch.\n"},
  {(char*)"GetBarWidthFraction",                (PyCFunction)PyvtkChartXY_GetBarWidthFraction, 1,
   (char*)"V.GetBarWidthFraction() -> float\nC++: float GetBarWidthFraction ();\n\n Set the width fraction for any bar charts drawn in this chart. It is\n assumed that all bar plots will use the same array for the X axis, and that\n this array is regularly spaced. The delta between the first two x values is\n used to calculated the width of the bars, and subdivided between each bar.\n The default value is 0.8, 1.0 would lead to bars that touch.\n"},
  {(char*)"SetScene",                (PyCFunction)PyvtkChartXY_SetScene, 1,
   (char*)"V.SetScene(vtkContextScene)\nC++: virtual void SetScene (vtkContextScene *scene);\n\n Set the vtkContextScene for the item, always set for an item in a scene.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChartXYDoc[] = {
  (char*)"vtkChartXY - Factory class for drawing XY charts\n\n",
  "Super Class:\n\n vtkChart\n\n",
  (char*)" This class implements an XY chart.\n\n",
  NULL
};

static vtkObjectBase *vtkChartXYStaticNew()
{
  return vtkChartXY::New();
}

PyObject *PyVTKClass_vtkChartXYNew(char *modulename)
{
  return PyVTKClass_New(&vtkChartXYStaticNew,
                        PyvtkChartXYMethods,
                        (char*)"vtkChartXY",modulename,
                        (char**)vtkChartXYDoc,
                        PyVTKClass_vtkChartNew(modulename));
}

