// python wrapper for vtkContextScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextScene.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextSceneNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextSceneNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContextScene_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  const char    *temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkContextScene  *temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContextScene  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContextScene::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContextScene_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkContextScene_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkContextItem  *temp0;
  PyObject *tempH0;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextItem *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextItem");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkContextScene_GetNumberOfItems(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetNumberOfItems();
      }
    else
      {
      temp20 = op->GetNumberOfItems();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp0;
  vtkContextItem  *temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetItem(temp0);
      }
    else
      {
      temp20 = op->GetItem(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_SetAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkAnnotationLink  *temp0;
  PyObject *tempH0;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotationLink *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotationLink");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetAnnotationLink(temp0);
      }
    else
      {
      op->SetAnnotationLink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkContextScene_GetAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkAnnotationLink  *temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetAnnotationLink();
      }
    else
      {
      temp20 = op->GetAnnotationLink();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_SetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp0;
  int      temp1;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetGeometry(temp0,temp1);
      }
    else
      {
      op->SetGeometry(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetGeometry(temp0);
      }
    else
      {
      op->SetGeometry(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int     *temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetGeometry();
      }
    else
      {
      temp20 = op->GetGeometry();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_SetUseBufferId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  bool   temp0;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetUseBufferId(temp0);
      }
    else
      {
      op->SetUseBufferId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetUseBufferId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  bool   temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetUseBufferId();
      }
    else
      {
      temp20 = op->GetUseBufferId();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetViewWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetViewWidth();
      }
    else
      {
      temp20 = op->GetViewWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetViewHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetViewHeight();
      }
    else
      {
      temp20 = op->GetViewHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetSceneWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetSceneWidth();
      }
    else
      {
      temp20 = op->GetSceneWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_GetSceneHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  int      temp20;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextScene::GetSceneHeight();
      }
    else
      {
      temp20 = op->GetSceneHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextScene_SetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkInteractorStyle  *temp0;
  PyObject *tempH0;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInteractorStyle *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInteractorStyle");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetInteractorStyle(temp0);
      }
    else
      {
      op->SetInteractorStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkContextScene_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkContextScene_SetDirty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextScene *op;

  bool   temp0;
  op = (vtkContextScene *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextScene::SetDirty(temp0);
      }
    else
      {
      op->SetDirty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContextSceneMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextScene_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextScene_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextScene_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextScene\nC++: vtkContextScene *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContextScene_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContextScene\nC++: vtkContextScene *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkContextScene_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the chart, called whenever the chart needs to be drawn\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkContextScene_AddItem, 1,
   (char*)"V.AddItem(vtkContextItem)\nC++: void AddItem (vtkContextItem *item);\n\n Add an item to the scene.\n"},
  {(char*)"GetNumberOfItems",                (PyCFunction)PyvtkContextScene_GetNumberOfItems, 1,
   (char*)"V.GetNumberOfItems() -> int\nC++: int GetNumberOfItems ();\n\n Get the number of items in the scene.\n"},
  {(char*)"GetItem",                (PyCFunction)PyvtkContextScene_GetItem, 1,
   (char*)"V.GetItem(int) -> vtkContextItem\nC++: vtkContextItem *GetItem (int index);\n\n"},
  {(char*)"SetAnnotationLink",                (PyCFunction)PyvtkContextScene_SetAnnotationLink, 1,
   (char*)"V.SetAnnotationLink(vtkAnnotationLink)\nC++: virtual void SetAnnotationLink (vtkAnnotationLink *link);\n\n Set the vtkAnnotationLink for the chart.\n"},
  {(char*)"GetAnnotationLink",                (PyCFunction)PyvtkContextScene_GetAnnotationLink, 1,
   (char*)"V.GetAnnotationLink() -> vtkAnnotationLink\nC++: vtkAnnotationLink *GetAnnotationLink ();\n\n Get the vtkAnnotationLink for the chart.\n"},
  {(char*)"SetGeometry",                (PyCFunction)PyvtkContextScene_SetGeometry, 1,
   (char*)"V.SetGeometry(int, int)\nC++: void SetGeometry (int , int );\nV.SetGeometry((int, int))\nC++: void SetGeometry (int  a[2]);\n\n Set the width and height of the scene in pixels.\n"},
  {(char*)"GetGeometry",                (PyCFunction)PyvtkContextScene_GetGeometry, 1,
   (char*)"V.GetGeometry() -> (int, int)\nC++: int  *GetGeometry ();\n\n Get the width and height of the scene in pixels.\n"},
  {(char*)"SetUseBufferId",                (PyCFunction)PyvtkContextScene_SetUseBufferId, 1,
   (char*)"V.SetUseBufferId(bool)\nC++: void SetUseBufferId (bool );\n\n Set whether the scene should use the color buffer. Default is true.\n"},
  {(char*)"GetUseBufferId",                (PyCFunction)PyvtkContextScene_GetUseBufferId, 1,
   (char*)"V.GetUseBufferId() -> bool\nC++: bool GetUseBufferId ();\n\n Get whether the scene is using the color buffer. Default is true.\n"},
  {(char*)"GetViewWidth",                (PyCFunction)PyvtkContextScene_GetViewWidth, 1,
   (char*)"V.GetViewWidth() -> int\nC++: virtual int GetViewWidth ();\n\n Get the width of the view\n"},
  {(char*)"GetViewHeight",                (PyCFunction)PyvtkContextScene_GetViewHeight, 1,
   (char*)"V.GetViewHeight() -> int\nC++: virtual int GetViewHeight ();\n\n Get the height of the view\n"},
  {(char*)"GetSceneWidth",                (PyCFunction)PyvtkContextScene_GetSceneWidth, 1,
   (char*)"V.GetSceneWidth() -> int\nC++: int GetSceneWidth ();\n\n Get the width of the scene.\n"},
  {(char*)"GetSceneHeight",                (PyCFunction)PyvtkContextScene_GetSceneHeight, 1,
   (char*)"V.GetSceneHeight() -> int\nC++: int GetSceneHeight ();\n\n Get the height of the scene.\n"},
  {(char*)"SetInteractorStyle",                (PyCFunction)PyvtkContextScene_SetInteractorStyle, 1,
   (char*)"V.SetInteractorStyle(vtkInteractorStyle)\nC++: void SetInteractorStyle (vtkInteractorStyle *interactor);\n\n Add the scene as an observer on the supplied interactor style.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkContextScene_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *renderer);\n\n This should not be necessary as the context view should take care of\n rendering.\n"},
  {(char*)"SetDirty",                (PyCFunction)PyvtkContextScene_SetDirty, 1,
   (char*)"V.SetDirty(bool)\nC++: void SetDirty (bool isDirty);\n\n Inform the scene that something changed that requires a repaint of the\n scene. This should only be used by the vtkContextItem derived objects in\n a scene in their event handlers.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextSceneDoc[] = {
  (char*)"vtkContextScene - Provides a 2D scene for vtkContextItem objects.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Provides a 2D scene that vtkContextItem objects can be added to. Manages the\n items, ensures that they are rendered at the right times and passes on mouse\n events.\n\n",
  NULL
};

static vtkObjectBase *vtkContextSceneStaticNew()
{
  return vtkContextScene::New();
}

PyObject *PyVTKClass_vtkContextSceneNew(char *modulename)
{
  return PyVTKClass_New(&vtkContextSceneStaticNew,
                        PyvtkContextSceneMethods,
                        (char*)"vtkContextScene",modulename,
                        (char**)vtkContextSceneDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

