// python wrapper for vtkOpenGLContextDevice2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLContextDevice2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLContextDevice2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLContextDevice2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextDevice2DNew(char *); }

static PyObject *PyvtkOpenGLContextDevice2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  const char    *temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkOpenGLContextDevice2D  *temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLContextDevice2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLContextDevice2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_DrawEllipseWedge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_DrawEllipticArc(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  float    temp0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::SetPointSize(temp0);
      }
    else
      {
      op->SetPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  float    temp0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::SetLineWidth(temp0);
      }
    else
      {
      op->SetLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SetLineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  int      temp0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::SetLineType(temp0);
      }
    else
      {
      op->SetLineType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_MultiplyMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::MultiplyMatrix(temp0);
      }
    else
      {
      op->MultiplyMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_PushMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::PushMatrix();
      }
    else
      {
      op->PushMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_PopMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::PopMatrix();
      }
    else
      {
      op->PopMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_DisableClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::DisableClipping();
      }
    else
      {
      op->DisableClipping();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::Begin(temp0);
      }
    else
      {
      op->Begin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_End(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::End();
      }
    else
      {
      op->End();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_BufferIdModeBegin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkAbstractContextBufferId  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractContextBufferId *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractContextBufferId");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::BufferIdModeBegin(temp0);
      }
    else
      {
      op->BufferIdModeBegin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_BufferIdModeEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::BufferIdModeEnd();
      }
    else
      {
      op->BufferIdModeEnd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SetStringRendererToFreeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  bool   temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::SetStringRendererToFreeType();
      }
    else
      {
      temp20 = op->SetStringRendererToFreeType();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_SetStringRendererToQt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  bool   temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::SetStringRendererToQt();
      }
    else
      {
      temp20 = op->SetStringRendererToQt();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_HasGLSL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  bool   temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::HasGLSL();
      }
    else
      {
      temp20 = op->HasGLSL();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkOpenGLRenderWindow  *temp20;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLContextDevice2D::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLContextDevice2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLContextDevice2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLContextDevice2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}

static PyMethodDef PyvtkOpenGLContextDevice2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLContextDevice2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLContextDevice2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLContextDevice2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLContextDevice2D\nC++: vtkOpenGLContextDevice2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLContextDevice2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLContextDevice2D\nC++: vtkOpenGLContextDevice2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DrawEllipseWedge",                (PyCFunction)PyvtkOpenGLContextDevice2D_DrawEllipseWedge, 1,
   (char*)"V.DrawEllipseWedge(float, float, float, float, float, float, float, float)\nC++: virtual void DrawEllipseWedge (float x, float y, float outRx, float outRy, float inRx, float inRy, float startAngle, float stopAngle);\n\n Draw an elliptic wedge with center at x, y, outer radii outRx, outRy,\n inner radii inRx, inRy between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRx: outRx>=0\n \\pre positive_outRy: outRy>=0\n \\pre positive_inRx: inRx>=0\n \\pre positive_inRy: inRy>=0\n \\pre ordered_rx: inRx<=outRx\n \\pre ordered_ry: inRy<=outRy\n"},
  {(char*)"DrawEllipticArc",                (PyCFunction)PyvtkOpenGLContextDevice2D_DrawEllipticArc, 1,
   (char*)"V.DrawEllipticArc(float, float, float, float, float, float)\nC++: virtual void DrawEllipticArc (float x, float y, float rX, float rY, float startAngle, float stopAngle);\n\n Draw an elliptic arc with center at x,y with radii rX and rY between\n angles startAngle and stopAngle (expressed in degrees).\n \\pre positive_rX: rX>=0\n \\pre positive_rY: rY>=0\n"},
  {(char*)"SetPointSize",                (PyCFunction)PyvtkOpenGLContextDevice2D_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: virtual void SetPointSize (float size);\n\n Set the point size for glyphs/sprites.\n"},
  {(char*)"SetLineWidth",                (PyCFunction)PyvtkOpenGLContextDevice2D_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: virtual void SetLineWidth (float width);\n\n Set the line width for glyphs/sprites.\n"},
  {(char*)"SetLineType",                (PyCFunction)PyvtkOpenGLContextDevice2D_SetLineType, 1,
   (char*)"V.SetLineType(int)\nC++: virtual void SetLineType (int type);\n\n Set the line type type (using anonymous enum in vtkPen).\n"},
  {(char*)"MultiplyMatrix",                (PyCFunction)PyvtkOpenGLContextDevice2D_MultiplyMatrix, 1,
   (char*)"V.MultiplyMatrix(vtkMatrix3x3)\nC++: virtual void MultiplyMatrix (vtkMatrix3x3 *m);\n\n Multiply the current model view matrix by the supplied one.\n"},
  {(char*)"SetMatrix",                (PyCFunction)PyvtkOpenGLContextDevice2D_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix3x3)\nC++: virtual void SetMatrix (vtkMatrix3x3 *m);\n\n Set the model view matrix for the display\n"},
  {(char*)"PushMatrix",                (PyCFunction)PyvtkOpenGLContextDevice2D_PushMatrix, 1,
   (char*)"V.PushMatrix()\nC++: virtual void PushMatrix ();\n\n Push the current matrix onto the stack.\n"},
  {(char*)"PopMatrix",                (PyCFunction)PyvtkOpenGLContextDevice2D_PopMatrix, 1,
   (char*)"V.PopMatrix()\nC++: virtual void PopMatrix ();\n\n Pop the current matrix off of the stack.\n"},
  {(char*)"DisableClipping",                (PyCFunction)PyvtkOpenGLContextDevice2D_DisableClipping, 1,
   (char*)"V.DisableClipping()\nC++: virtual void DisableClipping ();\n\n Disable clipping of the display.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkOpenGLContextDevice2D_Begin, 1,
   (char*)"V.Begin(vtkViewport)\nC++: virtual void Begin (vtkViewport *viewport);\n\n Begin drawing, pass in the viewport to set up the view.\n"},
  {(char*)"End",                (PyCFunction)PyvtkOpenGLContextDevice2D_End, 1,
   (char*)"V.End()\nC++: virtual void End ();\n\n End drawing, clean up the view.\n"},
  {(char*)"BufferIdModeBegin",                (PyCFunction)PyvtkOpenGLContextDevice2D_BufferIdModeBegin, 1,
   (char*)"V.BufferIdModeBegin(vtkAbstractContextBufferId)\nC++: virtual void BufferIdModeBegin (vtkAbstractContextBufferId *bufferId);\n\n Start BufferId creation Mode.\n The default implementation is empty.\n \\pre not_yet: !GetBufferIdMode()\n \\pre bufferId_exists: bufferId!=0\n \\post started: GetBufferIdMode()\n"},
  {(char*)"BufferIdModeEnd",                (PyCFunction)PyvtkOpenGLContextDevice2D_BufferIdModeEnd, 1,
   (char*)"V.BufferIdModeEnd()\nC++: virtual void BufferIdModeEnd ();\n\n Finalize BufferId creation Mode. It makes sure that the content of the\n bufferId passed in argument of BufferIdModeBegin() is correctly set.\n The default implementation is empty.\n \\pre started: GetBufferIdMode()\n \\post done: !GetBufferIdMode()\n"},
  {(char*)"SetStringRendererToFreeType",                (PyCFunction)PyvtkOpenGLContextDevice2D_SetStringRendererToFreeType, 1,
   (char*)"V.SetStringRendererToFreeType() -> bool\nC++: bool SetStringRendererToFreeType ();\n\n Force the use of the freetype based render strategy. If Qt is available\n then freetype will be used preferentially, otherwise this has no effect.\n Returns true on success.\n"},
  {(char*)"SetStringRendererToQt",                (PyCFunction)PyvtkOpenGLContextDevice2D_SetStringRendererToQt, 1,
   (char*)"V.SetStringRendererToQt() -> bool\nC++: bool SetStringRendererToQt ();\n\n Force the use of the Qt based string render strategy. If Qt is not available\n then freetype will be used and this will return false.\n"},
  {(char*)"HasGLSL",                (PyCFunction)PyvtkOpenGLContextDevice2D_HasGLSL, 1,
   (char*)"V.HasGLSL() -> bool\nC++: bool HasGLSL ();\n\n Check whether the current context device has support for GLSL.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkOpenGLContextDevice2D_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkOpenGLRenderWindow\nC++: vtkOpenGLRenderWindow *GetRenderWindow ();\n\n Get the active RenderWindow of the device. Will return null if not active.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLContextDevice2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n Release any graphics resources that are being consumed by this device.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLContextDevice2DDoc[] = {
  (char*)"vtkOpenGLContextDevice2D - Class for drawing 2D primitives using OpenGL.\n\n",
  "Super Class:\n\n vtkContextDevice2D\n\n",
  (char*)" This class takes care of drawing the 2D primitives for the vtkContext2D class.\n In general this class should not be used directly, but called by vtkContext2D\n which takes care of many of the higher level details.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLContextDevice2DStaticNew()
{
  return vtkOpenGLContextDevice2D::New();
}

PyObject *PyVTKClass_vtkOpenGLContextDevice2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLContextDevice2DStaticNew,
                        PyvtkOpenGLContextDevice2DMethods,
                        (char*)"vtkOpenGLContextDevice2D",modulename,
                        (char**)vtkOpenGLContextDevice2DDoc,
                        PyVTKClass_vtkContextDevice2DNew(modulename));
}

