// python wrapper for vtkPlotBar object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlotBar.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlotBarNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlotBarNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPlotNew(char *); }

static PyObject *PyvtkPlotBar_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  const char    *temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  vtkPlotBar  *temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlotBar  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlotBar::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlotBar_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlotBar_PaintLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  float  temp1[4];
  bool   temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"O(ffff)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::PaintLegend(temp0,temp1);
      }
    else
      {
      temp20 = op->PaintLegend(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPlotBar_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  unsigned char     temp3;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"bbbb", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotBar::SetColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotBar::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  double temp0[3];
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotBar::GetColor(temp0);
      }
    else
      {
      op->GetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_SetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  float    temp0;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotBar::SetWidth(temp0);
      }
    else
      {
      op->SetWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  float    temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  float    temp0;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotBar::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  float    temp20;
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotBar::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotBar_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotBar *op;

  double temp0[4];
  op = (vtkPlotBar *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotBar::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlotBarMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlotBar_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlotBar_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlotBar_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlotBar\nC++: vtkPlotBar *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlotBar_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlotBar\nC++: vtkPlotBar *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkPlotBar_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the XY plot, called whenever the chart needs to be drawn\n"},
  {(char*)"PaintLegend",                (PyCFunction)PyvtkPlotBar_PaintLegend, 1,
   (char*)"V.PaintLegend(vtkContext2D, (float, float, float, float)) -> bool\nC++: virtual bool PaintLegend (vtkContext2D *painter, float rect[4]);\n\n Paint legend event for the XY plot, called whenever the legend needs the\n plot items symbol/mark/line drawn. A rect is supplied with the lower left\n corner of the rect (elements 0 and 1) and with width x height (elements 2\n and 3). The plot can choose how to fill the space supplied.\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkPlotBar_SetColor, 1,
   (char*)"V.SetColor(int, int, int, int)\nC++: virtual void SetColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a);\nV.SetColor(float, float, float)\nC++: virtual void SetColor (double r, double g, double b);\n\n Set the plot color\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkPlotBar_GetColor, 1,
   (char*)"V.GetColor((float, float, float))\nC++: virtual void GetColor (double rgb[3]);\n\n Set the plot color\n"},
  {(char*)"SetWidth",                (PyCFunction)PyvtkPlotBar_SetWidth, 1,
   (char*)"V.SetWidth(float)\nC++: virtual void SetWidth (float width);\n\n Set the width of the line.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkPlotBar_GetWidth, 1,
   (char*)"V.GetWidth() -> float\nC++: virtual float GetWidth ();\n\n Get the width of the line.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkPlotBar_SetOffset, 1,
   (char*)"V.SetOffset(float)\nC++: void SetOffset (float );\n\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkPlotBar_GetOffset, 1,
   (char*)"V.GetOffset() -> float\nC++: float GetOffset ();\n\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPlotBar_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float))\nC++: virtual void GetBounds (double bounds[4]);\n\n Get the bounds for this mapper as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlotBarDoc[] = {
  (char*)"vtkPlotBar - Class for drawing an XY plot given two columns from a\n\n",
  "Super Class:\n\n vtkPlot\n\n",
  (char*)"\n\n",
  NULL
};

static vtkObjectBase *vtkPlotBarStaticNew()
{
  return vtkPlotBar::New();
}

PyObject *PyVTKClass_vtkPlotBarNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlotBarStaticNew,
                        PyvtkPlotBarMethods,
                        (char*)"vtkPlotBar",modulename,
                        (char**)vtkPlotBarDoc,
                        PyVTKClass_vtkPlotNew(modulename));
}

