// python wrapper for vtkPlotParallelCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlotParallelCoordinates.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlotParallelCoordinatesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlotParallelCoordinatesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPlotNew(char *); }

static PyObject *PyvtkPlotParallelCoordinates_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  const char    *temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  vtkPlotParallelCoordinates  *temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlotParallelCoordinates  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlotParallelCoordinates::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotParallelCoordinates::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_PaintLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  float  temp1[4];
  bool   temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"O(ffff)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::PaintLegend(temp0,temp1);
      }
    else
      {
      temp20 = op->PaintLegend(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  double temp0[4];
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotParallelCoordinates::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_SetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  vtkChartParallelCoordinates  *temp0;
  PyObject *tempH0;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkChartParallelCoordinates *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkChartParallelCoordinates");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotParallelCoordinates::SetParent(temp0);
      }
    else
      {
      op->SetParent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_SetSelectionRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  int      temp0;
  float    temp1;
  float    temp2;
  bool   temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"iff", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::SetSelectionRange(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetSelectionRange(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_ResetSelectionRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  bool   temp20;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotParallelCoordinates::ResetSelectionRange();
      }
    else
      {
      temp20 = op->ResetSelectionRange();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotParallelCoordinates_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotParallelCoordinates::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkPlotParallelCoordinates *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  char    *temp1;
  char    *temp2;
  PyErr_Clear();
  op = (vtkPlotParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"Ozz", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotParallelCoordinates::SetInput(temp0,temp1,temp2);
      }
    else
      {
      op->SetInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkPlotParallelCoordinatesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlotParallelCoordinates_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlotParallelCoordinates_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlotParallelCoordinates_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlotParallelCoordinates\nC++: vtkPlotParallelCoordinates *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlotParallelCoordinates_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlotParallelCoordinates\nC++: vtkPlotParallelCoordinates *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkPlotParallelCoordinates_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkPlotParallelCoordinates_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the XY plot, called whenever the chart needs to be drawn\n"},
  {(char*)"PaintLegend",                (PyCFunction)PyvtkPlotParallelCoordinates_PaintLegend, 1,
   (char*)"V.PaintLegend(vtkContext2D, (float, float, float, float)) -> bool\nC++: virtual bool PaintLegend (vtkContext2D *painter, float rect[4]);\n\n Paint legend event for the XY plot, called whenever the legend needs the\n plot items symbol/mark/line drawn. A rect is supplied with the lower left\n corner of the rect (elements 0 and 1) and with width x height (elements 2\n and 3). The plot can choose how to fill the space supplied.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPlotParallelCoordinates_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float))\nC++: virtual void GetBounds (double bounds[4]);\n\n Get the bounds for this mapper as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {(char*)"SetParent",                (PyCFunction)PyvtkPlotParallelCoordinates_SetParent, 1,
   (char*)"V.SetParent(vtkChartParallelCoordinates)\nC++: virtual void SetParent (vtkChartParallelCoordinates *parent);\n\n"},
  {(char*)"SetSelectionRange",                (PyCFunction)PyvtkPlotParallelCoordinates_SetSelectionRange, 1,
   (char*)"V.SetSelectionRange(int, float, float) -> bool\nC++: bool SetSelectionRange (int Axis, float low, float high);\n\n Set the selection criteria on the given axis in normalized space (0.0 - 1.0).\n"},
  {(char*)"ResetSelectionRange",                (PyCFunction)PyvtkPlotParallelCoordinates_ResetSelectionRange, 1,
   (char*)"V.ResetSelectionRange() -> bool\nC++: bool ResetSelectionRange ();\n\n Reset the selection criteria for the chart.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPlotParallelCoordinates_SetInput, 1,
   (char*)"V.SetInput(vtkTable)\nC++: virtual void SetInput (vtkTable *table);\nV.SetInput(vtkTable, string, string)\nC++: virtual void SetInput (vtkTable *table, const char *, const char *);this SetInput table \n\n This is a convenience function to set the input table.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlotParallelCoordinatesDoc[] = {
  (char*)"vtkPlotParallelCoordinates - Class for drawing an XY plot given two columns from a\n\n",
  "Super Class:\n\n vtkPlot\n\n",
  (char*)"\n\n",
  NULL
};

static vtkObjectBase *vtkPlotParallelCoordinatesStaticNew()
{
  return vtkPlotParallelCoordinates::New();
}

PyObject *PyVTKClass_vtkPlotParallelCoordinatesNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlotParallelCoordinatesStaticNew,
                        PyvtkPlotParallelCoordinatesMethods,
                        (char*)"vtkPlotParallelCoordinates",modulename,
                        (char**)vtkPlotParallelCoordinatesDoc,
                        PyVTKClass_vtkPlotNew(modulename));
}

