// python wrapper for vtkPlot object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlot.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlotNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlotNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkPlot_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  const char    *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkPlot  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_PaintLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  float  temp1[4];
  bool   temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"O(ffff)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::PaintLegend(temp0,temp1);
      }
    else
      {
      temp20 = op->PaintLegend(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlot_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  unsigned char     temp3;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"bbbb", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlot *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  double temp0[3];
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::GetColor(temp0);
      }
    else
      {
      op->GetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  float    temp0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetWidth(temp0);
      }
    else
      {
      op->SetWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  float    temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetPen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkPen  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetPen();
      }
    else
      {
      temp20 = op->GetPen();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetBrush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkBrush  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetBrush();
      }
    else
      {
      temp20 = op->GetBrush();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  char    *temp0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetLabel(temp0);
      }
    else
      {
      op->SetLabel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  const char    *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetLabel();
      }
    else
      {
      temp20 = op->GetLabel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkContextMapper2D  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetData();
      }
    else
      {
      temp20 = op->GetData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetUseIndexForXSeries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  bool   temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetUseIndexForXSeries();
      }
    else
      {
      temp20 = op->GetUseIndexForXSeries();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetUseIndexForXSeries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  bool   temp0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetUseIndexForXSeries(temp0);
      }
    else
      {
      op->SetUseIndexForXSeries(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  char    *temp1;
  char    *temp2;
  PyErr_Clear();
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"Ozz", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetInput(temp0,temp1,temp2);
      }
    else
      {
      op->SetInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  PyErr_Clear();
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"OLL", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetInput(temp0,temp1,temp2);
      }
    else
      {
      op->SetInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkPlot_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkTable  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetInputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  int      temp0;
  char    *temp1;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetInputArray(temp0,temp1);
      }
    else
      {
      op->SetInputArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetSelection(temp0);
      }
    else
      {
      op->SetSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkPlot_GetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkIdTypeArray  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetSelection();
      }
    else
      {
      temp20 = op->GetSelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_GetXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkAxis  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetXAxis();
      }
    else
      {
      temp20 = op->GetXAxis();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkAxis  *temp0;
  PyObject *tempH0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAxis *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAxis");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetXAxis(temp0);
      }
    else
      {
      op->SetXAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkPlot_GetYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkAxis  *temp20;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlot::GetYAxis();
      }
    else
      {
      temp20 = op->GetYAxis();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlot_SetYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  vtkAxis  *temp0;
  PyObject *tempH0;
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAxis *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAxis");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::SetYAxis(temp0);
      }
    else
      {
      op->SetYAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkPlot_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlot *op;

  double temp0[4];
  op = (vtkPlot *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlot::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlotMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlot_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlot_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlot_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlot\nC++: vtkPlot *NewInstance ();\n\n"},
  {(char*)"PaintLegend",                (PyCFunction)PyvtkPlot_PaintLegend, 1,
   (char*)"V.PaintLegend(vtkContext2D, (float, float, float, float)) -> bool\nC++: virtual bool PaintLegend (vtkContext2D *painter, float rect[4]);\n\n Paint legend event for the XY plot, called whenever the legend needs the\n plot items symbol/mark/line drawn. A rect is supplied with the lower left\n corner of the rect (elements 0 and 1) and with width x height (elements 2\n and 3). The plot can choose how to fill the space supplied.\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkPlot_SetColor, 1,
   (char*)"V.SetColor(int, int, int, int)\nC++: virtual void SetColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a);\nV.SetColor(float, float, float)\nC++: virtual void SetColor (double r, double g, double b);\n\n Set the plot color\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkPlot_GetColor, 1,
   (char*)"V.GetColor((float, float, float))\nC++: virtual void GetColor (double rgb[3]);\n\n Set the plot color\n"},
  {(char*)"SetWidth",                (PyCFunction)PyvtkPlot_SetWidth, 1,
   (char*)"V.SetWidth(float)\nC++: virtual void SetWidth (float width);\n\n Set the width of the line.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkPlot_GetWidth, 1,
   (char*)"V.GetWidth() -> float\nC++: virtual float GetWidth ();\n\n Get the width of the line.\n"},
  {(char*)"GetPen",                (PyCFunction)PyvtkPlot_GetPen, 1,
   (char*)"V.GetPen() -> vtkPen\nC++: vtkPen *GetPen ();\n\n Get a pointer to the vtkPen object that controls the was this plot draws\n lines.\n"},
  {(char*)"GetBrush",                (PyCFunction)PyvtkPlot_GetBrush, 1,
   (char*)"V.GetBrush() -> vtkBrush\nC++: vtkBrush *GetBrush ();\n\n Get a pointer to the vtkBrush object that controls the was this plot fills\n shapes.\n"},
  {(char*)"SetLabel",                (PyCFunction)PyvtkPlot_SetLabel, 1,
   (char*)"V.SetLabel(string)\nC++: void SetLabel (char *);\n\n Set the plot label.\n"},
  {(char*)"GetLabel",                (PyCFunction)PyvtkPlot_GetLabel, 1,
   (char*)"V.GetLabel() -> string\nC++: const char *GetLabel ();\n\n Get the plot label.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkPlot_GetData, 1,
   (char*)"V.GetData() -> vtkContextMapper2D\nC++: vtkContextMapper2D *GetData ();\n\n Get the data object that the plot will draw.\n"},
  {(char*)"GetUseIndexForXSeries",                (PyCFunction)PyvtkPlot_GetUseIndexForXSeries, 1,
   (char*)"V.GetUseIndexForXSeries() -> bool\nC++: bool GetUseIndexForXSeries ();\n\n Use the Y array index for the X value. If true any X column setting will be\n ignored, and the X values will simply be the index of the Y column.\n"},
  {(char*)"SetUseIndexForXSeries",                (PyCFunction)PyvtkPlot_SetUseIndexForXSeries, 1,
   (char*)"V.SetUseIndexForXSeries(bool)\nC++: void SetUseIndexForXSeries (bool );\n\n Use the Y array index for the X value. If true any X column setting will be\n ignored, and the X values will simply be the index of the Y column.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPlot_SetInput, 1,
   (char*)"V.SetInput(vtkTable)\nC++: virtual void SetInput (vtkTable *table);\nV.SetInput(vtkTable, string, string)\nC++: virtual void SetInput (vtkTable *table, const char *xColumn, const char *yColumn);\nV.SetInput(vtkTable, int, int)\nC++: void SetInput (vtkTable *table, vtkIdType xColumn, vtkIdType yColumn);\n\n This is a convenience function to set the input table and the x, y column\n for the plot.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPlot_GetInput, 1,
   (char*)"V.GetInput() -> vtkTable\nC++: virtual vtkTable *GetInput ();\n\n Get the input table used by the plot.\n"},
  {(char*)"SetInputArray",                (PyCFunction)PyvtkPlot_SetInputArray, 1,
   (char*)"V.SetInputArray(int, string)\nC++: virtual void SetInputArray (int index, const char *name);\n\n Convenience function to set the input arrays. For most mappers index 0\n is the x axis, and index 1 is the y axis. The name is the name of the\n column in the vtkTable.\n"},
  {(char*)"SetSelection",                (PyCFunction)PyvtkPlot_SetSelection, 1,
   (char*)"V.SetSelection(vtkIdTypeArray)\nC++: virtual void SetSelection (vtkIdTypeArray *id);\n\n"},
  {(char*)"GetSelection",                (PyCFunction)PyvtkPlot_GetSelection, 1,
   (char*)"V.GetSelection() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetSelection ();\n\n"},
  {(char*)"GetXAxis",                (PyCFunction)PyvtkPlot_GetXAxis, 1,
   (char*)"V.GetXAxis() -> vtkAxis\nC++: vtkAxis *GetXAxis ();\n\n Get/set the X axis associated with this plot.\n"},
  {(char*)"SetXAxis",                (PyCFunction)PyvtkPlot_SetXAxis, 1,
   (char*)"V.SetXAxis(vtkAxis)\nC++: virtual void SetXAxis (vtkAxis *axis);\n\n Get/set the X axis associated with this plot.\n"},
  {(char*)"GetYAxis",                (PyCFunction)PyvtkPlot_GetYAxis, 1,
   (char*)"V.GetYAxis() -> vtkAxis\nC++: vtkAxis *GetYAxis ();\n\n Get/set the Y axis associated with this plot.\n"},
  {(char*)"SetYAxis",                (PyCFunction)PyvtkPlot_SetYAxis, 1,
   (char*)"V.SetYAxis(vtkAxis)\nC++: virtual void SetYAxis (vtkAxis *axis);\n\n Get/set the Y axis associated with this plot.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPlot_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float))\nC++: virtual void GetBounds (double bounds[4]);bounds bounds bounds bounds \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlotDoc[] = {
  (char*)"vtkPlot - Abstract class for 2D plots.\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)"\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPlotNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPlotMethods,
                        (char*)"vtkPlot",modulename,
                        (char**)vtkPlotDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

