// python wrapper for vtkGaussianRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGaussianRandomSequence.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGaussianRandomSequenceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGaussianRandomSequenceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRandomSequenceNew(char *); }

static PyObject *PyvtkGaussianRandomSequence_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianRandomSequence *op;

  const char    *temp20;
  op = (vtkGaussianRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianRandomSequence::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianRandomSequence_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianRandomSequence *op;

  char    *temp0;
  int      temp20;
  op = (vtkGaussianRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianRandomSequence::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianRandomSequence_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianRandomSequence *op;

  vtkGaussianRandomSequence  *temp20;
  op = (vtkGaussianRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianRandomSequence::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianRandomSequence_GetScaledValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianRandomSequence *op;

  double   temp0;
  double   temp1;
  double   temp20;
  op = (vtkGaussianRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianRandomSequence::GetScaledValue(temp0,temp1);
      }
    else
      {
      temp20 = op->GetScaledValue(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGaussianRandomSequenceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGaussianRandomSequence_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGaussianRandomSequence_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGaussianRandomSequence_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGaussianRandomSequence\nC++: vtkGaussianRandomSequence *NewInstance ();\n\n"},
  {(char*)"GetScaledValue",                (PyCFunction)PyvtkGaussianRandomSequence_GetScaledValue, 1,
   (char*)"V.GetScaledValue(float, float) -> float\nC++: virtual double GetScaledValue (double mean, double standardDeviation);\n\n Convenient method to return a value given the mean and standard deviation\n of the Gaussian distribution from the the Gaussian distribution of mean=0\n and standard deviation=1.0. There is an initial implementation that can\n be overridden by a subclass.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGaussianRandomSequenceDoc[] = {
  (char*)"vtkGaussianRandomSequence - Gaussian sequence of pseudo random numbers\n\n",
  "Super Class:\n\n vtkRandomSequence\n\n",
  (char*)" vtkGaussianRandomSequence is a sequence of pseudo random numbers\n distributed according to the Gaussian/normal distribution (mean=0 and\n standard deviation=1)\n\n This is just an interface.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGaussianRandomSequenceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGaussianRandomSequenceMethods,
                        (char*)"vtkGaussianRandomSequence",modulename,
                        (char**)vtkGaussianRandomSequenceDoc,
                        PyVTKClass_vtkRandomSequenceNew(modulename));
}

