// python wrapper for vtkPoints2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPoints2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPoints2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPoints2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPoints2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  const char    *temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkPoints2D  *temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPoints2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPoints2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPoints2D_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetData(temp0);
      }
    else
      {
      op->SetData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPoints2D_GetData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkDataArray  *temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::GetData();
      }
    else
      {
      temp20 = op->GetData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  int      temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  int      temp0;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataType(temp0);
      }
    else
      {
      op->SetDataType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToBit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToBit();
      }
    else
      {
      op->SetDataTypeToBit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToChar();
      }
    else
      {
      op->SetDataTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToUnsignedChar();
      }
    else
      {
      op->SetDataTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToShort();
      }
    else
      {
      op->SetDataTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToUnsignedShort();
      }
    else
      {
      op->SetDataTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToInt();
      }
    else
      {
      op->SetDataTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToUnsignedInt();
      }
    else
      {
      op->SetDataTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToLong();
      }
    else
      {
      op->SetDataTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToUnsignedLong();
      }
    else
      {
      op->SetDataTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToFloat();
      }
    else
      {
      op->SetDataTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetDataTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetDataTypeToDouble();
      }
    else
      {
      op->SetDataTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  int      temp0;
  void    *temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::GetVoidPointer(temp0);
      }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkPoints2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkPoints2D_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  unsigned long     temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  double temp1[2];
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"L(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  float  temp1[2];
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"L(ff)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetPoint(temp0,temp1);
      }
    else
      {
      op->SetPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  double temp1[2];
  PyErr_Clear();
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"L(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetPoint(temp0,temp1);
      }
    else
      {
      op->SetPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"Ldd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  float  temp1[2];
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"L(ff)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::InsertPoint(temp0,temp1);
      }
    else
      {
      op->InsertPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  double temp1[2];
  PyErr_Clear();
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"L(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::InsertPoint(temp0,temp1);
      }
    else
      {
      op->InsertPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"Ldd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::InsertPoint(temp0,temp1,temp2);
      }
    else
      {
      op->InsertPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_InsertNextPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  float  temp0[2];
  vtkIdType   temp20;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::InsertNextPoint(temp0);
      }
    else
      {
      temp20 = op->InsertNextPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  double temp0[2];
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::InsertNextPoint(temp0);
      }
    else
      {
      temp20 = op->InsertNextPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  double   temp0;
  double   temp1;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPoints2D::InsertNextPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextPoint(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_SetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdType   temp0;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::SetNumberOfPoints(temp0);
      }
    else
      {
      op->SetNumberOfPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkPoints2D  *temp1;
  PyObject *tempH1;
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break39;
    temp1 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints2D");
    if (!temp1 && tempH1 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::GetPoints(temp0,temp1);
      }
    else
      {
      op->GetPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkPoints2D_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPoints2D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints2D *op;

  double temp0[4];
  op = (vtkPoints2D *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPoints2D::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPoints2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPoints2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPoints2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPoints2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPoints2D\nC++: vtkPoints2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPoints2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPoints2D\nC++: vtkPoints2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkPoints2D_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: virtual int Allocate (const vtkIdType sz, const vtkIdType ext);\n\n Allocate initial memory size.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkPoints2D_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Return object to instantiated state.\n"},
  {(char*)"SetData",                (PyCFunction)PyvtkPoints2D_SetData, 1,
   (char*)"V.SetData(vtkDataArray)\nC++: virtual void SetData (vtkDataArray *);\n\n Set/Get the underlying data array. This function must be implemented\n in a concrete subclass to check for consistency. (The tuple size must\n match the type of data. For example, 3-tuple data array can be assigned to\n a vector, normal, or points object, but not a tensor object, which has a\n tuple dimension of 9. Scalars, on the other hand, can have tuple dimension\n  from 1-4, depending on the type of scalar.)\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkPoints2D_GetData, 1,
   (char*)"V.GetData() -> vtkDataArray\nC++: vtkDataArray *GetData ();return this Data \n\n Return the underlying data type. An integer indicating data type is\n returned as specified in vtkSetGet.h.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkPoints2D_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType ();\n\n Return the underlying data type. An integer indicating data type is\n returned as specified in vtkSetGet.h.\n"},
  {(char*)"SetDataType",                (PyCFunction)PyvtkPoints2D_SetDataType, 1,
   (char*)"V.SetDataType(int)\nC++: virtual void SetDataType (int dataType);\n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToBit",                (PyCFunction)PyvtkPoints2D_SetDataTypeToBit, 1,
   (char*)"V.SetDataTypeToBit()\nC++: void SetDataTypeToBit ();this SetDataType VTK_BIT \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToChar",                (PyCFunction)PyvtkPoints2D_SetDataTypeToChar, 1,
   (char*)"V.SetDataTypeToChar()\nC++: void SetDataTypeToChar ();this SetDataType VTK_CHAR \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToUnsignedChar",                (PyCFunction)PyvtkPoints2D_SetDataTypeToUnsignedChar, 1,
   (char*)"V.SetDataTypeToUnsignedChar()\nC++: void SetDataTypeToUnsignedChar ();this SetDataType VTK_UNSIGNED_CHAR \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToShort",                (PyCFunction)PyvtkPoints2D_SetDataTypeToShort, 1,
   (char*)"V.SetDataTypeToShort()\nC++: void SetDataTypeToShort ();this SetDataType VTK_SHORT \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToUnsignedShort",                (PyCFunction)PyvtkPoints2D_SetDataTypeToUnsignedShort, 1,
   (char*)"V.SetDataTypeToUnsignedShort()\nC++: void SetDataTypeToUnsignedShort ();this SetDataType VTK_UNSIGNED_SHORT \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToInt",                (PyCFunction)PyvtkPoints2D_SetDataTypeToInt, 1,
   (char*)"V.SetDataTypeToInt()\nC++: void SetDataTypeToInt ();this SetDataType VTK_INT \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToUnsignedInt",                (PyCFunction)PyvtkPoints2D_SetDataTypeToUnsignedInt, 1,
   (char*)"V.SetDataTypeToUnsignedInt()\nC++: void SetDataTypeToUnsignedInt ();this SetDataType VTK_UNSIGNED_INT \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToLong",                (PyCFunction)PyvtkPoints2D_SetDataTypeToLong, 1,
   (char*)"V.SetDataTypeToLong()\nC++: void SetDataTypeToLong ();this SetDataType VTK_LONG \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToUnsignedLong",                (PyCFunction)PyvtkPoints2D_SetDataTypeToUnsignedLong, 1,
   (char*)"V.SetDataTypeToUnsignedLong()\nC++: void SetDataTypeToUnsignedLong ();this SetDataType VTK_UNSIGNED_LONG \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToFloat",                (PyCFunction)PyvtkPoints2D_SetDataTypeToFloat, 1,
   (char*)"V.SetDataTypeToFloat()\nC++: void SetDataTypeToFloat ();this SetDataType VTK_FLOAT \n\n Specify the underlying data type of the object.\n"},
  {(char*)"SetDataTypeToDouble",                (PyCFunction)PyvtkPoints2D_SetDataTypeToDouble, 1,
   (char*)"V.SetDataTypeToDouble()\nC++: void SetDataTypeToDouble ();this SetDataType VTK_DOUBLE \n\n Return a void pointer. For image pipeline interface and other\n special pointer manipulation.\n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkPoints2D_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: void *GetVoidPointer (const int id);return this Data GetVoidPointer id \n\n Return a void pointer. For image pipeline interface and other\n special pointer manipulation.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkPoints2D_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze ();this Data Squeeze \n\n Reclaim any extra memory.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkPoints2D_Reset, 1,
   (char*)"V.Reset()\nC++: virtual void Reset ();this Data Reset \n\n Make object look empty but do not delete memory.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkPoints2D_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkPoints2D)\nC++: virtual void DeepCopy (vtkPoints2D *ad);\n\n Different ways to copy data. Shallow copy does reference count (i.e.,\n assigns pointers and updates reference count); deep copy runs through\n entire data array assigning values.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPoints2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkPoints2D)\nC++: virtual void ShallowCopy (vtkPoints2D *ad);\n\n Different ways to copy data. Shallow copy does reference count (i.e.,\n assigns pointers and updates reference count); deep copy runs through\n entire data array assigning values.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkPoints2D_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this attribute data.\n Used to support streaming and reading/writing data. The value\n returned is guaranteed to be greater than or equal to the\n memory required to actually represent the data represented\n by this object. The information returned is valid only after\n the pipeline has been updated.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkPoints2D_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: vtkIdType GetNumberOfPoints ();return this Data GetNumberOfTuples \n\n Return a pointer to a double point x[2] for a specific id.\n WARNING: Just don't use this error-prone method, the returned pointer\n and its values are only valid as long as another method invocation is not\n performed. Prefer GetPoint() with the return value in argument.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkPoints2D_GetPoint, 1,
   (char*)"V.GetPoint(int, (float, float))\nC++: void GetPoint (vtkIdType id, double x[2]);this Data GetTuple id x \n\n Insert point into object. No range checking performed (fast!).\n Make sure you use SetNumberOfPoints() to allocate memory prior\n to using SetPoint().\n"},
  {(char*)"SetPoint",                (PyCFunction)PyvtkPoints2D_SetPoint, 1,
   (char*)"V.SetPoint(int, (float, float))\nC++: void SetPoint (vtkIdType id, const float x[2]);this Data SetTuple id x \nV.SetPoint(int, (float, float))\nC++: void SetPoint (vtkIdType id, const double x[2]);this Data SetTuple id x \nV.SetPoint(int, float, float)\nC++: void SetPoint (vtkIdType id, double x, double y);\n\n Insert point into object. No range checking performed (fast!).\n Make sure you use SetNumberOfPoints() to allocate memory prior\n to using SetPoint().\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkPoints2D_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float))\nC++: void InsertPoint (vtkIdType id, const float x[2]);this Data InsertTuple id x \nV.InsertPoint(int, (float, float))\nC++: void InsertPoint (vtkIdType id, const double x[2]);this Data InsertTuple id x \nV.InsertPoint(int, float, float)\nC++: void InsertPoint (vtkIdType id, double x, double y);\n\n Insert point into object. Range checking performed and memory\n allocated as necessary.\n"},
  {(char*)"InsertNextPoint",                (PyCFunction)PyvtkPoints2D_InsertNextPoint, 1,
   (char*)"V.InsertNextPoint((float, float)) -> int\nC++: vtkIdType InsertNextPoint (const float x[2]);return this Data InsertNextTuple x \nV.InsertNextPoint((float, float)) -> int\nC++: vtkIdType InsertNextPoint (const double x[2]);return this Data InsertNextTuple x \nV.InsertNextPoint(float, float) -> int\nC++: vtkIdType InsertNextPoint (double x, double y);\n\n Insert point into next available slot. Returns id of slot.\n"},
  {(char*)"SetNumberOfPoints",                (PyCFunction)PyvtkPoints2D_SetNumberOfPoints, 1,
   (char*)"V.SetNumberOfPoints(int)\nC++: void SetNumberOfPoints (vtkIdType number);\n\n Specify the number of points for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetPoint() method for fast insertion.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkPoints2D_GetPoints, 1,
   (char*)"V.GetPoints(vtkIdList, vtkPoints2D)\nC++: void GetPoints (vtkIdList *ptId, vtkPoints2D *fp);\n\n Given a list of pt ids, return an array of points.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkPoints2D_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: virtual void ComputeBounds ();\n\n Determine (xmin,xmax, ymin,ymax) bounds of points.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPoints2D_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float))\nC++: void GetBounds (double bounds[4]);\n\n Return the bounds of the points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPoints2DDoc[] = {
  (char*)"vtkPoints2D - represent and manipulate 2D points\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkPoints2D represents 2D points. The data model for vtkPoints2D is an\n array of vx-vy doublets accessible by (point or cell) id.\n\n",
  NULL
};

static vtkObjectBase *vtkPoints2DStaticNew()
{
  return vtkPoints2D::New();
}

PyObject *PyVTKClass_vtkPoints2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPoints2DStaticNew,
                        PyvtkPoints2DMethods,
                        (char*)"vtkPoints2D",modulename,
                        (char**)vtkPoints2DDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

