// python wrapper for vtkRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRandomSequence.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRandomSequenceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRandomSequenceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkRandomSequence_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomSequence *op;

  const char    *temp20;
  op = (vtkRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomSequence::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomSequence_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomSequence *op;

  char    *temp0;
  int      temp20;
  op = (vtkRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomSequence::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomSequence_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomSequence *op;

  vtkRandomSequence  *temp20;
  op = (vtkRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomSequence::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomSequence_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomSequence *op;

  double   temp20;
  op = (vtkRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomSequence_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomSequence *op;

  op = (vtkRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRandomSequenceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRandomSequence_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRandomSequence_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRandomSequence_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRandomSequence\nC++: vtkRandomSequence *NewInstance ();\n\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkRandomSequence_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: virtual double GetValue () = 0;\n\n Current value\n"},
  {(char*)"Next",                (PyCFunction)PyvtkRandomSequence_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next () = 0;\n\n Move to the next number in the random sequence.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRandomSequenceDoc[] = {
  (char*)"vtkRandomSequence - Sequence of random numbers.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkRandomSequence defines the interface of any sequence of random numbers.\n\n At this level of abstraction, there is no assumption about the distribution\n of the numbers or about the quality of the sequence of numbers to be\n statistically independent. There is no assumption about the range of values.\n\n To the question about why a random \"sequence\" class instead of a random\n \"generator\" class or to",
  (char*)" a random \"number\" class?,\n see the OOSC book:\n \"Object-Oriented Software Construction\", 2nd Edition, by Bertrand Meyer.\n chapter 23, \"Principles of class design\", \"Pseudo-random number generators:\n a design exercise\", page 754--755.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkRandomSequenceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkRandomSequenceMethods,
                        (char*)"vtkRandomSequence",modulename,
                        (char**)vtkRandomSequenceDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

