// python wrapper for vtkTransform2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransform2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransform2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransform2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTransform2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  const char    *temp20;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkTransform2D  *temp20;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransform2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransform2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransform2D_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_Translate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double   temp0;
  double   temp1;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Translate(temp0,temp1);
      }
    else
      {
      op->Translate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_Rotate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double   temp0;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Rotate(temp0);
      }
    else
      {
      op->Rotate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_Scale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double   temp0;
  double   temp1;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Scale(temp0,temp1);
      }
    else
      {
      op->Scale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double temp0[9];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_GetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkMatrix3x3  *temp20;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform2D::GetMatrix();
      }
    else
      {
      temp20 = op->GetMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::GetMatrix(temp0);
      }
    else
      {
      op->GetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkTransform2D_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double temp0[2];
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::GetPosition(temp0);
      }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::GetPosition(temp0);
      }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_GetInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::GetInverse(temp0);
      }
    else
      {
      op->GetInverse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkTransform2D_GetTranspose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::GetTranspose(temp0);
      }
    else
      {
      op->GetTranspose(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkTransform2D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  unsigned long     temp20;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform2D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform2D_TransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  vtkPoints2D  *temp1;
  PyObject *tempH1;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints2D");
    if (!temp1 && tempH1 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::TransformPoints(temp0,temp1);
      }
    else
      {
      op->TransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkTransform2D_InverseTransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  vtkPoints2D  *temp1;
  PyObject *tempH1;
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break23;
    temp1 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints2D");
    if (!temp1 && tempH1 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::InverseTransformPoints(temp0,temp1);
      }
    else
      {
      op->InverseTransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkTransform2D_MultiplyPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform2D *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkTransform2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform2D::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransform2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransform2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransform2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransform2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransform2D\nC++: vtkTransform2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransform2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransform2D\nC++: vtkTransform2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkTransform2D_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();\n\n Set the transformation to the identity transformation.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkTransform2D_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n Invert the transformation.\n"},
  {(char*)"Translate",                (PyCFunction)PyvtkTransform2D_Translate, 1,
   (char*)"V.Translate(float, float)\nC++: void Translate (double x, double y);\nV.Translate((float, float))\nC++: void Translate (const double x[2]);this Translate x x \nV.Translate((float, float))\nC++: void Translate (const float x[2]);this Translate x x \n\n Create a translation matrix and concatenate it with the current\n transformation.\n"},
  {(char*)"Rotate",                (PyCFunction)PyvtkTransform2D_Rotate, 1,
   (char*)"V.Rotate(float)\nC++: void Rotate (double angle);\n\n Create a rotation matrix and concatenate it with the current\n transformation. The angle is in degrees.\n"},
  {(char*)"Scale",                (PyCFunction)PyvtkTransform2D_Scale, 1,
   (char*)"V.Scale(float, float)\nC++: void Scale (double x, double y);\nV.Scale((float, float))\nC++: void Scale (const double s[2]);this Scale s s \nV.Scale((float, float))\nC++: void Scale (const float s[2]);this Scale s s \n\n Create a scale matrix (i.e. set the diagonal elements to x, y)\n and concatenate it with the current transformation.\n"},
  {(char*)"SetMatrix",                (PyCFunction)PyvtkTransform2D_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix3x3)\nC++: void SetMatrix (vtkMatrix3x3 *matrix);this SetMatrix matrix GetData \nV.SetMatrix((float, float, float, float, float, float, float, float, float))\nC++: void SetMatrix (const double elements[9]);\n\n Set the current matrix directly.\n"},
  {(char*)"GetMatrix",                (PyCFunction)PyvtkTransform2D_GetMatrix, 1,
   (char*)"V.GetMatrix() -> vtkMatrix3x3\nC++: vtkMatrix3x3 *GetMatrix ();\nV.GetMatrix(vtkMatrix3x3)\nC++: void GetMatrix (vtkMatrix3x3 *matrix);\n\n Get the underlying 3x3 matrix.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkTransform2D_GetPosition, 1,
   (char*)"V.GetPosition((float, float))\nC++: void GetPosition (double pos[2]);\nV.GetPosition((float, float))\nC++: void GetPosition (float pos[2]);double temp this GetPosition temp pos static_cast float temp pos static_cast float temp \n\n Return the position from the current transformation matrix as an array\n of two floating point numbers. This is simply returning the translation\n component of the 3x3 matrix.\n"},
  {(char*)"GetInverse",                (PyCFunction)PyvtkTransform2D_GetInverse, 1,
   (char*)"V.GetInverse(vtkMatrix3x3)\nC++: void GetInverse (vtkMatrix3x3 *inverse);\n\n Return a matrix which is the inverse of the current transformation\n matrix.\n"},
  {(char*)"GetTranspose",                (PyCFunction)PyvtkTransform2D_GetTranspose, 1,
   (char*)"V.GetTranspose(vtkMatrix3x3)\nC++: void GetTranspose (vtkMatrix3x3 *transpose);\n\n Return a matrix which is the transpose of the current transformation\n matrix.  This is equivalent to the inverse if and only if the\n transformation is a pure rotation with no translation or scale.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTransform2D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime to account for input and concatenation.\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkTransform2D_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints2D, vtkPoints2D)\nC++: void TransformPoints (vtkPoints2D *inPts, vtkPoints2D *outPts);\n\n Apply the transformation to a series of points, and append the\n results to outPts.\n"},
  {(char*)"InverseTransformPoints",                (PyCFunction)PyvtkTransform2D_InverseTransformPoints, 1,
   (char*)"V.InverseTransformPoints(vtkPoints2D, vtkPoints2D)\nC++: void InverseTransformPoints (vtkPoints2D *inPts, vtkPoints2D *outPts);\n\n Apply the transformation to a series of points, and append the\n results to outPts.\n"},
  {(char*)"MultiplyPoint",                (PyCFunction)PyvtkTransform2D_MultiplyPoint, 1,
   (char*)"V.MultiplyPoint((float, float, float), (float, float, float))\nC++: void MultiplyPoint (const float in[3], float out[3]);this GetMatrix MultiplyPoint in out \nV.MultiplyPoint((float, float, float), (float, float, float))\nC++: void MultiplyPoint (const double in[3], double out[3]);this GetMatrix MultiplyPoint in out \n\n Use this method only if you wish to compute the transformation in\n homogeneous (x,y,w) coordinates, otherwise use TransformPoint().\n This method calls this->GetMatrix()->MultiplyPoint().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransform2DDoc[] = {
  (char*)"vtkTransform2D - describes linear transformations via a 3x3 matrix\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" A vtkTransform2D can be used to describe the full range of linear (also\n known as affine) coordinate transformations in two dimensions,\n which are internally represented as a 3x3 homogeneous transformation\n matrix.  When you create a new vtkTransform2D, it is always initialized\n to the identity transformation.\n\n This class performs all of its operations in a right handed\n coordinate system with r",
  (char*)"ight handed rotations. Some other graphics\n libraries use left handed coordinate systems and rotations.\n\n",
  NULL
};

static vtkObjectBase *vtkTransform2DStaticNew()
{
  return vtkTransform2D::New();
}

PyObject *PyVTKClass_vtkTransform2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransform2DStaticNew,
                        PyvtkTransform2DMethods,
                        (char*)"vtkTransform2D",modulename,
                        (char**)vtkTransform2DDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

