// python wrapper for vtkAnnotationLayers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAnnotationLayers.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAnnotationLayersNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAnnotationLayersNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkAnnotationLayers_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  const char    *temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  char    *temp0;
  int      temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkAnnotationLayers  *temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAnnotationLayers  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAnnotationLayers::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_SetCurrentAnnotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkAnnotation  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::SetCurrentAnnotation(temp0);
      }
    else
      {
      op->SetCurrentAnnotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_GetCurrentAnnotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkAnnotation  *temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::GetCurrentAnnotation();
      }
    else
      {
      temp20 = op->GetCurrentAnnotation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_SetCurrentSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::SetCurrentSelection(temp0);
      }
    else
      {
      op->SetCurrentSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_GetCurrentSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkSelection  *temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::GetCurrentSelection();
      }
    else
      {
      temp20 = op->GetCurrentSelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_GetNumberOfAnnotations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  unsigned int      temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::GetNumberOfAnnotations();
      }
    else
      {
      temp20 = op->GetNumberOfAnnotations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_GetAnnotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  unsigned int      temp0;
  vtkAnnotation  *temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::GetAnnotation(temp0);
      }
    else
      {
      temp20 = op->GetAnnotation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_AddAnnotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkAnnotation  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::AddAnnotation(temp0);
      }
    else
      {
      op->AddAnnotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_RemoveAnnotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkAnnotation  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotation");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::RemoveAnnotation(temp0);
      }
    else
      {
      op->RemoveAnnotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayers::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_GetData(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkAnnotationLayers  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break15;
      {
      temp20 = vtkAnnotationLayers::GetData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break15:
  /* handle an occurrence */
  {
  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkAnnotationLayers  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break16;
      {
      temp20 = vtkAnnotationLayers::GetData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkAnnotationLayers_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayers *op;

  unsigned long     temp20;
  op = (vtkAnnotationLayers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayers::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAnnotationLayersMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAnnotationLayers_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAnnotationLayers_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAnnotationLayers_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAnnotationLayers\nC++: vtkAnnotationLayers *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAnnotationLayers_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAnnotationLayers\nC++: vtkAnnotationLayers *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCurrentAnnotation",                (PyCFunction)PyvtkAnnotationLayers_SetCurrentAnnotation, 1,
   (char*)"V.SetCurrentAnnotation(vtkAnnotation)\nC++: virtual void SetCurrentAnnotation (vtkAnnotation *ann);\n\n The current annotation associated with this annotation link.\n"},
  {(char*)"GetCurrentAnnotation",                (PyCFunction)PyvtkAnnotationLayers_GetCurrentAnnotation, 1,
   (char*)"V.GetCurrentAnnotation() -> vtkAnnotation\nC++: vtkAnnotation *GetCurrentAnnotation ();\n\n The current annotation associated with this annotation link.\n"},
  {(char*)"SetCurrentSelection",                (PyCFunction)PyvtkAnnotationLayers_SetCurrentSelection, 1,
   (char*)"V.SetCurrentSelection(vtkSelection)\nC++: virtual void SetCurrentSelection (vtkSelection *sel);\n\n The current selection associated with this annotation link.\n This is simply the selection contained in the current annotation.\n"},
  {(char*)"GetCurrentSelection",                (PyCFunction)PyvtkAnnotationLayers_GetCurrentSelection, 1,
   (char*)"V.GetCurrentSelection() -> vtkSelection\nC++: virtual vtkSelection *GetCurrentSelection ();\n\n The current selection associated with this annotation link.\n This is simply the selection contained in the current annotation.\n"},
  {(char*)"GetNumberOfAnnotations",                (PyCFunction)PyvtkAnnotationLayers_GetNumberOfAnnotations, 1,
   (char*)"V.GetNumberOfAnnotations() -> int\nC++: unsigned int GetNumberOfAnnotations ();\n\n The number of annotations in a specific layer.\n"},
  {(char*)"GetAnnotation",                (PyCFunction)PyvtkAnnotationLayers_GetAnnotation, 1,
   (char*)"V.GetAnnotation(int) -> vtkAnnotation\nC++: vtkAnnotation *GetAnnotation (unsigned int idx);\n\n Retrieve an annotation from a layer.\n"},
  {(char*)"AddAnnotation",                (PyCFunction)PyvtkAnnotationLayers_AddAnnotation, 1,
   (char*)"V.AddAnnotation(vtkAnnotation)\nC++: void AddAnnotation (vtkAnnotation *ann);\n\n Add an annotation to a layer.\n"},
  {(char*)"RemoveAnnotation",                (PyCFunction)PyvtkAnnotationLayers_RemoveAnnotation, 1,
   (char*)"V.RemoveAnnotation(vtkAnnotation)\nC++: void RemoveAnnotation (vtkAnnotation *ann);\n\n Remove an annotation from a layer.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkAnnotationLayers_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize the data structure to an empty state.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAnnotationLayers_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *other);\n\n Copy data from another data object into this one\n which references the same member annotations.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkAnnotationLayers_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *other);\n\n Copy data from another data object into this one,\n performing a deep copy of member annotations.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkAnnotationLayers_GetData, 1,
   (char*)"V.GetData(vtkInformation) -> vtkAnnotationLayers\nC++: static vtkAnnotationLayers *GetData (vtkInformation *info);\nV.GetData(vtkInformationVector, int) -> vtkAnnotationLayers\nC++: static vtkAnnotationLayers *GetData (vtkInformationVector *v, int i);\n\n Retrieve a vtkAnnotationLayers stored inside an information object.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAnnotationLayers_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n The modified time for this object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAnnotationLayersDoc[] = {
  (char*)"vtkAnnotationLayers - Stores a ordered collection of annotation sets\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkAnnotationLayers stores a vector of annotation layers. Each layer\n may contain any number of vtkAnnotation objects. The ordering of the\n layers introduces a prioritization of annotations. Annotations in\n higher layers may obscure annotations in lower layers.\n\n",
  NULL
};

static vtkObjectBase *vtkAnnotationLayersStaticNew()
{
  return vtkAnnotationLayers::New();
}

PyObject *PyVTKClass_vtkAnnotationLayersNew(char *modulename)
{
  return PyVTKClass_New(&vtkAnnotationLayersStaticNew,
                        PyvtkAnnotationLayersMethods,
                        (char*)"vtkAnnotationLayers",modulename,
                        (char**)vtkAnnotationLayersDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

