// python wrapper for vtkArrayData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArrayData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkArrayData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  const char    *temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  char    *temp0;
  int      temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  vtkArrayData  *temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrayData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrayData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrayData_GetData(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkArrayData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
      {
      temp20 = vtkArrayData::GetData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkArrayData  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      temp20 = vtkArrayData::GetData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkArrayData_AddArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  vtkArray  *temp0;
  PyObject *tempH0;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayData::AddArray(temp0);
      }
    else
      {
      op->AddArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkArrayData_ClearArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayData::ClearArrays();
      }
    else
      {
      op->ClearArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_GetNumberOfArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  vtkIdType   temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::GetNumberOfArrays();
      }
    else
      {
      temp20 = op->GetNumberOfArrays();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_GetArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  vtkIdType   temp0;
  vtkArray  *temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::GetArray(temp0);
      }
    else
      {
      temp20 = op->GetArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_GetArrayByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  char    *temp0;
  vtkArray  *temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::GetArrayByName(temp0);
      }
    else
      {
      temp20 = op->GetArrayByName(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  int      temp20;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayData::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayData_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayData::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkArrayData_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkArrayData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayData::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkArrayDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrayData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrayData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrayData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrayData\nC++: vtkArrayData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrayData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrayData\nC++: vtkArrayData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkArrayData_GetData, 1,
   (char*)"V.GetData(vtkInformation) -> vtkArrayData\nC++: static vtkArrayData *GetData (vtkInformation *info);\nV.GetData(vtkInformationVector, int) -> vtkArrayData\nC++: static vtkArrayData *GetData (vtkInformationVector *v, int i);\n\n"},
  {(char*)"AddArray",                (PyCFunction)PyvtkArrayData_AddArray, 1,
   (char*)"V.AddArray(vtkArray)\nC++: void AddArray (vtkArray *);\n\n Adds a vtkArray to the collection\n"},
  {(char*)"ClearArrays",                (PyCFunction)PyvtkArrayData_ClearArrays, 1,
   (char*)"V.ClearArrays()\nC++: void ClearArrays ();\n\n Clears the contents of the collection\n"},
  {(char*)"GetNumberOfArrays",                (PyCFunction)PyvtkArrayData_GetNumberOfArrays, 1,
   (char*)"V.GetNumberOfArrays() -> int\nC++: vtkIdType GetNumberOfArrays ();\n\n Returns the number of vtkArray instances in the collection\n"},
  {(char*)"GetArray",                (PyCFunction)PyvtkArrayData_GetArray, 1,
   (char*)"V.GetArray(int) -> vtkArray\nC++: vtkArray *GetArray (vtkIdType index);\n\n Returns the n-th vtkArray in the collection\n"},
  {(char*)"GetArrayByName",                (PyCFunction)PyvtkArrayData_GetArrayByName, 1,
   (char*)"V.GetArrayByName(string) -> vtkArray\nC++: vtkArray *GetArrayByName (const char *name);\n\n Returns the array having called name from the collection\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkArrayData_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_ARRAY_DATA \n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkArrayData_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *other);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkArrayData_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *other);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayDataDoc[] = {
  (char*)"vtkArrayData - Pipeline data object that contains multiple vtkArray objects.\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" Because vtkArray cannot be stored as attributes of data objects (yet), a \"carrier\"\n object is needed to pass vtkArray through the pipeline.  vtkArrayData acts as a\n container of zero-to-many vtkArray instances, which can be retrieved via a zero-based\n index.  Note that a collection of arrays stored in vtkArrayData may-or-may-not have related\n types, dimensions, or extents.\n\n\n",
  "See Also:\n\n vtkArrayDataAlgorithm, vtkArray\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkArrayDataStaticNew()
{
  return vtkArrayData::New();
}

PyObject *PyVTKClass_vtkArrayDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrayDataStaticNew,
                        PyvtkArrayDataMethods,
                        (char*)"vtkArrayData",modulename,
                        (char**)vtkArrayDataDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

