// python wrapper for vtkGraphInternals object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphInternals.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphInternalsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphInternalsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }
static PyMethodDef PyvtkGraphInternalsMethods[] = {
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphInternalsDoc[] = {
  (char*)"vtkGraphInternals - Internal representation of vtkGraph\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is the internal representation of vtkGraph, used only in rare cases \n where one must modify that representation.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphInternalsStaticNew()
{
  return vtkGraphInternals::New();
}

PyObject *PyVTKClass_vtkGraphInternalsNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphInternalsStaticNew,
                        PyvtkGraphInternalsMethods,
                        (char*)"vtkGraphInternals",modulename,
                        (char**)vtkGraphInternalsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

