// python wrapper for vtkIncrementalOctreeNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIncrementalOctreeNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIncrementalOctreeNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIncrementalOctreeNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkIncrementalOctreeNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  const char    *temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  char    *temp0;
  int      temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  vtkIncrementalOctreeNode  *temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIncrementalOctreeNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIncrementalOctreeNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  int      temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetPointIdSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  vtkIdList  *temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetPointIdSet();
      }
    else
      {
      temp20 = op->GetPointIdSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_DeleteChildNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreeNode::DeleteChildNodes();
      }
    else
      {
      op->DeleteChildNodes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreeNode::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[6];
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreeNode::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetMinBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double  *temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetMinBounds();
      }
    else
      {
      temp20 = op->GetMinBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetMaxBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double  *temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetMaxBounds();
      }
    else
      {
      temp20 = op->GetMaxBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_IsLeaf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  int      temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::IsLeaf();
      }
    else
      {
      temp20 = op->IsLeaf();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetChildIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[3];
  int      temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetChildIndex(temp0);
      }
    else
      {
      temp20 = op->GetChildIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  int      temp0;
  vtkIncrementalOctreeNode  *temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetChild(temp0);
      }
    else
      {
      temp20 = op->GetChild(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_ContainsPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[3];
  int      temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::ContainsPoint(temp0);
      }
    else
      {
      temp20 = op->ContainsPoint(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_ContainsPointByData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[3];
  int      temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::ContainsPointByData(temp0);
      }
    else
      {
      temp20 = op->ContainsPointByData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetDistance2ToInnerBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[3];
  vtkIncrementalOctreeNode  *temp1;
  PyObject *tempH1;
  double   temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkIncrementalOctreeNode *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIncrementalOctreeNode");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetDistance2ToInnerBoundary(temp0,temp1);
      }
    else
      {
      temp20 = op->GetDistance2ToInnerBoundary(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_GetDistance2ToBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[3];
  vtkIncrementalOctreeNode  *temp1;
  PyObject *tempH1;
  int      temp2;
  double   temp20;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)Oi", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkIncrementalOctreeNode *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIncrementalOctreeNode");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetDistance2ToBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetDistance2ToBoundary(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  double temp0[3];
  double temp1[3];
  vtkIncrementalOctreeNode  *temp2;
  PyObject *tempH2;
  int      temp3;
  double   temp20;
  PyErr_Clear();
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)Oi", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2, &temp3);
  if (op)
    {
    temp2 = (vtkIncrementalOctreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIncrementalOctreeNode");
    if (!temp2 && tempH2 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreeNode::GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreeNode_ExportAllPointIdsByInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreeNode *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  op = (vtkIncrementalOctreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreeNode::ExportAllPointIdsByInsertion(temp0);
      }
    else
      {
      op->ExportAllPointIdsByInsertion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkIncrementalOctreeNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIncrementalOctreeNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIncrementalOctreeNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIncrementalOctreeNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIncrementalOctreeNode\nC++: vtkIncrementalOctreeNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIncrementalOctreeNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIncrementalOctreeNode\nC++: vtkIncrementalOctreeNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkIncrementalOctreeNode_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n Get the number of points inside or under this node.\n"},
  {(char*)"GetPointIdSet",                (PyCFunction)PyvtkIncrementalOctreeNode_GetPointIdSet, 1,
   (char*)"V.GetPointIdSet() -> vtkIdList\nC++: vtkIdList *GetPointIdSet ();\n\n Get the list of point indices, NULL for a non-leaf node.\n"},
  {(char*)"DeleteChildNodes",                (PyCFunction)PyvtkIncrementalOctreeNode_DeleteChildNodes, 1,
   (char*)"V.DeleteChildNodes()\nC++: void DeleteChildNodes ();\n\n Delete the eight child nodes.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkIncrementalOctreeNode_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double x1, double x2, double y1, double y2, double z1, double z2);\n\n Set the spatial bounding box of the node. This function sets a default\n data bounding box.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkIncrementalOctreeNode_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]) const;\n\n Get the spatial bounding box of the node. The values are returned via\n an array in order of: x_min, x_max, y_min, y_max, z_min, z_max.   \n"},
  {(char*)"GetMinBounds",                (PyCFunction)PyvtkIncrementalOctreeNode_GetMinBounds, 1,
   (char*)"V.GetMinBounds() -> (float, float, float)\nC++: double  *GetMinBounds ();\n\n Get access to MinBounds. Do not free this pointer.\n"},
  {(char*)"GetMaxBounds",                (PyCFunction)PyvtkIncrementalOctreeNode_GetMaxBounds, 1,
   (char*)"V.GetMaxBounds() -> (float, float, float)\nC++: double  *GetMaxBounds ();\n\n Get access to MaxBounds. Do not free this pointer.\n"},
  {(char*)"IsLeaf",                (PyCFunction)PyvtkIncrementalOctreeNode_IsLeaf, 1,
   (char*)"V.IsLeaf() -> int\nC++: int IsLeaf ();return this Children NULL \n\n Determine which specific child / octant contains a given point. Note that\n the point is assumed to be inside this node and no checking is performed \n on the inside issue.\n"},
  {(char*)"GetChildIndex",                (PyCFunction)PyvtkIncrementalOctreeNode_GetChildIndex, 1,
   (char*)"V.GetChildIndex((float, float, float)) -> int\nC++: int GetChildIndex (const double point[3]);\n\n Determine which specific child / octant contains a given point. Note that\n the point is assumed to be inside this node and no checking is performed \n on the inside issue.\n"},
  {(char*)"GetChild",                (PyCFunction)PyvtkIncrementalOctreeNode_GetChild, 1,
   (char*)"V.GetChild(int) -> vtkIncrementalOctreeNode\nC++: vtkIncrementalOctreeNode *GetChild (int i);return this Children i \n\n A point is in a node if and only if MinBounds[i] < p[i] <= MaxBounds[i],\n which allows a node to be divided into eight non-overlapping children.\n"},
  {(char*)"ContainsPoint",                (PyCFunction)PyvtkIncrementalOctreeNode_ContainsPoint, 1,
   (char*)"V.ContainsPoint((float, float, float)) -> int\nC++: int ContainsPoint (const double pnt[3]);\n\n A point is in a node if and only if MinBounds[i] < p[i] <= MaxBounds[i],\n which allows a node to be divided into eight non-overlapping children.\n"},
  {(char*)"ContainsPointByData",                (PyCFunction)PyvtkIncrementalOctreeNode_ContainsPointByData, 1,
   (char*)"V.ContainsPointByData((float, float, float)) -> int\nC++: int ContainsPointByData (const double pnt[3]);\n\n A point is in a node, in terms of data, if and only if MinDataBounds[i]\n <= p[i] <= MaxDataBounds[i].\n"},
  {(char*)"GetDistance2ToInnerBoundary",                (PyCFunction)PyvtkIncrementalOctreeNode_GetDistance2ToInnerBoundary, 1,
   (char*)"V.GetDistance2ToInnerBoundary((float, float, float), vtkIncrementalOctreeNode) -> float\nC++: double GetDistance2ToInnerBoundary (const double point[3], vtkIncrementalOctreeNode *rootNode);\n\n Given a point inside this node, get the minimum squared distance to all \n inner boundaries. An inner boundary is a node's face that is shared by\n another non-root node. \n"},
  {(char*)"GetDistance2ToBoundary",                (PyCFunction)PyvtkIncrementalOctreeNode_GetDistance2ToBoundary, 1,
   (char*)"V.GetDistance2ToBoundary((float, float, float), vtkIncrementalOctreeNode, int) -> float\nC++: double GetDistance2ToBoundary (const double point[3], vtkIncrementalOctreeNode *rootNode, int checkData);\nV.GetDistance2ToBoundary((float, float, float), (float, float, float), vtkIncrementalOctreeNode, int) -> float\nC++: double GetDistance2ToBoundary (const double point[3], double closest[3], vtkIncrementalOctreeNode *rootNode, int checkData);\n\n Compute the minimum squared distance from a point to this node, with all\n six boundaries considered. The data bounding box is checked if checkData\n is non-zero. \n"},
  {(char*)"ExportAllPointIdsByInsertion",                (PyCFunction)PyvtkIncrementalOctreeNode_ExportAllPointIdsByInsertion, 1,
   (char*)"V.ExportAllPointIdsByInsertion(vtkIdList)\nC++: void ExportAllPointIdsByInsertion (vtkIdList *idList);\n\n Export all the indices of the points (contained in or under this node) by\n inserting them to an allocated vtkIdList via vtkIdList::InsertNextId().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIncrementalOctreeNodeDoc[] = {
  (char*)"vtkIncrementalOctreeNode - Octree node constituting incremental\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"  Octree nodes serve as spatial sub-division primitives to build the search\n  structure of an incremental octree in a recursive top-down manner. The\n  hierarchy takes the form of a tree-like representation by which a parent\n  node contains eight mutually non-overlapping child nodes. Each child is \n  assigned with an axis-aligned rectangular volume (Spatial Bounding Box) \n  and the eight children t",
  (char*)"ogether cover exactly the same region as governed\n  by their parent. The eight child nodes / octants are ordered as\n\n  { (xBBoxMin, xBBoxMid] & (yBBoxMin, yBBoxMid] & (zBBoxMin, zBBoxMid] },\n  { (xBBoxMid, xBBoxMax] & (yBBoxMin, yBBoxMid] & (zBBoxMin, zBBoxMid] },\n  { (xBBoxMin, xBBoxMid] & (yBBoxMid, yBBoxMax] & (zBBoxMin, zBBoxMid] }, \n  { (xBBoxMid, xBBoxMax] & (yBBoxMid, yBBoxMax] & (zBBoxMin,",
  (char*)" zBBoxMid] },\n  { (xBBoxMin, xBBoxMid] & (yBBoxMin, yBBoxMid] & (zBBoxMid, zBBoxMax] },\n  { (xBBoxMid, xBBoxMax] & (yBBoxMin, yBBoxMid] & (zBBoxMid, zBBoxMax] },\n  { (xBBoxMin, xBBoxMid] & (yBBoxMid, yBBoxMax] & (zBBoxMid, zBBoxMax] }, \n  { (xBBoxMid, xBBoxMax] & (yBBoxMid, yBBoxMax] & (zBBoxMid, zBBoxMax] },\n\n  where { xrange & yRange & zRange } defines the region of each 3D octant. \n  In additio",
  (char*)"n, the points falling within and registered, by means of point\n  indices, in the parent node are distributed to the child nodes for delegated\n  maintenance. In fact, only leaf nodes, i.e., those without any descendants,\n  actually store point indices while each node, regardless of a leaf or non-\n  leaf node, keeps a dynamically updated Data Bounding Box of the inhabitant \n  points, if any. Given a",
  (char*)" maximum number of points per leaf node, an octree \n  is initialized with an empty leaf node that is then recursively sub-divided, \n  but only on demand as points are incrementally inserted, to construct a \n  populated tree.\n\n  Please note that this octree node class is able to handle a large number\n  of EXACTLY duplicate points that is greater than the specified maximum\n  number of points per lea",
  (char*)"f node. In other words, as an exception, a leaf\n  node may maintain an arbitrary number of exactly duplicate points to deal\n  with possible extreme cases.\n \n\n",
  "See Also:\n\n vtkIncrementalOctreePointLocator\n\n",
  NULL
};

static vtkObjectBase *vtkIncrementalOctreeNodeStaticNew()
{
  return vtkIncrementalOctreeNode::New();
}

PyObject *PyVTKClass_vtkIncrementalOctreeNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkIncrementalOctreeNodeStaticNew,
                        PyvtkIncrementalOctreeNodeMethods,
                        (char*)"vtkIncrementalOctreeNode",modulename,
                        (char**)vtkIncrementalOctreeNodeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

