// java wrapper for vtkMutableDirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMutableDirectedGraph.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDirectedGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMutableDirectedGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMutableDirectedGraph",dType)) { return me; }
  if ((res= vtkDirectedGraph_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMutableDirectedGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMutableDirectedGraph *op;
  const char    *temp20;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableDirectedGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMutableDirectedGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableDirectedGraph_AddVertex_12(JNIEnv *env, jobject obj)
{
  vtkMutableDirectedGraph *op;
  vtkIdType   temp20;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddVertex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableDirectedGraph_AddVertex_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableDirectedGraph *op;
  vtkVariantArray  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddVertex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableDirectedGraph_LazyAddVertex_14(JNIEnv *env, jobject obj)
{
  vtkMutableDirectedGraph *op;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->LazyAddVertex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableDirectedGraph_LazyAddVertex_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableDirectedGraph *op;
  vtkVariantArray  *temp0;
  temp0 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->LazyAddVertex(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMutableDirectedGraph_AddGraphEdge_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMutableDirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddGraphEdge(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableDirectedGraph_AddChild_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMutableDirectedGraph *op;
  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddChild(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableDirectedGraph_AddChild_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableDirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddChild(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableDirectedGraph_RemoveVertex_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableDirectedGraph *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableDirectedGraph_RemoveEdge_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableDirectedGraph *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveEdge(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableDirectedGraph_RemoveVertices_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableDirectedGraph *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertices(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableDirectedGraph_RemoveEdges_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableDirectedGraph *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveEdges(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMutableDirectedGraph_VTKInit(JNIEnv *, jobject)
{
  vtkMutableDirectedGraph *aNewOne = vtkMutableDirectedGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
