// python wrapper for vtkMutableUndirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMutableUndirectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMutableUndirectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMutableUndirectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphNew(char *); }

static PyObject *PyvtkMutableUndirectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  const char    *temp20;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableUndirectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableUndirectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkMutableUndirectedGraph  *temp20;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableUndirectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMutableUndirectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMutableUndirectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_AddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdType   temp20;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableUndirectedGraph::AddVertex();
      }
    else
      {
      temp20 = op->AddVertex();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableUndirectedGraph::AddVertex(temp0);
      }
    else
      {
      temp20 = op->AddVertex(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_LazyAddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::LazyAddVertex();
      }
    else
      {
      op->LazyAddVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::LazyAddVertex(temp0);
      }
    else
      {
      op->LazyAddVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_LazyAddEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::LazyAddEdge(temp0,temp1);
      }
    else
      {
      op->LazyAddEdge(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkVariantArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LLO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkVariantArray");
    if (!temp2 && tempH2 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::LazyAddEdge(temp0,temp1,temp2);
      }
    else
      {
      op->LazyAddEdge(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_AddGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableUndirectedGraph::AddGraphEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->AddGraphEdge(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_RemoveVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdType   temp0;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::RemoveVertex(temp0);
      }
    else
      {
      op->RemoveVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_RemoveEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdType   temp0;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::RemoveEdge(temp0);
      }
    else
      {
      op->RemoveEdge(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_RemoveVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::RemoveVertices(temp0);
      }
    else
      {
      op->RemoveVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkMutableUndirectedGraph_RemoveEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableUndirectedGraph *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkMutableUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableUndirectedGraph::RemoveEdges(temp0);
      }
    else
      {
      op->RemoveEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkMutableUndirectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMutableUndirectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMutableUndirectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMutableUndirectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMutableUndirectedGraph\nC++: vtkMutableUndirectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMutableUndirectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMutableUndirectedGraph\nC++: vtkMutableUndirectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddVertex",                (PyCFunction)PyvtkMutableUndirectedGraph_AddVertex, 1,
   (char*)"V.AddVertex() -> int\nC++: vtkIdType AddVertex ();\nV.AddVertex(vtkVariantArray) -> int\nC++: vtkIdType AddVertex (vtkVariantArray *propertyArr);\n\n Adds a vertex to the graph and returns the index of the new vertex.\n\n \\note In a distributed graph (i.e. a graph whose DistributedHelper\n is non-null), this routine cannot be used to add a vertex\n if the vertices in the graph have pedigree IDs, because this routine\n will always add the vertex locally, which may conflict with the\n proper location of the vertex based on the distribution of the\n pedigree IDs.\n"},
  {(char*)"LazyAddVertex",                (PyCFunction)PyvtkMutableUndirectedGraph_LazyAddVertex, 1,
   (char*)"V.LazyAddVertex()\nC++: void LazyAddVertex ();\nV.LazyAddVertex(vtkVariantArray)\nC++: void LazyAddVertex (vtkVariantArray *propertyArr);\n\n Adds a vertex to the graph.\n\n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time Synchronize is\n called on the helper.\n"},
  {(char*)"LazyAddEdge",                (PyCFunction)PyvtkMutableUndirectedGraph_LazyAddEdge, 1,
   (char*)"V.LazyAddEdge(int, int)\nC++: void LazyAddEdge (vtkIdType u, vtkIdType v);\nV.LazyAddEdge(int, int, vtkVariantArray)\nC++: void LazyAddEdge (vtkIdType u, vtkIdType v, vtkVariantArray *propertyArr);\n\n Adds an undirected edge from \\p u to \\p v,\n where \\p u and \\p v are vertex indices.\n\n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time Synchronize is\n called on the helper.\n"},
  {(char*)"AddGraphEdge",                (PyCFunction)PyvtkMutableUndirectedGraph_AddGraphEdge, 1,
   (char*)"V.AddGraphEdge(int, int) -> vtkGraphEdge\nC++: vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v);\n\n Variant of AddEdge() that returns a heavyweight \\p vtkGraphEdge object.\n The graph owns the reference of the edge and will replace\n its contents on the next call to AddGraphEdge().\n\n \\note This is a less efficient method for use with wrappers.\n In C++ you should use the faster AddEdge().\n"},
  {(char*)"RemoveVertex",                (PyCFunction)PyvtkMutableUndirectedGraph_RemoveVertex, 1,
   (char*)"V.RemoveVertex(int)\nC++: void RemoveVertex (vtkIdType v);\n\n Removes the vertex from the graph along with any connected edges.\n Note: This invalidates the last vertex index, which is reassigned to v.\n"},
  {(char*)"RemoveEdge",                (PyCFunction)PyvtkMutableUndirectedGraph_RemoveEdge, 1,
   (char*)"V.RemoveEdge(int)\nC++: void RemoveEdge (vtkIdType e);\n\n Removes the edge from the graph.\n Note: This invalidates the last edge index, which is reassigned to e.\n"},
  {(char*)"RemoveVertices",                (PyCFunction)PyvtkMutableUndirectedGraph_RemoveVertices, 1,
   (char*)"V.RemoveVertices(vtkIdTypeArray)\nC++: void RemoveVertices (vtkIdTypeArray *arr);\n\n Removes a collection of vertices from the graph along with any connected edges.\n"},
  {(char*)"RemoveEdges",                (PyCFunction)PyvtkMutableUndirectedGraph_RemoveEdges, 1,
   (char*)"V.RemoveEdges(vtkIdTypeArray)\nC++: void RemoveEdges (vtkIdTypeArray *arr);\n\n Removes a collection of edges from the graph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMutableUndirectedGraphDoc[] = {
  (char*)"vtkMutableUndirectedGraph - An editable undirected graph.\n\n",
  "Super Class:\n\n vtkUndirectedGraph\n\n",
  (char*)" vtkMutableUndirectedGraph is an undirected graph with additional functions\n for adding vertices and edges. ShallowCopy(), DeepCopy(), CheckedShallowCopy(),\n and CheckedDeepCopy() will succeed when the argument is a vtkUndirectedGraph\n or vtkMutableUndirectedGraph.\n\n\n",
  "See Also:\n\n vtkUndirectedGraph vtkGraph\n\n",
  NULL
};

static vtkObjectBase *vtkMutableUndirectedGraphStaticNew()
{
  return vtkMutableUndirectedGraph::New();
}

PyObject *PyVTKClass_vtkMutableUndirectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkMutableUndirectedGraphStaticNew,
                        PyvtkMutableUndirectedGraphMethods,
                        (char*)"vtkMutableUndirectedGraph",modulename,
                        (char**)vtkMutableUndirectedGraphDoc,
                        PyVTKClass_vtkUndirectedGraphNew(modulename));
}

