// python wrapper for vtkNonMergingPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNonMergingPointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNonMergingPointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNonMergingPointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointLocatorNew(char *); }

static PyObject *PyvtkNonMergingPointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonMergingPointLocator *op;

  const char    *temp20;
  op = (vtkNonMergingPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonMergingPointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNonMergingPointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonMergingPointLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkNonMergingPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonMergingPointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonMergingPointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonMergingPointLocator *op;

  vtkNonMergingPointLocator  *temp20;
  op = (vtkNonMergingPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonMergingPointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonMergingPointLocator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNonMergingPointLocator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNonMergingPointLocator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkNonMergingPointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNonMergingPointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNonMergingPointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNonMergingPointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNonMergingPointLocator\nC++: vtkNonMergingPointLocator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNonMergingPointLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNonMergingPointLocator\nC++: vtkNonMergingPointLocator *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNonMergingPointLocatorDoc[] = {
  (char*)"vtkNonMergingPointLocator - direct / check-free point insertion.\n\n",
  "Super Class:\n\n vtkPointLocator\n\n",
  (char*)"  As a special sub-class of vtkPointLocator, vtkNonMergingPointLocator is\n  intended for direct / check-free insertion of points into a vtkPoints \n  object. In other words, any given point is always directly inserted. \n  The name emphasizes the difference between this class and its sibling \n  class vtkMergePoints in that the latter class performs check-based zero \n  tolerance point insertion (or t",
  (char*)"o 'merge' exactly duplicate / coincident\n  points) by exploiting the uniform bin mechanism employed by the parent \n  class vtkPointLocator. vtkPointLocator allows for generic (zero and non-\n  zero) tolerance point insertion as well as point location.\n\n\n",
  "See Also:\n\n vtkIncrementalPointLocator vtkPointLocator vtkMergePoints\n\n",
  NULL
};

static vtkObjectBase *vtkNonMergingPointLocatorStaticNew()
{
  return vtkNonMergingPointLocator::New();
}

PyObject *PyVTKClass_vtkNonMergingPointLocatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkNonMergingPointLocatorStaticNew,
                        PyvtkNonMergingPointLocatorMethods,
                        (char*)"vtkNonMergingPointLocator",modulename,
                        (char**)vtkNonMergingPointLocatorDoc,
                        PyVTKClass_vtkPointLocatorNew(modulename));
}

