// python wrapper for vtkOctreePointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOctreePointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOctreePointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOctreePointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPointLocatorNew(char *); }

static PyObject *PyvtkOctreePointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  const char    *temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  vtkOctreePointLocator  *temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOctreePointLocator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOctreePointLocator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_SetMaximumPointsPerRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::SetMaximumPointsPerRegion(temp0);
      }
    else
      {
      op->SetMaximumPointsPerRegion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetMaximumPointsPerRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetMaximumPointsPerRegion();
      }
    else
      {
      temp20 = op->GetMaximumPointsPerRegion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_SetCreateCubicOctants(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::SetCreateCubicOctants(temp0);
      }
    else
      {
      op->SetCreateCubicOctants(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetCreateCubicOctants(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetCreateCubicOctants();
      }
    else
      {
      temp20 = op->GetCreateCubicOctants();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetFudgeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  double   temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetFudgeFactor();
      }
    else
      {
      temp20 = op->GetFudgeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_SetFudgeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  double   temp0;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::SetFudgeFactor(temp0);
      }
    else
      {
      op->SetFudgeFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetNumberOfLeafNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetNumberOfLeafNodes();
      }
    else
      {
      temp20 = op->GetNumberOfLeafNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetRegionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  double temp1[6];
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::GetRegionBounds(temp0,temp1);
      }
    else
      {
      op->GetRegionBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetRegionDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  double temp1[6];
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::GetRegionDataBounds(temp0,temp1);
      }
    else
      {
      op->GetRegionDataBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetRegionContainingPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetRegionContainingPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetRegionContainingPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_FindClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::FindClosestPoint(temp0);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_FindPointsWithinRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::FindPointsWithinRadius(temp0,temp1,temp2);
      }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_FindClosestNPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::FindClosestNPoints(temp0,temp1,temp2);
      }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GetPointsInRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  vtkIdTypeArray  *temp20;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocator::GetPointsInRegion(temp0);
      }
    else
      {
      temp20 = op->GetPointsInRegion(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocator::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}

static PyMethodDef PyvtkOctreePointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOctreePointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOctreePointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOctreePointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOctreePointLocator\nC++: vtkOctreePointLocator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOctreePointLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOctreePointLocator\nC++: vtkOctreePointLocator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaximumPointsPerRegion",                (PyCFunction)PyvtkOctreePointLocator_SetMaximumPointsPerRegion, 1,
   (char*)"V.SetMaximumPointsPerRegion(int)\nC++: void SetMaximumPointsPerRegion (int );\n\n Maximum number of points per spatial region.  Default is 100.\n"},
  {(char*)"GetMaximumPointsPerRegion",                (PyCFunction)PyvtkOctreePointLocator_GetMaximumPointsPerRegion, 1,
   (char*)"V.GetMaximumPointsPerRegion() -> int\nC++: int GetMaximumPointsPerRegion ();\n\n Maximum number of points per spatial region.  Default is 100.\n"},
  {(char*)"SetCreateCubicOctants",                (PyCFunction)PyvtkOctreePointLocator_SetCreateCubicOctants, 1,
   (char*)"V.SetCreateCubicOctants(int)\nC++: void SetCreateCubicOctants (int );\n\n Get/Set macro for CreateCubicOctants.\n"},
  {(char*)"GetCreateCubicOctants",                (PyCFunction)PyvtkOctreePointLocator_GetCreateCubicOctants, 1,
   (char*)"V.GetCreateCubicOctants() -> int\nC++: int GetCreateCubicOctants ();\n\n Get/Set macro for CreateCubicOctants.\n"},
  {(char*)"GetFudgeFactor",                (PyCFunction)PyvtkOctreePointLocator_GetFudgeFactor, 1,
   (char*)"V.GetFudgeFactor() -> float\nC++: double GetFudgeFactor ();\n\n  Some algorithms on octrees require a value that is a very\n  small distance relative to the diameter of the entire space\n  divided by the octree.  This factor is the maximum axis-aligned\n  width of the space multipled by 10e-6.\n"},
  {(char*)"SetFudgeFactor",                (PyCFunction)PyvtkOctreePointLocator_SetFudgeFactor, 1,
   (char*)"V.SetFudgeFactor(float)\nC++: void SetFudgeFactor (double );\n\n  Some algorithms on octrees require a value that is a very\n  small distance relative to the diameter of the entire space\n  divided by the octree.  This factor is the maximum axis-aligned\n  width of the space multipled by 10e-6.\n"},
  {(char*)"GetNumberOfLeafNodes",                (PyCFunction)PyvtkOctreePointLocator_GetNumberOfLeafNodes, 1,
   (char*)"V.GetNumberOfLeafNodes() -> int\nC++: int GetNumberOfLeafNodes ();\n\n   The number of leaf nodes of the tree, the spatial regions\n"},
  {(char*)"GetRegionBounds",                (PyCFunction)PyvtkOctreePointLocator_GetRegionBounds, 1,
   (char*)"V.GetRegionBounds(int, (float, float, float, float, float, float))\nC++: void GetRegionBounds (int regionID, double bounds[6]);\n\n   Get the spatial bounds of octree region\n"},
  {(char*)"GetRegionDataBounds",                (PyCFunction)PyvtkOctreePointLocator_GetRegionDataBounds, 1,
   (char*)"V.GetRegionDataBounds(int, (float, float, float, float, float, float))\nC++: void GetRegionDataBounds (int leafNodeID, double bounds[6]);\n\n    Get the bounds of the data within the leaf node\n"},
  {(char*)"GetRegionContainingPoint",                (PyCFunction)PyvtkOctreePointLocator_GetRegionContainingPoint, 1,
   (char*)"V.GetRegionContainingPoint(float, float, float) -> int\nC++: int GetRegionContainingPoint (double x, double y, double z);\n\n    Get the id of the leaf region containing the specified location.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkOctreePointLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: virtual void BuildLocator ();\n\n Create the octree decomposition of the cells of the data set\n or data sets.  Cells are assigned to octree spatial regions\n based on the location of their centroids.\n"},
  {(char*)"FindClosestPoint",                (PyCFunction)PyvtkOctreePointLocator_FindClosestPoint, 1,
   (char*)"V.FindClosestPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestPoint (const double x[3]);\n\n Return the Id of the point that is closest to the given point.\n Set the square of the distance between the two points.\n"},
  {(char*)"FindPointsWithinRadius",                (PyCFunction)PyvtkOctreePointLocator_FindPointsWithinRadius, 1,
   (char*)"V.FindPointsWithinRadius(float, (float, float, float), vtkIdList)\nC++: virtual void FindPointsWithinRadius (double radius, const double x[3], vtkIdList *result);\n\n Find all points within a specified radius of position x.\n The result is not sorted in any specific manner.\n"},
  {(char*)"FindClosestNPoints",                (PyCFunction)PyvtkOctreePointLocator_FindClosestNPoints, 1,
   (char*)"V.FindClosestNPoints(int, (float, float, float), vtkIdList)\nC++: void FindClosestNPoints (int N, const double x[3], vtkIdList *result);\n\n Find the closest N points to a position. This returns the closest\n N points to a position. A faster method could be created that returned\n N close points to a position, but not necessarily the exact N closest.\n The returned points are sorted from closest to farthest.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"GetPointsInRegion",                (PyCFunction)PyvtkOctreePointLocator_GetPointsInRegion, 1,
   (char*)"V.GetPointsInRegion(int) -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetPointsInRegion (int leafNodeId);\n\n Get a list of the original IDs of all points in a leaf node.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkOctreePointLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: virtual void FreeSearchStructure ();\n\n Delete the octree data structure. \n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkOctreePointLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: void GenerateRepresentation (int level, vtkPolyData *pd);\n\n Create a polydata representation of the boundaries of\n the octree regions.  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOctreePointLocatorDoc[] = {
  (char*)"vtkOctreePointLocator - a octree spatial decomposition of a set of points\n\n",
  "Super Class:\n\n vtkAbstractPointLocator\n\n",
  (char*)"     Given a vtkDataSetxs, create an octree that is locally refined\n     such that all leaf octants contain less than a certain \n     amount of points.  Note that there is no size constraint that\n     a leaf octant in relation to any of its neighbors.\n\n     This class can also generate a PolyData representation of\n     the boundaries of the spatial regions in the decomposition.\n\n\n",
  "See Also:\n\n vtkPointLocator vtkOctreePointLocatorNode\n\n",
  NULL
};

static vtkObjectBase *vtkOctreePointLocatorStaticNew()
{
  return vtkOctreePointLocator::New();
}

PyObject *PyVTKClass_vtkOctreePointLocatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkOctreePointLocatorStaticNew,
                        PyvtkOctreePointLocatorMethods,
                        (char*)"vtkOctreePointLocator",modulename,
                        (char**)vtkOctreePointLocatorDoc,
                        PyVTKClass_vtkAbstractPointLocatorNew(modulename));
}

