// python wrapper for vtkSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkSelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  const char    *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelection_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned int      temp0;
  vtkSelectionNode  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetNode(temp0);
      }
    else
      {
      temp20 = op->GetNode(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_AddNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::AddNode(temp0);
      }
    else
      {
      op->AddNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkSelection_RemoveNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned int      temp0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::RemoveNode(temp0);
      }
    else
      {
      op->RemoveNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::RemoveNode(temp0);
      }
    else
      {
      op->RemoveNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSelection_RemoveAllNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::RemoveAllNodes();
      }
    else
      {
      op->RemoveAllNodes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSelection_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkSelection_Union(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Union(temp0);
      }
    else
      {
      op->Union(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Union(temp0);
      }
    else
      {
      op->Union(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkSelection_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned long     temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_Dump(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Dump();
      }
    else
      {
      op->Dump();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetData(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break18;
      {
      temp20 = vtkSelection::GetData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkSelection  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break19;
      {
      temp20 = vtkSelection::GetData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkSelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelection\nC++: vtkSelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelection\nC++: vtkSelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSelection_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkSelection_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_SELECTION \n\n Returns the number of nodes in this selection.\n Each node contains information about part of the selection.\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkSelection_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: unsigned int GetNumberOfNodes ();\n\n Returns the number of nodes in this selection.\n Each node contains information about part of the selection.\n"},
  {(char*)"GetNode",                (PyCFunction)PyvtkSelection_GetNode, 1,
   (char*)"V.GetNode(int) -> vtkSelectionNode\nC++: virtual vtkSelectionNode *GetNode (unsigned int idx);\n\n Returns a node given it's index. Performs bound checking\n and will return 0 if out-of-bounds.\n"},
  {(char*)"AddNode",                (PyCFunction)PyvtkSelection_AddNode, 1,
   (char*)"V.AddNode(vtkSelectionNode)\nC++: virtual void AddNode (vtkSelectionNode *);\n\n Adds a selection node.\n"},
  {(char*)"RemoveNode",                (PyCFunction)PyvtkSelection_RemoveNode, 1,
   (char*)"V.RemoveNode(int)\nC++: virtual void RemoveNode (unsigned int idx);\nV.RemoveNode(vtkSelectionNode)\nC++: virtual void RemoveNode (vtkSelectionNode *);\n\n Removes a selection node.\n"},
  {(char*)"RemoveAllNodes",                (PyCFunction)PyvtkSelection_RemoveAllNodes, 1,
   (char*)"V.RemoveAllNodes()\nC++: virtual void RemoveAllNodes ();\n\n Removes a selection node.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkSelection_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Copy selection nodes of the input.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkSelection_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Copy selection nodes of the input.\n This is a shallow copy: selection lists and pointers in the\n properties are passed by reference.\n"},
  {(char*)"Union",                (PyCFunction)PyvtkSelection_Union, 1,
   (char*)"V.Union(vtkSelection)\nC++: virtual void Union (vtkSelection *selection);\nV.Union(vtkSelectionNode)\nC++: virtual void Union (vtkSelectionNode *node);\n\n Union this selection with the specified selection.\n Attempts to reuse selection nodes in this selection if properties\n match exactly. Otherwise, creates new selection nodes.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSelection_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime taking into account changes to the properties\n"},
  {(char*)"Dump",                (PyCFunction)PyvtkSelection_Dump, 1,
   (char*)"V.Dump()\nC++: virtual void Dump ();\n\n Dumps the contents of the selection, giving basic information only.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkSelection_GetData, 1,
   (char*)"V.GetData(vtkInformation) -> vtkSelection\nC++: static vtkSelection *GetData (vtkInformation *info);\nV.GetData(vtkInformationVector, int) -> vtkSelection\nC++: static vtkSelection *GetData (vtkInformationVector *v, int i);\n\n Retrieve a vtkSelection stored inside an invormation object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectionDoc[] = {
  (char*)"vtkSelection - A node in a selection tree. Used to store selection results.\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  "See Also:\n\n vtkSelectionNode\n\n",
  NULL
};

static vtkObjectBase *vtkSelectionStaticNew()
{
  return vtkSelection::New();
}

PyObject *PyVTKClass_vtkSelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectionStaticNew,
                        PyvtkSelectionMethods,
                        (char*)"vtkSelection",modulename,
                        (char**)vtkSelectionDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

