// python wrapper for vtkGeoAdaptiveArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoAdaptiveArcs.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoAdaptiveArcsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoAdaptiveArcsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGeoAdaptiveArcs_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  const char    *temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  vtkGeoAdaptiveArcs  *temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoAdaptiveArcs  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoAdaptiveArcs::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_SetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  double   temp0;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAdaptiveArcs::SetGlobeRadius(temp0);
      }
    else
      {
      op->SetGlobeRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_GetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  double   temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::GetGlobeRadius();
      }
    else
      {
      temp20 = op->GetGlobeRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_SetMaximumPixelSeparation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  double   temp0;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAdaptiveArcs::SetMaximumPixelSeparation(temp0);
      }
    else
      {
      op->SetMaximumPixelSeparation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_GetMaximumPixelSeparation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  double   temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::GetMaximumPixelSeparation();
      }
    else
      {
      temp20 = op->GetMaximumPixelSeparation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_SetMinimumPixelSeparation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  double   temp0;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAdaptiveArcs::SetMinimumPixelSeparation(temp0);
      }
    else
      {
      op->SetMinimumPixelSeparation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_GetMinimumPixelSeparation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  double   temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::GetMinimumPixelSeparation();
      }
    else
      {
      temp20 = op->GetMinimumPixelSeparation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAdaptiveArcs::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  vtkRenderer  *temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAdaptiveArcs_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAdaptiveArcs *op;

  unsigned long     temp20;
  op = (vtkGeoAdaptiveArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAdaptiveArcs::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoAdaptiveArcsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoAdaptiveArcs_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoAdaptiveArcs_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoAdaptiveArcs_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoAdaptiveArcs\nC++: vtkGeoAdaptiveArcs *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoAdaptiveArcs_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoAdaptiveArcs\nC++: vtkGeoAdaptiveArcs *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGlobeRadius",                (PyCFunction)PyvtkGeoAdaptiveArcs_SetGlobeRadius, 1,
   (char*)"V.SetGlobeRadius(float)\nC++: void SetGlobeRadius (double );\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n"},
  {(char*)"GetGlobeRadius",                (PyCFunction)PyvtkGeoAdaptiveArcs_GetGlobeRadius, 1,
   (char*)"V.GetGlobeRadius() -> float\nC++: double GetGlobeRadius ();\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n"},
  {(char*)"SetMaximumPixelSeparation",                (PyCFunction)PyvtkGeoAdaptiveArcs_SetMaximumPixelSeparation, 1,
   (char*)"V.SetMaximumPixelSeparation(float)\nC++: void SetMaximumPixelSeparation (double );\n\n The maximum number of pixels between points on the arcs.\n If two adjacent points are farther than the threshold,\n the line segment will be subdivided such that each point\n is separated by at most the threshold.\n"},
  {(char*)"GetMaximumPixelSeparation",                (PyCFunction)PyvtkGeoAdaptiveArcs_GetMaximumPixelSeparation, 1,
   (char*)"V.GetMaximumPixelSeparation() -> float\nC++: double GetMaximumPixelSeparation ();\n\n The maximum number of pixels between points on the arcs.\n If two adjacent points are farther than the threshold,\n the line segment will be subdivided such that each point\n is separated by at most the threshold.\n"},
  {(char*)"SetMinimumPixelSeparation",                (PyCFunction)PyvtkGeoAdaptiveArcs_SetMinimumPixelSeparation, 1,
   (char*)"V.SetMinimumPixelSeparation(float)\nC++: void SetMinimumPixelSeparation (double );\n\n The minimum number of pixels between points on the arcs.\n Points closer than the threshold will be skipped until\n a point farther than the minimum threshold is reached.\n"},
  {(char*)"GetMinimumPixelSeparation",                (PyCFunction)PyvtkGeoAdaptiveArcs_GetMinimumPixelSeparation, 1,
   (char*)"V.GetMinimumPixelSeparation() -> float\nC++: double GetMinimumPixelSeparation ();\n\n The minimum number of pixels between points on the arcs.\n Points closer than the threshold will be skipped until\n a point farther than the minimum threshold is reached.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkGeoAdaptiveArcs_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n The renderer used to estimate the number of pixels between\n points.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkGeoAdaptiveArcs_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n The renderer used to estimate the number of pixels between\n points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGeoAdaptiveArcs_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Return the modified time of this object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoAdaptiveArcsDoc[] = {
  (char*)"vtkGeoArcs - layout graph edges on a globe as arcs.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  NULL
};

static vtkObjectBase *vtkGeoAdaptiveArcsStaticNew()
{
  return vtkGeoAdaptiveArcs::New();
}

PyObject *PyVTKClass_vtkGeoAdaptiveArcsNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoAdaptiveArcsStaticNew,
                        PyvtkGeoAdaptiveArcsMethods,
                        (char*)"vtkGeoAdaptiveArcs",modulename,
                        (char**)vtkGeoAdaptiveArcsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

