// python wrapper for vtkGeoAlignedImageRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoAlignedImageRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoAlignedImageRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoAlignedImageRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkGeoAlignedImageRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  const char    *temp20;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  vtkGeoAlignedImageRepresentation  *temp20;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoAlignedImageRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoAlignedImageRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_GetBestImageForBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  double temp0[4];
  vtkGeoImageNode  *temp20;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageRepresentation::GetBestImageForBounds(temp0);
      }
    else
      {
      temp20 = op->GetBestImageForBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  vtkGeoSource  *temp20;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageRepresentation::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  vtkGeoSource  *temp0;
  PyObject *tempH0;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoSource *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoSource");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageRepresentation::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageRepresentation_SaveDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageRepresentation *op;

  char    *temp0;
  op = (vtkGeoAlignedImageRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageRepresentation::SaveDatabase(temp0);
      }
    else
      {
      op->SaveDatabase(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoAlignedImageRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoAlignedImageRepresentation\nC++: vtkGeoAlignedImageRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoAlignedImageRepresentation\nC++: vtkGeoAlignedImageRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetBestImageForBounds",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_GetBestImageForBounds, 1,
   (char*)"V.GetBestImageForBounds((float, float, float, float)) -> vtkGeoImageNode\nC++: virtual vtkGeoImageNode *GetBestImageForBounds (double bounds[4]);\n\n Retrieve the most refined image patch that covers the specified\n latitude and longitude bounds (lat-min, lat-max, long-min, long-max).\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_GetSource, 1,
   (char*)"V.GetSource() -> vtkGeoSource\nC++: virtual vtkGeoSource *GetSource ();return this GeoSource \n\n The source for this representation. This must be set first before\n calling GetBestImageForBounds.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_SetSource, 1,
   (char*)"V.SetSource(vtkGeoSource)\nC++: virtual void SetSource (vtkGeoSource *source);\n\n The source for this representation. This must be set first before\n calling GetBestImageForBounds.\n"},
  {(char*)"SaveDatabase",                (PyCFunction)PyvtkGeoAlignedImageRepresentation_SaveDatabase, 1,
   (char*)"V.SaveDatabase(string)\nC++: void SaveDatabase (const char *path);\n\n Serialize the database to the specified directory.\n Each image is stored as a .vti file.\n The Origin and Spacing of the saved image contain (lat-min, long-min)\n and (lat-max, long-max), respectively.\n Files are named based on their level and id within that level.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoAlignedImageRepresentationDoc[] = {
  (char*)"vtkGeoAlignedImageRepresentation - A multi-resolution image tree\n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  (char*)" vtkGeoAlignedImageRepresentation represents a high resolution image\n over the globle. It has an associated vtkGeoSource which is responsible\n for fetching new data. This class keeps the fetched data in a quad-tree\n structure organized by latitude and longitude.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoAlignedImageRepresentationStaticNew()
{
  return vtkGeoAlignedImageRepresentation::New();
}

PyObject *PyVTKClass_vtkGeoAlignedImageRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoAlignedImageRepresentationStaticNew,
                        PyvtkGeoAlignedImageRepresentationMethods,
                        (char*)"vtkGeoAlignedImageRepresentation",modulename,
                        (char**)vtkGeoAlignedImageRepresentationDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

