// python wrapper for vtkGeoCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoCamera.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoCameraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoCameraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoCamera_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  const char    *temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  vtkGeoCamera  *temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoCamera  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoCamera::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double  *temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetLongitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetLongitude(temp0);
      }
    else
      {
      op->SetLongitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetLongitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetLongitude();
      }
    else
      {
      temp20 = op->GetLongitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetLatitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetLatitude(temp0);
      }
    else
      {
      op->SetLatitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetLatitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetLatitude();
      }
    else
      {
      temp20 = op->GetLatitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetDistance(temp0);
      }
    else
      {
      op->SetDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetDistance();
      }
    else
      {
      temp20 = op->GetDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetHeading(temp0);
      }
    else
      {
      op->SetHeading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetHeading();
      }
    else
      {
      temp20 = op->GetHeading();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetTilt(temp0);
      }
    else
      {
      op->SetTilt(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetTilt();
      }
    else
      {
      temp20 = op->GetTilt();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetVTKCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  vtkCamera  *temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetVTKCamera();
      }
    else
      {
      temp20 = op->GetVTKCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_InitializeNodeAnalysis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  int    temp0[2];
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::InitializeNodeAnalysis(temp0);
      }
    else
      {
      op->InitializeNodeAnalysis(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetNodeCoverage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  vtkGeoTerrainNode  *temp0;
  PyObject *tempH0;
  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTerrainNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTerrainNode");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetNodeCoverage(temp0);
      }
    else
      {
      temp20 = op->GetNodeCoverage(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetLockHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  bool   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetLockHeading();
      }
    else
      {
      temp20 = op->GetLockHeading();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetLockHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  bool   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetLockHeading(temp0);
      }
    else
      {
      op->SetLockHeading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_LockHeadingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::LockHeadingOn();
      }
    else
      {
      op->LockHeadingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_LockHeadingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::LockHeadingOff();
      }
    else
      {
      op->LockHeadingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetOriginLatitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetOriginLatitude(temp0);
      }
    else
      {
      op->SetOriginLatitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetOriginLatitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetOriginLatitude();
      }
    else
      {
      temp20 = op->GetOriginLatitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetOriginLongitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetOriginLongitude(temp0);
      }
    else
      {
      op->SetOriginLongitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetOriginLongitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetOriginLongitude();
      }
    else
      {
      temp20 = op->GetOriginLongitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double  *temp20;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoCamera::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoCamera_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkGeoCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoCamera::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoCameraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoCamera_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoCamera_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoCamera_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoCamera\nC++: vtkGeoCamera *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoCamera_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoCamera\nC++: vtkGeoCamera *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkGeoCamera_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Get the world position without the origin shift.\n"},
  {(char*)"SetLongitude",                (PyCFunction)PyvtkGeoCamera_SetLongitude, 1,
   (char*)"V.SetLongitude(float)\nC++: void SetLongitude (double longitude);\n\n Longitude is in degrees: (-180->180)\n   Relative to absolute coordinates.\n  Rotate Longitude  around z axis (earth axis),\n"},
  {(char*)"GetLongitude",                (PyCFunction)PyvtkGeoCamera_GetLongitude, 1,
   (char*)"V.GetLongitude() -> float\nC++: double GetLongitude ();\n\n Longitude is in degrees: (-180->180)\n   Relative to absolute coordinates.\n  Rotate Longitude  around z axis (earth axis),\n"},
  {(char*)"SetLatitude",                (PyCFunction)PyvtkGeoCamera_SetLatitude, 1,
   (char*)"V.SetLatitude(float)\nC++: void SetLatitude (double latitude);\n\n  Latitude is in degrees: (-90->90)\n    Relative to Longitude.\n  Rotate Latitude   around x axis by Latitude, \n"},
  {(char*)"GetLatitude",                (PyCFunction)PyvtkGeoCamera_GetLatitude, 1,
   (char*)"V.GetLatitude() -> float\nC++: double GetLatitude ();\n\n  Latitude is in degrees: (-90->90)\n    Relative to Longitude.\n  Rotate Latitude   around x axis by Latitude, \n"},
  {(char*)"SetDistance",                (PyCFunction)PyvtkGeoCamera_SetDistance, 1,
   (char*)"V.SetDistance(float)\nC++: void SetDistance (double Distance);\n\n Distance is in Meters\n   Relative to Longitude and Latitude.\n   above sea level   ???? should we make this from center of earth ????\n                    ???? what about equatorial bulge ????\n"},
  {(char*)"GetDistance",                (PyCFunction)PyvtkGeoCamera_GetDistance, 1,
   (char*)"V.GetDistance() -> float\nC++: double GetDistance ();\n\n Distance is in Meters\n   Relative to Longitude and Latitude.\n   above sea level   ???? should we make this from center of earth ????\n                    ???? what about equatorial bulge ????\n"},
  {(char*)"SetHeading",                (PyCFunction)PyvtkGeoCamera_SetHeading, 1,
   (char*)"V.SetHeading(float)\nC++: void SetHeading (double heading);\n\n Heading is in degrees:  (-180->180)\n   Relative to Logitude and Latitude.\n   0 is north. \n   90 is east.       ???? what is the standard ????\n   180 is south.\n   -90 is west.  \n  Rotate Heading    around -y axis Center,     \n"},
  {(char*)"GetHeading",                (PyCFunction)PyvtkGeoCamera_GetHeading, 1,
   (char*)"V.GetHeading() -> float\nC++: double GetHeading ();\n\n Heading is in degrees:  (-180->180)\n   Relative to Logitude and Latitude.\n   0 is north. \n   90 is east.       ???? what is the standard ????\n   180 is south.\n   -90 is west.  \n  Rotate Heading    around -y axis Center,     \n"},
  {(char*)"SetTilt",                (PyCFunction)PyvtkGeoCamera_SetTilt, 1,
   (char*)"V.SetTilt(float)\nC++: void SetTilt (double tilt);\n\n Tilt is also know as pitch.\n Tilt is in degrees: (0->90)\n   Relative to Longitude, Latitude, and Heading.\n Rotate Tilt       around x axis,             \n"},
  {(char*)"GetTilt",                (PyCFunction)PyvtkGeoCamera_GetTilt, 1,
   (char*)"V.GetTilt() -> float\nC++: double GetTilt ();\n\n Tilt is also know as pitch.\n Tilt is in degrees: (0->90)\n   Relative to Longitude, Latitude, and Heading.\n Rotate Tilt       around x axis,             \n"},
  {(char*)"GetVTKCamera",                (PyCFunction)PyvtkGeoCamera_GetVTKCamera, 1,
   (char*)"V.GetVTKCamera() -> vtkCamera\nC++: vtkCamera *GetVTKCamera ();\n\n This vtk camera is updated to match this geo cameras state.\n It should be treated as a const and should not be modified.\n"},
  {(char*)"InitializeNodeAnalysis",                (PyCFunction)PyvtkGeoCamera_InitializeNodeAnalysis, 1,
   (char*)"V.InitializeNodeAnalysis((int, int))\nC++: void InitializeNodeAnalysis (int rendererSize[2]);\n\n We precompute some values to speed up update of the terrain.\n Unfortunately, they have to be manually/explicitely updated\n when the camera or renderer size changes.\n"},
  {(char*)"GetNodeCoverage",                (PyCFunction)PyvtkGeoCamera_GetNodeCoverage, 1,
   (char*)"V.GetNodeCoverage(vtkGeoTerrainNode) -> float\nC++: double GetNodeCoverage (vtkGeoTerrainNode *node);\n\n This method estimates how much of the view is covered by the sphere.\n Returns a value from 0 to 1.\n"},
  {(char*)"GetLockHeading",                (PyCFunction)PyvtkGeoCamera_GetLockHeading, 1,
   (char*)"V.GetLockHeading() -> bool\nC++: bool GetLockHeading ();\n\n"},
  {(char*)"SetLockHeading",                (PyCFunction)PyvtkGeoCamera_SetLockHeading, 1,
   (char*)"V.SetLockHeading(bool)\nC++: void SetLockHeading (bool );\n\n"},
  {(char*)"LockHeadingOn",                (PyCFunction)PyvtkGeoCamera_LockHeadingOn, 1,
   (char*)"V.LockHeadingOn()\nC++: void LockHeadingOn ();\n\n"},
  {(char*)"LockHeadingOff",                (PyCFunction)PyvtkGeoCamera_LockHeadingOff, 1,
   (char*)"V.LockHeadingOff()\nC++: void LockHeadingOff ();\n\n"},
  {(char*)"SetOriginLatitude",                (PyCFunction)PyvtkGeoCamera_SetOriginLatitude, 1,
   (char*)"V.SetOriginLatitude(float)\nC++: void SetOriginLatitude (double oLat);\n\n This point is shifted to 0,0,0 to avoid openGL issues.\n"},
  {(char*)"GetOriginLatitude",                (PyCFunction)PyvtkGeoCamera_GetOriginLatitude, 1,
   (char*)"V.GetOriginLatitude() -> float\nC++: double GetOriginLatitude ();\n\n This point is shifted to 0,0,0 to avoid openGL issues.\n"},
  {(char*)"SetOriginLongitude",                (PyCFunction)PyvtkGeoCamera_SetOriginLongitude, 1,
   (char*)"V.SetOriginLongitude(float)\nC++: void SetOriginLongitude (double oLat);\n\n This point is shifted to 0,0,0 to avoid openGL issues.\n"},
  {(char*)"GetOriginLongitude",                (PyCFunction)PyvtkGeoCamera_GetOriginLongitude, 1,
   (char*)"V.GetOriginLongitude() -> float\nC++: double GetOriginLongitude ();\n\n This point is shifted to 0,0,0 to avoid openGL issues.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkGeoCamera_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Get the rectilinear cooridinate location of the origin.\n This is used to shift the terrain points.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkGeoCamera_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double ox, double oy, double oz);this Origin ox this Origin oy this Origin oz this UpdateVTKCamera \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoCameraDoc[] = {
  (char*)"vtkGeoCamera - Geo interface to a camera.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" I wanted to hide the normal vtkCamera API\n so I did not make this a subclass.  The camera is a helper object.\n You can get a pointer to the camera, but it should be treated like\n a const.\n\n",
  "See Also:\n\n vtkGeoInteractorStyle vtkCamera \n\n",
  NULL
};

static vtkObjectBase *vtkGeoCameraStaticNew()
{
  return vtkGeoCamera::New();
}

PyObject *PyVTKClass_vtkGeoCameraNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoCameraStaticNew,
                        PyvtkGeoCameraMethods,
                        (char*)"vtkGeoCamera",modulename,
                        (char**)vtkGeoCameraDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

