// python wrapper for vtkGeoFileTerrainSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoFileTerrainSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoFileTerrainSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoFileTerrainSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoSourceNew(char *); }

static PyObject *PyvtkGeoFileTerrainSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  const char    *temp20;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileTerrainSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileTerrainSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  vtkGeoFileTerrainSource  *temp20;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileTerrainSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoFileTerrainSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoFileTerrainSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_FetchRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileTerrainSource::FetchRoot(temp0);
      }
    else
      {
      temp20 = op->FetchRoot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_FetchChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  PyObject *tempH2;
  bool   temp20;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"OiO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp2 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGeoTreeNode");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileTerrainSource::FetchChild(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FetchChild(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_SetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  char    *temp0;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoFileTerrainSource::SetPath(temp0);
      }
    else
      {
      op->SetPath(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileTerrainSource_GetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileTerrainSource *op;

  char    *temp20;
  op = (vtkGeoFileTerrainSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileTerrainSource::GetPath();
      }
    else
      {
      temp20 = op->GetPath();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoFileTerrainSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoFileTerrainSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoFileTerrainSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoFileTerrainSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoFileTerrainSource\nC++: vtkGeoFileTerrainSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoFileTerrainSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoFileTerrainSource\nC++: vtkGeoFileTerrainSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FetchRoot",                (PyCFunction)PyvtkGeoFileTerrainSource_FetchRoot, 1,
   (char*)"V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: virtual bool FetchRoot (vtkGeoTreeNode *root);\n\n Retrieve the root geometry representing the entire globe.\n"},
  {(char*)"FetchChild",                (PyCFunction)PyvtkGeoFileTerrainSource_FetchChild, 1,
   (char*)"V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child);\n\n"},
  {(char*)"SetPath",                (PyCFunction)PyvtkGeoFileTerrainSource_SetPath, 1,
   (char*)"V.SetPath(string)\nC++: void SetPath (char *);\n\n The path the tiled geometry database.\n"},
  {(char*)"GetPath",                (PyCFunction)PyvtkGeoFileTerrainSource_GetPath, 1,
   (char*)"V.GetPath() -> string\nC++: char *GetPath ();\n\n The path the tiled geometry database.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoFileTerrainSourceDoc[] = {
  (char*)"vtkGeoFileTerrainSource - A source for tiled geometry on disk.\n\n",
  "Super Class:\n\n vtkGeoSource\n\n",
  (char*)" vtkGeoFileTerrainSource reads geometry tiles as .vtp files from a\n directory that follow a certain naming convention containing the level\n of the patch and the position within that level. Use vtkGeoTerrain's\n SaveDatabase method to create a database of files in this format.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoFileTerrainSourceStaticNew()
{
  return vtkGeoFileTerrainSource::New();
}

PyObject *PyVTKClass_vtkGeoFileTerrainSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoFileTerrainSourceStaticNew,
                        PyvtkGeoFileTerrainSourceMethods,
                        (char*)"vtkGeoFileTerrainSource",modulename,
                        (char**)vtkGeoFileTerrainSourceDoc,
                        PyVTKClass_vtkGeoSourceNew(modulename));
}

