// python wrapper for vtkGeoImageNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoImageNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoImageNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoImageNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoTreeNodeNew(char *); }

static PyObject *PyvtkGeoImageNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  const char    *temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkGeoImageNode  *temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoImageNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoImageNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoImageNode_GetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  int      temp0;
  vtkGeoImageNode  *temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::GetChild(temp0);
      }
    else
      {
      temp20 = op->GetChild(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_GetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkGeoImageNode  *temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::GetParent();
      }
    else
      {
      temp20 = op->GetParent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_GetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkImageData  *temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::GetImage();
      }
    else
      {
      temp20 = op->GetImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_SetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoImageNode::SetImage(temp0);
      }
    else
      {
      op->SetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkGeoImageNode_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkTexture  *temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::GetTexture();
      }
    else
      {
      temp20 = op->GetTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_SetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoImageNode::SetTexture(temp0);
      }
    else
      {
      op->SetTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGeoImageNode_LoadAnImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  char    *temp0;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoImageNode::LoadAnImage(temp0);
      }
    else
      {
      op->LoadAnImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoImageNode::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkGeoImageNode_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoImageNode::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkGeoImageNode_HasData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  bool   temp20;
  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoImageNode::HasData();
      }
    else
      {
      temp20 = op->HasData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoImageNode_DeleteData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoImageNode *op;

  op = (vtkGeoImageNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoImageNode::DeleteData();
      }
    else
      {
      op->DeleteData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoImageNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoImageNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoImageNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoImageNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoImageNode\nC++: vtkGeoImageNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoImageNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoImageNode\nC++: vtkGeoImageNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetChild",                (PyCFunction)PyvtkGeoImageNode_GetChild, 1,
   (char*)"V.GetChild(int) -> vtkGeoImageNode\nC++: vtkGeoImageNode *GetChild (int idx);\n\n"},
  {(char*)"GetParent",                (PyCFunction)PyvtkGeoImageNode_GetParent, 1,
   (char*)"V.GetParent() -> vtkGeoImageNode\nC++: vtkGeoImageNode *GetParent ();\n\n"},
  {(char*)"GetImage",                (PyCFunction)PyvtkGeoImageNode_GetImage, 1,
   (char*)"V.GetImage() -> vtkImageData\nC++: vtkImageData *GetImage ();\n\n Get the image tile.\n"},
  {(char*)"SetImage",                (PyCFunction)PyvtkGeoImageNode_SetImage, 1,
   (char*)"V.SetImage(vtkImageData)\nC++: void SetImage (vtkImageData *image);\n\n Get the image tile.\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkGeoImageNode_GetTexture, 1,
   (char*)"V.GetTexture() -> vtkTexture\nC++: vtkTexture *GetTexture ();\n\n Get the image tile.\n"},
  {(char*)"SetTexture",                (PyCFunction)PyvtkGeoImageNode_SetTexture, 1,
   (char*)"V.SetTexture(vtkTexture)\nC++: void SetTexture (vtkTexture *texture);\n\n Get the image tile.\n"},
  {(char*)"LoadAnImage",                (PyCFunction)PyvtkGeoImageNode_LoadAnImage, 1,
   (char*)"V.LoadAnImage(string)\nC++: void LoadAnImage (const char *prefix);\n\n This loads the image from a tile database at the specified location.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGeoImageNode_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkGeoTreeNode)\nC++: virtual void ShallowCopy (vtkGeoTreeNode *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGeoImageNode_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkGeoTreeNode)\nC++: virtual void DeepCopy (vtkGeoTreeNode *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"HasData",                (PyCFunction)PyvtkGeoImageNode_HasData, 1,
   (char*)"V.HasData() -> bool\nC++: virtual bool HasData ();\n\n"},
  {(char*)"DeleteData",                (PyCFunction)PyvtkGeoImageNode_DeleteData, 1,
   (char*)"V.DeleteData()\nC++: virtual void DeleteData ();\n\n Deletes the data associated with the node to make this\n an \"empty\" node. This is performed when the node has\n been unused for a certain amount of time.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoImageNodeDoc[] = {
  (char*)"vtkGeoImageNode - A node in a multi-resolution image tree.\n\n",
  "Super Class:\n\n vtkGeoTreeNode\n\n",
  (char*)" vtkGeoImageNode contains an image tile in a multi-resolution image tree,\n along with metadata about that image's extents.\n\n\n",
  "See Also:\n\n vtkGeoTreeNode vtkGeoTerrainNode\n\n",
  NULL
};

static vtkObjectBase *vtkGeoImageNodeStaticNew()
{
  return vtkGeoImageNode::New();
}

PyObject *PyVTKClass_vtkGeoImageNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoImageNodeStaticNew,
                        PyvtkGeoImageNodeMethods,
                        (char*)"vtkGeoImageNode",modulename,
                        (char**)vtkGeoImageNodeDoc,
                        PyVTKClass_vtkGeoTreeNodeNew(modulename));
}

