// python wrapper for vtkGeoTerrain2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoTerrain2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoTerrain2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoTerrain2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoTerrainNew(char *); }

static PyObject *PyvtkGeoTerrain2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  const char    *temp20;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  vtkGeoTerrain2D  *temp20;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoTerrain2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoTerrain2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_SetTextureTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  double   temp0;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain2D::SetTextureTolerance(temp0);
      }
    else
      {
      op->SetTextureTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_GetTextureTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  double   temp20;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain2D::GetTextureTolerance();
      }
    else
      {
      temp20 = op->GetTextureTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_SetLocationTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  double   temp0;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain2D::SetLocationTolerance(temp0);
      }
    else
      {
      op->SetLocationTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_GetLocationTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  double   temp20;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain2D::GetLocationTolerance();
      }
    else
      {
      temp20 = op->GetLocationTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain2D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain2D *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoTerrain2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain2D::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoTerrain2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoTerrain2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoTerrain2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoTerrain2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoTerrain2D\nC++: vtkGeoTerrain2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoTerrain2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoTerrain2D\nC++: vtkGeoTerrain2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTextureTolerance",                (PyCFunction)PyvtkGeoTerrain2D_SetTextureTolerance, 1,
   (char*)"V.SetTextureTolerance(float)\nC++: void SetTextureTolerance (double );\n\n The maximum size of a single texel in pixels.\n Images will be refined if a texel becomes larger than the tolerance.\n"},
  {(char*)"GetTextureTolerance",                (PyCFunction)PyvtkGeoTerrain2D_GetTextureTolerance, 1,
   (char*)"V.GetTextureTolerance() -> float\nC++: double GetTextureTolerance ();\n\n The maximum size of a single texel in pixels.\n Images will be refined if a texel becomes larger than the tolerance.\n"},
  {(char*)"SetLocationTolerance",                (PyCFunction)PyvtkGeoTerrain2D_SetLocationTolerance, 1,
   (char*)"V.SetLocationTolerance(float)\nC++: void SetLocationTolerance (double );\n\n The maximum allowed deviation of geometry in pixels.\n Geometry will be refined if the deviation is larger than the tolerance.\n"},
  {(char*)"GetLocationTolerance",                (PyCFunction)PyvtkGeoTerrain2D_GetLocationTolerance, 1,
   (char*)"V.GetLocationTolerance() -> float\nC++: double GetLocationTolerance ();\n\n The maximum allowed deviation of geometry in pixels.\n Geometry will be refined if the deviation is larger than the tolerance.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoTerrain2D_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform ();\n\n Return the projection transformation used by this 2D terrain.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoTerrain2DDoc[] = {
  (char*)"vtkGeoTerrain2D - A 2D terrain model for the globe.\n\n",
  "Super Class:\n\n vtkGeoTerrain\n\n",
  (char*)" vtkGeoTerrain2D contains a multi-resolution tree of geometry representing\n the globe. It uses a vtkGeoSource subclass to generate the terrain, such\n as vtkGeoProjectionSource. This source must be set before using the\n terrain in a vtkGeoView2D. The terrain also contains an AddActors()\n method which updates the set of actors representing the globe given the\n current camera position.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoTerrain2DStaticNew()
{
  return vtkGeoTerrain2D::New();
}

PyObject *PyVTKClass_vtkGeoTerrain2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoTerrain2DStaticNew,
                        PyvtkGeoTerrain2DMethods,
                        (char*)"vtkGeoTerrain2D",modulename,
                        (char**)vtkGeoTerrain2DDoc,
                        PyVTKClass_vtkGeoTerrainNew(modulename));
}

