// python wrapper for vtkGeoTerrainNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoTerrainNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoTerrainNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoTerrainNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoTreeNodeNew(char *); }

static PyObject *PyvtkGeoTerrainNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  const char    *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  vtkGeoTerrainNode  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoTerrainNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoTerrainNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  int      temp0;
  vtkGeoTerrainNode  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetChild(temp0);
      }
    else
      {
      temp20 = op->GetChild(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  vtkGeoTerrainNode  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetParent();
      }
    else
      {
      temp20 = op->GetParent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetAltitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double   temp0;
  double   temp1;
  double   temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetAltitude(temp0,temp1);
      }
    else
      {
      temp20 = op->GetAltitude(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  vtkPolyData  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetModel();
      }
    else
      {
      temp20 = op->GetModel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_SetModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::SetModel(temp0);
      }
    else
      {
      op->SetModel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_UpdateBoundingSphere(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::UpdateBoundingSphere();
      }
    else
      {
      op->UpdateBoundingSphere();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetBoundingSphereRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double   temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetBoundingSphereRadius();
      }
    else
      {
      temp20 = op->GetBoundingSphereRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetBoundingSphereCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetBoundingSphereCenter();
      }
    else
      {
      temp20 = op->GetBoundingSphereCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetCornerNormal00(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetCornerNormal00();
      }
    else
      {
      temp20 = op->GetCornerNormal00();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetCornerNormal01(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetCornerNormal01();
      }
    else
      {
      temp20 = op->GetCornerNormal01();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetCornerNormal10(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetCornerNormal10();
      }
    else
      {
      temp20 = op->GetCornerNormal10();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetCornerNormal11(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetCornerNormal11();
      }
    else
      {
      temp20 = op->GetCornerNormal11();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetProjectionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double  *temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetProjectionBounds();
      }
    else
      {
      temp20 = op->GetProjectionBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_SetProjectionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::SetProjectionBounds(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetProjectionBounds(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::SetProjectionBounds(temp0);
      }
    else
      {
      op->SetProjectionBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetGraticuleLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  int      temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetGraticuleLevel();
      }
    else
      {
      temp20 = op->GetGraticuleLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_SetGraticuleLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  int      temp0;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::SetGraticuleLevel(temp0);
      }
    else
      {
      op->SetGraticuleLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double   temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetError();
      }
    else
      {
      temp20 = op->GetError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_SetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  double   temp0;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::SetError(temp0);
      }
    else
      {
      op->SetError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_GetCoverage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  float    temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::GetCoverage();
      }
    else
      {
      temp20 = op->GetCoverage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_SetCoverage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  float    temp0;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::SetCoverage(temp0);
      }
    else
      {
      op->SetCoverage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_HasData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  bool   temp20;
  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrainNode::HasData();
      }
    else
      {
      temp20 = op->HasData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrainNode_DeleteData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrainNode *op;

  op = (vtkGeoTerrainNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrainNode::DeleteData();
      }
    else
      {
      op->DeleteData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoTerrainNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoTerrainNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoTerrainNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoTerrainNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoTerrainNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetChild",                (PyCFunction)PyvtkGeoTerrainNode_GetChild, 1,
   (char*)"V.GetChild(int) -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *GetChild (int idx);\n\n"},
  {(char*)"GetParent",                (PyCFunction)PyvtkGeoTerrainNode_GetParent, 1,
   (char*)"V.GetParent() -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *GetParent ();\n\n"},
  {(char*)"GetAltitude",                (PyCFunction)PyvtkGeoTerrainNode_GetAltitude, 1,
   (char*)"V.GetAltitude(float, float) -> float\nC++: double GetAltitude (double longitude, double latitude);\n\n"},
  {(char*)"GetModel",                (PyCFunction)PyvtkGeoTerrainNode_GetModel, 1,
   (char*)"V.GetModel() -> vtkPolyData\nC++: vtkPolyData *GetModel ();\n\n Get the terrrain model.  The user has to copy the terrain\n into this object.\n"},
  {(char*)"SetModel",                (PyCFunction)PyvtkGeoTerrainNode_SetModel, 1,
   (char*)"V.SetModel(vtkPolyData)\nC++: void SetModel (vtkPolyData *model);\n\n Get the terrrain model.  The user has to copy the terrain\n into this object.\n"},
  {(char*)"UpdateBoundingSphere",                (PyCFunction)PyvtkGeoTerrainNode_UpdateBoundingSphere, 1,
   (char*)"V.UpdateBoundingSphere()\nC++: void UpdateBoundingSphere ();\n\n Bounding sphere is precomputed for faster updates of terrain.\n"},
  {(char*)"GetBoundingSphereRadius",                (PyCFunction)PyvtkGeoTerrainNode_GetBoundingSphereRadius, 1,
   (char*)"V.GetBoundingSphereRadius() -> float\nC++: double GetBoundingSphereRadius ();\n\n Bounding sphere is precomputed for faster updates of terrain.\n"},
  {(char*)"GetBoundingSphereCenter",                (PyCFunction)PyvtkGeoTerrainNode_GetBoundingSphereCenter, 1,
   (char*)"V.GetBoundingSphereCenter() -> (float, float, float)\nC++: double  *GetBoundingSphereCenter ();\n\n Bounding sphere is precomputed for faster updates of terrain.\n"},
  {(char*)"GetCornerNormal00",                (PyCFunction)PyvtkGeoTerrainNode_GetCornerNormal00, 1,
   (char*)"V.GetCornerNormal00() -> (float, float, float)\nC++: double  *GetCornerNormal00 ();\n\n"},
  {(char*)"GetCornerNormal01",                (PyCFunction)PyvtkGeoTerrainNode_GetCornerNormal01, 1,
   (char*)"V.GetCornerNormal01() -> (float, float, float)\nC++: double  *GetCornerNormal01 ();\n\n"},
  {(char*)"GetCornerNormal10",                (PyCFunction)PyvtkGeoTerrainNode_GetCornerNormal10, 1,
   (char*)"V.GetCornerNormal10() -> (float, float, float)\nC++: double  *GetCornerNormal10 ();\n\n"},
  {(char*)"GetCornerNormal11",                (PyCFunction)PyvtkGeoTerrainNode_GetCornerNormal11, 1,
   (char*)"V.GetCornerNormal11() -> (float, float, float)\nC++: double  *GetCornerNormal11 ();\n\n"},
  {(char*)"GetProjectionBounds",                (PyCFunction)PyvtkGeoTerrainNode_GetProjectionBounds, 1,
   (char*)"V.GetProjectionBounds() -> (float, float, float, float)\nC++: double  *GetProjectionBounds ();\n\n For 2D projections, store the bounds of the node in projected space\n to quickly determine if a node is offscreen.\n"},
  {(char*)"SetProjectionBounds",                (PyCFunction)PyvtkGeoTerrainNode_SetProjectionBounds, 1,
   (char*)"V.SetProjectionBounds(float, float, float, float)\nC++: void SetProjectionBounds (double , double , double , double );\nV.SetProjectionBounds((float, float, float, float))\nC++: void SetProjectionBounds (double  a[4]);\n\n For 2D projections, store the bounds of the node in projected space\n to quickly determine if a node is offscreen.\n"},
  {(char*)"GetGraticuleLevel",                (PyCFunction)PyvtkGeoTerrainNode_GetGraticuleLevel, 1,
   (char*)"V.GetGraticuleLevel() -> int\nC++: int GetGraticuleLevel ();\n\n For 2D projections, store the granularity of the graticule in this node.\n"},
  {(char*)"SetGraticuleLevel",                (PyCFunction)PyvtkGeoTerrainNode_SetGraticuleLevel, 1,
   (char*)"V.SetGraticuleLevel(int)\nC++: void SetGraticuleLevel (int );\n\n For 2D projections, store the granularity of the graticule in this node.\n"},
  {(char*)"GetError",                (PyCFunction)PyvtkGeoTerrainNode_GetError, 1,
   (char*)"V.GetError() -> float\nC++: double GetError ();\n\n For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n"},
  {(char*)"SetError",                (PyCFunction)PyvtkGeoTerrainNode_SetError, 1,
   (char*)"V.SetError(float)\nC++: void SetError (double );\n\n For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n"},
  {(char*)"GetCoverage",                (PyCFunction)PyvtkGeoTerrainNode_GetCoverage, 1,
   (char*)"V.GetCoverage() -> float\nC++: float GetCoverage ();\n\n For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n"},
  {(char*)"SetCoverage",                (PyCFunction)PyvtkGeoTerrainNode_SetCoverage, 1,
   (char*)"V.SetCoverage(float)\nC++: void SetCoverage (float );\n\n For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGeoTerrainNode_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkGeoTreeNode)\nC++: virtual void ShallowCopy (vtkGeoTreeNode *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGeoTerrainNode_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkGeoTreeNode)\nC++: virtual void DeepCopy (vtkGeoTreeNode *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"HasData",                (PyCFunction)PyvtkGeoTerrainNode_HasData, 1,
   (char*)"V.HasData() -> bool\nC++: virtual bool HasData ();\n\n Returns whether this node has valid data associated\n with it, or if it is an \"empty\" node.\n"},
  {(char*)"DeleteData",                (PyCFunction)PyvtkGeoTerrainNode_DeleteData, 1,
   (char*)"V.DeleteData()\nC++: virtual void DeleteData ();\n\n Deletes the data associated with the node to make this\n an \"empty\" node. This is performed when the node has\n been unused for a certain amount of time.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoTerrainNodeDoc[] = {
  (char*)"vtkGeoTerrainNode - \n\n",
  "Super Class:\n\n vtkGeoTreeNode\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkGeoTerrainNodeStaticNew()
{
  return vtkGeoTerrainNode::New();
}

PyObject *PyVTKClass_vtkGeoTerrainNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoTerrainNodeStaticNew,
                        PyvtkGeoTerrainNodeMethods,
                        (char*)"vtkGeoTerrainNode",modulename,
                        (char**)vtkGeoTerrainNodeDoc,
                        PyVTKClass_vtkGeoTreeNodeNew(modulename));
}

