// python wrapper for vtkGeoTerrain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoTerrain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoTerrainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoTerrainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoTerrain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  const char    *temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  vtkGeoTerrain  *temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoTerrain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoTerrain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoTerrain_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  vtkGeoSource  *temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  vtkGeoSource  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoSource *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoSource");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoTerrain_SaveDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  char    *temp0;
  int      temp1;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain::SaveDatabase(temp0,temp1);
      }
    else
      {
      op->SaveDatabase(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_AddActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkAssembly  *temp1;
  PyObject *tempH1;
  vtkCollection  *temp2;
  PyObject *tempH2;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkAssembly *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAssembly");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkCollection *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkCollection");
    if (!temp2 && tempH2 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain::AddActors(temp0,temp1,temp2);
      }
    else
      {
      op->AddActors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkGeoTerrain_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  double  *temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_SetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  int      temp0;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTerrain::SetMaxLevel(temp0);
      }
    else
      {
      op->SetMaxLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_GetMaxLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  int      temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::GetMaxLevelMinValue();
      }
    else
      {
      temp20 = op->GetMaxLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_GetMaxLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  int      temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::GetMaxLevelMaxValue();
      }
    else
      {
      temp20 = op->GetMaxLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTerrain_GetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTerrain *op;

  int      temp20;
  op = (vtkGeoTerrain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTerrain::GetMaxLevel();
      }
    else
      {
      temp20 = op->GetMaxLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoTerrainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoTerrain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoTerrain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoTerrain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoTerrain\nC++: vtkGeoTerrain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoTerrain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoTerrain\nC++: vtkGeoTerrain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGeoTerrain_GetSource, 1,
   (char*)"V.GetSource() -> vtkGeoSource\nC++: virtual vtkGeoSource *GetSource ();return this GeoSource \n\n The source used to obtain geometry patches.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGeoTerrain_SetSource, 1,
   (char*)"V.SetSource(vtkGeoSource)\nC++: virtual void SetSource (vtkGeoSource *source);\n\n The source used to obtain geometry patches.\n"},
  {(char*)"SaveDatabase",                (PyCFunction)PyvtkGeoTerrain_SaveDatabase, 1,
   (char*)"V.SaveDatabase(string, int)\nC++: void SaveDatabase (const char *path, int depth);\n\n Save the set of patches up to a given maximum depth.\n"},
  {(char*)"AddActors",                (PyCFunction)PyvtkGeoTerrain_AddActors, 1,
   (char*)"V.AddActors(vtkRenderer, vtkAssembly, vtkCollection)\nC++: void AddActors (vtkRenderer *ren, vtkAssembly *assembly, vtkCollection *imageReps);\n\n Update the actors in an assembly used to render the globe.\n ren is the current renderer, and imageReps holds the collection of\n vtkGeoAlignedImageRepresentations that will be blended together to\n form the image on the globe.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkGeoTerrain_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n The world-coordinate origin offset used to eliminate precision errors\n when zoomed in to a particular region of the globe.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkGeoTerrain_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n The world-coordinate origin offset used to eliminate precision errors\n when zoomed in to a particular region of the globe.\n"},
  {(char*)"SetMaxLevel",                (PyCFunction)PyvtkGeoTerrain_SetMaxLevel, 1,
   (char*)"V.SetMaxLevel(int)\nC++: void SetMaxLevel (int );\n\n The maximum level of the terrain tree.\n"},
  {(char*)"GetMaxLevelMinValue",                (PyCFunction)PyvtkGeoTerrain_GetMaxLevelMinValue, 1,
   (char*)"V.GetMaxLevelMinValue() -> int\nC++: int GetMaxLevelMinValue ();\n\n The maximum level of the terrain tree.\n"},
  {(char*)"GetMaxLevelMaxValue",                (PyCFunction)PyvtkGeoTerrain_GetMaxLevelMaxValue, 1,
   (char*)"V.GetMaxLevelMaxValue() -> int\nC++: int GetMaxLevelMaxValue ();\n\n The maximum level of the terrain tree.\n"},
  {(char*)"GetMaxLevel",                (PyCFunction)PyvtkGeoTerrain_GetMaxLevel, 1,
   (char*)"V.GetMaxLevel() -> int\nC++: int GetMaxLevel ();\n\n The maximum level of the terrain tree.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoTerrainDoc[] = {
  (char*)"vtkGeoTerrain - A 3D terrain model for the globe.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGeoTerrain contains a multi-resolution tree of geometry representing\n the globe. It uses a vtkGeoSource subclass to generate the terrain, such\n as vtkGeoGlobeSource. This source must be set before using the terrain in\n a vtkGeoView. The terrain also contains an AddActors() method which\n will update the set of actors representing the globe given the current\n camera position.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoTerrainStaticNew()
{
  return vtkGeoTerrain::New();
}

PyObject *PyVTKClass_vtkGeoTerrainNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoTerrainStaticNew,
                        PyvtkGeoTerrainMethods,
                        (char*)"vtkGeoTerrain",modulename,
                        (char**)vtkGeoTerrainDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

