// python wrapper for vtkGeoTreeNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoTreeNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoTreeNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoTreeNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoTreeNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  const char    *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoTreeNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoTreeNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  unsigned long     temp0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetId(temp0);
      }
    else
      {
      op->SetId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  unsigned long     temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetId();
      }
    else
      {
      temp20 = op->GetId();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  int      temp0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetLevel(temp0);
      }
    else
      {
      op->SetLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  int      temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetLongitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  double   temp0;
  double   temp1;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetLongitudeRange(temp0,temp1);
      }
    else
      {
      op->SetLongitudeRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetLongitudeRange(temp0);
      }
    else
      {
      op->SetLongitudeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetLongitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  double  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetLongitudeRange();
      }
    else
      {
      temp20 = op->GetLongitudeRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetLatitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  double   temp0;
  double   temp1;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetLatitudeRange(temp0,temp1);
      }
    else
      {
      op->SetLatitudeRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetLatitudeRange(temp0);
      }
    else
      {
      op->SetLatitudeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetLatitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  double  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetLatitudeRange();
      }
    else
      {
      temp20 = op->GetLatitudeRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetChild(temp0,temp1);
      }
    else
      {
      op->SetChild(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetParent(temp0);
      }
    else
      {
      op->SetParent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetOlder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetOlder(temp0);
      }
    else
      {
      op->SetOlder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetOlder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetOlder();
      }
    else
      {
      temp20 = op->GetOlder();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_SetNewer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::SetNewer(temp0);
      }
    else
      {
      op->SetNewer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetNewer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetNewer();
      }
    else
      {
      temp20 = op->GetNewer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_HasData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  bool   temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::HasData();
      }
    else
      {
      temp20 = op->HasData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_DeleteData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::DeleteData();
      }
    else
      {
      op->DeleteData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetWhichChildAreYou(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  int      temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetWhichChildAreYou();
      }
    else
      {
      temp20 = op->GetWhichChildAreYou();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_IsDescendantOf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::IsDescendantOf(temp0);
      }
    else
      {
      temp20 = op->IsDescendantOf(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_CreateChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  int      temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::CreateChildren();
      }
    else
      {
      temp20 = op->CreateChildren();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetChildTreeNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  int      temp0;
  vtkGeoTreeNode  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetChildTreeNode(temp0);
      }
    else
      {
      temp20 = op->GetChildTreeNode(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_GetParentTreeNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp20;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNode::GetParentTreeNode();
      }
    else
      {
      temp20 = op->GetParentTreeNode();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkGeoTreeNode_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNode *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNode::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}

static PyMethodDef PyvtkGeoTreeNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoTreeNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoTreeNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoTreeNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoTreeNode\nC++: vtkGeoTreeNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoTreeNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoTreeNode\nC++: vtkGeoTreeNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetId",                (PyCFunction)PyvtkGeoTreeNode_SetId, 1,
   (char*)"V.SetId(int)\nC++: void SetId (unsigned long );\n\n The id uniquely specified this node.\n For this implementation I am going to store the branch path\n in the bits.\n"},
  {(char*)"GetId",                (PyCFunction)PyvtkGeoTreeNode_GetId, 1,
   (char*)"V.GetId() -> int\nC++: long unsigned GetId ();\n\n The id uniquely specified this node.\n For this implementation I am going to store the branch path\n in the bits.\n"},
  {(char*)"SetLevel",                (PyCFunction)PyvtkGeoTreeNode_SetLevel, 1,
   (char*)"V.SetLevel(int)\nC++: void SetLevel (int );\n\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkGeoTreeNode_GetLevel, 1,
   (char*)"V.GetLevel() -> int\nC++: int GetLevel ();\n\n"},
  {(char*)"SetLongitudeRange",                (PyCFunction)PyvtkGeoTreeNode_SetLongitudeRange, 1,
   (char*)"V.SetLongitudeRange(float, float)\nC++: void SetLongitudeRange (double , double );\nV.SetLongitudeRange((float, float))\nC++: void SetLongitudeRange (double  a[2]);\n\n Longitude and latitude range of the terrain model.\n"},
  {(char*)"GetLongitudeRange",                (PyCFunction)PyvtkGeoTreeNode_GetLongitudeRange, 1,
   (char*)"V.GetLongitudeRange() -> (float, float)\nC++: double  *GetLongitudeRange ();\n\n Longitude and latitude range of the terrain model.\n"},
  {(char*)"SetLatitudeRange",                (PyCFunction)PyvtkGeoTreeNode_SetLatitudeRange, 1,
   (char*)"V.SetLatitudeRange(float, float)\nC++: void SetLatitudeRange (double , double );\nV.SetLatitudeRange((float, float))\nC++: void SetLatitudeRange (double  a[2]);\n\n Longitude and latitude range of the terrain model.\n"},
  {(char*)"GetLatitudeRange",                (PyCFunction)PyvtkGeoTreeNode_GetLatitudeRange, 1,
   (char*)"V.GetLatitudeRange() -> (float, float)\nC++: double  *GetLatitudeRange ();\n\n Longitude and latitude range of the terrain model.\n"},
  {(char*)"SetChild",                (PyCFunction)PyvtkGeoTreeNode_SetChild, 1,
   (char*)"V.SetChild(vtkGeoTreeNode, int)\nC++: void SetChild (vtkGeoTreeNode *node, int idx);\n\n Get a child of this node. If one is set, then they all should\n set.  No not mix subclasses.\n"},
  {(char*)"SetParent",                (PyCFunction)PyvtkGeoTreeNode_SetParent, 1,
   (char*)"V.SetParent(vtkGeoTreeNode)\nC++: void SetParent (vtkGeoTreeNode *node);this Parent node \n\n Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n"},
  {(char*)"SetOlder",                (PyCFunction)PyvtkGeoTreeNode_SetOlder, 1,
   (char*)"V.SetOlder(vtkGeoTreeNode)\nC++: void SetOlder (vtkGeoTreeNode *node);this Older node \n\n Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n"},
  {(char*)"GetOlder",                (PyCFunction)PyvtkGeoTreeNode_GetOlder, 1,
   (char*)"V.GetOlder() -> vtkGeoTreeNode\nC++: vtkGeoTreeNode *GetOlder ();return this Older \n\n Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n"},
  {(char*)"SetNewer",                (PyCFunction)PyvtkGeoTreeNode_SetNewer, 1,
   (char*)"V.SetNewer(vtkGeoTreeNode)\nC++: void SetNewer (vtkGeoTreeNode *node);this Newer node \n\n Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n"},
  {(char*)"GetNewer",                (PyCFunction)PyvtkGeoTreeNode_GetNewer, 1,
   (char*)"V.GetNewer() -> vtkGeoTreeNode\nC++: vtkGeoTreeNode *GetNewer ();return this Newer \n\n Returns whether this node has valid data associated\n with it, or if it is an \"empty\" node.\n"},
  {(char*)"HasData",                (PyCFunction)PyvtkGeoTreeNode_HasData, 1,
   (char*)"V.HasData() -> bool\nC++: virtual bool HasData ();return false \n\n Deletes the data associated with the node to make this\n an \"empty\" node. This is performed when the node has\n been unused for a certain amount of time.\n"},
  {(char*)"DeleteData",                (PyCFunction)PyvtkGeoTreeNode_DeleteData, 1,
   (char*)"V.DeleteData()\nC++: virtual void DeleteData ();\n\n"},
  {(char*)"GetWhichChildAreYou",                (PyCFunction)PyvtkGeoTreeNode_GetWhichChildAreYou, 1,
   (char*)"V.GetWhichChildAreYou() -> int\nC++: int GetWhichChildAreYou ();\n\n"},
  {(char*)"IsDescendantOf",                (PyCFunction)PyvtkGeoTreeNode_IsDescendantOf, 1,
   (char*)"V.IsDescendantOf(vtkGeoTreeNode) -> bool\nC++: bool IsDescendantOf (vtkGeoTreeNode *elder);\n\n This method returns true if this node descends from the\n elder node.  The descision is made from the node ids, so the nodes do\n not have to be in the same tree!\n"},
  {(char*)"CreateChildren",                (PyCFunction)PyvtkGeoTreeNode_CreateChildren, 1,
   (char*)"V.CreateChildren() -> int\nC++: int CreateChildren ();\n\n"},
  {(char*)"GetChildTreeNode",                (PyCFunction)PyvtkGeoTreeNode_GetChildTreeNode, 1,
   (char*)"V.GetChildTreeNode(int) -> vtkGeoTreeNode\nC++: vtkGeoTreeNode *GetChildTreeNode (int idx);return this Children idx \n\n Get the parent as a vtkGeoTreeNode.\n Subclasses also implement GetParent() which returns the parent\n as the appropriate subclass type.\n"},
  {(char*)"GetParentTreeNode",                (PyCFunction)PyvtkGeoTreeNode_GetParentTreeNode, 1,
   (char*)"V.GetParentTreeNode() -> vtkGeoTreeNode\nC++: vtkGeoTreeNode *GetParentTreeNode ();return this Parent \n\n Shallow and Deep copy. Deep copy performs a shallow copy\n of the Child nodes.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGeoTreeNode_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkGeoTreeNode)\nC++: virtual void ShallowCopy (vtkGeoTreeNode *src);\n\n Shallow and Deep copy. Deep copy performs a shallow copy\n of the Child nodes.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGeoTreeNode_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkGeoTreeNode)\nC++: virtual void DeepCopy (vtkGeoTreeNode *src);\n\n Shallow and Deep copy. Deep copy performs a shallow copy\n of the Child nodes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoTreeNodeDoc[] = {
  (char*)"vtkGeoTreeNode - Stores data for a patch of the globe.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" A self-referential data structure for storing geometry or imagery for\n the geospatial views. The data is organized in a quadtree. Each node\n contains a pointer to its parent and owns references to its four\n child nodes. The ID of each node is unique in its level, and encodes\n the path from the root node in its bits.\n\n",
  "See Also:\n\n vtkGeoView vtkGeoView2D vtkGeoTerrain vtkGeoAlignedImageRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkGeoTreeNodeStaticNew()
{
  return vtkGeoTreeNode::New();
}

PyObject *PyVTKClass_vtkGeoTreeNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoTreeNodeStaticNew,
                        PyvtkGeoTreeNodeMethods,
                        (char*)"vtkGeoTreeNode",modulename,
                        (char**)vtkGeoTreeNodeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

