// python wrapper for vtkCoincidentPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCoincidentPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCoincidentPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCoincidentPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCoincidentPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  const char    *temp20;
  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  vtkCoincidentPoints  *temp20;
  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCoincidentPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCoincidentPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_AddPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  vtkIdType   temp0;
  double temp1[3];
  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"L(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoincidentPoints::AddPoint(temp0,temp1);
      }
    else
      {
      op->AddPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_GetCoincidentPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  double temp0[3];
  vtkIdList  *temp20;
  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentPoints::GetCoincidentPointIds(temp0);
      }
    else
      {
      temp20 = op->GetCoincidentPointIds(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_GetNextCoincidentPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  vtkIdList  *temp20;
  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentPoints::GetNextCoincidentPointIds();
      }
    else
      {
      temp20 = op->GetNextCoincidentPointIds();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoincidentPoints::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_RemoveNonCoincidentPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoincidentPoints::RemoveNonCoincidentPoints();
      }
    else
      {
      op->RemoveNonCoincidentPoints();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentPoints_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentPoints *op;

  op = (vtkCoincidentPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoincidentPoints::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCoincidentPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCoincidentPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCoincidentPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCoincidentPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCoincidentPoints\nC++: vtkCoincidentPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCoincidentPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCoincidentPoints\nC++: vtkCoincidentPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddPoint",                (PyCFunction)PyvtkCoincidentPoints_AddPoint, 1,
   (char*)"V.AddPoint(int, (float, float, float))\nC++: void AddPoint (vtkIdType Id, const double point[3]);\n\n Accumulates a set of Ids in a map where the point coordinate\n is the key. All Ids in a given map entry are thus coincident.\n @param Id - a unique Id for the given \\a point that will be stored in an vtkIdList.\n @param[in] point - the point coordinate that we will store in the map to test if any other points are\n coincident with it.\n"},
  {(char*)"GetCoincidentPointIds",                (PyCFunction)PyvtkCoincidentPoints_GetCoincidentPointIds, 1,
   (char*)"V.GetCoincidentPointIds((float, float, float)) -> vtkIdList\nC++: vtkIdList *GetCoincidentPointIds (const double point[3]);\n\n Retrieve the list of point Ids that are coincident with the given \\a point.\n @param[in] point - the coordinate of coincident points we want to retrieve.\n"},
  {(char*)"GetNextCoincidentPointIds",                (PyCFunction)PyvtkCoincidentPoints_GetNextCoincidentPointIds, 1,
   (char*)"V.GetNextCoincidentPointIds() -> vtkIdList\nC++: vtkIdList *GetNextCoincidentPointIds ();\n\n Used to iterate the sets of coincident points within the map.\n InitTraversal must be called first or NULL will always be returned.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCoincidentPoints_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();\n\n"},
  {(char*)"RemoveNonCoincidentPoints",                (PyCFunction)PyvtkCoincidentPoints_RemoveNonCoincidentPoints, 1,
   (char*)"V.RemoveNonCoincidentPoints()\nC++: void RemoveNonCoincidentPoints ();\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkCoincidentPoints_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCoincidentPointsDoc[] = {
  (char*)"vtkCoincidentPoints - contains an octree of labels\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class provides a collection of points that is organized such that \n each coordinate is stored with a set of point id's of points that are \n all coincident.\n\n",
  NULL
};

static vtkObjectBase *vtkCoincidentPointsStaticNew()
{
  return vtkCoincidentPoints::New();
}

PyObject *PyVTKClass_vtkCoincidentPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkCoincidentPointsStaticNew,
                        PyvtkCoincidentPointsMethods,
                        (char*)"vtkCoincidentPoints",modulename,
                        (char**)vtkCoincidentPointsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

