// python wrapper for vtkConvertSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConvertSelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConvertSelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConvertSelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkConvertSelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  const char    *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  char    *temp0;
  int      temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkConvertSelection  *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConvertSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConvertSelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetDataObjectConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetDataObjectConnection(temp0);
      }
    else
      {
      op->SetDataObjectConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetInputFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  int      temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetInputFieldType(temp0);
      }
    else
      {
      op->SetInputFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetInputFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  int      temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetInputFieldType();
      }
    else
      {
      temp20 = op->GetInputFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  int      temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetOutputType(temp0);
      }
    else
      {
      op->SetOutputType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  int      temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetOutputType();
      }
    else
      {
      temp20 = op->GetOutputType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  char    *temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  const char    *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetArrayNames(temp0);
      }
    else
      {
      op->SetArrayNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkStringArray  *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetArrayNames();
      }
    else
      {
      temp20 = op->GetArrayNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_AddArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  char    *temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::AddArrayName(temp0);
      }
    else
      {
      op->AddArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_ClearArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::ClearArrayNames();
      }
    else
      {
      op->ClearArrayNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetMatchAnyValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  bool   temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetMatchAnyValues(temp0);
      }
    else
      {
      op->SetMatchAnyValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetMatchAnyValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  bool   temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetMatchAnyValues();
      }
    else
      {
      temp20 = op->GetMatchAnyValues();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_MatchAnyValuesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::MatchAnyValuesOn();
      }
    else
      {
      op->MatchAnyValuesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_MatchAnyValuesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::MatchAnyValuesOff();
      }
    else
      {
      op->MatchAnyValuesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToIndexSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break19;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break19;
      {
      temp20 = vtkConvertSelection::ToIndexSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToGlobalIdSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break20;
      {
      temp20 = vtkConvertSelection::ToGlobalIdSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToPedigreeIdSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break21;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break21;
      {
      temp20 = vtkConvertSelection::ToPedigreeIdSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToValueSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  char    *temp2;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OOz", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break22;
      {
      temp20 = vtkConvertSelection::ToValueSelection(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break22:
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkStringArray  *temp2;
  PyObject *tempH2;
  vtkSelection  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break23;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break23;
    temp2 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkStringArray");
    if (!temp2 && tempH2 != Py_None) goto break23;
      {
      temp20 = vtkConvertSelection::ToValueSelection(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetSelectedItems(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  int      temp2;
  vtkIdTypeArray  *temp3;
  PyObject *tempH3;
  if ((PyArg_ParseTuple(args, (char*)"OOiO", &tempH0, &tempH1, &temp2, &tempH3)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break24;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break24;
    temp3 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdTypeArray");
    if (!temp3 && tempH3 != Py_None) goto break24;
      {
      vtkConvertSelection::GetSelectedItems(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetSelectedVertices(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkGraph  *temp1;
  PyObject *tempH1;
  vtkIdTypeArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break25;
    temp1 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGraph");
    if (!temp1 && tempH1 != Py_None) goto break25;
    temp2 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdTypeArray");
    if (!temp2 && tempH2 != Py_None) goto break25;
      {
      vtkConvertSelection::GetSelectedVertices(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetSelectedEdges(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkGraph  *temp1;
  PyObject *tempH1;
  vtkIdTypeArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break26;
    temp1 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGraph");
    if (!temp1 && tempH1 != Py_None) goto break26;
    temp2 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdTypeArray");
    if (!temp2 && tempH2 != Py_None) goto break26;
      {
      vtkConvertSelection::GetSelectedEdges(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetSelectedPoints(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  vtkIdTypeArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break27;
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break27;
    temp2 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdTypeArray");
    if (!temp2 && tempH2 != Py_None) goto break27;
      {
      vtkConvertSelection::GetSelectedPoints(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetSelectedCells(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  vtkIdTypeArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break28;
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break28;
    temp2 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdTypeArray");
    if (!temp2 && tempH2 != Py_None) goto break28;
      {
      vtkConvertSelection::GetSelectedCells(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetSelectedRows(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkTable  *temp1;
  PyObject *tempH1;
  vtkIdTypeArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break29;
    temp1 = (vtkTable *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTable");
    if (!temp1 && tempH1 != Py_None) goto break29;
    temp2 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdTypeArray");
    if (!temp2 && tempH2 != Py_None) goto break29;
      {
      vtkConvertSelection::GetSelectedRows(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToSelectionType(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  int      temp2;
  vtkStringArray  *temp3;
  PyObject *tempH3;
  int      temp4;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OOiOi", &tempH0, &tempH1, &temp2, &tempH3, &temp4)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break30;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break30;
    temp3 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkStringArray");
    if (!temp3 && tempH3 != Py_None) goto break30;
      {
      temp20 = vtkConvertSelection::ToSelectionType(temp0,temp1,temp2,temp3,temp4);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break30:
  return NULL;
}

static PyMethodDef PyvtkConvertSelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConvertSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConvertSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConvertSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConvertSelection\nC++: vtkConvertSelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConvertSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConvertSelection\nC++: vtkConvertSelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDataObjectConnection",                (PyCFunction)PyvtkConvertSelection_SetDataObjectConnection, 1,
   (char*)"V.SetDataObjectConnection(vtkAlgorithmOutput)\nC++: void SetDataObjectConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the second input (i.e. the data object).\n"},
  {(char*)"SetInputFieldType",                (PyCFunction)PyvtkConvertSelection_SetInputFieldType, 1,
   (char*)"V.SetInputFieldType(int)\nC++: void SetInputFieldType (int );\n\n The input field type.\n If this is set to a number other than -1, ignores the input selection\n field type and instead assumes that all selection nodes have the\n field type specified.\n This should be one of the constants defined in vtkSelectionNode.h.\n Default is -1.\n"},
  {(char*)"GetInputFieldType",                (PyCFunction)PyvtkConvertSelection_GetInputFieldType, 1,
   (char*)"V.GetInputFieldType() -> int\nC++: int GetInputFieldType ();\n\n The input field type.\n If this is set to a number other than -1, ignores the input selection\n field type and instead assumes that all selection nodes have the\n field type specified.\n This should be one of the constants defined in vtkSelectionNode.h.\n Default is -1.\n"},
  {(char*)"SetOutputType",                (PyCFunction)PyvtkConvertSelection_SetOutputType, 1,
   (char*)"V.SetOutputType(int)\nC++: void SetOutputType (int );\n\n The output selection content type.\n This should be one of the constants defined in vtkSelectionNode.h.\n"},
  {(char*)"GetOutputType",                (PyCFunction)PyvtkConvertSelection_GetOutputType, 1,
   (char*)"V.GetOutputType() -> int\nC++: int GetOutputType ();\n\n The output selection content type.\n This should be one of the constants defined in vtkSelectionNode.h.\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkConvertSelection_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: virtual void SetArrayName (const char *);\n\n The output array name for value or threshold selections.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkConvertSelection_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: virtual const char *GetArrayName ();\n\n The output array name for value or threshold selections.\n"},
  {(char*)"SetArrayNames",                (PyCFunction)PyvtkConvertSelection_SetArrayNames, 1,
   (char*)"V.SetArrayNames(vtkStringArray)\nC++: virtual void SetArrayNames (vtkStringArray *);\n\n The output array names for value selection.\n"},
  {(char*)"GetArrayNames",                (PyCFunction)PyvtkConvertSelection_GetArrayNames, 1,
   (char*)"V.GetArrayNames() -> vtkStringArray\nC++: vtkStringArray *GetArrayNames ();\n\n The output array names for value selection.\n"},
  {(char*)"AddArrayName",                (PyCFunction)PyvtkConvertSelection_AddArrayName, 1,
   (char*)"V.AddArrayName(string)\nC++: void AddArrayName (const char *);\n\n Convenience methods used by UI\n"},
  {(char*)"ClearArrayNames",                (PyCFunction)PyvtkConvertSelection_ClearArrayNames, 1,
   (char*)"V.ClearArrayNames()\nC++: void ClearArrayNames ();\n\n Convenience methods used by UI\n"},
  {(char*)"SetMatchAnyValues",                (PyCFunction)PyvtkConvertSelection_SetMatchAnyValues, 1,
   (char*)"V.SetMatchAnyValues(bool)\nC++: void SetMatchAnyValues (bool );\n\n When on, creates a separate selection node for each array.\n Defaults to OFF.\n"},
  {(char*)"GetMatchAnyValues",                (PyCFunction)PyvtkConvertSelection_GetMatchAnyValues, 1,
   (char*)"V.GetMatchAnyValues() -> bool\nC++: bool GetMatchAnyValues ();\n\n When on, creates a separate selection node for each array.\n Defaults to OFF.\n"},
  {(char*)"MatchAnyValuesOn",                (PyCFunction)PyvtkConvertSelection_MatchAnyValuesOn, 1,
   (char*)"V.MatchAnyValuesOn()\nC++: void MatchAnyValuesOn ();\n\n When on, creates a separate selection node for each array.\n Defaults to OFF.\n"},
  {(char*)"MatchAnyValuesOff",                (PyCFunction)PyvtkConvertSelection_MatchAnyValuesOff, 1,
   (char*)"V.MatchAnyValuesOff()\nC++: void MatchAnyValuesOff ();\n\n When on, creates a separate selection node for each array.\n Defaults to OFF.\n"},
  {(char*)"ToIndexSelection",                (PyCFunction)PyvtkConvertSelection_ToIndexSelection, 1,
   (char*)"V.ToIndexSelection(vtkSelection, vtkDataObject) -> vtkSelection\nC++: static vtkSelection *ToIndexSelection (vtkSelection *input, vtkDataObject *data);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToGlobalIdSelection",                (PyCFunction)PyvtkConvertSelection_ToGlobalIdSelection, 1,
   (char*)"V.ToGlobalIdSelection(vtkSelection, vtkDataObject) -> vtkSelection\nC++: static vtkSelection *ToGlobalIdSelection (vtkSelection *input, vtkDataObject *data);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToPedigreeIdSelection",                (PyCFunction)PyvtkConvertSelection_ToPedigreeIdSelection, 1,
   (char*)"V.ToPedigreeIdSelection(vtkSelection, vtkDataObject) -> vtkSelection\nC++: static vtkSelection *ToPedigreeIdSelection (vtkSelection *input, vtkDataObject *data);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToValueSelection",                (PyCFunction)PyvtkConvertSelection_ToValueSelection, 1,
   (char*)"V.ToValueSelection(vtkSelection, vtkDataObject, string) -> vtkSelection\nC++: static vtkSelection *ToValueSelection (vtkSelection *input, vtkDataObject *data, const char *arrayName);\nV.ToValueSelection(vtkSelection, vtkDataObject, vtkStringArray) -> vtkSelection\nC++: static vtkSelection *ToValueSelection (vtkSelection *input, vtkDataObject *data, vtkStringArray *arrayNames);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"GetSelectedItems",                (PyCFunction)PyvtkConvertSelection_GetSelectedItems, 1,
   (char*)"V.GetSelectedItems(vtkSelection, vtkDataObject, int, vtkIdTypeArray)\nC++: static void GetSelectedItems (vtkSelection *input, vtkDataObject *data, int fieldType, vtkIdTypeArray *indices);\n\n Static generic method for obtaining selected items from a data object.\n Other static methods (e.g. GetSelectedVertices) call this one.\n"},
  {(char*)"GetSelectedVertices",                (PyCFunction)PyvtkConvertSelection_GetSelectedVertices, 1,
   (char*)"V.GetSelectedVertices(vtkSelection, vtkGraph, vtkIdTypeArray)\nC++: static void GetSelectedVertices (vtkSelection *input, vtkGraph *data, vtkIdTypeArray *indices);\n\n Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n"},
  {(char*)"GetSelectedEdges",                (PyCFunction)PyvtkConvertSelection_GetSelectedEdges, 1,
   (char*)"V.GetSelectedEdges(vtkSelection, vtkGraph, vtkIdTypeArray)\nC++: static void GetSelectedEdges (vtkSelection *input, vtkGraph *data, vtkIdTypeArray *indices);\n\n Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n"},
  {(char*)"GetSelectedPoints",                (PyCFunction)PyvtkConvertSelection_GetSelectedPoints, 1,
   (char*)"V.GetSelectedPoints(vtkSelection, vtkDataSet, vtkIdTypeArray)\nC++: static void GetSelectedPoints (vtkSelection *input, vtkDataSet *data, vtkIdTypeArray *indices);\n\n Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n"},
  {(char*)"GetSelectedCells",                (PyCFunction)PyvtkConvertSelection_GetSelectedCells, 1,
   (char*)"V.GetSelectedCells(vtkSelection, vtkDataSet, vtkIdTypeArray)\nC++: static void GetSelectedCells (vtkSelection *input, vtkDataSet *data, vtkIdTypeArray *indices);\n\n Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n"},
  {(char*)"GetSelectedRows",                (PyCFunction)PyvtkConvertSelection_GetSelectedRows, 1,
   (char*)"V.GetSelectedRows(vtkSelection, vtkTable, vtkIdTypeArray)\nC++: static void GetSelectedRows (vtkSelection *input, vtkTable *data, vtkIdTypeArray *indices);\n\n Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n"},
  {(char*)"ToSelectionType",                (PyCFunction)PyvtkConvertSelection_ToSelectionType, 1,
   (char*)"V.ToSelectionType(vtkSelection, vtkDataObject, int, vtkStringArray, int) -> vtkSelection\nC++: static vtkSelection *ToSelectionType (vtkSelection *input, vtkDataObject *data, int type, vtkStringArray *arrayNames, int inputFieldType);\n\n A generic static method for converting selection types.\n The type should be an integer constant defined in vtkSelectionNode.h.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConvertSelectionDoc[] = {
  (char*)"vtkConvertSelection - Convert a selection from one type to another\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)" vtkConvertSelection converts an input selection from one type to another\n in the context of a data object being selected. The first input is the\n selection, while the second input is the data object that the selection\n relates to.\n\n\n",
  "See Also:\n\n vtkSelection vtkSelectionNode vtkExtractSelection vtkExtractSelectedGraph\n\n",
  NULL
};

static vtkObjectBase *vtkConvertSelectionStaticNew()
{
  return vtkConvertSelection::New();
}

PyObject *PyVTKClass_vtkConvertSelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkConvertSelectionStaticNew,
                        PyvtkConvertSelectionMethods,
                        (char*)"vtkConvertSelection",modulename,
                        (char**)vtkConvertSelectionDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

