// python wrapper for vtkQuadraturePointInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuadraturePointInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadraturePointInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadraturePointInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkQuadraturePointInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointInterpolator *op;

  const char    *temp20;
  op = (vtkQuadraturePointInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuadraturePointInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointInterpolator *op;

  vtkQuadraturePointInterpolator  *temp20;
  op = (vtkQuadraturePointInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuadraturePointInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuadraturePointInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkQuadraturePointInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuadraturePointInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuadraturePointInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuadraturePointInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuadraturePointInterpolator\nC++: vtkQuadraturePointInterpolator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuadraturePointInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuadraturePointInterpolator\nC++: vtkQuadraturePointInterpolator *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadraturePointInterpolatorDoc[] = {
  (char*)"vtkQuadraturePointInterpolator\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)"\n Interpolates each scalar/vector field in a vtkUnstrcturedGrid\n on its input to a specific set of quadrature points. The\n set of quadrature points is specified per array via a \n dictionary (ie an instance of vtkInformationQuadratureSchemeDefinitionVectorKey). \n contained in the array. The interpolated fields are placed\n in FieldData along with a set of per cell indexes, that allow \n random access",
  (char*)" to a given cells quadrature points.\n\n\n",
  "See Also:\n\n vtkQuadratureSchemeDefinition, vtkQuadraturePointsGenerator, vtkInformationQuadratureSchemeDefinitionVectorKey\n\n",
  NULL
};

static vtkObjectBase *vtkQuadraturePointInterpolatorStaticNew()
{
  return vtkQuadraturePointInterpolator::New();
}

PyObject *PyVTKClass_vtkQuadraturePointInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadraturePointInterpolatorStaticNew,
                        PyvtkQuadraturePointInterpolatorMethods,
                        (char*)"vtkQuadraturePointInterpolator",modulename,
                        (char**)vtkQuadraturePointInterpolatorDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

