// python wrapper for vtkQuadratureSchemeDictionaryGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuadratureSchemeDictionaryGenerator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadratureSchemeDictionaryGeneratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadratureSchemeDictionaryGeneratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkQuadratureSchemeDictionaryGenerator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDictionaryGenerator *op;

  const char    *temp20;
  op = (vtkQuadratureSchemeDictionaryGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDictionaryGenerator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDictionaryGenerator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDictionaryGenerator *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuadratureSchemeDictionaryGenerator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDictionaryGenerator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDictionaryGenerator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDictionaryGenerator *op;

  vtkQuadratureSchemeDictionaryGenerator  *temp20;
  op = (vtkQuadratureSchemeDictionaryGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDictionaryGenerator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDictionaryGenerator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuadratureSchemeDictionaryGenerator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuadratureSchemeDictionaryGenerator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkQuadratureSchemeDictionaryGeneratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuadratureSchemeDictionaryGenerator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuadratureSchemeDictionaryGenerator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuadratureSchemeDictionaryGenerator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuadratureSchemeDictionaryGenerator\nC++: vtkQuadratureSchemeDictionaryGenerator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuadratureSchemeDictionaryGenerator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuadratureSchemeDictionaryGenerator\nC++: vtkQuadratureSchemeDictionaryGenerator *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadratureSchemeDictionaryGeneratorDoc[] = {
  (char*)"vtkQuadratureSchemeDictionaryGenerator\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)"\n Given an unstructured grid on its input this filter generates\n for each data array in point data dictionary (ie an instance of \n vtkInformationQuadratureSchemeDefinitionVectorKey). This filter \n has been introduced to facilitate testing of the vtkQuadrature* \n classes as these cannot operate with the dictionary. This class\n is for testing and should not be used for application development.\n\n .SE",
  (char*)"CTION See also\n vtkQuadraturePointInterpolator, vtkQuadraturePointsGenerator, vtkQuadratureSchemeDefinition\n\n",
  NULL
};

static vtkObjectBase *vtkQuadratureSchemeDictionaryGeneratorStaticNew()
{
  return vtkQuadratureSchemeDictionaryGenerator::New();
}

PyObject *PyVTKClass_vtkQuadratureSchemeDictionaryGeneratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadratureSchemeDictionaryGeneratorStaticNew,
                        PyvtkQuadratureSchemeDictionaryGeneratorMethods,
                        (char*)"vtkQuadratureSchemeDictionaryGenerator",modulename,
                        (char**)vtkQuadratureSchemeDictionaryGeneratorDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

