// python wrapper for vtkSectorSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSectorSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSectorSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSectorSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSectorSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  const char    *temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  vtkSectorSource  *temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSectorSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSectorSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSectorSource_SetInnerRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetInnerRadius(temp0);
      }
    else
      {
      op->SetInnerRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetInnerRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetInnerRadiusMinValue();
      }
    else
      {
      temp20 = op->GetInnerRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetInnerRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetInnerRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetInnerRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetInnerRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetInnerRadius();
      }
    else
      {
      temp20 = op->GetInnerRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SetOuterRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetOuterRadius(temp0);
      }
    else
      {
      op->SetOuterRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetOuterRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetOuterRadiusMinValue();
      }
    else
      {
      temp20 = op->GetOuterRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetOuterRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetOuterRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetOuterRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetOuterRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetOuterRadius();
      }
    else
      {
      temp20 = op->GetOuterRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SetZCoord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetZCoord(temp0);
      }
    else
      {
      op->SetZCoord(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetZCoordMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetZCoordMinValue();
      }
    else
      {
      temp20 = op->GetZCoordMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetZCoordMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetZCoordMaxValue();
      }
    else
      {
      temp20 = op->GetZCoordMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetZCoord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetZCoord();
      }
    else
      {
      temp20 = op->GetZCoord();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SetRadialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetRadialResolution(temp0);
      }
    else
      {
      op->SetRadialResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetRadialResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetRadialResolutionMinValue();
      }
    else
      {
      temp20 = op->GetRadialResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetRadialResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetRadialResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetRadialResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetRadialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetRadialResolution();
      }
    else
      {
      temp20 = op->GetRadialResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SetCircumferentialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetCircumferentialResolution(temp0);
      }
    else
      {
      op->SetCircumferentialResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetCircumferentialResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetCircumferentialResolutionMinValue();
      }
    else
      {
      temp20 = op->GetCircumferentialResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetCircumferentialResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetCircumferentialResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetCircumferentialResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetCircumferentialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  int      temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetCircumferentialResolution();
      }
    else
      {
      temp20 = op->GetCircumferentialResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SetStartAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetStartAngle(temp0);
      }
    else
      {
      op->SetStartAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetStartAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetStartAngleMinValue();
      }
    else
      {
      temp20 = op->GetStartAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetStartAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetStartAngleMaxValue();
      }
    else
      {
      temp20 = op->GetStartAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetStartAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetStartAngle();
      }
    else
      {
      temp20 = op->GetStartAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_SetEndAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp0;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSectorSource::SetEndAngle(temp0);
      }
    else
      {
      op->SetEndAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetEndAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetEndAngleMinValue();
      }
    else
      {
      temp20 = op->GetEndAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetEndAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetEndAngleMaxValue();
      }
    else
      {
      temp20 = op->GetEndAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSectorSource_GetEndAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSectorSource *op;

  double   temp20;
  op = (vtkSectorSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSectorSource::GetEndAngle();
      }
    else
      {
      temp20 = op->GetEndAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSectorSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSectorSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSectorSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSectorSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSectorSource\nC++: vtkSectorSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSectorSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSectorSource\nC++: vtkSectorSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInnerRadius",                (PyCFunction)PyvtkSectorSource_SetInnerRadius, 1,
   (char*)"V.SetInnerRadius(float)\nC++: void SetInnerRadius (double );\n\n Specify inner radius of the sector.\n"},
  {(char*)"GetInnerRadiusMinValue",                (PyCFunction)PyvtkSectorSource_GetInnerRadiusMinValue, 1,
   (char*)"V.GetInnerRadiusMinValue() -> float\nC++: double GetInnerRadiusMinValue ();\n\n Specify inner radius of the sector.\n"},
  {(char*)"GetInnerRadiusMaxValue",                (PyCFunction)PyvtkSectorSource_GetInnerRadiusMaxValue, 1,
   (char*)"V.GetInnerRadiusMaxValue() -> float\nC++: double GetInnerRadiusMaxValue ();\n\n Specify inner radius of the sector.\n"},
  {(char*)"GetInnerRadius",                (PyCFunction)PyvtkSectorSource_GetInnerRadius, 1,
   (char*)"V.GetInnerRadius() -> float\nC++: double GetInnerRadius ();\n\n Specify inner radius of the sector.\n"},
  {(char*)"SetOuterRadius",                (PyCFunction)PyvtkSectorSource_SetOuterRadius, 1,
   (char*)"V.SetOuterRadius(float)\nC++: void SetOuterRadius (double );\n\n Specify outer radius of the sector.\n"},
  {(char*)"GetOuterRadiusMinValue",                (PyCFunction)PyvtkSectorSource_GetOuterRadiusMinValue, 1,
   (char*)"V.GetOuterRadiusMinValue() -> float\nC++: double GetOuterRadiusMinValue ();\n\n Specify outer radius of the sector.\n"},
  {(char*)"GetOuterRadiusMaxValue",                (PyCFunction)PyvtkSectorSource_GetOuterRadiusMaxValue, 1,
   (char*)"V.GetOuterRadiusMaxValue() -> float\nC++: double GetOuterRadiusMaxValue ();\n\n Specify outer radius of the sector.\n"},
  {(char*)"GetOuterRadius",                (PyCFunction)PyvtkSectorSource_GetOuterRadius, 1,
   (char*)"V.GetOuterRadius() -> float\nC++: double GetOuterRadius ();\n\n Specify outer radius of the sector.\n"},
  {(char*)"SetZCoord",                (PyCFunction)PyvtkSectorSource_SetZCoord, 1,
   (char*)"V.SetZCoord(float)\nC++: void SetZCoord (double );\n\n Specify the z coordinate of the sector.\n"},
  {(char*)"GetZCoordMinValue",                (PyCFunction)PyvtkSectorSource_GetZCoordMinValue, 1,
   (char*)"V.GetZCoordMinValue() -> float\nC++: double GetZCoordMinValue ();\n\n Specify the z coordinate of the sector.\n"},
  {(char*)"GetZCoordMaxValue",                (PyCFunction)PyvtkSectorSource_GetZCoordMaxValue, 1,
   (char*)"V.GetZCoordMaxValue() -> float\nC++: double GetZCoordMaxValue ();\n\n Specify the z coordinate of the sector.\n"},
  {(char*)"GetZCoord",                (PyCFunction)PyvtkSectorSource_GetZCoord, 1,
   (char*)"V.GetZCoord() -> float\nC++: double GetZCoord ();\n\n Specify the z coordinate of the sector.\n"},
  {(char*)"SetRadialResolution",                (PyCFunction)PyvtkSectorSource_SetRadialResolution, 1,
   (char*)"V.SetRadialResolution(int)\nC++: void SetRadialResolution (int );\n\n Set the number of points in radius direction.\n"},
  {(char*)"GetRadialResolutionMinValue",                (PyCFunction)PyvtkSectorSource_GetRadialResolutionMinValue, 1,
   (char*)"V.GetRadialResolutionMinValue() -> int\nC++: int GetRadialResolutionMinValue ();\n\n Set the number of points in radius direction.\n"},
  {(char*)"GetRadialResolutionMaxValue",                (PyCFunction)PyvtkSectorSource_GetRadialResolutionMaxValue, 1,
   (char*)"V.GetRadialResolutionMaxValue() -> int\nC++: int GetRadialResolutionMaxValue ();\n\n Set the number of points in radius direction.\n"},
  {(char*)"GetRadialResolution",                (PyCFunction)PyvtkSectorSource_GetRadialResolution, 1,
   (char*)"V.GetRadialResolution() -> int\nC++: int GetRadialResolution ();\n\n Set the number of points in radius direction.\n"},
  {(char*)"SetCircumferentialResolution",                (PyCFunction)PyvtkSectorSource_SetCircumferentialResolution, 1,
   (char*)"V.SetCircumferentialResolution(int)\nC++: void SetCircumferentialResolution (int );\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"GetCircumferentialResolutionMinValue",                (PyCFunction)PyvtkSectorSource_GetCircumferentialResolutionMinValue, 1,
   (char*)"V.GetCircumferentialResolutionMinValue() -> int\nC++: int GetCircumferentialResolutionMinValue ();\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"GetCircumferentialResolutionMaxValue",                (PyCFunction)PyvtkSectorSource_GetCircumferentialResolutionMaxValue, 1,
   (char*)"V.GetCircumferentialResolutionMaxValue() -> int\nC++: int GetCircumferentialResolutionMaxValue ();\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"GetCircumferentialResolution",                (PyCFunction)PyvtkSectorSource_GetCircumferentialResolution, 1,
   (char*)"V.GetCircumferentialResolution() -> int\nC++: int GetCircumferentialResolution ();\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"SetStartAngle",                (PyCFunction)PyvtkSectorSource_SetStartAngle, 1,
   (char*)"V.SetStartAngle(float)\nC++: void SetStartAngle (double );\n\n Set the start angle of the sector.\n"},
  {(char*)"GetStartAngleMinValue",                (PyCFunction)PyvtkSectorSource_GetStartAngleMinValue, 1,
   (char*)"V.GetStartAngleMinValue() -> float\nC++: double GetStartAngleMinValue ();\n\n Set the start angle of the sector.\n"},
  {(char*)"GetStartAngleMaxValue",                (PyCFunction)PyvtkSectorSource_GetStartAngleMaxValue, 1,
   (char*)"V.GetStartAngleMaxValue() -> float\nC++: double GetStartAngleMaxValue ();\n\n Set the start angle of the sector.\n"},
  {(char*)"GetStartAngle",                (PyCFunction)PyvtkSectorSource_GetStartAngle, 1,
   (char*)"V.GetStartAngle() -> float\nC++: double GetStartAngle ();\n\n Set the start angle of the sector.\n"},
  {(char*)"SetEndAngle",                (PyCFunction)PyvtkSectorSource_SetEndAngle, 1,
   (char*)"V.SetEndAngle(float)\nC++: void SetEndAngle (double );\n\n Set the end angle of the sector.\n"},
  {(char*)"GetEndAngleMinValue",                (PyCFunction)PyvtkSectorSource_GetEndAngleMinValue, 1,
   (char*)"V.GetEndAngleMinValue() -> float\nC++: double GetEndAngleMinValue ();\n\n Set the end angle of the sector.\n"},
  {(char*)"GetEndAngleMaxValue",                (PyCFunction)PyvtkSectorSource_GetEndAngleMaxValue, 1,
   (char*)"V.GetEndAngleMaxValue() -> float\nC++: double GetEndAngleMaxValue ();\n\n Set the end angle of the sector.\n"},
  {(char*)"GetEndAngle",                (PyCFunction)PyvtkSectorSource_GetEndAngle, 1,
   (char*)"V.GetEndAngle() -> float\nC++: double GetEndAngle ();\n\n Set the end angle of the sector.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSectorSourceDoc[] = {
  (char*)"vtkSectorSource - create a sector of a disk\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSectorSource creates a sector of a polygonal disk. The \n disk has zero height. The user can specify the inner and outer radius\n of the disk, the z-coordinate, and the radial and \n circumferential resolution of the polygonal representation. \n\n",
  "See Also:\n\n vtkLinearExtrusionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkSectorSourceStaticNew()
{
  return vtkSectorSource::New();
}

PyObject *PyVTKClass_vtkSectorSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkSectorSourceStaticNew,
                        PyvtkSectorSourceMethods,
                        (char*)"vtkSectorSource",modulename,
                        (char**)vtkSectorSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

