// python wrapper for vtkTableBasedClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableBasedClipDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableBasedClipDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableBasedClipDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkTableBasedClipDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  const char    *temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  vtkTableBasedClipDataSet  *temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableBasedClipDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableBasedClipDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  unsigned long     temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  int      temp0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  int      temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  double   temp0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  double   temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetUseValueAsOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  bool   temp0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetUseValueAsOffset(temp0);
      }
    else
      {
      op->SetUseValueAsOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetUseValueAsOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  bool   temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetUseValueAsOffset();
      }
    else
      {
      temp20 = op->GetUseValueAsOffset();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_UseValueAsOffsetOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::UseValueAsOffsetOn();
      }
    else
      {
      op->UseValueAsOffsetOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_UseValueAsOffsetOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::UseValueAsOffsetOff();
      }
    else
      {
      op->UseValueAsOffsetOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetClipFunction(temp0);
      }
    else
      {
      op->SetClipFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  vtkImplicitFunction  *temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetClipFunction();
      }
    else
      {
      temp20 = op->GetClipFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  int      temp0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  int      temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  vtkIncrementalPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIncrementalPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIncrementalPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  vtkIncrementalPointLocator  *temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  double   temp0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetMergeTolerance(temp0);
      }
    else
      {
      op->SetMergeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetMergeToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  double   temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetMergeToleranceMinValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetMergeToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  double   temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetMergeToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  double   temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetMergeTolerance();
      }
    else
      {
      temp20 = op->GetMergeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  int      temp0;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  int      temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableBasedClipDataSet::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableBasedClipDataSet_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableBasedClipDataSet *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkTableBasedClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableBasedClipDataSet::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableBasedClipDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableBasedClipDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableBasedClipDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableBasedClipDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableBasedClipDataSet\nC++: vtkTableBasedClipDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableBasedClipDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableBasedClipDataSet\nC++: vtkTableBasedClipDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTableBasedClipDataSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime for which the point locator and clip function are consdiered.\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkTableBasedClipDataSet_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. With this flag off, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is greater than IVAR Value. With this flag on, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is less than or equal to IVAR Value. This flag is off by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkTableBasedClipDataSet_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. With this flag off, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is greater than IVAR Value. With this flag on, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is less than or equal to IVAR Value. This flag is off by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkTableBasedClipDataSet_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. With this flag off, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is greater than IVAR Value. With this flag on, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is less than or equal to IVAR Value. This flag is off by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkTableBasedClipDataSet_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. With this flag off, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is greater than IVAR Value. With this flag on, a vertex is considered\n inside (the implicit function or the isosurface) if the (function or scalar)\n value is less than or equal to IVAR Value. This flag is off by default.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkTableBasedClipDataSet_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set/Get the clipping value of the implicit function (if an implicit function\n is applied) or scalar data array (if a scalar data array is used), with 0.0\n as the default value. This value is ignored if flag UseValueAsOffset is true\n AND a clip function is defined.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkTableBasedClipDataSet_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set/Get the clipping value of the implicit function (if an implicit function\n is applied) or scalar data array (if a scalar data array is used), with 0.0\n as the default value. This value is ignored if flag UseValueAsOffset is true\n AND a clip function is defined.\n"},
  {(char*)"SetUseValueAsOffset",                (PyCFunction)PyvtkTableBasedClipDataSet_SetUseValueAsOffset, 1,
   (char*)"V.SetUseValueAsOffset(bool)\nC++: void SetUseValueAsOffset (bool );\n\n Set/Get flag UseValueAsOffset, with true as the default value. With this flag\n on, IVAR Value is used as an offset parameter to the implicit function. Value \n is used only when clipping using a scalar array.\n"},
  {(char*)"GetUseValueAsOffset",                (PyCFunction)PyvtkTableBasedClipDataSet_GetUseValueAsOffset, 1,
   (char*)"V.GetUseValueAsOffset() -> bool\nC++: bool GetUseValueAsOffset ();\n\n Set/Get flag UseValueAsOffset, with true as the default value. With this flag\n on, IVAR Value is used as an offset parameter to the implicit function. Value \n is used only when clipping using a scalar array.\n"},
  {(char*)"UseValueAsOffsetOn",                (PyCFunction)PyvtkTableBasedClipDataSet_UseValueAsOffsetOn, 1,
   (char*)"V.UseValueAsOffsetOn()\nC++: void UseValueAsOffsetOn ();\n\n Set/Get flag UseValueAsOffset, with true as the default value. With this flag\n on, IVAR Value is used as an offset parameter to the implicit function. Value \n is used only when clipping using a scalar array.\n"},
  {(char*)"UseValueAsOffsetOff",                (PyCFunction)PyvtkTableBasedClipDataSet_UseValueAsOffsetOff, 1,
   (char*)"V.UseValueAsOffsetOff()\nC++: void UseValueAsOffsetOff ();\n\n Set/Get flag UseValueAsOffset, with true as the default value. With this flag\n on, IVAR Value is used as an offset parameter to the implicit function. Value \n is used only when clipping using a scalar array.\n"},
  {(char*)"SetClipFunction",                (PyCFunction)PyvtkTableBasedClipDataSet_SetClipFunction, 1,
   (char*)"V.SetClipFunction(vtkImplicitFunction)\nC++: virtual void SetClipFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetClipFunction",                (PyCFunction)PyvtkTableBasedClipDataSet_GetClipFunction, 1,
   (char*)"V.GetClipFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetClipFunction ();\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkTableBasedClipDataSet_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n Set/Get flag GenerateClipScalars, with 0 as the default value. With this\n flag on, the scalar point data values obtained by evaluating the implicit\n function will be exported to the output. Note that this flag requries that\n an implicit function be provided.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkTableBasedClipDataSet_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n Set/Get flag GenerateClipScalars, with 0 as the default value. With this\n flag on, the scalar point data values obtained by evaluating the implicit\n function will be exported to the output. Note that this flag requries that\n an implicit function be provided.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkTableBasedClipDataSet_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n Set/Get flag GenerateClipScalars, with 0 as the default value. With this\n flag on, the scalar point data values obtained by evaluating the implicit\n function will be exported to the output. Note that this flag requries that\n an implicit function be provided.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkTableBasedClipDataSet_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n Set/Get flag GenerateClipScalars, with 0 as the default value. With this\n flag on, the scalar point data values obtained by evaluating the implicit\n function will be exported to the output. Note that this flag requries that\n an implicit function be provided.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkTableBasedClipDataSet_SetLocator, 1,
   (char*)"V.SetLocator(vtkIncrementalPointLocator)\nC++: void SetLocator (vtkIncrementalPointLocator *locator);\n\n Set/Get a point locator locator for merging duplicate points. By default, \n an instance of vtkMergePoints is used. Note that this IVAR is provided\n in this class only because this filter may resort to its sibling class\n vtkClipDataSet when processing some special grids (such as cylinders or\n cones with capping faces in the form of a vtkPolyData) while the latter\n requires a point locator. This filter itself does not need a locator.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkTableBasedClipDataSet_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkIncrementalPointLocator\nC++: vtkIncrementalPointLocator *GetLocator ();\n\n Set/Get a point locator locator for merging duplicate points. By default, \n an instance of vtkMergePoints is used. Note that this IVAR is provided\n in this class only because this filter may resort to its sibling class\n vtkClipDataSet when processing some special grids (such as cylinders or\n cones with capping faces in the form of a vtkPolyData) while the latter\n requires a point locator. This filter itself does not need a locator.\n"},
  {(char*)"SetMergeTolerance",                (PyCFunction)PyvtkTableBasedClipDataSet_SetMergeTolerance, 1,
   (char*)"V.SetMergeTolerance(float)\nC++: void SetMergeTolerance (double );\n\n Set/Get the tolerance used for merging duplicate points near the clipping \n intersection cells. This tolerance may prevent the generation of degenerate\n primitives. Note that only 3D cells actually use this IVAR.\n"},
  {(char*)"GetMergeToleranceMinValue",                (PyCFunction)PyvtkTableBasedClipDataSet_GetMergeToleranceMinValue, 1,
   (char*)"V.GetMergeToleranceMinValue() -> float\nC++: double GetMergeToleranceMinValue ();\n\n Set/Get the tolerance used for merging duplicate points near the clipping \n intersection cells. This tolerance may prevent the generation of degenerate\n primitives. Note that only 3D cells actually use this IVAR.\n"},
  {(char*)"GetMergeToleranceMaxValue",                (PyCFunction)PyvtkTableBasedClipDataSet_GetMergeToleranceMaxValue, 1,
   (char*)"V.GetMergeToleranceMaxValue() -> float\nC++: double GetMergeToleranceMaxValue ();\n\n Set/Get the tolerance used for merging duplicate points near the clipping \n intersection cells. This tolerance may prevent the generation of degenerate\n primitives. Note that only 3D cells actually use this IVAR.\n"},
  {(char*)"GetMergeTolerance",                (PyCFunction)PyvtkTableBasedClipDataSet_GetMergeTolerance, 1,
   (char*)"V.GetMergeTolerance() -> float\nC++: double GetMergeTolerance ();\n\n Set/Get the tolerance used for merging duplicate points near the clipping \n intersection cells. This tolerance may prevent the generation of degenerate\n primitives. Note that only 3D cells actually use this IVAR.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkTableBasedClipDataSet_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create a default point locator when none is specified. The point locator is\n used to merge coincident points.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkTableBasedClipDataSet_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Set/Get whether a second output is generated. The second output contains the\n polygonal data that is clipped away by the iso-surface.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkTableBasedClipDataSet_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Set/Get whether a second output is generated. The second output contains the\n polygonal data that is clipped away by the iso-surface.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkTableBasedClipDataSet_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Set/Get whether a second output is generated. The second output contains the\n polygonal data that is clipped away by the iso-surface.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkTableBasedClipDataSet_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Set/Get whether a second output is generated. The second output contains the\n polygonal data that is clipped away by the iso-surface.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkTableBasedClipDataSet_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetClippedOutput ();\n\n Return the clipped output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableBasedClipDataSetDoc[] = {
  (char*)"vtkTableBasedClipDataSet - Clip any dataset with a user-specified \n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)"  vtkTableBasedClipDataSet is a filter that clips any type of dataset using \n  either any subclass of vtkImplicitFunction or an input scalar point data \n  array. Clipping means that it actually \"cuts\" through the cells of the \n  dataset, returning everything outside the specified implicit function (or \n  greater than the scalar value) including \"pieces\" of a cell (Note to compare \n  this with vtkE",
  (char*)"xtractGeometry, which pulls out entire, uncut cells). The \n  output of this filter is a vtkUnstructuredGrid data.\n\n  To use this filter, you need to decide whether an implicit function or an \n  input scalar point data array is used for clipping. For the former case, \n  1) define an implicit function\n  2) provide it to this filter via SetClipFunction()\n  If a clipping function is not specified, or ",
  (char*)"GenerateClipScalars is off( the \n  default), the input scalar point data array is then employed for clipping.\n\n  You can also specify a scalar (iso-)value, which is used to decide what is\n  inside and outside the implicit function. You can also reverse the sense of \n  what inside/outside is by setting IVAR InsideOut. The clipping algorithm \n  proceeds by computing an implicit function value or usi",
  (char*)"ng the input scalar \n  point data value for each point in the dataset. This is compared against the \n  scalar (iso-)value to determine the inside/outside status.\n\n  Although this filter sometimes (but rarely) may resort to the sibling class\n  vtkClipDataSet for handling some special grids (such as cylinders or cones \n  with capping faces in the form of a vtkPolyData), it itself is able to deal\n  w",
  (char*)"ith most grids. It is worth mentioning that vtkTableBasedClipDataSet is \n  capable of addressing the artifacts that may occur with vtkClipDataSet due \n  to the possibly inconsistent triagulation modes between neighboring cells. \n  In addition, the former is much faster than the latter. Furthermore, the \n  former produces less cells (with ratio usually being 5~6) than by the latter \n  in the output",
  (char*)". In other words, this filter retains the original cells (i.e., \n  without triangulation / tetrahedralization) wherever possible. All these \n  advantages are gained by adopting the unique clipping and triangulation tables\n  proposed by VisIt.\n\n\n",
  "Caveats:\n\n  vtkTableBasedClipDataSet makes use of a hash table (that is provided by class\n  maintained by internal class vtkTableBasedClipperDataSetFromVolume) to achieve\n  rapid removal of duplicate points. The hash-based mechanism simply compares the\n  point Ids, without considering the actual inter-point distance (vtkClipDataSet \n  adopts vtkMergePoints that though considers the inter-point distance for robust \n  points merging ). As a result, some duplicate points may be pres ...\n [Truncated]\n\n",
  "See Also:\n\n vtkClipDataSet vtkClipVolume vtkClipPolyData vtkCutter vtkImplicitFunction\n\n",
  NULL
};

static vtkObjectBase *vtkTableBasedClipDataSetStaticNew()
{
  return vtkTableBasedClipDataSet::New();
}

PyObject *PyVTKClass_vtkTableBasedClipDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableBasedClipDataSetStaticNew,
                        PyvtkTableBasedClipDataSetMethods,
                        (char*)"vtkTableBasedClipDataSet",modulename,
                        (char**)vtkTableBasedClipDataSetDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

