// python wrapper for vtkTableToStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableToStructuredGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToStructuredGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToStructuredGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkTableToStructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  const char    *temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  vtkTableToStructuredGrid  *temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableToStructuredGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableToStructuredGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int     *temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetXColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp0;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetXColumn(temp0);
      }
    else
      {
      op->SetXColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetXColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetXColumn();
      }
    else
      {
      temp20 = op->GetXColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetXComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp0;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetXComponent(temp0);
      }
    else
      {
      op->SetXComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetXComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetXComponentMinValue();
      }
    else
      {
      temp20 = op->GetXComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetXComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetXComponentMaxValue();
      }
    else
      {
      temp20 = op->GetXComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetXComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetXComponent();
      }
    else
      {
      temp20 = op->GetXComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetYColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp0;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetYColumn(temp0);
      }
    else
      {
      op->SetYColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetYColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetYColumn();
      }
    else
      {
      temp20 = op->GetYColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetYComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp0;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetYComponent(temp0);
      }
    else
      {
      op->SetYComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetYComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetYComponentMinValue();
      }
    else
      {
      temp20 = op->GetYComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetYComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetYComponentMaxValue();
      }
    else
      {
      temp20 = op->GetYComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetYComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetYComponent();
      }
    else
      {
      temp20 = op->GetYComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetZColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp0;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetZColumn(temp0);
      }
    else
      {
      op->SetZColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetZColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  char    *temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetZColumn();
      }
    else
      {
      temp20 = op->GetZColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_SetZComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp0;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToStructuredGrid::SetZComponent(temp0);
      }
    else
      {
      op->SetZComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetZComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetZComponentMinValue();
      }
    else
      {
      temp20 = op->GetZComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetZComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetZComponentMaxValue();
      }
    else
      {
      temp20 = op->GetZComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToStructuredGrid_GetZComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToStructuredGrid *op;

  int      temp20;
  op = (vtkTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToStructuredGrid::GetZComponent();
      }
    else
      {
      temp20 = op->GetZComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableToStructuredGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableToStructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableToStructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableToStructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToStructuredGrid\nC++: vtkTableToStructuredGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableToStructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToStructuredGrid\nC++: vtkTableToStructuredGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkTableToStructuredGrid_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int , int , int , int , int , int );\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int  a[6]);\n\n Get/Set the whole extents for the image to produce. The size of the image\n must match the number of rows in the input table.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkTableToStructuredGrid_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n Get/Set the whole extents for the image to produce. The size of the image\n must match the number of rows in the input table.\n"},
  {(char*)"SetXColumn",                (PyCFunction)PyvtkTableToStructuredGrid_SetXColumn, 1,
   (char*)"V.SetXColumn(string)\nC++: void SetXColumn (char *);\n\n Set the name of the column to use as the X coordinate for the points. \n"},
  {(char*)"GetXColumn",                (PyCFunction)PyvtkTableToStructuredGrid_GetXColumn, 1,
   (char*)"V.GetXColumn() -> string\nC++: char *GetXColumn ();\n\n Set the name of the column to use as the X coordinate for the points. \n"},
  {(char*)"SetXComponent",                (PyCFunction)PyvtkTableToStructuredGrid_SetXComponent, 1,
   (char*)"V.SetXComponent(int)\nC++: void SetXComponent (int );\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"GetXComponentMinValue",                (PyCFunction)PyvtkTableToStructuredGrid_GetXComponentMinValue, 1,
   (char*)"V.GetXComponentMinValue() -> int\nC++: int GetXComponentMinValue ();\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"GetXComponentMaxValue",                (PyCFunction)PyvtkTableToStructuredGrid_GetXComponentMaxValue, 1,
   (char*)"V.GetXComponentMaxValue() -> int\nC++: int GetXComponentMaxValue ();\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"GetXComponent",                (PyCFunction)PyvtkTableToStructuredGrid_GetXComponent, 1,
   (char*)"V.GetXComponent() -> int\nC++: int GetXComponent ();\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"SetYColumn",                (PyCFunction)PyvtkTableToStructuredGrid_SetYColumn, 1,
   (char*)"V.SetYColumn(string)\nC++: void SetYColumn (char *);\n\n Set the name of the column to use as the Y coordinate for the points. \n Default is 0.\n"},
  {(char*)"GetYColumn",                (PyCFunction)PyvtkTableToStructuredGrid_GetYColumn, 1,
   (char*)"V.GetYColumn() -> string\nC++: char *GetYColumn ();\n\n Set the name of the column to use as the Y coordinate for the points. \n Default is 0.\n"},
  {(char*)"SetYComponent",                (PyCFunction)PyvtkTableToStructuredGrid_SetYComponent, 1,
   (char*)"V.SetYComponent(int)\nC++: void SetYComponent (int );\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetYComponentMinValue",                (PyCFunction)PyvtkTableToStructuredGrid_GetYComponentMinValue, 1,
   (char*)"V.GetYComponentMinValue() -> int\nC++: int GetYComponentMinValue ();\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetYComponentMaxValue",                (PyCFunction)PyvtkTableToStructuredGrid_GetYComponentMaxValue, 1,
   (char*)"V.GetYComponentMaxValue() -> int\nC++: int GetYComponentMaxValue ();\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetYComponent",                (PyCFunction)PyvtkTableToStructuredGrid_GetYComponent, 1,
   (char*)"V.GetYComponent() -> int\nC++: int GetYComponent ();\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"SetZColumn",                (PyCFunction)PyvtkTableToStructuredGrid_SetZColumn, 1,
   (char*)"V.SetZColumn(string)\nC++: void SetZColumn (char *);\n\n Set the name of the column to use as the Z coordinate for the points.\n Default is 0.\n"},
  {(char*)"GetZColumn",                (PyCFunction)PyvtkTableToStructuredGrid_GetZColumn, 1,
   (char*)"V.GetZColumn() -> string\nC++: char *GetZColumn ();\n\n Set the name of the column to use as the Z coordinate for the points.\n Default is 0.\n"},
  {(char*)"SetZComponent",                (PyCFunction)PyvtkTableToStructuredGrid_SetZComponent, 1,
   (char*)"V.SetZComponent(int)\nC++: void SetZComponent (int );\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetZComponentMinValue",                (PyCFunction)PyvtkTableToStructuredGrid_GetZComponentMinValue, 1,
   (char*)"V.GetZComponentMinValue() -> int\nC++: int GetZComponentMinValue ();\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetZComponentMaxValue",                (PyCFunction)PyvtkTableToStructuredGrid_GetZComponentMaxValue, 1,
   (char*)"V.GetZComponentMaxValue() -> int\nC++: int GetZComponentMaxValue ();\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetZComponent",                (PyCFunction)PyvtkTableToStructuredGrid_GetZComponent, 1,
   (char*)"V.GetZComponent() -> int\nC++: int GetZComponent ();\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableToStructuredGridDoc[] = {
  (char*)"vtkTableToStructuredGrid - converts vtkTable to a vtkStructuredGrid.\n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" vtkTableToStructuredGrid is a filter that converts an input\n vtkTable to a vtkStructuredGrid. It provides API to select columns to use as\n points in the output structured grid. The specified dimensions of the output\n (specified using SetWholeExtent()) must match the number of rows in the input\n table.\n\n",
  NULL
};

static vtkObjectBase *vtkTableToStructuredGridStaticNew()
{
  return vtkTableToStructuredGrid::New();
}

PyObject *PyVTKClass_vtkTableToStructuredGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableToStructuredGridStaticNew,
                        PyvtkTableToStructuredGridMethods,
                        (char*)"vtkTableToStructuredGrid",modulename,
                        (char**)vtkTableToStructuredGridDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

