// python wrapper for vtkTessellatedBoxSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTessellatedBoxSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTessellatedBoxSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTessellatedBoxSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTessellatedBoxSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  const char    *temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  vtkTessellatedBoxSource  *temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTessellatedBoxSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTessellatedBoxSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  double  *temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_SetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  int      temp0;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::SetLevel(temp0);
      }
    else
      {
      op->SetLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  int      temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_SetDuplicateSharedPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  int      temp0;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::SetDuplicateSharedPoints(temp0);
      }
    else
      {
      op->SetDuplicateSharedPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_GetDuplicateSharedPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  int      temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::GetDuplicateSharedPoints();
      }
    else
      {
      temp20 = op->GetDuplicateSharedPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_DuplicateSharedPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::DuplicateSharedPointsOn();
      }
    else
      {
      op->DuplicateSharedPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_DuplicateSharedPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::DuplicateSharedPointsOff();
      }
    else
      {
      op->DuplicateSharedPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_SetQuads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  int      temp0;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::SetQuads(temp0);
      }
    else
      {
      op->SetQuads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_GetQuads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  int      temp20;
  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatedBoxSource::GetQuads();
      }
    else
      {
      temp20 = op->GetQuads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_QuadsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::QuadsOn();
      }
    else
      {
      op->QuadsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatedBoxSource_QuadsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatedBoxSource::QuadsOff();
      }
    else
      {
      op->QuadsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTessellatedBoxSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTessellatedBoxSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTessellatedBoxSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTessellatedBoxSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTessellatedBoxSource\nC++: vtkTessellatedBoxSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTessellatedBoxSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTessellatedBoxSource\nC++: vtkTessellatedBoxSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkTessellatedBoxSource_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double , double , double , double , double , double );\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double  a[6]);\n\n Set the bounds of the box. See GetBounds() for a detail description.\n \\pre xmin<=xmax && ymin<=ymax && zmin<zmax\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkTessellatedBoxSource_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double  *GetBounds ();\n\n Bounds of the box in world coordinates. This a 6-uple of xmin,xmax,ymin,\n ymax,zmin and zmax. Initial value is (-0.5,0.5,-0.5,0.5,-0.5,0.5), bounds\n of a cube of length 1 centered at (0,0,0). Bounds are defined such that\n xmin<=xmax, ymin<=ymax and zmin<zmax.\n \\post xmin<=xmax && ymin<=ymax && zmin<zmax\n"},
  {(char*)"SetLevel",                (PyCFunction)PyvtkTessellatedBoxSource_SetLevel, 1,
   (char*)"V.SetLevel(int)\nC++: void SetLevel (int );\n\n Set the level of subdivision of the faces.\n \\pre positive_level: level>=0\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkTessellatedBoxSource_GetLevel, 1,
   (char*)"V.GetLevel() -> int\nC++: int GetLevel ();\n\n Level of subdivision of the faces. Initial value is 0.\n \\post positive_level: level>=0\n"},
  {(char*)"SetDuplicateSharedPoints",                (PyCFunction)PyvtkTessellatedBoxSource_SetDuplicateSharedPoints, 1,
   (char*)"V.SetDuplicateSharedPoints(int)\nC++: void SetDuplicateSharedPoints (int );\n\n Flag to tell the source to duplicate points shared between faces\n (vertices of the box and internal edge points). Initial value is false.\n Implementation note: duplicating points is an easier method to implement\n than a minimal number of points.\n"},
  {(char*)"GetDuplicateSharedPoints",                (PyCFunction)PyvtkTessellatedBoxSource_GetDuplicateSharedPoints, 1,
   (char*)"V.GetDuplicateSharedPoints() -> int\nC++: int GetDuplicateSharedPoints ();\n\n Flag to tell the source to duplicate points shared between faces\n (vertices of the box and internal edge points). Initial value is false.\n Implementation note: duplicating points is an easier method to implement\n than a minimal number of points.\n"},
  {(char*)"DuplicateSharedPointsOn",                (PyCFunction)PyvtkTessellatedBoxSource_DuplicateSharedPointsOn, 1,
   (char*)"V.DuplicateSharedPointsOn()\nC++: void DuplicateSharedPointsOn ();\n\n Flag to tell the source to duplicate points shared between faces\n (vertices of the box and internal edge points). Initial value is false.\n Implementation note: duplicating points is an easier method to implement\n than a minimal number of points.\n"},
  {(char*)"DuplicateSharedPointsOff",                (PyCFunction)PyvtkTessellatedBoxSource_DuplicateSharedPointsOff, 1,
   (char*)"V.DuplicateSharedPointsOff()\nC++: void DuplicateSharedPointsOff ();\n\n Flag to tell the source to duplicate points shared between faces\n (vertices of the box and internal edge points). Initial value is false.\n Implementation note: duplicating points is an easier method to implement\n than a minimal number of points.\n"},
  {(char*)"SetQuads",                (PyCFunction)PyvtkTessellatedBoxSource_SetQuads, 1,
   (char*)"V.SetQuads(int)\nC++: void SetQuads (int );\n\n Flag to tell the source to generate either a quad or two triangle for a\n set of four points. Initial value is false (generate triangles).\n"},
  {(char*)"GetQuads",                (PyCFunction)PyvtkTessellatedBoxSource_GetQuads, 1,
   (char*)"V.GetQuads() -> int\nC++: int GetQuads ();\n\n Flag to tell the source to generate either a quad or two triangle for a\n set of four points. Initial value is false (generate triangles).\n"},
  {(char*)"QuadsOn",                (PyCFunction)PyvtkTessellatedBoxSource_QuadsOn, 1,
   (char*)"V.QuadsOn()\nC++: void QuadsOn ();\n\n Flag to tell the source to generate either a quad or two triangle for a\n set of four points. Initial value is false (generate triangles).\n"},
  {(char*)"QuadsOff",                (PyCFunction)PyvtkTessellatedBoxSource_QuadsOff, 1,
   (char*)"V.QuadsOff()\nC++: void QuadsOff ();\n\n Flag to tell the source to generate either a quad or two triangle for a\n set of four points. Initial value is false (generate triangles).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTessellatedBoxSourceDoc[] = {
  (char*)"vtkTessellatedBoxSource - Create a polygonal representation of a box\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTessellatedBoxSource creates a axis-aligned box defined by its bounds\n and a level of subdivision. Connectivity is strong: points of the vertices\n and inside the edges are shared between faces. In other words, faces are\n connected. Each face looks like a grid of quads, each quad is composed of\n 2 triangles.\n Given a level of subdivision `l', each edge has `l'+2 points, `l' of them\n are interna",
  (char*)"l edge points, the 2 other ones are the vertices.\n Each face has a total of (`l'+2)*(`l'+2) points, 4 of them are vertices,\n 4*`l' are internal edge points, it remains `l'^2 internal face points.\n\n This source only generate geometry, no DataArrays like normals or texture\n coordinates.\n\n",
  NULL
};

static vtkObjectBase *vtkTessellatedBoxSourceStaticNew()
{
  return vtkTessellatedBoxSource::New();
}

PyObject *PyVTKClass_vtkTessellatedBoxSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkTessellatedBoxSourceStaticNew,
                        PyvtkTessellatedBoxSourceMethods,
                        (char*)"vtkTessellatedBoxSource",modulename,
                        (char**)vtkTessellatedBoxSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

