// python wrapper for vtkPolyDataSilhouette object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataSilhouette.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataSilhouetteNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataSilhouetteNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPolyDataSilhouette_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  const char    *temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  vtkPolyDataSilhouette  *temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataSilhouette  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataSilhouette::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetEnableFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetEnableFeatureAngle(temp0);
      }
    else
      {
      op->SetEnableFeatureAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetEnableFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetEnableFeatureAngle();
      }
    else
      {
      temp20 = op->GetEnableFeatureAngle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double   temp0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetFeatureAngle(temp0);
      }
    else
      {
      op->SetFeatureAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double   temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetFeatureAngle();
      }
    else
      {
      temp20 = op->GetFeatureAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetBorderEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetBorderEdges(temp0);
      }
    else
      {
      op->SetBorderEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetBorderEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetBorderEdges();
      }
    else
      {
      temp20 = op->GetBorderEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_BorderEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::BorderEdgesOn();
      }
    else
      {
      op->BorderEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_BorderEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::BorderEdgesOff();
      }
    else
      {
      op->BorderEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetPieceInvariant(temp0);
      }
    else
      {
      op->SetPieceInvariant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetPieceInvariant();
      }
    else
      {
      temp20 = op->GetPieceInvariant();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_PieceInvariantOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::PieceInvariantOn();
      }
    else
      {
      op->PieceInvariantOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_PieceInvariantOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::PieceInvariantOff();
      }
    else
      {
      op->PieceInvariantOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetDirection(temp0);
      }
    else
      {
      op->SetDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  int      temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetDirection();
      }
    else
      {
      temp20 = op->GetDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetDirectionToSpecifiedVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetDirectionToSpecifiedVector();
      }
    else
      {
      op->SetDirectionToSpecifiedVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetDirectionToSpecifiedOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetDirectionToSpecifiedOrigin();
      }
    else
      {
      op->SetDirectionToSpecifiedOrigin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetDirectionToCameraVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetDirectionToCameraVector();
      }
    else
      {
      op->SetDirectionToCameraVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetDirectionToCameraOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetDirectionToCameraOrigin();
      }
    else
      {
      op->SetDirectionToCameraOrigin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  vtkCamera  *temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetProp3D(temp0);
      }
    else
      {
      op->SetProp3D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  vtkProp3D  *temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetProp3D();
      }
    else
      {
      temp20 = op->GetProp3D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetVector(temp0,temp1,temp2);
      }
    else
      {
      op->SetVector(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetVector(temp0);
      }
    else
      {
      op->SetVector(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double  *temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetVector();
      }
    else
      {
      temp20 = op->GetVector();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSilhouette::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  double  *temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSilhouette_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSilhouette *op;

  unsigned long     temp20;
  op = (vtkPolyDataSilhouette *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSilhouette::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataSilhouetteMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataSilhouette_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataSilhouette_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataSilhouette_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataSilhouette\nC++: vtkPolyDataSilhouette *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataSilhouette_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataSilhouette\nC++: vtkPolyDataSilhouette *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnableFeatureAngle",                (PyCFunction)PyvtkPolyDataSilhouette_SetEnableFeatureAngle, 1,
   (char*)"V.SetEnableFeatureAngle(int)\nC++: void SetEnableFeatureAngle (int );\n\n Enables or Disables generation of silhouette edges along sharp edges\n"},
  {(char*)"GetEnableFeatureAngle",                (PyCFunction)PyvtkPolyDataSilhouette_GetEnableFeatureAngle, 1,
   (char*)"V.GetEnableFeatureAngle() -> int\nC++: int GetEnableFeatureAngle ();\n\n Enables or Disables generation of silhouette edges along sharp edges\n"},
  {(char*)"SetFeatureAngle",                (PyCFunction)PyvtkPolyDataSilhouette_SetFeatureAngle, 1,
   (char*)"V.SetFeatureAngle(float)\nC++: void SetFeatureAngle (double );\n\n Sets/Gets minimal angle for sharp edges detection. Default is 60\n"},
  {(char*)"GetFeatureAngle",                (PyCFunction)PyvtkPolyDataSilhouette_GetFeatureAngle, 1,
   (char*)"V.GetFeatureAngle() -> float\nC++: double GetFeatureAngle ();\n\n Sets/Gets minimal angle for sharp edges detection. Default is 60\n"},
  {(char*)"SetBorderEdges",                (PyCFunction)PyvtkPolyDataSilhouette_SetBorderEdges, 1,
   (char*)"V.SetBorderEdges(int)\nC++: void SetBorderEdges (int );\n\n Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n"},
  {(char*)"GetBorderEdges",                (PyCFunction)PyvtkPolyDataSilhouette_GetBorderEdges, 1,
   (char*)"V.GetBorderEdges() -> int\nC++: int GetBorderEdges ();\n\n Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n"},
  {(char*)"BorderEdgesOn",                (PyCFunction)PyvtkPolyDataSilhouette_BorderEdgesOn, 1,
   (char*)"V.BorderEdgesOn()\nC++: void BorderEdgesOn ();\n\n Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n"},
  {(char*)"BorderEdgesOff",                (PyCFunction)PyvtkPolyDataSilhouette_BorderEdgesOff, 1,
   (char*)"V.BorderEdgesOff()\nC++: void BorderEdgesOff ();\n\n Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n"},
  {(char*)"SetPieceInvariant",                (PyCFunction)PyvtkPolyDataSilhouette_SetPieceInvariant, 1,
   (char*)"V.SetPieceInvariant(int)\nC++: void SetPieceInvariant (int );\n\n Enables or Disables piece invariance. This is usefull when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n"},
  {(char*)"GetPieceInvariant",                (PyCFunction)PyvtkPolyDataSilhouette_GetPieceInvariant, 1,
   (char*)"V.GetPieceInvariant() -> int\nC++: int GetPieceInvariant ();\n\n Enables or Disables piece invariance. This is usefull when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n"},
  {(char*)"PieceInvariantOn",                (PyCFunction)PyvtkPolyDataSilhouette_PieceInvariantOn, 1,
   (char*)"V.PieceInvariantOn()\nC++: void PieceInvariantOn ();\n\n Enables or Disables piece invariance. This is usefull when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n"},
  {(char*)"PieceInvariantOff",                (PyCFunction)PyvtkPolyDataSilhouette_PieceInvariantOff, 1,
   (char*)"V.PieceInvariantOff()\nC++: void PieceInvariantOff ();\n\n Enables or Disables piece invariance. This is usefull when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n"},
  {(char*)"SetDirection",                (PyCFunction)PyvtkPolyDataSilhouette_SetDirection, 1,
   (char*)"V.SetDirection(int)\nC++: void SetDirection (int );\n\n Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n"},
  {(char*)"GetDirection",                (PyCFunction)PyvtkPolyDataSilhouette_GetDirection, 1,
   (char*)"V.GetDirection() -> int\nC++: int GetDirection ();\n\n Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n"},
  {(char*)"SetDirectionToSpecifiedVector",                (PyCFunction)PyvtkPolyDataSilhouette_SetDirectionToSpecifiedVector, 1,
   (char*)"V.SetDirectionToSpecifiedVector()\nC++: void SetDirectionToSpecifiedVector ();this SetDirection VTK_DIRECTION_SPECIFIED_VECTOR \n\n Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n"},
  {(char*)"SetDirectionToSpecifiedOrigin",                (PyCFunction)PyvtkPolyDataSilhouette_SetDirectionToSpecifiedOrigin, 1,
   (char*)"V.SetDirectionToSpecifiedOrigin()\nC++: void SetDirectionToSpecifiedOrigin ();this SetDirection VTK_DIRECTION_SPECIFIED_ORIGIN \n\n Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n"},
  {(char*)"SetDirectionToCameraVector",                (PyCFunction)PyvtkPolyDataSilhouette_SetDirectionToCameraVector, 1,
   (char*)"V.SetDirectionToCameraVector()\nC++: void SetDirectionToCameraVector ();this SetDirection VTK_DIRECTION_CAMERA_VECTOR \n\n Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n"},
  {(char*)"SetDirectionToCameraOrigin",                (PyCFunction)PyvtkPolyDataSilhouette_SetDirectionToCameraOrigin, 1,
   (char*)"V.SetDirectionToCameraOrigin()\nC++: void SetDirectionToCameraOrigin ();this SetDirection VTK_DIRECTION_CAMERA_ORIGIN \n\n Specify a camera that is used to define the view direction.  This ivar\n only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkPolyDataSilhouette_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *);\n\n Specify a camera that is used to define the view direction.  This ivar\n only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkPolyDataSilhouette_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Specify a camera that is used to define the view direction.  This ivar\n only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.\n"},
  {(char*)"SetProp3D",                (PyCFunction)PyvtkPolyDataSilhouette_SetProp3D, 1,
   (char*)"V.SetProp3D(vtkProp3D)\nC++: void SetProp3D (vtkProp3D *);\n\n Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only has\n effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified. Specifying the\n vtkProp3D is optional.\n"},
  {(char*)"GetProp3D",                (PyCFunction)PyvtkPolyDataSilhouette_GetProp3D, 1,
   (char*)"V.GetProp3D() -> vtkProp3D\nC++: vtkProp3D *GetProp3D ();\n\n Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only has\n effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified. Specifying the\n vtkProp3D is optional.\n"},
  {(char*)"SetVector",                (PyCFunction)PyvtkPolyDataSilhouette_SetVector, 1,
   (char*)"V.SetVector(float, float, float)\nC++: void SetVector (double , double , double );\nV.SetVector((float, float, float))\nC++: void SetVector (double  a[3]);\n\n Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The edge detection\n occurs in the direction of the vector.\n"},
  {(char*)"GetVector",                (PyCFunction)PyvtkPolyDataSilhouette_GetVector, 1,
   (char*)"V.GetVector() -> (float, float, float)\nC++: double  *GetVector ();\n\n Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The edge detection\n occurs in the direction of the vector.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkPolyDataSilhouette_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set/Get the sort origin. This ivar only has effect if the sort direction\n is set to SetDirectionToSpecifiedOrigin(). The edge detection occurs in\n the direction of the origin to each edge's center.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkPolyDataSilhouette_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set/Get the sort origin. This ivar only has effect if the sort direction\n is set to SetDirectionToSpecifiedOrigin(). The edge detection occurs in\n the direction of the origin to each edge's center.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkPolyDataSilhouette_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return MTime also considering the dependent objects: the camera\n and/or the prop3D.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataSilhouetteDoc[] = {
  (char*)"vtkPolyDataSilhouette - sort polydata along camera view direction\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPolyDataSilhouette extracts a subset of a polygonal mesh edges to\n generate an outline (silhouette) of the corresponding 3D object. In\n addition, this filter can also extracts sharp edges (aka feature angles).\n In order to use this filter you must specify the a point of view (origin) or\n a direction (vector).  given this direction or origin, a silhouette is\n generated wherever the surface's no",
  (char*)"rmal is orthogonal to the view direction.\n\n\n",
  "Caveats:\n\n when the active camera is used, almost everything is recomputed for each\n frame, keep this in mind when dealing with extremely large surface data\n sets.\n\n .SECTION Thanks\n Contribution by Thierry Carrard <br>\n CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>\n BP12, F-91297 Arpajon, France. <br>\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataSilhouetteStaticNew()
{
  return vtkPolyDataSilhouette::New();
}

PyObject *PyVTKClass_vtkPolyDataSilhouetteNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataSilhouetteStaticNew,
                        PyvtkPolyDataSilhouetteMethods,
                        (char*)"vtkPolyDataSilhouette",modulename,
                        (char**)vtkPolyDataSilhouetteDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

