// python wrapper for vtkJavaScriptDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkJavaScriptDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkJavaScriptDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkJavaScriptDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }

static PyObject *PyvtkJavaScriptDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  const char    *temp20;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJavaScriptDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJavaScriptDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  vtkJavaScriptDataWriter  *temp20;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJavaScriptDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkJavaScriptDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkJavaScriptDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_SetVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  char    *temp0;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkJavaScriptDataWriter::SetVariableName(temp0);
      }
    else
      {
      op->SetVariableName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_GetVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  char    *temp20;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJavaScriptDataWriter::GetVariableName();
      }
    else
      {
      temp20 = op->GetVariableName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  char    *temp0;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkJavaScriptDataWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  char    *temp20;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJavaScriptDataWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_SetIncludeFieldNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  bool   temp0;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkJavaScriptDataWriter::SetIncludeFieldNames(temp0);
      }
    else
      {
      op->SetIncludeFieldNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkJavaScriptDataWriter_GetIncludeFieldNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJavaScriptDataWriter *op;

  bool   temp20;
  op = (vtkJavaScriptDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJavaScriptDataWriter::GetIncludeFieldNames();
      }
    else
      {
      temp20 = op->GetIncludeFieldNames();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkJavaScriptDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkJavaScriptDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkJavaScriptDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkJavaScriptDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkJavaScriptDataWriter\nC++: vtkJavaScriptDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkJavaScriptDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkJavaScriptDataWriter\nC++: vtkJavaScriptDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVariableName",                (PyCFunction)PyvtkJavaScriptDataWriter_SetVariableName, 1,
   (char*)"V.SetVariableName(string)\nC++: void SetVariableName (char *);\n\n Get/set the name of the Javascript variable that the dataset will be assigned to.\n The default value is \"data\", so the javascript code generated by the filter will\n look like this: \"var data = [ ... ];\". If VariableName is set to NULL, then no\n assignment statement will be generated (i.e., only \"[ ... ];\" will be generated).\n"},
  {(char*)"GetVariableName",                (PyCFunction)PyvtkJavaScriptDataWriter_GetVariableName, 1,
   (char*)"V.GetVariableName() -> string\nC++: char *GetVariableName ();\n\n Get/set the name of the Javascript variable that the dataset will be assigned to.\n The default value is \"data\", so the javascript code generated by the filter will\n look like this: \"var data = [ ... ];\". If VariableName is set to NULL, then no\n assignment statement will be generated (i.e., only \"[ ... ];\" will be generated).\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkJavaScriptDataWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Get/Set the filename for the file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkJavaScriptDataWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Get/Set the filename for the file.\n"},
  {(char*)"SetIncludeFieldNames",                (PyCFunction)PyvtkJavaScriptDataWriter_SetIncludeFieldNames, 1,
   (char*)"V.SetIncludeFieldNames(bool)\nC++: void SetIncludeFieldNames (bool );\n\n Get/Set the whether or not to include field names\n When field names are on you will get data output\n that looks like this:\n var data=[\n       {foo:3,time:\"2009-11-04 16:09:42\",bar:1 },\n       {foo:5,time:\"2009-11-04 16:11:22\",bar:0 },\n without field names the data will be an array\n of arrays like this:\n var data=[\n       [3,\"2009-11-04 16:09:42\",1],\n       [5,\"2009-11-04 16:11:22\",0],\n \n Default is ON (true)\n"},
  {(char*)"GetIncludeFieldNames",                (PyCFunction)PyvtkJavaScriptDataWriter_GetIncludeFieldNames, 1,
   (char*)"V.GetIncludeFieldNames() -> bool\nC++: bool GetIncludeFieldNames ();\n\n Get/Set the whether or not to include field names\n When field names are on you will get data output\n that looks like this:\n var data=[\n       {foo:3,time:\"2009-11-04 16:09:42\",bar:1 },\n       {foo:5,time:\"2009-11-04 16:11:22\",bar:0 },\n without field names the data will be an array\n of arrays like this:\n var data=[\n       [3,\"2009-11-04 16:09:42\",1],\n       [5,\"2009-11-04 16:11:22\",0],\n \n Default is ON (true)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkJavaScriptDataWriterDoc[] = {
  (char*)"vtkJavaScriptDataWriter - A Javascript data writer for vtkTable\n\n",
  "Super Class:\n\n vtkWriter\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkJavaScriptDataWriterStaticNew()
{
  return vtkJavaScriptDataWriter::New();
}

PyObject *PyVTKClass_vtkJavaScriptDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkJavaScriptDataWriterStaticNew,
                        PyvtkJavaScriptDataWriterMethods,
                        (char*)"vtkJavaScriptDataWriter",modulename,
                        (char**)vtkJavaScriptDataWriterDoc,
                        PyVTKClass_vtkWriterNew(modulename));
}

