// python wrapper for vtkAdjacencyMatrixToEdgeTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAdjacencyMatrixToEdgeTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAdjacencyMatrixToEdgeTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAdjacencyMatrixToEdgeTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkAdjacencyMatrixToEdgeTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  const char    *temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  vtkAdjacencyMatrixToEdgeTable  *temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAdjacencyMatrixToEdgeTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAdjacencyMatrixToEdgeTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_GetSourceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  vtkIdType   temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::GetSourceDimension();
      }
    else
      {
      temp20 = op->GetSourceDimension();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_SetSourceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  vtkIdType   temp0;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAdjacencyMatrixToEdgeTable::SetSourceDimension(temp0);
      }
    else
      {
      op->SetSourceDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_GetValueArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  char    *temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::GetValueArrayName();
      }
    else
      {
      temp20 = op->GetValueArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_SetValueArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  char    *temp0;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAdjacencyMatrixToEdgeTable::SetValueArrayName(temp0);
      }
    else
      {
      op->SetValueArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_GetMinimumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  vtkIdType   temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::GetMinimumCount();
      }
    else
      {
      temp20 = op->GetMinimumCount();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_SetMinimumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  vtkIdType   temp0;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAdjacencyMatrixToEdgeTable::SetMinimumCount(temp0);
      }
    else
      {
      op->SetMinimumCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_GetMinimumThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  double   temp20;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacencyMatrixToEdgeTable::GetMinimumThreshold();
      }
    else
      {
      temp20 = op->GetMinimumThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacencyMatrixToEdgeTable_SetMinimumThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacencyMatrixToEdgeTable *op;

  double   temp0;
  op = (vtkAdjacencyMatrixToEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAdjacencyMatrixToEdgeTable::SetMinimumThreshold(temp0);
      }
    else
      {
      op->SetMinimumThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAdjacencyMatrixToEdgeTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAdjacencyMatrixToEdgeTable\nC++: vtkAdjacencyMatrixToEdgeTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAdjacencyMatrixToEdgeTable\nC++: vtkAdjacencyMatrixToEdgeTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSourceDimension",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_GetSourceDimension, 1,
   (char*)"V.GetSourceDimension() -> int\nC++: vtkIdType GetSourceDimension ();\n\n Specifies whether rows or columns become the \"source\" in the output edge table.\n 0 = rows, 1 = columns.  Default: 0\n"},
  {(char*)"SetSourceDimension",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_SetSourceDimension, 1,
   (char*)"V.SetSourceDimension(int)\nC++: void SetSourceDimension (vtkIdType );\n\n Specifies whether rows or columns become the \"source\" in the output edge table.\n 0 = rows, 1 = columns.  Default: 0\n"},
  {(char*)"GetValueArrayName",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_GetValueArrayName, 1,
   (char*)"V.GetValueArrayName() -> string\nC++: char *GetValueArrayName ();\n\n Controls the name of the output table column that contains edge weights.\n Default: \"value\"\n"},
  {(char*)"SetValueArrayName",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_SetValueArrayName, 1,
   (char*)"V.SetValueArrayName(string)\nC++: void SetValueArrayName (char *);\n\n Controls the name of the output table column that contains edge weights.\n Default: \"value\"\n"},
  {(char*)"GetMinimumCount",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_GetMinimumCount, 1,
   (char*)"V.GetMinimumCount() -> int\nC++: vtkIdType GetMinimumCount ();\n\n Specifies the minimum number of adjacent edges to include for each source vertex.\n Default: 0\n"},
  {(char*)"SetMinimumCount",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_SetMinimumCount, 1,
   (char*)"V.SetMinimumCount(int)\nC++: void SetMinimumCount (vtkIdType );\n\n Specifies the minimum number of adjacent edges to include for each source vertex.\n Default: 0\n"},
  {(char*)"GetMinimumThreshold",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_GetMinimumThreshold, 1,
   (char*)"V.GetMinimumThreshold() -> float\nC++: double GetMinimumThreshold ();\n\n Specifies a minimum threshold that an edge weight must exceed to be included in\n the output.\n Default: 0.5\n"},
  {(char*)"SetMinimumThreshold",                (PyCFunction)PyvtkAdjacencyMatrixToEdgeTable_SetMinimumThreshold, 1,
   (char*)"V.SetMinimumThreshold(float)\nC++: void SetMinimumThreshold (double );\n\n Specifies a minimum threshold that an edge weight must exceed to be included in\n the output.\n Default: 0.5\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAdjacencyMatrixToEdgeTableDoc[] = {
  (char*)"vtkAdjacencyMatrixToEdgeTable\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Treats a dense 2-way array of doubles as an adacency matrix and converts it into a\n vtkTable suitable for use as an edge table with vtkTableToGraph.\n\n",
  NULL
};

static vtkObjectBase *vtkAdjacencyMatrixToEdgeTableStaticNew()
{
  return vtkAdjacencyMatrixToEdgeTable::New();
}

PyObject *PyVTKClass_vtkAdjacencyMatrixToEdgeTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkAdjacencyMatrixToEdgeTableStaticNew,
                        PyvtkAdjacencyMatrixToEdgeTableMethods,
                        (char*)"vtkAdjacencyMatrixToEdgeTable",modulename,
                        (char**)vtkAdjacencyMatrixToEdgeTableDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

