// python wrapper for vtkAppendPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAppendPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAppendPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAppendPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkAppendPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPoints *op;

  const char    *temp20;
  op = (vtkAppendPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkAppendPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPoints *op;

  vtkAppendPoints  *temp20;
  op = (vtkAppendPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAppendPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAppendPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAppendPoints_SetInputIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPoints *op;

  char    *temp0;
  op = (vtkAppendPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPoints::SetInputIdArrayName(temp0);
      }
    else
      {
      op->SetInputIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPoints_GetInputIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPoints *op;

  char    *temp20;
  op = (vtkAppendPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPoints::GetInputIdArrayName();
      }
    else
      {
      temp20 = op->GetInputIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAppendPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAppendPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAppendPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAppendPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAppendPoints\nC++: vtkAppendPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAppendPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAppendPoints\nC++: vtkAppendPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputIdArrayName",                (PyCFunction)PyvtkAppendPoints_SetInputIdArrayName, 1,
   (char*)"V.SetInputIdArrayName(string)\nC++: void SetInputIdArrayName (char *);\n\n Sets the output array name to fill with the input connection index\n for each point. This provides a way to trace a point back to a\n particular input. If this is NULL (the default), the array is not generated.\n"},
  {(char*)"GetInputIdArrayName",                (PyCFunction)PyvtkAppendPoints_GetInputIdArrayName, 1,
   (char*)"V.GetInputIdArrayName() -> string\nC++: char *GetInputIdArrayName ();\n\n Sets the output array name to fill with the input connection index\n for each point. This provides a way to trace a point back to a\n particular input. If this is NULL (the default), the array is not generated.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAppendPointsDoc[] = {
  (char*)"vtkAppendPoints - appends points of one or more vtkPolyData data sets\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkAppendPoints is a filter that appends the points and assoicated data\n of one or more polygonal (vtkPolyData) datasets. This filter can optionally \n add a new array marking the input index that the point came from.\n\n",
  "See Also:\n\n vtkAppendFilter vtkAppendPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkAppendPointsStaticNew()
{
  return vtkAppendPoints::New();
}

PyObject *PyVTKClass_vtkAppendPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkAppendPointsStaticNew,
                        PyvtkAppendPointsMethods,
                        (char*)"vtkAppendPoints",modulename,
                        (char**)vtkAppendPointsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

