// python wrapper for vtkApplyIcons object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkApplyIcons.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkApplyIconsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkApplyIconsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkApplyIcons_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  const char    *temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  char    *temp0;
  int      temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  vtkApplyIcons  *temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkApplyIcons  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkApplyIcons::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetIconType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  double   temp0;
  int      temp1;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"di", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetIconType(temp0,temp1);
      }
    else
      {
      op->SetIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetIconType(temp0,temp1);
      }
    else
      {
      op->SetIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_ClearAllIconTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::ClearAllIconTypes();
      }
    else
      {
      op->ClearAllIconTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetUseLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  bool   temp0;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetUseLookupTable(temp0);
      }
    else
      {
      op->SetUseLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_GetUseLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  bool   temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetUseLookupTable();
      }
    else
      {
      temp20 = op->GetUseLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_UseLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::UseLookupTableOn();
      }
    else
      {
      op->UseLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_UseLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::UseLookupTableOff();
      }
    else
      {
      op->UseLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetDefaultIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp0;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetDefaultIcon(temp0);
      }
    else
      {
      op->SetDefaultIcon(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_GetDefaultIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetDefaultIcon();
      }
    else
      {
      temp20 = op->GetDefaultIcon();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetSelectedIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp0;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetSelectedIcon(temp0);
      }
    else
      {
      op->SetSelectedIcon(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_GetSelectedIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetSelectedIcon();
      }
    else
      {
      temp20 = op->GetSelectedIcon();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetIconOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  char    *temp0;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetIconOutputArrayName(temp0);
      }
    else
      {
      op->SetIconOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_GetIconOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  char    *temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetIconOutputArrayName();
      }
    else
      {
      temp20 = op->GetIconOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp0;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetSelectionMode(temp0);
      }
    else
      {
      op->SetSelectionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_GetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetSelectionMode();
      }
    else
      {
      temp20 = op->GetSelectionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetSelectionModeToSelectedIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetSelectionModeToSelectedIcon();
      }
    else
      {
      op->SetSelectionModeToSelectedIcon();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetSelectionModeToSelectedOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetSelectionModeToSelectedOffset();
      }
    else
      {
      op->SetSelectionModeToSelectedOffset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetSelectionModeToAnnotationIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetSelectionModeToAnnotationIcon();
      }
    else
      {
      op->SetSelectionModeToAnnotationIcon();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetSelectionModeToIgnoreSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetSelectionModeToIgnoreSelection();
      }
    else
      {
      op->SetSelectionModeToIgnoreSelection();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_SetAttributeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp0;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyIcons::SetAttributeType(temp0);
      }
    else
      {
      op->SetAttributeType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyIcons_GetAttributeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyIcons *op;

  int      temp20;
  op = (vtkApplyIcons *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyIcons::GetAttributeType();
      }
    else
      {
      temp20 = op->GetAttributeType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkApplyIconsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkApplyIcons_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkApplyIcons_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkApplyIcons_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkApplyIcons\nC++: vtkApplyIcons *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkApplyIcons_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkApplyIcons\nC++: vtkApplyIcons *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetIconType",                (PyCFunction)PyvtkApplyIcons_SetIconType, 1,
   (char*)"V.SetIconType(float, int)\nC++: void SetIconType (double v, int icon);this SetIconType vtkVariant v icon \nV.SetIconType(string, int)\nC++: void SetIconType (const char *v, int icon);this SetIconType vtkVariant v icon \n\n Edits the lookup table to use for point icons. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n"},
  {(char*)"ClearAllIconTypes",                (PyCFunction)PyvtkApplyIcons_ClearAllIconTypes, 1,
   (char*)"V.ClearAllIconTypes()\nC++: void ClearAllIconTypes ();\n\n Edits the lookup table to use for point icons. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n"},
  {(char*)"SetUseLookupTable",                (PyCFunction)PyvtkApplyIcons_SetUseLookupTable, 1,
   (char*)"V.SetUseLookupTable(bool)\nC++: void SetUseLookupTable (bool );\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"GetUseLookupTable",                (PyCFunction)PyvtkApplyIcons_GetUseLookupTable, 1,
   (char*)"V.GetUseLookupTable() -> bool\nC++: bool GetUseLookupTable ();\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"UseLookupTableOn",                (PyCFunction)PyvtkApplyIcons_UseLookupTableOn, 1,
   (char*)"V.UseLookupTableOn()\nC++: void UseLookupTableOn ();\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"UseLookupTableOff",                (PyCFunction)PyvtkApplyIcons_UseLookupTableOff, 1,
   (char*)"V.UseLookupTableOff()\nC++: void UseLookupTableOff ();\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"SetDefaultIcon",                (PyCFunction)PyvtkApplyIcons_SetDefaultIcon, 1,
   (char*)"V.SetDefaultIcon(int)\nC++: void SetDefaultIcon (int );\n\n The default point icon for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n"},
  {(char*)"GetDefaultIcon",                (PyCFunction)PyvtkApplyIcons_GetDefaultIcon, 1,
   (char*)"V.GetDefaultIcon() -> int\nC++: int GetDefaultIcon ();\n\n The default point icon for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n"},
  {(char*)"SetSelectedIcon",                (PyCFunction)PyvtkApplyIcons_SetSelectedIcon, 1,
   (char*)"V.SetSelectedIcon(int)\nC++: void SetSelectedIcon (int );\n\n The point icon for all selected elements of the data.\n This is used if the annotation input has a current selection.\n"},
  {(char*)"GetSelectedIcon",                (PyCFunction)PyvtkApplyIcons_GetSelectedIcon, 1,
   (char*)"V.GetSelectedIcon() -> int\nC++: int GetSelectedIcon ();\n\n The point icon for all selected elements of the data.\n This is used if the annotation input has a current selection.\n"},
  {(char*)"SetIconOutputArrayName",                (PyCFunction)PyvtkApplyIcons_SetIconOutputArrayName, 1,
   (char*)"V.SetIconOutputArrayName(string)\nC++: void SetIconOutputArrayName (char *);\n\n The output array name for the point icon index array.\n Default is \"vtkApplyIcons icon\".\n"},
  {(char*)"GetIconOutputArrayName",                (PyCFunction)PyvtkApplyIcons_GetIconOutputArrayName, 1,
   (char*)"V.GetIconOutputArrayName() -> string\nC++: char *GetIconOutputArrayName ();\n\n The output array name for the point icon index array.\n Default is \"vtkApplyIcons icon\".\n"},
  {(char*)"SetSelectionMode",                (PyCFunction)PyvtkApplyIcons_SetSelectionMode, 1,
   (char*)"V.SetSelectionMode(int)\nC++: void SetSelectionMode (int );\n\n Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"GetSelectionMode",                (PyCFunction)PyvtkApplyIcons_GetSelectionMode, 1,
   (char*)"V.GetSelectionMode() -> int\nC++: int GetSelectionMode ();\n\n Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetSelectionModeToSelectedIcon",                (PyCFunction)PyvtkApplyIcons_SetSelectionModeToSelectedIcon, 1,
   (char*)"V.SetSelectionModeToSelectedIcon()\nC++: virtual void SetSelectionModeToSelectedIcon ();this SetSelectionMode SELECTED_ICON \n\n Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetSelectionModeToSelectedOffset",                (PyCFunction)PyvtkApplyIcons_SetSelectionModeToSelectedOffset, 1,
   (char*)"V.SetSelectionModeToSelectedOffset()\nC++: virtual void SetSelectionModeToSelectedOffset ();this SetSelectionMode SELECTED_OFFSET \n\n Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetSelectionModeToAnnotationIcon",                (PyCFunction)PyvtkApplyIcons_SetSelectionModeToAnnotationIcon, 1,
   (char*)"V.SetSelectionModeToAnnotationIcon()\nC++: virtual void SetSelectionModeToAnnotationIcon ();this SetSelectionMode ANNOTATION_ICON \n\n Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetSelectionModeToIgnoreSelection",                (PyCFunction)PyvtkApplyIcons_SetSelectionModeToIgnoreSelection, 1,
   (char*)"V.SetSelectionModeToIgnoreSelection()\nC++: virtual void SetSelectionModeToIgnoreSelection ();this SetSelectionMode IGNORE_SELECTION \n\n The attribute type to append the icon array to, used only if the\n input array is not specified or does not exist. This is set to one\n of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX\n EDGE, FIELD).\n"},
  {(char*)"SetAttributeType",                (PyCFunction)PyvtkApplyIcons_SetAttributeType, 1,
   (char*)"V.SetAttributeType(int)\nC++: void SetAttributeType (int );\n\n The attribute type to append the icon array to, used only if the\n input array is not specified or does not exist. This is set to one\n of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX\n EDGE, FIELD).\n"},
  {(char*)"GetAttributeType",                (PyCFunction)PyvtkApplyIcons_GetAttributeType, 1,
   (char*)"V.GetAttributeType() -> int\nC++: int GetAttributeType ();\n\n The attribute type to append the icon array to, used only if the\n input array is not specified or does not exist. This is set to one\n of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX\n EDGE, FIELD).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkApplyIconsDoc[] = {
  (char*)"vtkApplyIcons - apply icons to a data set.\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" vtkApplyIcons performs a iconing of the dataset using default icons,\n lookup tables, annotations, and/or a selection. The output is a\n vtkIntArray containing the icon index for each\n element in the dataset. The first input is the dataset to be iconed, which\n may be a vtkTable, vtkGraph subclass, or vtkDataSet subclass.\n\n The second (optional) input is a vtkAnnotationLayers object, which stores\n a",
  (char*)" list of annotation layers, with each layer holding a list of\n vtkAnnotation objects. The annotation specifies a subset of data along with\n other properties, including icon. For annotations with icon properties,\n this algorithm will use the icon index of annotated elements,\n using a \"top one wins\" strategy.\n\n The third (optional) input is a vtkSelection object, meant for specifying\n the current se",
  (char*)"lection. You can control the icon of the selection, or whether\n there is a set of selected icons at a particular offset in the icon sheet.\n\n The algorithm takes an input array, specified with\n SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_POINTS, name)\n This sets data arrays to use to icon the data with\n the associated lookup table. For vtkGraph and vtkTable inputs, you would us",
  (char*)"e\n FIELD_ASSOCIATION_VERTICES, FIELD_ASSOCIATION_EDGES, or\n FIELD_ASSOCIATION_ROWS as appropriate. The icon array will be added to the same\n set of attributes that the input array came from. If there is no input array,\n the icon array will be applied to the attributes associated with the\n AttributeType parameter.\n\n Icons are assigned with the following priorities:\n <ol>\n <li> If an item is part of",
  (char*)" the selection, it is glyphed with that icon.\n <li> Otherwise, if the item is part of an annotation, it is glyphed\n      with the icon of the final (top) annotation in the set of layers.\n <li> Otherwise, if a lookup table is used, it is glyphed using the\n      lookup table icon for the data value of the element.\n <li> Otherwise it will be glyphed with the default icon.\n </ol>\n\n",
  NULL
};

static vtkObjectBase *vtkApplyIconsStaticNew()
{
  return vtkApplyIcons::New();
}

PyObject *PyVTKClass_vtkApplyIconsNew(char *modulename)
{
  return PyVTKClass_New(&vtkApplyIconsStaticNew,
                        PyvtkApplyIconsMethods,
                        (char*)"vtkApplyIcons",modulename,
                        (char**)vtkApplyIconsDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

