// python wrapper for vtkAreaLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAreaLayout.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAreaLayoutNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAreaLayoutNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkAreaLayout_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  const char    *temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  char    *temp0;
  int      temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  vtkAreaLayout  *temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAreaLayout  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAreaLayout::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAreaLayout_SetSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  char    *temp0;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayout::SetSizeArrayName(temp0);
      }
    else
      {
      op->SetSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_GetAreaArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  char    *temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::GetAreaArrayName();
      }
    else
      {
      temp20 = op->GetAreaArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_SetAreaArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  char    *temp0;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayout::SetAreaArrayName(temp0);
      }
    else
      {
      op->SetAreaArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_GetEdgeRoutingPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  bool   temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::GetEdgeRoutingPoints();
      }
    else
      {
      temp20 = op->GetEdgeRoutingPoints();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_SetEdgeRoutingPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  bool   temp0;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayout::SetEdgeRoutingPoints(temp0);
      }
    else
      {
      op->SetEdgeRoutingPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_EdgeRoutingPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayout::EdgeRoutingPointsOn();
      }
    else
      {
      op->EdgeRoutingPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_EdgeRoutingPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayout::EdgeRoutingPointsOff();
      }
    else
      {
      op->EdgeRoutingPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  vtkAreaLayoutStrategy  *temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  vtkAreaLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAreaLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAreaLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayout::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkAreaLayout_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  unsigned long     temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayout_FindVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayout *op;

  float  temp0[2];
  vtkIdType   temp20;
  op = (vtkAreaLayout *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayout::FindVertex(temp0);
      }
    else
      {
      temp20 = op->FindVertex(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAreaLayoutMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAreaLayout_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAreaLayout_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAreaLayout_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAreaLayout\nC++: vtkAreaLayout *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAreaLayout_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAreaLayout\nC++: vtkAreaLayout *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSizeArrayName",                (PyCFunction)PyvtkAreaLayout_SetSizeArrayName, 1,
   (char*)"V.SetSizeArrayName(string)\nC++: virtual void SetSizeArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name \n\n The name for the array created for the area for each vertex.\n The rectangles are stored in a quadruple float array\n (startAngle, endAngle, innerRadius, outerRadius).\n For rectangular layouts, this is (minx, maxx, miny, maxy).\n"},
  {(char*)"GetAreaArrayName",                (PyCFunction)PyvtkAreaLayout_GetAreaArrayName, 1,
   (char*)"V.GetAreaArrayName() -> string\nC++: char *GetAreaArrayName ();\n\n The name for the array created for the area for each vertex.\n The rectangles are stored in a quadruple float array\n (startAngle, endAngle, innerRadius, outerRadius).\n For rectangular layouts, this is (minx, maxx, miny, maxy).\n"},
  {(char*)"SetAreaArrayName",                (PyCFunction)PyvtkAreaLayout_SetAreaArrayName, 1,
   (char*)"V.SetAreaArrayName(string)\nC++: void SetAreaArrayName (char *);\n\n The name for the array created for the area for each vertex.\n The rectangles are stored in a quadruple float array\n (startAngle, endAngle, innerRadius, outerRadius).\n For rectangular layouts, this is (minx, maxx, miny, maxy).\n"},
  {(char*)"GetEdgeRoutingPoints",                (PyCFunction)PyvtkAreaLayout_GetEdgeRoutingPoints, 1,
   (char*)"V.GetEdgeRoutingPoints() -> bool\nC++: bool GetEdgeRoutingPoints ();\n\n Whether to output a second output tree with vertex locations\n appropriate for routing bundled edges. Default is on.\n"},
  {(char*)"SetEdgeRoutingPoints",                (PyCFunction)PyvtkAreaLayout_SetEdgeRoutingPoints, 1,
   (char*)"V.SetEdgeRoutingPoints(bool)\nC++: void SetEdgeRoutingPoints (bool );\n\n Whether to output a second output tree with vertex locations\n appropriate for routing bundled edges. Default is on.\n"},
  {(char*)"EdgeRoutingPointsOn",                (PyCFunction)PyvtkAreaLayout_EdgeRoutingPointsOn, 1,
   (char*)"V.EdgeRoutingPointsOn()\nC++: void EdgeRoutingPointsOn ();\n\n Whether to output a second output tree with vertex locations\n appropriate for routing bundled edges. Default is on.\n"},
  {(char*)"EdgeRoutingPointsOff",                (PyCFunction)PyvtkAreaLayout_EdgeRoutingPointsOff, 1,
   (char*)"V.EdgeRoutingPointsOff()\nC++: void EdgeRoutingPointsOff ();\n\n Whether to output a second output tree with vertex locations\n appropriate for routing bundled edges. Default is on.\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkAreaLayout_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkAreaLayoutStrategy\nC++: vtkAreaLayoutStrategy *GetLayoutStrategy ();\n\n The strategy to use when laying out the tree map.\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkAreaLayout_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkAreaLayoutStrategy)\nC++: void SetLayoutStrategy (vtkAreaLayoutStrategy *strategy);\n\n The strategy to use when laying out the tree map.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAreaLayout_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the modification time of the layout algorithm.\n"},
  {(char*)"FindVertex",                (PyCFunction)PyvtkAreaLayout_FindVertex, 1,
   (char*)"V.FindVertex((float, float)) -> int\nC++: vtkIdType FindVertex (float pnt[2]);\n\n Get the vertex whose area contains the point, or return -1\n if no vertex area covers the point.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAreaLayoutDoc[] = {
  (char*)"vtkAreaLayout - layout a vtkTree into a tree map\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" vtkAreaLayout assigns sector regions to each vertex in the tree,\n creating a tree ring.  The data is added as a data array with four\n components per tuple representing the location and size of the\n sector using the format (StartAngle, EndAngle, innerRadius, outerRadius).\n\n This algorithm relies on a helper class to perform the actual layout.\n This helper class is a subclass of vtkAreaLayoutStrate",
  (char*)"gy.\n\n .SECTION Thanks\n Thanks to Jason Shepherd from Sandia National Laboratories\n for help developing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkAreaLayoutStaticNew()
{
  return vtkAreaLayout::New();
}

PyObject *PyVTKClass_vtkAreaLayoutNew(char *modulename)
{
  return PyVTKClass_New(&vtkAreaLayoutStaticNew,
                        PyvtkAreaLayoutMethods,
                        (char*)"vtkAreaLayout",modulename,
                        (char**)vtkAreaLayoutDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

