// python wrapper for vtkArrayNorm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArrayNorm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayNormNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayNormNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkArrayNorm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  const char    *temp20;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayNorm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  char    *temp0;
  int      temp20;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayNorm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  vtkArrayNorm  *temp20;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayNorm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrayNorm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrayNorm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrayNorm_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  int      temp20;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayNorm::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_SetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  int      temp0;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayNorm::SetDimension(temp0);
      }
    else
      {
      op->SetDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_GetL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  int      temp20;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayNorm::GetL();
      }
    else
      {
      temp20 = op->GetL();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_SetL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  int      temp0;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayNorm::SetL(temp0);
      }
    else
      {
      op->SetL(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_SetInvert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  int      temp0;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayNorm::SetInvert(temp0);
      }
    else
      {
      op->SetInvert(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayNorm_GetInvert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayNorm *op;

  int      temp20;
  op = (vtkArrayNorm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayNorm::GetInvert();
      }
    else
      {
      temp20 = op->GetInvert();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArrayNormMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrayNorm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrayNorm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrayNorm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrayNorm\nC++: vtkArrayNorm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrayNorm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrayNorm\nC++: vtkArrayNorm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkArrayNorm_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: int GetDimension ();\n\n Controls the dimension along which norms will be computed.  For input matrices,\n For input matrices, use \"0\" (rows) or \"1\" (columns). Default: 0\n"},
  {(char*)"SetDimension",                (PyCFunction)PyvtkArrayNorm_SetDimension, 1,
   (char*)"V.SetDimension(int)\nC++: void SetDimension (int );\n\n Controls the dimension along which norms will be computed.  For input matrices,\n For input matrices, use \"0\" (rows) or \"1\" (columns). Default: 0\n"},
  {(char*)"GetL",                (PyCFunction)PyvtkArrayNorm_GetL, 1,
   (char*)"V.GetL() -> int\nC++: int GetL ();\n\n Controls the L-value.  Default: 2\n"},
  {(char*)"SetL",                (PyCFunction)PyvtkArrayNorm_SetL, 1,
   (char*)"V.SetL(int)\nC++: void SetL (int value);\n\n Controls the L-value.  Default: 2\n"},
  {(char*)"SetInvert",                (PyCFunction)PyvtkArrayNorm_SetInvert, 1,
   (char*)"V.SetInvert(int)\nC++: void SetInvert (int );\n\n Controls whether to invert output values.  Default: false\n"},
  {(char*)"GetInvert",                (PyCFunction)PyvtkArrayNorm_GetInvert, 1,
   (char*)"V.GetInvert() -> int\nC++: int GetInvert ();\n\n Controls whether to invert output values.  Default: false\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayNormDoc[] = {
  (char*)"vtkArrayNorm - Computes L-norms along one dimension of an array.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Given an input matrix (vtkTypedArray<double>), computes the L-norm for each\n vector along either dimension, storing the results in a dense output\n vector (1D vtkDenseArray<double>).  The caller may optionally request the\n inverse norm as output (useful for subsequent normalization), and may limit\n the computation to a \"window\" of vector elements, to avoid data copying.\n\n .SECTION Thanks\n Develope",
  (char*)"d by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkArrayNormStaticNew()
{
  return vtkArrayNorm::New();
}

PyObject *PyVTKClass_vtkArrayNormNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrayNormStaticNew,
                        PyvtkArrayNormMethods,
                        (char*)"vtkArrayNorm",modulename,
                        (char**)vtkArrayNormDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

