// python wrapper for vtkExtractArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkExtractArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArray *op;

  const char    *temp20;
  op = (vtkExtractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArray *op;

  vtkExtractArray  *temp20;
  op = (vtkExtractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractArray_GetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArray *op;

  vtkIdType   temp20;
  op = (vtkExtractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArray::GetIndex();
      }
    else
      {
      temp20 = op->GetIndex();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArray_SetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArray *op;

  vtkIdType   temp0;
  op = (vtkExtractArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractArray::SetIndex(temp0);
      }
    else
      {
      op->SetIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractArray\nC++: vtkExtractArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractArray\nC++: vtkExtractArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetIndex",                (PyCFunction)PyvtkExtractArray_GetIndex, 1,
   (char*)"V.GetIndex() -> int\nC++: vtkIdType GetIndex ();\n\n Controls which array will be extracted.\n"},
  {(char*)"SetIndex",                (PyCFunction)PyvtkExtractArray_SetIndex, 1,
   (char*)"V.SetIndex(int)\nC++: void SetIndex (vtkIdType );\n\n Controls which array will be extracted.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractArrayDoc[] = {
  (char*)"vtkExtractArray - Given a vtkArrayData object containing one-or-more\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractArrayStaticNew()
{
  return vtkExtractArray::New();
}

PyObject *PyVTKClass_vtkExtractArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractArrayStaticNew,
                        PyvtkExtractArrayMethods,
                        (char*)"vtkExtractArray",modulename,
                        (char**)vtkExtractArrayDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

