// python wrapper for vtkExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractHistogram2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractHistogram2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractHistogram2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkExtractHistogram2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  const char    *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkExtractHistogram2D  *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractHistogram2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractHistogram2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetNumberOfBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp0;
  int      temp1;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetNumberOfBins(temp0,temp1);
      }
    else
      {
      op->SetNumberOfBins(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetNumberOfBins(temp0);
      }
    else
      {
      op->SetNumberOfBins(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetNumberOfBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int     *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetNumberOfBins();
      }
    else
      {
      temp20 = op->GetNumberOfBins();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetComponentsToProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp0;
  int      temp1;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetComponentsToProcess(temp0,temp1);
      }
    else
      {
      op->SetComponentsToProcess(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetComponentsToProcess(temp0);
      }
    else
      {
      op->SetComponentsToProcess(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetComponentsToProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int     *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetComponentsToProcess();
      }
    else
      {
      temp20 = op->GetComponentsToProcess();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetCustomHistogramExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetCustomHistogramExtents(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetCustomHistogramExtents(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetCustomHistogramExtents(temp0);
      }
    else
      {
      op->SetCustomHistogramExtents(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetCustomHistogramExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  double  *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetCustomHistogramExtents();
      }
    else
      {
      temp20 = op->GetCustomHistogramExtents();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetUseCustomHistogramExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp0;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetUseCustomHistogramExtents(temp0);
      }
    else
      {
      op->SetUseCustomHistogramExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetUseCustomHistogramExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetUseCustomHistogramExtents();
      }
    else
      {
      temp20 = op->GetUseCustomHistogramExtents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_UseCustomHistogramExtentsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::UseCustomHistogramExtentsOn();
      }
    else
      {
      op->UseCustomHistogramExtentsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_UseCustomHistogramExtentsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::UseCustomHistogramExtentsOff();
      }
    else
      {
      op->UseCustomHistogramExtentsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp0;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarType(temp0);
      }
    else
      {
      op->SetScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarTypeToFloat();
      }
    else
      {
      op->SetScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetScalarTypeToDouble();
      }
    else
      {
      op->SetScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetScalarType();
      }
    else
      {
      temp20 = op->GetScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetMaximumBinCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  double   temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetMaximumBinCount();
      }
    else
      {
      temp20 = op->GetMaximumBinCount();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetBinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[4];
  int      temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"LL(dddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetBinRange(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetBinRange(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkIdType   temp0;
  double temp1[4];
  int      temp20;
  PyErr_Clear();
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"L(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetBinRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetBinRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetBinWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  double temp0[2];
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::GetBinWidth(temp0);
      }
    else
      {
      op->GetBinWidth(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetOutputHistogramImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkImageData  *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetOutputHistogramImage();
      }
    else
      {
      temp20 = op->GetOutputHistogramImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetSwapColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp0;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetSwapColumns(temp0);
      }
    else
      {
      op->SetSwapColumns(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetSwapColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  int      temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetSwapColumns();
      }
    else
      {
      temp20 = op->GetSwapColumns();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SwapColumnsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SwapColumnsOn();
      }
    else
      {
      op->SwapColumnsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SwapColumnsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SwapColumnsOff();
      }
    else
      {
      op->SwapColumnsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_SetRowMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::SetRowMask(temp0);
      }
    else
      {
      op->SetRowMask(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_GetRowMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkDataArray  *temp20;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractHistogram2D::GetRowMask();
      }
    else
      {
      temp20 = op->GetRowMask();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractHistogram2D_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractHistogram2D *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break36;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractHistogram2D::Aggregate(temp0,temp1);
      }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}

static PyMethodDef PyvtkExtractHistogram2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractHistogram2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractHistogram2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractHistogram2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractHistogram2D\nC++: vtkExtractHistogram2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractHistogram2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractHistogram2D\nC++: vtkExtractHistogram2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfBins",                (PyCFunction)PyvtkExtractHistogram2D_SetNumberOfBins, 1,
   (char*)"V.SetNumberOfBins(int, int)\nC++: void SetNumberOfBins (int , int );\nV.SetNumberOfBins((int, int))\nC++: void SetNumberOfBins (int  a[2]);\n\n Set/get the number of bins to be used per dimension (x,y)\n"},
  {(char*)"GetNumberOfBins",                (PyCFunction)PyvtkExtractHistogram2D_GetNumberOfBins, 1,
   (char*)"V.GetNumberOfBins() -> (int, int)\nC++: int  *GetNumberOfBins ();\n\n Set/get the number of bins to be used per dimension (x,y)\n"},
  {(char*)"SetComponentsToProcess",                (PyCFunction)PyvtkExtractHistogram2D_SetComponentsToProcess, 1,
   (char*)"V.SetComponentsToProcess(int, int)\nC++: void SetComponentsToProcess (int , int );\nV.SetComponentsToProcess((int, int))\nC++: void SetComponentsToProcess (int  a[2]);\n\n Set/get the components of the arrays in the two input columns\n to be used during histogram computation.  Defaults to component 0.\n"},
  {(char*)"GetComponentsToProcess",                (PyCFunction)PyvtkExtractHistogram2D_GetComponentsToProcess, 1,
   (char*)"V.GetComponentsToProcess() -> (int, int)\nC++: int  *GetComponentsToProcess ();\n\n Set/get the components of the arrays in the two input columns\n to be used during histogram computation.  Defaults to component 0.\n"},
  {(char*)"SetCustomHistogramExtents",                (PyCFunction)PyvtkExtractHistogram2D_SetCustomHistogramExtents, 1,
   (char*)"V.SetCustomHistogramExtents(float, float, float, float)\nC++: void SetCustomHistogramExtents (double , double , double , double );\nV.SetCustomHistogramExtents((float, float, float, float))\nC++: void SetCustomHistogramExtents (double  a[4]);\n\n Set/get a custom domain for histogram computation.  UseCustomHistogramExtents\n must be called for these to actually be used.\n"},
  {(char*)"GetCustomHistogramExtents",                (PyCFunction)PyvtkExtractHistogram2D_GetCustomHistogramExtents, 1,
   (char*)"V.GetCustomHistogramExtents() -> (float, float, float, float)\nC++: double  *GetCustomHistogramExtents ();\n\n Set/get a custom domain for histogram computation.  UseCustomHistogramExtents\n must be called for these to actually be used.\n"},
  {(char*)"SetUseCustomHistogramExtents",                (PyCFunction)PyvtkExtractHistogram2D_SetUseCustomHistogramExtents, 1,
   (char*)"V.SetUseCustomHistogramExtents(int)\nC++: void SetUseCustomHistogramExtents (int );\n\n Use the extents in CustomHistogramExtents when computing the\n histogram, rather than the simple range of the input columns.\n"},
  {(char*)"GetUseCustomHistogramExtents",                (PyCFunction)PyvtkExtractHistogram2D_GetUseCustomHistogramExtents, 1,
   (char*)"V.GetUseCustomHistogramExtents() -> int\nC++: int GetUseCustomHistogramExtents ();\n\n Use the extents in CustomHistogramExtents when computing the\n histogram, rather than the simple range of the input columns.\n"},
  {(char*)"UseCustomHistogramExtentsOn",                (PyCFunction)PyvtkExtractHistogram2D_UseCustomHistogramExtentsOn, 1,
   (char*)"V.UseCustomHistogramExtentsOn()\nC++: void UseCustomHistogramExtentsOn ();\n\n Use the extents in CustomHistogramExtents when computing the\n histogram, rather than the simple range of the input columns.\n"},
  {(char*)"UseCustomHistogramExtentsOff",                (PyCFunction)PyvtkExtractHistogram2D_UseCustomHistogramExtentsOff, 1,
   (char*)"V.UseCustomHistogramExtentsOff()\nC++: void UseCustomHistogramExtentsOff ();\n\n Use the extents in CustomHistogramExtents when computing the\n histogram, rather than the simple range of the input columns.\n"},
  {(char*)"SetScalarType",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarType, 1,
   (char*)"V.SetScalarType(int)\nC++: void SetScalarType (int );\n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"SetScalarTypeToUnsignedInt",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarTypeToUnsignedInt, 1,
   (char*)"V.SetScalarTypeToUnsignedInt()\nC++: void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT \n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"SetScalarTypeToUnsignedLong",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarTypeToUnsignedLong, 1,
   (char*)"V.SetScalarTypeToUnsignedLong()\nC++: void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG \n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"SetScalarTypeToUnsignedShort",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarTypeToUnsignedShort, 1,
   (char*)"V.SetScalarTypeToUnsignedShort()\nC++: void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT \n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"SetScalarTypeToUnsignedChar",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarTypeToUnsignedChar, 1,
   (char*)"V.SetScalarTypeToUnsignedChar()\nC++: void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR \n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"SetScalarTypeToFloat",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarTypeToFloat, 1,
   (char*)"V.SetScalarTypeToFloat()\nC++: void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT \n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"SetScalarTypeToDouble",                (PyCFunction)PyvtkExtractHistogram2D_SetScalarTypeToDouble, 1,
   (char*)"V.SetScalarTypeToDouble()\nC++: void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE \n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"GetScalarType",                (PyCFunction)PyvtkExtractHistogram2D_GetScalarType, 1,
   (char*)"V.GetScalarType() -> int\nC++: int GetScalarType ();\n\n Control the scalar type of the output histogram.  If the input\n is relatively small, you can save space by using a smaller\n data type.  Defaults to unsigned integer.\n"},
  {(char*)"GetMaximumBinCount",                (PyCFunction)PyvtkExtractHistogram2D_GetMaximumBinCount, 1,
   (char*)"V.GetMaximumBinCount() -> float\nC++: double GetMaximumBinCount ();\n\n Access the count of the histogram bin containing the largest number\n of input rows.\n"},
  {(char*)"GetBinRange",                (PyCFunction)PyvtkExtractHistogram2D_GetBinRange, 1,
   (char*)"V.GetBinRange(int, int, (float, float, float, float)) -> int\nC++: int GetBinRange (vtkIdType binX, vtkIdType binY, double range[4]);\nV.GetBinRange(int, (float, float, float, float)) -> int\nC++: int GetBinRange (vtkIdType bin, double range[4]);\n\n Compute the range of the bin located at position (binX,binY) in\n the 2D histogram.\n"},
  {(char*)"GetBinWidth",                (PyCFunction)PyvtkExtractHistogram2D_GetBinWidth, 1,
   (char*)"V.GetBinWidth((float, float))\nC++: void GetBinWidth (double bw[2]);\n\n Get the width of all of the bins. Also stored in the spacing\n ivar of the histogram image output.\n"},
  {(char*)"GetOutputHistogramImage",                (PyCFunction)PyvtkExtractHistogram2D_GetOutputHistogramImage, 1,
   (char*)"V.GetOutputHistogramImage() -> vtkImageData\nC++: vtkImageData *GetOutputHistogramImage ();\n\n Gets the data object at the histogram image output port and\n casts it to a vtkImageData.\n"},
  {(char*)"SetSwapColumns",                (PyCFunction)PyvtkExtractHistogram2D_SetSwapColumns, 1,
   (char*)"V.SetSwapColumns(int)\nC++: void SetSwapColumns (int );\n\n"},
  {(char*)"GetSwapColumns",                (PyCFunction)PyvtkExtractHistogram2D_GetSwapColumns, 1,
   (char*)"V.GetSwapColumns() -> int\nC++: int GetSwapColumns ();\n\n"},
  {(char*)"SwapColumnsOn",                (PyCFunction)PyvtkExtractHistogram2D_SwapColumnsOn, 1,
   (char*)"V.SwapColumnsOn()\nC++: void SwapColumnsOn ();\n\n"},
  {(char*)"SwapColumnsOff",                (PyCFunction)PyvtkExtractHistogram2D_SwapColumnsOff, 1,
   (char*)"V.SwapColumnsOff()\nC++: void SwapColumnsOff ();\n\n"},
  {(char*)"SetRowMask",                (PyCFunction)PyvtkExtractHistogram2D_SetRowMask, 1,
   (char*)"V.SetRowMask(vtkDataArray)\nC++: virtual void SetRowMask (vtkDataArray *);\n\n Get/Set an optional mask that can ignore rows of the table\n"},
  {(char*)"GetRowMask",                (PyCFunction)PyvtkExtractHistogram2D_GetRowMask, 1,
   (char*)"V.GetRowMask() -> vtkDataArray\nC++: vtkDataArray *GetRowMask ();\n\n Get/Set an optional mask that can ignore rows of the table\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkExtractHistogram2D_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);\n\n Given a collection of models, calculate aggregate model. Not used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractHistogram2DDoc[] = {
  (char*)"vtkExtractHistogram2D - compute a 2D histogram between two columns\n\n",
  "Super Class:\n\n vtkBivariateStatisticsAlgorithm\n\n",
  (char*)"  This class computes a 2D histogram between two columns of an input\n  vtkTable. Just as with a 1D histogram, a 2D histogram breaks \n  up the input domain into bins, and each pair of values (row in\n  the table) fits into a single bin and increments a row counter\n  for that bin.\n  \n  To use this class, set the input with a table and call AddColumnPair(nameX,nameY),\n  where nameX and nameY are the n",
  (char*)"ames of the two columns to be used.\n\n  In addition to the number of bins (in X and Y), the domain of\n  the histogram can be customized by toggling the UseCustomHistogramExtents\n  flag and setting the CustomHistogramExtents variable to the \n  desired value.\n\n\n",
  "See Also:\n\n vtkPExtractHistogram2D\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n------------------------------------------------------------------------------\n----- ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkExtractHistogram2DStaticNew()
{
  return vtkExtractHistogram2D::New();
}

PyObject *PyVTKClass_vtkExtractHistogram2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractHistogram2DStaticNew,
                        PyvtkExtractHistogram2DMethods,
                        (char*)"vtkExtractHistogram2D",modulename,
                        (char**)vtkExtractHistogram2DDoc,
                        PyVTKClass_vtkBivariateStatisticsAlgorithmNew(modulename));
}

