// python wrapper for vtkKMeansDistanceFunctor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKMeansDistanceFunctor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKMeansDistanceFunctorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKMeansDistanceFunctorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkKMeansDistanceFunctor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  const char    *temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  char    *temp0;
  int      temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkKMeansDistanceFunctor  *temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKMeansDistanceFunctor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKMeansDistanceFunctor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_GetEmptyTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkIdType   temp0;
  vtkVariantArray  *temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::GetEmptyTuple(temp0);
      }
    else
      {
      temp20 = op->GetEmptyTuple(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_PairwiseUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkVariantArray  *temp2;
  PyObject *tempH2;
  vtkIdType   temp3;
  vtkIdType   temp4;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"OLOLL", &tempH0, &temp1, &tempH2, &temp3, &temp4);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp2 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkVariantArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctor::PairwiseUpdate(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->PairwiseUpdate(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_PerturbElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkTable  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  vtkIdType   temp4;
  double   temp5;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"OOLLLd", &tempH0, &tempH1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkTable *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTable");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctor::PerturbElement(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PerturbElement(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_AllocateElementArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkIdType   temp0;
  void    *temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::AllocateElementArray(temp0);
      }
    else
      {
      temp20 = op->AllocateElementArray(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_DeallocateElementArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  void    *temp0;
  int      size0;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to DeallocateElementArray in vtkKMeansDistanceFunctor was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to DeallocateElementArray in vtkKMeansDistanceFunctor was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctor::DeallocateElementArray(temp0);
      }
    else
      {
      op->DeallocateElementArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_CreateCoordinateArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkAbstractArray  *temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::CreateCoordinateArray();
      }
    else
      {
      temp20 = op->CreateCoordinateArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_PackElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  void    *temp1;
  int      size1;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"Os#", &tempH0, &temp1, &size1);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to PackElements in vtkKMeansDistanceFunctor was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to PackElements in vtkKMeansDistanceFunctor was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctor::PackElements(temp0,temp1);
      }
    else
      {
      op->PackElements(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_UnPackElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkTable  *temp1;
  PyObject *tempH1;
  void    *temp2;
  int      size2;
  void    *temp3;
  int      size3;
  int      temp4;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"OOs#s#i", &tempH0, &tempH1, &temp2, &size2, &temp3, &size3, &temp4);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break11;
    temp1 = (vtkTable *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTable");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = vtkPythonUnmanglePointer((char *)temp2,&size2,(char*)"void_p");
    if (size2 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to UnPackElements in vtkKMeansDistanceFunctor was of incorrect type.");
      return NULL;
      }
    else if (size2 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to UnPackElements in vtkKMeansDistanceFunctor was poorly formed.");
      return NULL;
      }
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to UnPackElements in vtkKMeansDistanceFunctor was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to UnPackElements in vtkKMeansDistanceFunctor was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctor::UnPackElements(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->UnPackElements(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  PyErr_Clear();
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"Os#LL", &tempH0, &temp1, &size1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to UnPackElements in vtkKMeansDistanceFunctor was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to UnPackElements in vtkKMeansDistanceFunctor was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctor::UnPackElements(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->UnPackElements(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctor_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctor *op;

  int      temp20;
  op = (vtkKMeansDistanceFunctor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctor::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkKMeansDistanceFunctorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKMeansDistanceFunctor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKMeansDistanceFunctor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKMeansDistanceFunctor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKMeansDistanceFunctor\nC++: vtkKMeansDistanceFunctor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKMeansDistanceFunctor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKMeansDistanceFunctor\nC++: vtkKMeansDistanceFunctor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEmptyTuple",                (PyCFunction)PyvtkKMeansDistanceFunctor_GetEmptyTuple, 1,
   (char*)"V.GetEmptyTuple(int) -> vtkVariantArray\nC++: virtual vtkVariantArray *GetEmptyTuple (vtkIdType dimension);\n\n Return an empty tuple. These values are used as cluster center coordinates\n when no initial cluster centers are specified.\n"},
  {(char*)"PairwiseUpdate",                (PyCFunction)PyvtkKMeansDistanceFunctor_PairwiseUpdate, 1,
   (char*)"V.PairwiseUpdate(vtkTable, int, vtkVariantArray, int, int)\nC++: virtual void PairwiseUpdate (vtkTable *clusterCenters, vtkIdType row, vtkVariantArray *data, vtkIdType dataCardinality, vtkIdType totalCardinality);\n\n This is called once per observation per run per iteration in order to assign the\n observation to its nearest cluster center after the distance functor has been\n evaluated for all the cluster centers.\n\n The distance functor is responsible for incrementally updating the cluster centers\n to account for the assignment.\n"},
  {(char*)"PerturbElement",                (PyCFunction)PyvtkKMeansDistanceFunctor_PerturbElement, 1,
   (char*)"V.PerturbElement(vtkTable, vtkTable, int, int, int, float)\nC++: virtual void PerturbElement (vtkTable *, vtkTable *, vtkIdType , vtkIdType , vtkIdType , double );\n\n When a cluster center (1) has no observations that are closer to it than other cluster centers\n or (2) has exactly the same coordinates as another cluster center, its coordinates should be\n perturbed. This function should perform that perturbation.\n\n Since perturbation relies on a distance metric, this function is the responsibility of the\n distance functor.\n"},
  {(char*)"AllocateElementArray",                (PyCFunction)PyvtkKMeansDistanceFunctor_AllocateElementArray, 1,
   (char*)"V.AllocateElementArray(int) -> string\nC++: virtual void *AllocateElementArray (vtkIdType size);\n\n Allocate an array large enough to hold \\a size coordinates and return a void pointer to this array.\n This is used by vtkPKMeansStatistics to send (receive) cluster center coordinates to (from) other processes.\n"},
  {(char*)"DeallocateElementArray",                (PyCFunction)PyvtkKMeansDistanceFunctor_DeallocateElementArray, 1,
   (char*)"V.DeallocateElementArray(string)\nC++: virtual void DeallocateElementArray (void *);\n\n Free an array allocated with AllocateElementArray.\n"},
  {(char*)"CreateCoordinateArray",                (PyCFunction)PyvtkKMeansDistanceFunctor_CreateCoordinateArray, 1,
   (char*)"V.CreateCoordinateArray() -> vtkAbstractArray\nC++: virtual vtkAbstractArray *CreateCoordinateArray ();\n\n Return a vtkAbstractArray capable of holding cluster center coordinates.\n This is used by vtkPKMeansStatistics to hold cluster center coordinates sent to (received from) other processes.\n"},
  {(char*)"PackElements",                (PyCFunction)PyvtkKMeansDistanceFunctor_PackElements, 1,
   (char*)"V.PackElements(vtkTable, string)\nC++: virtual void PackElements (vtkTable *curTable, void *vElements);\n\n Pack the cluster center coordinates in \\a vElements into columns of \\a curTable.\n This code may assume that the columns in \\a curTable are all of the type returned by \\a GetNewVTKArray().\n"},
  {(char*)"UnPackElements",                (PyCFunction)PyvtkKMeansDistanceFunctor_UnPackElements, 1,
   (char*)"V.UnPackElements(vtkTable, vtkTable, string, string, int)\nC++: virtual void UnPackElements (vtkTable *curTable, vtkTable *newTable, void *vLocalElements, void *vGlobalElements, int np);\nV.UnPackElements(vtkTable, string, int, int)\nC++: virtual void UnPackElements (vtkTable *curTable, void *vLocalElements, vtkIdType numRows, vtkIdType numCols);\n\n Unpack the cluster center coordinates in \\a vElements into columns of \\a curTable.\n This code may assume that the columns in \\a curTable are all of the type returned by \\a GetNewVTKArray().\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkKMeansDistanceFunctor_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType ();\n\n Return the data type used to store cluster center coordinates.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKMeansDistanceFunctorDoc[] = {
  (char*)"vtkKMeansDistanceFunctor - measure distance from k-means cluster centers\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is an abstract class (with a default concrete subclass) that implements\n algorithms used by the vtkKMeansStatistics filter that rely on a distance metric.\n If you wish to use a non-Euclidean distance metric (this could include\n working with strings that do not have a Euclidean distance metric, implementing\n k-mediods, or trying distance metrics in norms other than L2), you\n should subclass v",
  (char*)"tkKMeansDistanceFunctor.\n\n",
  NULL
};

static vtkObjectBase *vtkKMeansDistanceFunctorStaticNew()
{
  return vtkKMeansDistanceFunctor::New();
}

PyObject *PyVTKClass_vtkKMeansDistanceFunctorNew(char *modulename)
{
  return PyVTKClass_New(&vtkKMeansDistanceFunctorStaticNew,
                        PyvtkKMeansDistanceFunctorMethods,
                        (char*)"vtkKMeansDistanceFunctor",modulename,
                        (char**)vtkKMeansDistanceFunctorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

