// python wrapper for vtkNormalizeMatrixVectors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNormalizeMatrixVectors.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNormalizeMatrixVectorsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNormalizeMatrixVectorsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkNormalizeMatrixVectors_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNormalizeMatrixVectors *op;

  const char    *temp20;
  op = (vtkNormalizeMatrixVectors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNormalizeMatrixVectors::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNormalizeMatrixVectors_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNormalizeMatrixVectors *op;

  char    *temp0;
  int      temp20;
  op = (vtkNormalizeMatrixVectors *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNormalizeMatrixVectors::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNormalizeMatrixVectors_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNormalizeMatrixVectors *op;

  vtkNormalizeMatrixVectors  *temp20;
  op = (vtkNormalizeMatrixVectors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNormalizeMatrixVectors::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNormalizeMatrixVectors_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNormalizeMatrixVectors  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNormalizeMatrixVectors::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkNormalizeMatrixVectors_GetVectorDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNormalizeMatrixVectors *op;

  int      temp20;
  op = (vtkNormalizeMatrixVectors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNormalizeMatrixVectors::GetVectorDimension();
      }
    else
      {
      temp20 = op->GetVectorDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNormalizeMatrixVectors_SetVectorDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNormalizeMatrixVectors *op;

  int      temp0;
  op = (vtkNormalizeMatrixVectors *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNormalizeMatrixVectors::SetVectorDimension(temp0);
      }
    else
      {
      op->SetVectorDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNormalizeMatrixVectorsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNormalizeMatrixVectors_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNormalizeMatrixVectors_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNormalizeMatrixVectors_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNormalizeMatrixVectors\nC++: vtkNormalizeMatrixVectors *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNormalizeMatrixVectors_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNormalizeMatrixVectors\nC++: vtkNormalizeMatrixVectors *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVectorDimension",                (PyCFunction)PyvtkNormalizeMatrixVectors_GetVectorDimension, 1,
   (char*)"V.GetVectorDimension() -> int\nC++: int GetVectorDimension ();\n\n Controls whether to normalize row-vectors or column-vectors.  0 = rows, 1 = columns.\n"},
  {(char*)"SetVectorDimension",                (PyCFunction)PyvtkNormalizeMatrixVectors_SetVectorDimension, 1,
   (char*)"V.SetVectorDimension(int)\nC++: void SetVectorDimension (int );\n\n Controls whether to normalize row-vectors or column-vectors.  0 = rows, 1 = columns.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNormalizeMatrixVectorsDoc[] = {
  (char*)"vtkNormalizeMatrixVectors - given a sparse input matrix, produces\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkNormalizeMatrixVectorsStaticNew()
{
  return vtkNormalizeMatrixVectors::New();
}

PyObject *PyVTKClass_vtkNormalizeMatrixVectorsNew(char *modulename)
{
  return PyVTKClass_New(&vtkNormalizeMatrixVectorsStaticNew,
                        PyvtkNormalizeMatrixVectorsMethods,
                        (char*)"vtkNormalizeMatrixVectors",modulename,
                        (char**)vtkNormalizeMatrixVectorsDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

