// python wrapper for vtkOrderStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOrderStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOrderStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOrderStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkOrderStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  const char    *temp20;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  vtkOrderStatistics  *temp20;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOrderStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOrderStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOrderStatistics_SetNumberOfIntervals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  vtkIdType   temp0;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderStatistics::SetNumberOfIntervals(temp0);
      }
    else
      {
      op->SetNumberOfIntervals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_GetNumberOfIntervals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  vtkIdType   temp20;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderStatistics::GetNumberOfIntervals();
      }
    else
      {
      temp20 = op->GetNumberOfIntervals();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_SetQuantileDefinition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  int      temp0;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderStatistics::SetQuantileDefinition(temp0);
      }
    else
      {
      op->SetQuantileDefinition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_GetQuantileDefinition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  vtkIdType   temp20;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderStatistics::GetQuantileDefinition();
      }
    else
      {
      temp20 = op->GetQuantileDefinition();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderStatistics_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderStatistics *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkOrderStatistics *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderStatistics::Aggregate(temp0,temp1);
      }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkOrderStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOrderStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOrderStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOrderStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOrderStatistics\nC++: vtkOrderStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOrderStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOrderStatistics\nC++: vtkOrderStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfIntervals",                (PyCFunction)PyvtkOrderStatistics_SetNumberOfIntervals, 1,
   (char*)"V.SetNumberOfIntervals(int)\nC++: void SetNumberOfIntervals (vtkIdType );\n\n Set the number of quantiles (with uniform spacing).\n"},
  {(char*)"GetNumberOfIntervals",                (PyCFunction)PyvtkOrderStatistics_GetNumberOfIntervals, 1,
   (char*)"V.GetNumberOfIntervals() -> int\nC++: vtkIdType GetNumberOfIntervals ();\n\n Get the number of quantiles (with uniform spacing).\n"},
  {(char*)"SetQuantileDefinition",                (PyCFunction)PyvtkOrderStatistics_SetQuantileDefinition, 1,
   (char*)"V.SetQuantileDefinition(int)\nC++: void SetQuantileDefinition (int );\n\n Set the quantile definition.\n"},
  {(char*)"GetQuantileDefinition",                (PyCFunction)PyvtkOrderStatistics_GetQuantileDefinition, 1,
   (char*)"V.GetQuantileDefinition() -> int\nC++: vtkIdType GetQuantileDefinition ();return static_cast vtkIdType this QuantileDefinition \n\n Given a collection of models, calculate aggregate model\n NB: not implemented\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkOrderStatistics_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);return \n\n Given a collection of models, calculate aggregate model\n NB: not implemented\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOrderStatisticsDoc[] = {
  (char*)"vtkOrderStatistics - A class for univariate order statistics\n\n",
  "Super Class:\n\n vtkUnivariateStatisticsAlgorithm\n\n",
  (char*)" Given a selection of columns of interest in an input data table, this \n class provides the following functionalities, depending on the\n execution mode it is executed in:\n * Learn: calculate 5-point statistics (minimum, 1st quartile, median, third\n   quartile, maximum) and all other deciles (1,2,3,4,6,7,8,9).\n * Assess: given an input data set in port INPUT_DATA, and two percentiles p1 < p2,\n   as",
  (char*)"sess all entries in the data set which are outside of [p1,p2].\n\n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkOrderStatisticsStaticNew()
{
  return vtkOrderStatistics::New();
}

PyObject *PyVTKClass_vtkOrderStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkOrderStatisticsStaticNew,
                        PyvtkOrderStatisticsMethods,
                        (char*)"vtkOrderStatistics",modulename,
                        (char**)vtkOrderStatisticsDoc,
                        PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(modulename));
}

