// python wrapper for vtkPKMeansStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPKMeansStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPKMeansStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPKMeansStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkKMeansStatisticsNew(char *); }

static PyObject *PyvtkPKMeansStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  const char    *temp20;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKMeansStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKMeansStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  vtkPKMeansStatistics  *temp20;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKMeansStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPKMeansStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPKMeansStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPKMeansStatistics::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKMeansStatistics::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_UpdateClusterCenters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkTable  *temp1;
  PyObject *tempH1;
  vtkIdTypeArray  *temp2;
  PyObject *tempH2;
  vtkIdTypeArray  *temp3;
  PyObject *tempH3;
  vtkDoubleArray  *temp4;
  PyObject *tempH4;
  vtkIdTypeArray  *temp5;
  PyObject *tempH5;
  vtkIdTypeArray  *temp6;
  PyObject *tempH6;
  vtkIntArray  *temp7;
  PyObject *tempH7;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkTable *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTable");
    if (!temp1 && tempH1 != Py_None) goto break6;
    temp2 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdTypeArray");
    if (!temp2 && tempH2 != Py_None) goto break6;
    temp3 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdTypeArray");
    if (!temp3 && tempH3 != Py_None) goto break6;
    temp4 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDoubleArray");
    if (!temp4 && tempH4 != Py_None) goto break6;
    temp5 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkIdTypeArray");
    if (!temp5 && tempH5 != Py_None) goto break6;
    temp6 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkIdTypeArray");
    if (!temp6 && tempH6 != Py_None) goto break6;
    temp7 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkIntArray");
    if (!temp7 && tempH7 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPKMeansStatistics::UpdateClusterCenters(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->UpdateClusterCenters(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_GetTotalNumberOfObservations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKMeansStatistics::GetTotalNumberOfObservations(temp0);
      }
    else
      {
      temp20 = op->GetTotalNumberOfObservations(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKMeansStatistics_CreateInitialClusterCenters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKMeansStatistics *op;

  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  vtkTable  *temp2;
  PyObject *tempH2;
  vtkTable  *temp3;
  PyObject *tempH3;
  vtkTable  *temp4;
  PyObject *tempH4;
  op = (vtkPKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"LOOOO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4);
  if (op)
    {
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break8;
    temp2 = (vtkTable *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkTable");
    if (!temp2 && tempH2 != Py_None) goto break8;
    temp3 = (vtkTable *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkTable");
    if (!temp3 && tempH3 != Py_None) goto break8;
    temp4 = (vtkTable *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkTable");
    if (!temp4 && tempH4 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPKMeansStatistics::CreateInitialClusterCenters(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->CreateInitialClusterCenters(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkPKMeansStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPKMeansStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPKMeansStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPKMeansStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPKMeansStatistics\nC++: vtkPKMeansStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPKMeansStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPKMeansStatistics\nC++: vtkPKMeansStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPKMeansStatistics_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPKMeansStatistics_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"UpdateClusterCenters",                (PyCFunction)PyvtkPKMeansStatistics_UpdateClusterCenters, 1,
   (char*)"V.UpdateClusterCenters(vtkTable, vtkTable, vtkIdTypeArray, vtkIdTypeArray, vtkDoubleArray, vtkIdTypeArray, vtkIdTypeArray, vtkIntArray)\nC++: virtual void UpdateClusterCenters (vtkTable *newClusterElements, vtkTable *curClusterElements, vtkIdTypeArray *numMembershipChanges, vtkIdTypeArray *numElementsInCluster, vtkDoubleArray *error, vtkIdTypeArray *startRunID, vtkIdTypeArray *endRunID, vtkIntArray *computeRun);\n\n Subroutine to update new cluster centers from the old centers.\n"},
  {(char*)"GetTotalNumberOfObservations",                (PyCFunction)PyvtkPKMeansStatistics_GetTotalNumberOfObservations, 1,
   (char*)"V.GetTotalNumberOfObservations(int) -> int\nC++: virtual vtkIdType GetTotalNumberOfObservations (vtkIdType numObservations);\n\n Subroutine to get the total number of data objects.\n"},
  {(char*)"CreateInitialClusterCenters",                (PyCFunction)PyvtkPKMeansStatistics_CreateInitialClusterCenters, 1,
   (char*)"V.CreateInitialClusterCenters(int, vtkIdTypeArray, vtkTable, vtkTable, vtkTable)\nC++: virtual void CreateInitialClusterCenters (vtkIdType numToAllocate, vtkIdTypeArray *numberOfClusters, vtkTable *inData, vtkTable *curClusterElements, vtkTable *newClusterElements);\n\n Subroutine to initialize cluster centerss if not provided by the user.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPKMeansStatisticsDoc[] = {
  (char*)"vtkPKMeansStatisitcs - A class for parallel k means clustering\n\n",
  "Super Class:\n\n vtkKMeansStatistics\n\n",
  (char*)" vtkPKMeansStatistics is vtkKMeansStatistics subclass for parallel datasets.\n It learns and derives the global statistical model on each node, but assesses each \n individual data points on the node that owns it.\n\n",
  NULL
};

static vtkObjectBase *vtkPKMeansStatisticsStaticNew()
{
  return vtkPKMeansStatistics::New();
}

PyObject *PyVTKClass_vtkPKMeansStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPKMeansStatisticsStaticNew,
                        PyvtkPKMeansStatisticsMethods,
                        (char*)"vtkPKMeansStatistics",modulename,
                        (char**)vtkPKMeansStatisticsDoc,
                        PyVTKClass_vtkKMeansStatisticsNew(modulename));
}

