// python wrapper for vtkPPCAStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPPCAStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPPCAStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPPCAStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPCAStatisticsNew(char *); }

static PyObject *PyvtkPPCAStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPCAStatistics *op;

  const char    *temp20;
  op = (vtkPPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPCAStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPPCAStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPCAStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkPPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPCAStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPPCAStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPCAStatistics *op;

  vtkPPCAStatistics  *temp20;
  op = (vtkPPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPCAStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPPCAStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPPCAStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPPCAStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPPCAStatistics_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPCAStatistics *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPPCAStatistics::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPPCAStatistics_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPCAStatistics *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPCAStatistics::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPPCAStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPPCAStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPPCAStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPPCAStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPPCAStatistics\nC++: vtkPPCAStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPPCAStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPPCAStatistics\nC++: vtkPPCAStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPPCAStatistics_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPPCAStatistics_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPPCAStatisticsDoc[] = {
  (char*)"vtkPPCAStatistics - A class for parallel principal component analysis\n\n",
  "Super Class:\n\n vtkPCAStatistics\n\n",
  (char*)" vtkPPCAStatistics is vtkPCAStatistics subclass for parallel datasets.\n It learns and derives the global statistical model on each node, but assesses each \n individual data points on the node that owns it.\n\n",
  NULL
};

static vtkObjectBase *vtkPPCAStatisticsStaticNew()
{
  return vtkPPCAStatistics::New();
}

PyObject *PyVTKClass_vtkPPCAStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPPCAStatisticsStaticNew,
                        PyvtkPPCAStatisticsMethods,
                        (char*)"vtkPPCAStatistics",modulename,
                        (char**)vtkPPCAStatisticsDoc,
                        PyVTKClass_vtkPCAStatisticsNew(modulename));
}

