// python wrapper for vtkPairwiseExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPairwiseExtractHistogram2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPairwiseExtractHistogram2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPairwiseExtractHistogram2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkPairwiseExtractHistogram2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  const char    *temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  vtkPairwiseExtractHistogram2D  *temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPairwiseExtractHistogram2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPairwiseExtractHistogram2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetNumberOfBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  int      temp1;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetNumberOfBins(temp0,temp1);
      }
    else
      {
      op->SetNumberOfBins(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetNumberOfBins(temp0);
      }
    else
      {
      op->SetNumberOfBins(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetNumberOfBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int     *temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetNumberOfBins();
      }
    else
      {
      temp20 = op->GetNumberOfBins();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetCustomColumnRangeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetCustomColumnRangeIndex(temp0);
      }
    else
      {
      op->SetCustomColumnRangeIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetCustomColumnRangeByIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  double   temp0;
  double   temp1;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetCustomColumnRangeByIndex(temp0,temp1);
      }
    else
      {
      op->SetCustomColumnRangeByIndex(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetCustomColumnRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  double temp1[2];
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetCustomColumnRange(temp0,temp1);
      }
    else
      {
      op->SetCustomColumnRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetCustomColumnRange(temp0,temp1,temp2);
      }
    else
      {
      op->SetCustomColumnRange(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetScalarType(temp0);
      }
    else
      {
      op->SetScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::SetScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetScalarType();
      }
    else
      {
      temp20 = op->GetScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetMaximumBinCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  double   temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetMaximumBinCount(temp0);
      }
    else
      {
      temp20 = op->GetMaximumBinCount(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  double   temp20;
  PyErr_Clear();
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetMaximumBinCount();
      }
    else
      {
      temp20 = op->GetMaximumBinCount();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetBinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  double temp3[4];
  int      temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"iLL(dddd)", &temp0, &temp1, &temp2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetBinRange(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetBinRange(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  vtkIdType   temp1;
  double temp2[4];
  int      temp20;
  PyErr_Clear();
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"iL(dddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetBinRange(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetBinRange(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetBinWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  double temp1[2];
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::GetBinWidth(temp0,temp1);
      }
    else
      {
      op->GetBinWidth(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetOutputHistogramImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  vtkImageData  *temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetOutputHistogramImage(temp0);
      }
    else
      {
      temp20 = op->GetOutputHistogramImage(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_GetHistogramFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  int      temp0;
  vtkExtractHistogram2D  *temp20;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPairwiseExtractHistogram2D::GetHistogramFilter(temp0);
      }
    else
      {
      temp20 = op->GetHistogramFilter(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPairwiseExtractHistogram2D_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPairwiseExtractHistogram2D *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break24;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPairwiseExtractHistogram2D::Aggregate(temp0,temp1);
      }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}

static PyMethodDef PyvtkPairwiseExtractHistogram2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPairwiseExtractHistogram2D\nC++: vtkPairwiseExtractHistogram2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPairwiseExtractHistogram2D\nC++: vtkPairwiseExtractHistogram2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfBins",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetNumberOfBins, 1,
   (char*)"V.SetNumberOfBins(int, int)\nC++: void SetNumberOfBins (int , int );\nV.SetNumberOfBins((int, int))\nC++: void SetNumberOfBins (int  a[2]);\n\n Set/get the bin dimensions of the histograms to compute\n"},
  {(char*)"GetNumberOfBins",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetNumberOfBins, 1,
   (char*)"V.GetNumberOfBins() -> (int, int)\nC++: int  *GetNumberOfBins ();\n\n Set/get the bin dimensions of the histograms to compute\n"},
  {(char*)"SetCustomColumnRangeIndex",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetCustomColumnRangeIndex, 1,
   (char*)"V.SetCustomColumnRangeIndex(int)\nC++: void SetCustomColumnRangeIndex (int );\n\n Strange method for setting an index to be used for setting custom \n column range. This was (probably) necessary to get this class\n to interact with the ParaView client/server message passing interface.\n"},
  {(char*)"SetCustomColumnRangeByIndex",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetCustomColumnRangeByIndex, 1,
   (char*)"V.SetCustomColumnRangeByIndex(float, float)\nC++: void SetCustomColumnRangeByIndex (double , double );\n\n Strange method for setting an index to be used for setting custom \n column range. This was (probably) necessary to get this class\n to interact with the ParaView client/server message passing interface.\n"},
  {(char*)"SetCustomColumnRange",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetCustomColumnRange, 1,
   (char*)"V.SetCustomColumnRange(int, (float, float))\nC++: void SetCustomColumnRange (int col, double range[2]);\nV.SetCustomColumnRange(int, float, float)\nC++: void SetCustomColumnRange (int col, double rmin, double rmax);\n\n More standard way to set the custom range for a particular column.\n This makes sure that only the affected histograms know that they\n need to be updated.\n"},
  {(char*)"SetScalarType",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetScalarType, 1,
   (char*)"V.SetScalarType(int)\nC++: void SetScalarType (int );\n\n Set the scalar type for each of the computed histograms.\n"},
  {(char*)"SetScalarTypeToUnsignedInt",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedInt, 1,
   (char*)"V.SetScalarTypeToUnsignedInt()\nC++: void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT \n\n Set the scalar type for each of the computed histograms.\n"},
  {(char*)"SetScalarTypeToUnsignedLong",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedLong, 1,
   (char*)"V.SetScalarTypeToUnsignedLong()\nC++: void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG \n\n Set the scalar type for each of the computed histograms.\n"},
  {(char*)"SetScalarTypeToUnsignedShort",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedShort, 1,
   (char*)"V.SetScalarTypeToUnsignedShort()\nC++: void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT \n\n Set the scalar type for each of the computed histograms.\n"},
  {(char*)"SetScalarTypeToUnsignedChar",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedChar, 1,
   (char*)"V.SetScalarTypeToUnsignedChar()\nC++: void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR \n\n Set the scalar type for each of the computed histograms.\n"},
  {(char*)"GetScalarType",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetScalarType, 1,
   (char*)"V.GetScalarType() -> int\nC++: int GetScalarType ();\n\n Set the scalar type for each of the computed histograms.\n"},
  {(char*)"GetMaximumBinCount",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetMaximumBinCount, 1,
   (char*)"V.GetMaximumBinCount(int) -> float\nC++: double GetMaximumBinCount (int idx);\nV.GetMaximumBinCount() -> float\nC++: double GetMaximumBinCount ();\n\n Get the maximum bin count for a single histogram\n"},
  {(char*)"GetBinRange",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetBinRange, 1,
   (char*)"V.GetBinRange(int, int, int, (float, float, float, float)) -> int\nC++: int GetBinRange (int idx, vtkIdType binX, vtkIdType binY, double range[4]);\nV.GetBinRange(int, int, (float, float, float, float)) -> int\nC++: int GetBinRange (int idx, vtkIdType bin, double range[4]);\n\n Compute the range of the bin located at position (binX,binY) in\n the 2D histogram at idx.\n"},
  {(char*)"GetBinWidth",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetBinWidth, 1,
   (char*)"V.GetBinWidth(int, (float, float))\nC++: void GetBinWidth (int idx, double bw[2]);\n\n Get the width of all of the bins. Also stored in the spacing\n ivar of the histogram image output at idx.\n"},
  {(char*)"GetOutputHistogramImage",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetOutputHistogramImage, 1,
   (char*)"V.GetOutputHistogramImage(int) -> vtkImageData\nC++: vtkImageData *GetOutputHistogramImage (int idx);\n\n Get the vtkImageData output of the idx'th histogram filter\n"},
  {(char*)"GetHistogramFilter",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_GetHistogramFilter, 1,
   (char*)"V.GetHistogramFilter(int) -> vtkExtractHistogram2D\nC++: vtkExtractHistogram2D *GetHistogramFilter (int idx);\n\n Get a pointer to the idx'th histogram filter.\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkPairwiseExtractHistogram2D_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);\n\n Given a collection of models, calculate aggregate model.  Not used\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPairwiseExtractHistogram2DDoc[] = {
  (char*)"vtkPairwiseExtractHistogram2D - compute a 2D histogram between \n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)"  This class computes a 2D histogram between all adjacent pairs of columns \n  of an input vtkTable. Internally it creates multiple vtkExtractHistogram2D\n  instances (one for each pair of adjacent table columns).  It also\n  manages updating histogram computations intelligently, only recomputing\n  those histograms for whom a relevant property has been altered.\n\n  Note that there are two different ou",
  (char*)"tputs from this filter.  One is a \n  table for which each column contains a flattened 2D histogram array.\n  The other is a vtkMultiBlockDataSet for which each block is a \n  vtkImageData representation of the 2D histogram.\n\n\n",
  "See Also:\n\n vtkExtractHistogram2D vtkPPairwiseExtractHistogram2D\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n------------------------------------------------------------------------------\n\n",
  NULL
};

static vtkObjectBase *vtkPairwiseExtractHistogram2DStaticNew()
{
  return vtkPairwiseExtractHistogram2D::New();
}

PyObject *PyVTKClass_vtkPairwiseExtractHistogram2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPairwiseExtractHistogram2DStaticNew,
                        PyvtkPairwiseExtractHistogram2DMethods,
                        (char*)"vtkPairwiseExtractHistogram2D",modulename,
                        (char**)vtkPairwiseExtractHistogram2DDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

