// python wrapper for vtkPerturbCoincidentVertices object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPerturbCoincidentVertices.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPerturbCoincidentVerticesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPerturbCoincidentVerticesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkPerturbCoincidentVertices_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerturbCoincidentVertices *op;

  const char    *temp20;
  op = (vtkPerturbCoincidentVertices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerturbCoincidentVertices::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPerturbCoincidentVertices_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerturbCoincidentVertices *op;

  char    *temp0;
  int      temp20;
  op = (vtkPerturbCoincidentVertices *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerturbCoincidentVertices::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerturbCoincidentVertices_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerturbCoincidentVertices *op;

  vtkPerturbCoincidentVertices  *temp20;
  op = (vtkPerturbCoincidentVertices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerturbCoincidentVertices::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerturbCoincidentVertices_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPerturbCoincidentVertices  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPerturbCoincidentVertices::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPerturbCoincidentVertices_SetPerturbFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerturbCoincidentVertices *op;

  double   temp0;
  op = (vtkPerturbCoincidentVertices *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerturbCoincidentVertices::SetPerturbFactor(temp0);
      }
    else
      {
      op->SetPerturbFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerturbCoincidentVertices_GetPerturbFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerturbCoincidentVertices *op;

  double   temp20;
  op = (vtkPerturbCoincidentVertices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerturbCoincidentVertices::GetPerturbFactor();
      }
    else
      {
      temp20 = op->GetPerturbFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPerturbCoincidentVerticesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPerturbCoincidentVertices_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPerturbCoincidentVertices_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPerturbCoincidentVertices_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPerturbCoincidentVertices\nC++: vtkPerturbCoincidentVertices *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPerturbCoincidentVertices_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPerturbCoincidentVertices\nC++: vtkPerturbCoincidentVertices *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPerturbFactor",                (PyCFunction)PyvtkPerturbCoincidentVertices_SetPerturbFactor, 1,
   (char*)"V.SetPerturbFactor(float)\nC++: void SetPerturbFactor (double );\n\n Specify the perturbation factor (defaults to 1.0)\n"},
  {(char*)"GetPerturbFactor",                (PyCFunction)PyvtkPerturbCoincidentVertices_GetPerturbFactor, 1,
   (char*)"V.GetPerturbFactor() -> float\nC++: double GetPerturbFactor ();\n\n Specify the perturbation factor (defaults to 1.0)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPerturbCoincidentVerticesDoc[] = {
  (char*)"vtkPerturbCoincidentVertices - Perturbs vertices that are coincident.\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" This filter perturbs vertices in a graph that have coincident coordinates.\n In particular this happens all the time with graphs that are georeferenced,\n so we need a nice scheme to perturb the vertices so that when the user\n zooms in the vertices can be distiquished.\n\n",
  NULL
};

static vtkObjectBase *vtkPerturbCoincidentVerticesStaticNew()
{
  return vtkPerturbCoincidentVertices::New();
}

PyObject *PyVTKClass_vtkPerturbCoincidentVerticesNew(char *modulename)
{
  return PyVTKClass_New(&vtkPerturbCoincidentVerticesStaticNew,
                        PyvtkPerturbCoincidentVerticesMethods,
                        (char*)"vtkPerturbCoincidentVertices",modulename,
                        (char**)vtkPerturbCoincidentVerticesDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

