// python wrapper for vtkSQLDatabaseTableSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLDatabaseTableSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLDatabaseTableSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseTableSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkSQLDatabaseTableSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  vtkSQLDatabaseTableSource  *temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSQLDatabaseTableSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSQLDatabaseTableSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_GetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::GetURL();
      }
    else
      {
      temp20 = op->GetURL();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_SetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::SetURL(temp0);
      }
    else
      {
      op->SetURL(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_SetPassword(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::SetPassword(temp0);
      }
    else
      {
      op->SetPassword(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_GetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::GetQuery();
      }
    else
      {
      temp20 = op->GetQuery();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_SetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::SetQuery(temp0);
      }
    else
      {
      op->SetQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_SetPedigreeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::SetPedigreeIdArrayName(temp0);
      }
    else
      {
      op->SetPedigreeIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_GetPedigreeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  char    *temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::GetPedigreeIdArrayName();
      }
    else
      {
      temp20 = op->GetPedigreeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_SetGeneratePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  bool   temp0;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::SetGeneratePedigreeIds(temp0);
      }
    else
      {
      op->SetGeneratePedigreeIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_GetGeneratePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  bool   temp20;
  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseTableSource::GetGeneratePedigreeIds();
      }
    else
      {
      temp20 = op->GetGeneratePedigreeIds();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_GeneratePedigreeIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::GeneratePedigreeIdsOn();
      }
    else
      {
      op->GeneratePedigreeIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseTableSource_GeneratePedigreeIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseTableSource *op;

  op = (vtkSQLDatabaseTableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseTableSource::GeneratePedigreeIdsOff();
      }
    else
      {
      op->GeneratePedigreeIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSQLDatabaseTableSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLDatabaseTableSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLDatabaseTableSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLDatabaseTableSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLDatabaseTableSource\nC++: vtkSQLDatabaseTableSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSQLDatabaseTableSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSQLDatabaseTableSource\nC++: vtkSQLDatabaseTableSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetURL",                (PyCFunction)PyvtkSQLDatabaseTableSource_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: vtkStdString GetURL ();\n\n"},
  {(char*)"SetURL",                (PyCFunction)PyvtkSQLDatabaseTableSource_SetURL, 1,
   (char*)"V.SetURL(string)\nC++: void SetURL (const vtkStdString &url);\n\n"},
  {(char*)"SetPassword",                (PyCFunction)PyvtkSQLDatabaseTableSource_SetPassword, 1,
   (char*)"V.SetPassword(string)\nC++: void SetPassword (const vtkStdString &password);\n\n"},
  {(char*)"GetQuery",                (PyCFunction)PyvtkSQLDatabaseTableSource_GetQuery, 1,
   (char*)"V.GetQuery() -> string\nC++: vtkStdString GetQuery ();\n\n"},
  {(char*)"SetQuery",                (PyCFunction)PyvtkSQLDatabaseTableSource_SetQuery, 1,
   (char*)"V.SetQuery(string)\nC++: void SetQuery (const vtkStdString &query);\n\n"},
  {(char*)"SetPedigreeIdArrayName",                (PyCFunction)PyvtkSQLDatabaseTableSource_SetPedigreeIdArrayName, 1,
   (char*)"V.SetPedigreeIdArrayName(string)\nC++: void SetPedigreeIdArrayName (char *);\n\n The name of the array for generating or assigning pedigree ids\n (default \"id\").\n"},
  {(char*)"GetPedigreeIdArrayName",                (PyCFunction)PyvtkSQLDatabaseTableSource_GetPedigreeIdArrayName, 1,
   (char*)"V.GetPedigreeIdArrayName() -> string\nC++: char *GetPedigreeIdArrayName ();\n\n The name of the array for generating or assigning pedigree ids\n (default \"id\").\n"},
  {(char*)"SetGeneratePedigreeIds",                (PyCFunction)PyvtkSQLDatabaseTableSource_SetGeneratePedigreeIds, 1,
   (char*)"V.SetGeneratePedigreeIds(bool)\nC++: void SetGeneratePedigreeIds (bool );\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"GetGeneratePedigreeIds",                (PyCFunction)PyvtkSQLDatabaseTableSource_GetGeneratePedigreeIds, 1,
   (char*)"V.GetGeneratePedigreeIds() -> bool\nC++: bool GetGeneratePedigreeIds ();\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"GeneratePedigreeIdsOn",                (PyCFunction)PyvtkSQLDatabaseTableSource_GeneratePedigreeIdsOn, 1,
   (char*)"V.GeneratePedigreeIdsOn()\nC++: void GeneratePedigreeIdsOn ();\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"GeneratePedigreeIdsOff",                (PyCFunction)PyvtkSQLDatabaseTableSource_GeneratePedigreeIdsOff, 1,
   (char*)"V.GeneratePedigreeIdsOff()\nC++: void GeneratePedigreeIdsOff ();\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLDatabaseTableSourceDoc[] = {
  (char*)"vtkSQLDatabaseTableSource - Generates a vtkTable based on an SQL query.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" This class combines vtkSQLDatabase, vtkSQLQuery, and vtkQueryToTable to\n provide a convenience class for generating tables from databases. \n Also this class can be easily wrapped and used within ParaView / OverView.\n\n",
  NULL
};

static vtkObjectBase *vtkSQLDatabaseTableSourceStaticNew()
{
  return vtkSQLDatabaseTableSource::New();
}

PyObject *PyVTKClass_vtkSQLDatabaseTableSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkSQLDatabaseTableSourceStaticNew,
                        PyvtkSQLDatabaseTableSourceMethods,
                        (char*)"vtkSQLDatabaseTableSource",modulename,
                        (char**)vtkSQLDatabaseTableSourceDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

