// python wrapper for vtkSplitColumnComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSplitColumnComponents.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplitColumnComponentsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplitColumnComponentsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkSplitColumnComponents_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitColumnComponents *op;

  const char    *temp20;
  op = (vtkSplitColumnComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitColumnComponents::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitColumnComponents_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitColumnComponents *op;

  char    *temp0;
  int      temp20;
  op = (vtkSplitColumnComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitColumnComponents::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitColumnComponents_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitColumnComponents *op;

  vtkSplitColumnComponents  *temp20;
  op = (vtkSplitColumnComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitColumnComponents::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitColumnComponents_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplitColumnComponents  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplitColumnComponents::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplitColumnComponents_SetCalculateMagnitudes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitColumnComponents *op;

  bool   temp0;
  op = (vtkSplitColumnComponents *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplitColumnComponents::SetCalculateMagnitudes(temp0);
      }
    else
      {
      op->SetCalculateMagnitudes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitColumnComponents_GetCalculateMagnitudes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitColumnComponents *op;

  bool   temp20;
  op = (vtkSplitColumnComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitColumnComponents::GetCalculateMagnitudes();
      }
    else
      {
      temp20 = op->GetCalculateMagnitudes();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSplitColumnComponentsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplitColumnComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplitColumnComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplitColumnComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplitColumnComponents\nC++: vtkSplitColumnComponents *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplitColumnComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplitColumnComponents\nC++: vtkSplitColumnComponents *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCalculateMagnitudes",                (PyCFunction)PyvtkSplitColumnComponents_SetCalculateMagnitudes, 1,
   (char*)"V.SetCalculateMagnitudes(bool)\nC++: void SetCalculateMagnitudes (bool );\n\n If on this filter will calculate an additional magnitude column for all\n columns it splits with two or more components.\n Default is on.\n"},
  {(char*)"GetCalculateMagnitudes",                (PyCFunction)PyvtkSplitColumnComponents_GetCalculateMagnitudes, 1,
   (char*)"V.GetCalculateMagnitudes() -> bool\nC++: bool GetCalculateMagnitudes ();\n\n If on this filter will calculate an additional magnitude column for all\n columns it splits with two or more components.\n Default is on.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplitColumnComponentsDoc[] = {
  (char*)"vtkSplitColumnComponents - split multicomponent table columns\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Splits any columns in a table that have more than one component into\n individual columns. Single component columns are passed through without\n any data duplication. So if column names \"Points\" had three components\n this column would be split into \"Points (0)\", \"Points (1)\" and Points (2)\".\n\n",
  NULL
};

static vtkObjectBase *vtkSplitColumnComponentsStaticNew()
{
  return vtkSplitColumnComponents::New();
}

PyObject *PyVTKClass_vtkSplitColumnComponentsNew(char *modulename)
{
  return PyVTKClass_New(&vtkSplitColumnComponentsStaticNew,
                        PyvtkSplitColumnComponentsMethods,
                        (char*)"vtkSplitColumnComponents",modulename,
                        (char**)vtkSplitColumnComponentsDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

