// python wrapper for vtkStackedTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStackedTreeLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStackedTreeLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStackedTreeLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAreaLayoutStrategyNew(char *); }

static PyObject *PyvtkStackedTreeLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  const char    *temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  vtkStackedTreeLayoutStrategy  *temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStackedTreeLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStackedTreeLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::Layout(temp0,temp1,temp2);
      }
    else
      {
      op->Layout(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_LayoutEdgePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkTree  *temp3;
  PyObject *tempH3;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    temp3 = (vtkTree *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkTree");
    if (!temp3 && tempH3 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::LayoutEdgePoints(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->LayoutEdgePoints(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetInteriorRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetInteriorRadius(temp0);
      }
    else
      {
      op->SetInteriorRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetInteriorRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetInteriorRadius();
      }
    else
      {
      temp20 = op->GetInteriorRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetRingThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetRingThickness(temp0);
      }
    else
      {
      op->SetRingThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetRingThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetRingThickness();
      }
    else
      {
      temp20 = op->GetRingThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetRootStartAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetRootStartAngle(temp0);
      }
    else
      {
      op->SetRootStartAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetRootStartAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetRootStartAngle();
      }
    else
      {
      temp20 = op->GetRootStartAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetRootEndAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetRootEndAngle(temp0);
      }
    else
      {
      op->SetRootEndAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetRootEndAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetRootEndAngle();
      }
    else
      {
      temp20 = op->GetRootEndAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  bool   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetUseRectangularCoordinates(temp0);
      }
    else
      {
      op->SetUseRectangularCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  bool   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetUseRectangularCoordinates();
      }
    else
      {
      temp20 = op->GetUseRectangularCoordinates();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_UseRectangularCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::UseRectangularCoordinatesOn();
      }
    else
      {
      op->UseRectangularCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_UseRectangularCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::UseRectangularCoordinatesOff();
      }
    else
      {
      op->UseRectangularCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetReverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  bool   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetReverse(temp0);
      }
    else
      {
      op->SetReverse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetReverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  bool   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetReverse();
      }
    else
      {
      temp20 = op->GetReverse();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_ReverseOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::ReverseOn();
      }
    else
      {
      op->ReverseOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_ReverseOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::ReverseOff();
      }
    else
      {
      op->ReverseOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_SetInteriorLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStackedTreeLayoutStrategy::SetInteriorLogSpacingValue(temp0);
      }
    else
      {
      op->SetInteriorLogSpacingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_GetInteriorLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::GetInteriorLogSpacingValue();
      }
    else
      {
      temp20 = op->GetInteriorLogSpacingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStackedTreeLayoutStrategy_FindVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStackedTreeLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  float  temp2[2];
  vtkIdType   temp20;
  op = (vtkStackedTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO(ff)", &tempH0, &tempH1, temp2 + 0, temp2 + 1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break24;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStackedTreeLayoutStrategy::FindVertex(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindVertex(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break24:
  return NULL;
}

static PyMethodDef PyvtkStackedTreeLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStackedTreeLayoutStrategy\nC++: vtkStackedTreeLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStackedTreeLayoutStrategy\nC++: vtkStackedTreeLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray, vtkDataArray)\nC++: virtual void Layout (vtkTree *inputTree, vtkDataArray *sectorArray, vtkDataArray *sizeArray);\n\n Perform the layout of the input tree, and store the sector\n bounds of each vertex as a tuple\n (innerRadius, outerRadius, startAngle, endAngle)\n in a data array.\n"},
  {(char*)"LayoutEdgePoints",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_LayoutEdgePoints, 1,
   (char*)"V.LayoutEdgePoints(vtkTree, vtkDataArray, vtkDataArray, vtkTree)\nC++: virtual void LayoutEdgePoints (vtkTree *inputTree, vtkDataArray *sectorArray, vtkDataArray *sizeArray, vtkTree *edgeRoutingTree);\n\n Fill edgeRoutingTree with points suitable for routing edges of\n an overlaid graph.\n"},
  {(char*)"SetInteriorRadius",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetInteriorRadius, 1,
   (char*)"V.SetInteriorRadius(float)\nC++: void SetInteriorRadius (double );\n\n Define the tree ring's interior radius.\n"},
  {(char*)"GetInteriorRadius",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetInteriorRadius, 1,
   (char*)"V.GetInteriorRadius() -> float\nC++: double GetInteriorRadius ();\n\n Define the tree ring's interior radius.\n"},
  {(char*)"SetRingThickness",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetRingThickness, 1,
   (char*)"V.SetRingThickness(float)\nC++: void SetRingThickness (double );\n\n Define the thickness of each of the tree rings.\n"},
  {(char*)"GetRingThickness",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetRingThickness, 1,
   (char*)"V.GetRingThickness() -> float\nC++: double GetRingThickness ();\n\n Define the thickness of each of the tree rings.\n"},
  {(char*)"SetRootStartAngle",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetRootStartAngle, 1,
   (char*)"V.SetRootStartAngle(float)\nC++: void SetRootStartAngle (double );\n\n Define the start angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n"},
  {(char*)"GetRootStartAngle",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetRootStartAngle, 1,
   (char*)"V.GetRootStartAngle() -> float\nC++: double GetRootStartAngle ();\n\n Define the start angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n"},
  {(char*)"SetRootEndAngle",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetRootEndAngle, 1,
   (char*)"V.SetRootEndAngle(float)\nC++: void SetRootEndAngle (double );\n\n Define the end angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n"},
  {(char*)"GetRootEndAngle",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetRootEndAngle, 1,
   (char*)"V.GetRootEndAngle() -> float\nC++: double GetRootEndAngle ();\n\n Define the end angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n"},
  {(char*)"SetUseRectangularCoordinates",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetUseRectangularCoordinates, 1,
   (char*)"V.SetUseRectangularCoordinates(bool)\nC++: void SetUseRectangularCoordinates (bool );\n\n Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n"},
  {(char*)"GetUseRectangularCoordinates",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetUseRectangularCoordinates, 1,
   (char*)"V.GetUseRectangularCoordinates() -> bool\nC++: bool GetUseRectangularCoordinates ();\n\n Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n"},
  {(char*)"UseRectangularCoordinatesOn",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_UseRectangularCoordinatesOn, 1,
   (char*)"V.UseRectangularCoordinatesOn()\nC++: void UseRectangularCoordinatesOn ();\n\n Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n"},
  {(char*)"UseRectangularCoordinatesOff",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_UseRectangularCoordinatesOff, 1,
   (char*)"V.UseRectangularCoordinatesOff()\nC++: void UseRectangularCoordinatesOff ();\n\n Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n"},
  {(char*)"SetReverse",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetReverse, 1,
   (char*)"V.SetReverse(bool)\nC++: void SetReverse (bool );\n\n Define whether to reverse the order of the tree stacks from\n low to high.\n"},
  {(char*)"GetReverse",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetReverse, 1,
   (char*)"V.GetReverse() -> bool\nC++: bool GetReverse ();\n\n Define whether to reverse the order of the tree stacks from\n low to high.\n"},
  {(char*)"ReverseOn",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_ReverseOn, 1,
   (char*)"V.ReverseOn()\nC++: void ReverseOn ();\n\n Define whether to reverse the order of the tree stacks from\n low to high.\n"},
  {(char*)"ReverseOff",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_ReverseOff, 1,
   (char*)"V.ReverseOff()\nC++: void ReverseOff ();\n\n Define whether to reverse the order of the tree stacks from\n low to high.\n"},
  {(char*)"SetInteriorLogSpacingValue",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_SetInteriorLogSpacingValue, 1,
   (char*)"V.SetInteriorLogSpacingValue(float)\nC++: void SetInteriorLogSpacingValue (double );\n\n The spacing of tree levels in the edge routing tree.\n Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n"},
  {(char*)"GetInteriorLogSpacingValue",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_GetInteriorLogSpacingValue, 1,
   (char*)"V.GetInteriorLogSpacingValue() -> float\nC++: double GetInteriorLogSpacingValue ();\n\n The spacing of tree levels in the edge routing tree.\n Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n"},
  {(char*)"FindVertex",                (PyCFunction)PyvtkStackedTreeLayoutStrategy_FindVertex, 1,
   (char*)"V.FindVertex(vtkTree, vtkDataArray, (float, float)) -> int\nC++: virtual vtkIdType FindVertex (vtkTree *tree, vtkDataArray *array, float pnt[2]);\n\n Returns the vertex id that contains pnt (or -1 if no one contains it).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStackedTreeLayoutStrategyDoc[] = {
  (char*)"vtkStackedTreeLayoutStrategy - lays out tree in stacked boxes or rings\n\n",
  "Super Class:\n\n vtkAreaLayoutStrategy\n\n",
  (char*)" Performs a tree ring layout or \"icicle\" layout on a tree.\n This involves assigning a sector region to each vertex in the tree,\n and placing that information in a data array with four components per\n tuple representing (innerRadius, outerRadius, startAngle, endAngle).\n\n This class may be assigned as the layout strategy to vtkAreaLayout.\n\n .SECTION Thanks\n Thanks to Jason Shepherd from Sandia Natio",
  (char*)"nal Laboratories\n for help developing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkStackedTreeLayoutStrategyStaticNew()
{
  return vtkStackedTreeLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkStackedTreeLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkStackedTreeLayoutStrategyStaticNew,
                        PyvtkStackedTreeLayoutStrategyMethods,
                        (char*)"vtkStackedTreeLayoutStrategy",modulename,
                        (char**)vtkStackedTreeLayoutStrategyDoc,
                        PyVTKClass_vtkAreaLayoutStrategyNew(modulename));
}

