// python wrapper for vtkTransferAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransferAttributes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferAttributesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferAttributesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkTransferAttributes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  const char    *temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  vtkTransferAttributes  *temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransferAttributes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransferAttributes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransferAttributes_SetDirectMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  bool   temp0;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::SetDirectMapping(temp0);
      }
    else
      {
      op->SetDirectMapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_GetDirectMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  bool   temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::GetDirectMapping();
      }
    else
      {
      temp20 = op->GetDirectMapping();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_DirectMappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::DirectMappingOn();
      }
    else
      {
      op->DirectMappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_DirectMappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::DirectMappingOff();
      }
    else
      {
      op->DirectMappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_GetSourceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  char    *temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::GetSourceArrayName();
      }
    else
      {
      temp20 = op->GetSourceArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_SetSourceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  char    *temp0;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::SetSourceArrayName(temp0);
      }
    else
      {
      op->SetSourceArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_GetTargetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  char    *temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::GetTargetArrayName();
      }
    else
      {
      temp20 = op->GetTargetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_SetTargetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  char    *temp0;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::SetTargetArrayName(temp0);
      }
    else
      {
      op->SetTargetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_GetSourceFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  int      temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::GetSourceFieldType();
      }
    else
      {
      temp20 = op->GetSourceFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_SetSourceFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  int      temp0;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::SetSourceFieldType(temp0);
      }
    else
      {
      op->SetSourceFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_GetTargetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  int      temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::GetTargetFieldType();
      }
    else
      {
      temp20 = op->GetTargetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_SetTargetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  int      temp0;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransferAttributes::SetTargetFieldType(temp0);
      }
    else
      {
      op->SetTargetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransferAttributes_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransferAttributes *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkTransferAttributes *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransferAttributes::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkTransferAttributesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransferAttributes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransferAttributes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransferAttributes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferAttributes\nC++: vtkTransferAttributes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransferAttributes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransferAttributes\nC++: vtkTransferAttributes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDirectMapping",                (PyCFunction)PyvtkTransferAttributes_SetDirectMapping, 1,
   (char*)"V.SetDirectMapping(bool)\nC++: void SetDirectMapping (bool );\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"GetDirectMapping",                (PyCFunction)PyvtkTransferAttributes_GetDirectMapping, 1,
   (char*)"V.GetDirectMapping() -> bool\nC++: bool GetDirectMapping ();\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"DirectMappingOn",                (PyCFunction)PyvtkTransferAttributes_DirectMappingOn, 1,
   (char*)"V.DirectMappingOn()\nC++: void DirectMappingOn ();\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"DirectMappingOff",                (PyCFunction)PyvtkTransferAttributes_DirectMappingOff, 1,
   (char*)"V.DirectMappingOff()\nC++: void DirectMappingOff ();\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"GetSourceArrayName",                (PyCFunction)PyvtkTransferAttributes_GetSourceArrayName, 1,
   (char*)"V.GetSourceArrayName() -> string\nC++: char *GetSourceArrayName ();\n\n The field name to use for storing the source array.\n"},
  {(char*)"SetSourceArrayName",                (PyCFunction)PyvtkTransferAttributes_SetSourceArrayName, 1,
   (char*)"V.SetSourceArrayName(string)\nC++: void SetSourceArrayName (char *);\n\n The field name to use for storing the source array.\n"},
  {(char*)"GetTargetArrayName",                (PyCFunction)PyvtkTransferAttributes_GetTargetArrayName, 1,
   (char*)"V.GetTargetArrayName() -> string\nC++: char *GetTargetArrayName ();\n\n The field name to use for storing the source array.\n"},
  {(char*)"SetTargetArrayName",                (PyCFunction)PyvtkTransferAttributes_SetTargetArrayName, 1,
   (char*)"V.SetTargetArrayName(string)\nC++: void SetTargetArrayName (char *);\n\n The field name to use for storing the source array.\n"},
  {(char*)"GetSourceFieldType",                (PyCFunction)PyvtkTransferAttributes_GetSourceFieldType, 1,
   (char*)"V.GetSourceFieldType() -> int\nC++: int GetSourceFieldType ();\n\n The source field type for accessing the source array. Valid values are\n those from enum vtkDataObject::FieldAssociations.\n"},
  {(char*)"SetSourceFieldType",                (PyCFunction)PyvtkTransferAttributes_SetSourceFieldType, 1,
   (char*)"V.SetSourceFieldType(int)\nC++: void SetSourceFieldType (int );\n\n The source field type for accessing the source array. Valid values are\n those from enum vtkDataObject::FieldAssociations.\n"},
  {(char*)"GetTargetFieldType",                (PyCFunction)PyvtkTransferAttributes_GetTargetFieldType, 1,
   (char*)"V.GetTargetFieldType() -> int\nC++: int GetTargetFieldType ();\n\n The target field type for accessing the target array. Valid values are\n those from enum vtkDataObject::FieldAssociations.\n"},
  {(char*)"SetTargetFieldType",                (PyCFunction)PyvtkTransferAttributes_SetTargetFieldType, 1,
   (char*)"V.SetTargetFieldType(int)\nC++: void SetTargetFieldType (int );\n\n The target field type for accessing the target array. Valid values are\n those from enum vtkDataObject::FieldAssociations.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkTransferAttributes_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n Set the input type of the algorithm to vtkGraph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransferAttributesDoc[] = {
  (char*)"vtkTransferAttributes - transfer data from a graph representation\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" The filter requires\n both a vtkGraph and vtkTree as input.  The tree vertices must be a\n superset of the graph vertices.  A common example is when the graph vertices\n correspond to the leaves of the tree, but the internal vertices of the tree\n represent groupings of graph vertices.  The algorithm matches the vertices\n using the array \"PedigreeId\".  The user may alternately set the\n DirectMapping ",
  (char*)"flag to indicate that the two structures must have directly\n corresponding offsets (i.e. node i in the graph must correspond to node i in\n the tree).\n\n .SECTION Thanks\n\n",
  NULL
};

static vtkObjectBase *vtkTransferAttributesStaticNew()
{
  return vtkTransferAttributes::New();
}

PyObject *PyVTKClass_vtkTransferAttributesNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransferAttributesStaticNew,
                        PyvtkTransferAttributesMethods,
                        (char*)"vtkTransferAttributes",modulename,
                        (char**)vtkTransferAttributesDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

