// python wrapper for vtkTransposeMatrix object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransposeMatrix.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransposeMatrixNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransposeMatrixNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkTransposeMatrix_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransposeMatrix *op;

  const char    *temp20;
  op = (vtkTransposeMatrix *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransposeMatrix::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransposeMatrix_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransposeMatrix *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransposeMatrix *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransposeMatrix::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransposeMatrix_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransposeMatrix *op;

  vtkTransposeMatrix  *temp20;
  op = (vtkTransposeMatrix *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransposeMatrix::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransposeMatrix_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransposeMatrix  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransposeMatrix::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTransposeMatrixMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransposeMatrix_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransposeMatrix_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransposeMatrix_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransposeMatrix\nC++: vtkTransposeMatrix *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransposeMatrix_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransposeMatrix\nC++: vtkTransposeMatrix *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransposeMatrixDoc[] = {
  (char*)"vtkTransposeMatrix - Computes the transpose of an input matrix.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkTransposeMatrixStaticNew()
{
  return vtkTransposeMatrix::New();
}

PyObject *PyVTKClass_vtkTransposeMatrixNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransposeMatrixStaticNew,
                        PyvtkTransposeMatrixMethods,
                        (char*)"vtkTransposeMatrix",modulename,
                        (char**)vtkTransposeMatrixDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

