// python wrapper for vtkImageRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageRenderManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageRenderManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageRenderManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParallelRenderManagerNew(char *); }

static PyObject *PyvtkImageRenderManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRenderManager *op;

  const char    *temp20;
  op = (vtkImageRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRenderManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRenderManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRenderManager *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRenderManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRenderManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRenderManager *op;

  vtkImageRenderManager  *temp20;
  op = (vtkImageRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRenderManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRenderManager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageRenderManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageRenderManager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageRenderManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageRenderManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageRenderManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageRenderManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageRenderManager\nC++: vtkImageRenderManager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageRenderManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageRenderManager\nC++: vtkImageRenderManager *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageRenderManagerDoc[] = {
  (char*)"vtkImageRenderManager - An object to control sort-first parallel rendering.\n\n",
  "Super Class:\n\n vtkParallelRenderManager\n\n",
  (char*)" vtkImageRenderManager is a subclass of vtkParallelRenderManager that\n uses RGBA compositing (blending) to do parallel rendering.\n This is the exact opposite of vtkCompositeRenderManager.\n It actually does nothing special. It relies on the rendering pipeline to be\n initialized with a vtkCompositeRGBAPass.\n Compositing makes sense only for renderers in layer 0.\n\n",
  "See Also:\n\n vtkCompositeRGBAPass\n\n",
  NULL
};

static vtkObjectBase *vtkImageRenderManagerStaticNew()
{
  return vtkImageRenderManager::New();
}

PyObject *PyVTKClass_vtkImageRenderManagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageRenderManagerStaticNew,
                        PyvtkImageRenderManagerMethods,
                        (char*)"vtkImageRenderManager",modulename,
                        (char**)vtkImageRenderManagerDoc,
                        PyVTKClass_vtkParallelRenderManagerNew(modulename));
}

