// python wrapper for vtkPCosmoHaloFinder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPCosmoHaloFinder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPCosmoHaloFinderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPCosmoHaloFinderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkPCosmoHaloFinder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  const char    *temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  char    *temp0;
  int      temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  vtkPCosmoHaloFinder  *temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPCosmoHaloFinder  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPCosmoHaloFinder::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetNP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  int      temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetNP(temp0);
      }
    else
      {
      op->SetNP(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetNP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  int      temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetNP();
      }
    else
      {
      temp20 = op->GetNP();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetRL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetRL(temp0);
      }
    else
      {
      op->SetRL(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetRL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetRL();
      }
    else
      {
      temp20 = op->GetRL();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetOverlap(temp0);
      }
    else
      {
      op->SetOverlap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetOverlap();
      }
    else
      {
      temp20 = op->GetOverlap();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetPMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  int      temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetPMin(temp0);
      }
    else
      {
      op->SetPMin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetPMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  int      temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetPMin();
      }
    else
      {
      temp20 = op->GetPMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetBB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetBB(temp0);
      }
    else
      {
      op->SetBB(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetBB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetBB();
      }
    else
      {
      temp20 = op->GetBB();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetParticleMass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetParticleMass(temp0);
      }
    else
      {
      op->SetParticleMass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetParticleMass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  float    temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetParticleMass();
      }
    else
      {
      temp20 = op->GetParticleMass();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_SetCopyHaloDataToParticles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  int      temp0;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoHaloFinder::SetCopyHaloDataToParticles(temp0);
      }
    else
      {
      op->SetCopyHaloDataToParticles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoHaloFinder_GetCopyHaloDataToParticles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoHaloFinder *op;

  int      temp20;
  op = (vtkPCosmoHaloFinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoHaloFinder::GetCopyHaloDataToParticles();
      }
    else
      {
      temp20 = op->GetCopyHaloDataToParticles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPCosmoHaloFinderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPCosmoHaloFinder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPCosmoHaloFinder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPCosmoHaloFinder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCosmoHaloFinder\nC++: vtkPCosmoHaloFinder *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPCosmoHaloFinder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCosmoHaloFinder\nC++: vtkPCosmoHaloFinder *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPCosmoHaloFinder_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *GetController ();\n\n Set the communicator object for interprocess communication\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPCosmoHaloFinder_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Set the communicator object for interprocess communication\n"},
  {(char*)"SetNP",                (PyCFunction)PyvtkPCosmoHaloFinder_SetNP, 1,
   (char*)"V.SetNP(int)\nC++: void SetNP (int );\n\n Specify the number of seeded particles in one dimension (total = np^3)\n"},
  {(char*)"GetNP",                (PyCFunction)PyvtkPCosmoHaloFinder_GetNP, 1,
   (char*)"V.GetNP() -> int\nC++: int GetNP ();\n\n Specify the number of seeded particles in one dimension (total = np^3)\n"},
  {(char*)"SetRL",                (PyCFunction)PyvtkPCosmoHaloFinder_SetRL, 1,
   (char*)"V.SetRL(float)\nC++: void SetRL (float );\n\n Specify the physical box dimensions size (rL) (default 91)\n"},
  {(char*)"GetRL",                (PyCFunction)PyvtkPCosmoHaloFinder_GetRL, 1,
   (char*)"V.GetRL() -> float\nC++: float GetRL ();\n\n Specify the physical box dimensions size (rL) (default 91)\n"},
  {(char*)"SetOverlap",                (PyCFunction)PyvtkPCosmoHaloFinder_SetOverlap, 1,
   (char*)"V.SetOverlap(float)\nC++: void SetOverlap (float );\n\n Specify the ghost cell spacing (edge boundary of box) (default 5)\n"},
  {(char*)"GetOverlap",                (PyCFunction)PyvtkPCosmoHaloFinder_GetOverlap, 1,
   (char*)"V.GetOverlap() -> float\nC++: float GetOverlap ();\n\n Specify the ghost cell spacing (edge boundary of box) (default 5)\n"},
  {(char*)"SetPMin",                (PyCFunction)PyvtkPCosmoHaloFinder_SetPMin, 1,
   (char*)"V.SetPMin(int)\nC++: void SetPMin (int );\n\n Specify the minimum number of particles for a halo (pmin)\n"},
  {(char*)"GetPMin",                (PyCFunction)PyvtkPCosmoHaloFinder_GetPMin, 1,
   (char*)"V.GetPMin() -> int\nC++: int GetPMin ();\n\n Specify the minimum number of particles for a halo (pmin)\n"},
  {(char*)"SetBB",                (PyCFunction)PyvtkPCosmoHaloFinder_SetBB, 1,
   (char*)"V.SetBB(float)\nC++: void SetBB (float );\n\n Specify the linking length (bb)\n"},
  {(char*)"GetBB",                (PyCFunction)PyvtkPCosmoHaloFinder_GetBB, 1,
   (char*)"V.GetBB() -> float\nC++: float GetBB ();\n\n Specify the linking length (bb)\n"},
  {(char*)"SetParticleMass",                (PyCFunction)PyvtkPCosmoHaloFinder_SetParticleMass, 1,
   (char*)"V.SetParticleMass(float)\nC++: void SetParticleMass (float );\n\n Specify the particle mass\n"},
  {(char*)"GetParticleMass",                (PyCFunction)PyvtkPCosmoHaloFinder_GetParticleMass, 1,
   (char*)"V.GetParticleMass() -> float\nC++: float GetParticleMass ();\n\n Specify the particle mass\n"},
  {(char*)"SetCopyHaloDataToParticles",                (PyCFunction)PyvtkPCosmoHaloFinder_SetCopyHaloDataToParticles, 1,
   (char*)"V.SetCopyHaloDataToParticles(int)\nC++: void SetCopyHaloDataToParticles (int );\n\n Copy the halo information to the original particles (Default on)\n"},
  {(char*)"GetCopyHaloDataToParticles",                (PyCFunction)PyvtkPCosmoHaloFinder_GetCopyHaloDataToParticles, 1,
   (char*)"V.GetCopyHaloDataToParticles() -> int\nC++: int GetCopyHaloDataToParticles ();\n\n Copy the halo information to the original particles (Default on)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPCosmoHaloFinderDoc[] = {
  (char*)"vtkPCosmoHaloFinder - find halos within a cosmology data file\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkPCosmoHaloFinder is a filter object that operates on the unstructured \n grid of all particles and assigns each particle a halo id.\n\n\n",
  NULL
};

static vtkObjectBase *vtkPCosmoHaloFinderStaticNew()
{
  return vtkPCosmoHaloFinder::New();
}

PyObject *PyVTKClass_vtkPCosmoHaloFinderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPCosmoHaloFinderStaticNew,
                        PyvtkPCosmoHaloFinderMethods,
                        (char*)"vtkPCosmoHaloFinder",modulename,
                        (char**)vtkPCosmoHaloFinderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

