// python wrapper for vtkTemporalStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalStreamTracer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalStreamTracerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalStreamTracerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamTracerNew(char *); }

static PyObject *PyvtkTemporalStreamTracer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  const char    *temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  vtkTemporalStreamTracer  *temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalStreamTracer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalStreamTracer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  unsigned int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  unsigned int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetIgnorePipelineTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetIgnorePipelineTime(temp0);
      }
    else
      {
      op->SetIgnorePipelineTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetIgnorePipelineTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetIgnorePipelineTime();
      }
    else
      {
      temp20 = op->GetIgnorePipelineTime();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_IgnorePipelineTimeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::IgnorePipelineTimeOn();
      }
    else
      {
      op->IgnorePipelineTimeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_IgnorePipelineTimeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::IgnorePipelineTimeOff();
      }
    else
      {
      op->IgnorePipelineTimeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetTimeStepResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  double   temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetTimeStepResolution(temp0);
      }
    else
      {
      op->SetTimeStepResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetTimeStepResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  double   temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetTimeStepResolution();
      }
    else
      {
      temp20 = op->GetTimeStepResolution();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetForceReinjectionEveryNSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetForceReinjectionEveryNSteps(temp0);
      }
    else
      {
      op->SetForceReinjectionEveryNSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetForceReinjectionEveryNSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetForceReinjectionEveryNSteps();
      }
    else
      {
      temp20 = op->GetForceReinjectionEveryNSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetTerminationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  double   temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetTerminationTime(temp0);
      }
    else
      {
      op->SetTerminationTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetTerminationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  double   temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetTerminationTime();
      }
    else
      {
      temp20 = op->GetTerminationTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetTerminationTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetTerminationTimeUnit(temp0);
      }
    else
      {
      op->SetTerminationTimeUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetTerminationTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetTerminationTimeUnit();
      }
    else
      {
      temp20 = op->GetTerminationTimeUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetTerminationTimeUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetTerminationTimeUnitToTimeUnit();
      }
    else
      {
      op->SetTerminationTimeUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetTerminationTimeUnitToStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetTerminationTimeUnitToStepUnit();
      }
    else
      {
      op->SetTerminationTimeUnitToStepUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetStaticSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetStaticSeeds(temp0);
      }
    else
      {
      op->SetStaticSeeds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetStaticSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetStaticSeeds();
      }
    else
      {
      temp20 = op->GetStaticSeeds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_StaticSeedsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::StaticSeedsOn();
      }
    else
      {
      op->StaticSeedsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_StaticSeedsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::StaticSeedsOff();
      }
    else
      {
      op->StaticSeedsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetStaticMesh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetStaticMesh(temp0);
      }
    else
      {
      op->SetStaticMesh(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetStaticMesh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetStaticMesh();
      }
    else
      {
      temp20 = op->GetStaticMesh();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_StaticMeshOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::StaticMeshOn();
      }
    else
      {
      op->StaticMeshOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_StaticMeshOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::StaticMeshOff();
      }
    else
      {
      op->StaticMeshOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  vtkMultiProcessController  *temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetParticleWriter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  vtkAbstractParticleWriter  *temp0;
  PyObject *tempH0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractParticleWriter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractParticleWriter");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetParticleWriter(temp0);
      }
    else
      {
      op->SetParticleWriter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetParticleWriter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  vtkAbstractParticleWriter  *temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetParticleWriter();
      }
    else
      {
      temp20 = op->GetParticleWriter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetParticleFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  char    *temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetParticleFileName(temp0);
      }
    else
      {
      op->SetParticleFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetParticleFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  char    *temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetParticleFileName();
      }
    else
      {
      temp20 = op->GetParticleFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_SetEnableParticleWriting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::SetEnableParticleWriting(temp0);
      }
    else
      {
      op->SetEnableParticleWriting(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_GetEnableParticleWriting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  int      temp20;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStreamTracer::GetEnableParticleWriting();
      }
    else
      {
      temp20 = op->GetEnableParticleWriting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_EnableParticleWritingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::EnableParticleWritingOn();
      }
    else
      {
      op->EnableParticleWritingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_EnableParticleWritingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::EnableParticleWritingOff();
      }
    else
      {
      op->EnableParticleWritingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_AddSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::AddSourceConnection(temp0);
      }
    else
      {
      op->AddSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkTemporalStreamTracer_RemoveAllSources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStreamTracer::RemoveAllSources();
      }
    else
      {
      op->RemoveAllSources();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalStreamTracerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalStreamTracer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalStreamTracer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalStreamTracer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalStreamTracer\nC++: vtkTemporalStreamTracer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalStreamTracer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalStreamTracer\nC++: vtkTemporalStreamTracer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkTemporalStreamTracer_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (unsigned int );\n\n Set/Get the TimeStep. This is the primary means of advancing \n the particles. The TimeStep should be animated and this will drive\n the pipeline forcing timesteps to be fetched from upstream.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkTemporalStreamTracer_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int unsigned GetTimeStep ();\n\n Set/Get the TimeStep. This is the primary means of advancing \n the particles. The TimeStep should be animated and this will drive\n the pipeline forcing timesteps to be fetched from upstream.\n"},
  {(char*)"SetIgnorePipelineTime",                (PyCFunction)PyvtkTemporalStreamTracer_SetIgnorePipelineTime, 1,
   (char*)"V.SetIgnorePipelineTime(int)\nC++: void SetIgnorePipelineTime (int );\n\n To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n"},
  {(char*)"GetIgnorePipelineTime",                (PyCFunction)PyvtkTemporalStreamTracer_GetIgnorePipelineTime, 1,
   (char*)"V.GetIgnorePipelineTime() -> int\nC++: int GetIgnorePipelineTime ();\n\n To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n"},
  {(char*)"IgnorePipelineTimeOn",                (PyCFunction)PyvtkTemporalStreamTracer_IgnorePipelineTimeOn, 1,
   (char*)"V.IgnorePipelineTimeOn()\nC++: void IgnorePipelineTimeOn ();\n\n To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n"},
  {(char*)"IgnorePipelineTimeOff",                (PyCFunction)PyvtkTemporalStreamTracer_IgnorePipelineTimeOff, 1,
   (char*)"V.IgnorePipelineTimeOff()\nC++: void IgnorePipelineTimeOff ();\n\n To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n"},
  {(char*)"SetTimeStepResolution",                (PyCFunction)PyvtkTemporalStreamTracer_SetTimeStepResolution, 1,
   (char*)"V.SetTimeStepResolution(float)\nC++: void SetTimeStepResolution (double );\n\n If the data source does not have the correct time values \n present on each time step - setting this value to non unity can\n be used to adjust the time step size from 1s pre step to\n 1x_TimeStepResolution : Not functional in this version. \n Broke it @todo, put back time scaling\n"},
  {(char*)"GetTimeStepResolution",                (PyCFunction)PyvtkTemporalStreamTracer_GetTimeStepResolution, 1,
   (char*)"V.GetTimeStepResolution() -> float\nC++: double GetTimeStepResolution ();\n\n If the data source does not have the correct time values \n present on each time step - setting this value to non unity can\n be used to adjust the time step size from 1s pre step to\n 1x_TimeStepResolution : Not functional in this version. \n Broke it @todo, put back time scaling\n"},
  {(char*)"SetForceReinjectionEveryNSteps",                (PyCFunction)PyvtkTemporalStreamTracer_SetForceReinjectionEveryNSteps, 1,
   (char*)"V.SetForceReinjectionEveryNSteps(int)\nC++: void SetForceReinjectionEveryNSteps (int );\n\n When animating particles, it is nice to inject new ones every Nth step\n to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a \n non zero value will cause the particle source to reinject particles\n every Nth step even if it is otherwise unchanged.\n Note that if the particle source is also animated, this flag will be\n redundant as the particles will be reinjected whenever the source changes \n anyway\n"},
  {(char*)"GetForceReinjectionEveryNSteps",                (PyCFunction)PyvtkTemporalStreamTracer_GetForceReinjectionEveryNSteps, 1,
   (char*)"V.GetForceReinjectionEveryNSteps() -> int\nC++: int GetForceReinjectionEveryNSteps ();\n\n When animating particles, it is nice to inject new ones every Nth step\n to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a \n non zero value will cause the particle source to reinject particles\n every Nth step even if it is otherwise unchanged.\n Note that if the particle source is also animated, this flag will be\n redundant as the particles will be reinjected whenever the source changes \n anyway\n"},
  {(char*)"SetTerminationTime",                (PyCFunction)PyvtkTemporalStreamTracer_SetTerminationTime, 1,
   (char*)"V.SetTerminationTime(float)\nC++: void SetTerminationTime (double );\n\n Setting TerminationTime to a positive value will cause particles\n to terminate when the time is reached. Use a vlue of zero to\n diable termination. The units of time should be consistent with the \n primary time variable.\n"},
  {(char*)"GetTerminationTime",                (PyCFunction)PyvtkTemporalStreamTracer_GetTerminationTime, 1,
   (char*)"V.GetTerminationTime() -> float\nC++: double GetTerminationTime ();\n\n Setting TerminationTime to a positive value will cause particles\n to terminate when the time is reached. Use a vlue of zero to\n diable termination. The units of time should be consistent with the \n primary time variable.\n"},
  {(char*)"SetTerminationTimeUnit",                (PyCFunction)PyvtkTemporalStreamTracer_SetTerminationTimeUnit, 1,
   (char*)"V.SetTerminationTimeUnit(int)\nC++: void SetTerminationTimeUnit (int );\n\n The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n"},
  {(char*)"GetTerminationTimeUnit",                (PyCFunction)PyvtkTemporalStreamTracer_GetTerminationTimeUnit, 1,
   (char*)"V.GetTerminationTimeUnit() -> int\nC++: int GetTerminationTimeUnit ();\n\n The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n"},
  {(char*)"SetTerminationTimeUnitToTimeUnit",                (PyCFunction)PyvtkTemporalStreamTracer_SetTerminationTimeUnitToTimeUnit, 1,
   (char*)"V.SetTerminationTimeUnitToTimeUnit()\nC++: void SetTerminationTimeUnitToTimeUnit ();this SetTerminationTimeUnit TERMINATION_TIME_UNIT \n\n The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n"},
  {(char*)"SetTerminationTimeUnitToStepUnit",                (PyCFunction)PyvtkTemporalStreamTracer_SetTerminationTimeUnitToStepUnit, 1,
   (char*)"V.SetTerminationTimeUnitToStepUnit()\nC++: void SetTerminationTimeUnitToStepUnit ();this SetTerminationTimeUnit TERMINATION_STEP_UNIT \n\n The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n"},
  {(char*)"SetStaticSeeds",                (PyCFunction)PyvtkTemporalStreamTracer_SetStaticSeeds, 1,
   (char*)"V.SetStaticSeeds(int)\nC++: void SetStaticSeeds (int );\n\n if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n"},
  {(char*)"GetStaticSeeds",                (PyCFunction)PyvtkTemporalStreamTracer_GetStaticSeeds, 1,
   (char*)"V.GetStaticSeeds() -> int\nC++: int GetStaticSeeds ();\n\n if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n"},
  {(char*)"StaticSeedsOn",                (PyCFunction)PyvtkTemporalStreamTracer_StaticSeedsOn, 1,
   (char*)"V.StaticSeedsOn()\nC++: void StaticSeedsOn ();\n\n if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n"},
  {(char*)"StaticSeedsOff",                (PyCFunction)PyvtkTemporalStreamTracer_StaticSeedsOff, 1,
   (char*)"V.StaticSeedsOff()\nC++: void StaticSeedsOff ();\n\n if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n"},
  {(char*)"SetStaticMesh",                (PyCFunction)PyvtkTemporalStreamTracer_SetStaticMesh, 1,
   (char*)"V.SetStaticMesh(int)\nC++: void SetStaticMesh (int );\n\n if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n"},
  {(char*)"GetStaticMesh",                (PyCFunction)PyvtkTemporalStreamTracer_GetStaticMesh, 1,
   (char*)"V.GetStaticMesh() -> int\nC++: int GetStaticMesh ();\n\n if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n"},
  {(char*)"StaticMeshOn",                (PyCFunction)PyvtkTemporalStreamTracer_StaticMeshOn, 1,
   (char*)"V.StaticMeshOn()\nC++: void StaticMeshOn ();\n\n if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n"},
  {(char*)"StaticMeshOff",                (PyCFunction)PyvtkTemporalStreamTracer_StaticMeshOff, 1,
   (char*)"V.StaticMeshOff()\nC++: void StaticMeshOff ();\n\n if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkTemporalStreamTracer_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *controller);\n\n Set/Get the controller used when sending particles between processes\n The controller must be an instance of vtkMPIController.\n If VTK was compiled without VTK_USE_MPI on, then the Controller is simply\n ignored.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkTemporalStreamTracer_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set/Get the controller used when sending particles between processes\n The controller must be an instance of vtkMPIController.\n If VTK was compiled without VTK_USE_MPI on, then the Controller is simply\n ignored.\n"},
  {(char*)"SetParticleWriter",                (PyCFunction)PyvtkTemporalStreamTracer_SetParticleWriter, 1,
   (char*)"V.SetParticleWriter(vtkAbstractParticleWriter)\nC++: virtual void SetParticleWriter (vtkAbstractParticleWriter *pw);\n\n Set/Get the Writer associated with this Particle Tracer\n Ideally a parallel IO capable vtkH5PartWriter should be used\n which will collect particles from all parallel processes\n and write them to a single HDF5 file.\n"},
  {(char*)"GetParticleWriter",                (PyCFunction)PyvtkTemporalStreamTracer_GetParticleWriter, 1,
   (char*)"V.GetParticleWriter() -> vtkAbstractParticleWriter\nC++: vtkAbstractParticleWriter *GetParticleWriter ();\n\n Set/Get the Writer associated with this Particle Tracer\n Ideally a parallel IO capable vtkH5PartWriter should be used\n which will collect particles from all parallel processes\n and write them to a single HDF5 file.\n"},
  {(char*)"SetParticleFileName",                (PyCFunction)PyvtkTemporalStreamTracer_SetParticleFileName, 1,
   (char*)"V.SetParticleFileName(string)\nC++: void SetParticleFileName (char *);\n\n Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n"},
  {(char*)"GetParticleFileName",                (PyCFunction)PyvtkTemporalStreamTracer_GetParticleFileName, 1,
   (char*)"V.GetParticleFileName() -> string\nC++: char *GetParticleFileName ();\n\n Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n"},
  {(char*)"SetEnableParticleWriting",                (PyCFunction)PyvtkTemporalStreamTracer_SetEnableParticleWriting, 1,
   (char*)"V.SetEnableParticleWriting(int)\nC++: void SetEnableParticleWriting (int );\n\n Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n"},
  {(char*)"GetEnableParticleWriting",                (PyCFunction)PyvtkTemporalStreamTracer_GetEnableParticleWriting, 1,
   (char*)"V.GetEnableParticleWriting() -> int\nC++: int GetEnableParticleWriting ();\n\n Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n"},
  {(char*)"EnableParticleWritingOn",                (PyCFunction)PyvtkTemporalStreamTracer_EnableParticleWritingOn, 1,
   (char*)"V.EnableParticleWritingOn()\nC++: void EnableParticleWritingOn ();\n\n Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n"},
  {(char*)"EnableParticleWritingOff",                (PyCFunction)PyvtkTemporalStreamTracer_EnableParticleWritingOff, 1,
   (char*)"V.EnableParticleWritingOff()\nC++: void EnableParticleWritingOff ();\n\n Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n"},
  {(char*)"AddSourceConnection",                (PyCFunction)PyvtkTemporalStreamTracer_AddSourceConnection, 1,
   (char*)"V.AddSourceConnection(vtkAlgorithmOutput)\nC++: void AddSourceConnection (vtkAlgorithmOutput *input);\n\n Provide support for multiple see sources\n"},
  {(char*)"RemoveAllSources",                (PyCFunction)PyvtkTemporalStreamTracer_RemoveAllSources, 1,
   (char*)"V.RemoveAllSources()\nC++: void RemoveAllSources ();\n\n Provide support for multiple see sources\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalStreamTracerDoc[] = {
  (char*)"vtkTemporalStreamTracer - A Parallel Particle tracer for unsteady vector fields\n\n",
  "Super Class:\n\n vtkStreamTracer\n\n",
  (char*)" vtkTemporalStreamTracer is a filter that integrates a vector field to generate\n \n\n\n",
  "See Also:\n\n vtkRibbonFilter vtkRuledSurfaceFilter vtkInitialValueProblemSolver \n vtkRungeKutta2 vtkRungeKutta4 vtkRungeKutta45 vtkStreamTracer\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalStreamTracerStaticNew()
{
  return vtkTemporalStreamTracer::New();
}

PyObject *PyVTKClass_vtkTemporalStreamTracerNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalStreamTracerStaticNew,
                        PyvtkTemporalStreamTracerMethods,
                        (char*)"vtkTemporalStreamTracer",modulename,
                        (char**)vtkTemporalStreamTracerDoc,
                        PyVTKClass_vtkStreamTracerNew(modulename));
}

