// python wrapper for vtkVPICReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVPICReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVPICReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVPICReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkVPICReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  const char    *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  vtkVPICReader  *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVPICReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVPICReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVPICReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  char    *temp0;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  char    *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_SetStride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetStride(temp0,temp1,temp2);
      }
    else
      {
      op->SetStride(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetStride(temp0);
      }
    else
      {
      op->SetStride(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetStride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int     *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetStride();
      }
    else
      {
      temp20 = op->GetStride();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_SetXExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp0;
  int      temp1;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetXExtent(temp0,temp1);
      }
    else
      {
      op->SetXExtent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetXExtent(temp0);
      }
    else
      {
      op->SetXExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_SetYExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp0;
  int      temp1;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetYExtent(temp0,temp1);
      }
    else
      {
      op->SetYExtent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetYExtent(temp0);
      }
    else
      {
      op->SetYExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_SetZExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp0;
  int      temp1;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetZExtent(temp0,temp1);
      }
    else
      {
      op->SetZExtent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetZExtent(temp0);
      }
    else
      {
      op->SetZExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetXLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int     *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetXLayout();
      }
    else
      {
      temp20 = op->GetXLayout();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetYLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int     *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetYLayout();
      }
    else
      {
      temp20 = op->GetYLayout();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetZLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int     *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetZLayout();
      }
    else
      {
      temp20 = op->GetZLayout();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  vtkImageData  *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVPICReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_DisableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::DisableAllPointArrays();
      }
    else
      {
      op->DisableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVPICReader_EnableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVPICReader *op;

  op = (vtkVPICReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVPICReader::EnableAllPointArrays();
      }
    else
      {
      op->EnableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVPICReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVPICReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVPICReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVPICReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVPICReader\nC++: vtkVPICReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVPICReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVPICReader\nC++: vtkVPICReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkVPICReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of VPIC data file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkVPICReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of VPIC data file to read.\n"},
  {(char*)"SetStride",                (PyCFunction)PyvtkVPICReader_SetStride, 1,
   (char*)"V.SetStride(int, int, int)\nC++: void SetStride (int , int , int );\nV.SetStride((int, int, int))\nC++: void SetStride (int  a[3]);\n\n Set the stride in each dimension\n"},
  {(char*)"GetStride",                (PyCFunction)PyvtkVPICReader_GetStride, 1,
   (char*)"V.GetStride() -> (int, int, int)\nC++: int  *GetStride ();\n\n Set the stride in each dimension\n"},
  {(char*)"SetXExtent",                (PyCFunction)PyvtkVPICReader_SetXExtent, 1,
   (char*)"V.SetXExtent(int, int)\nC++: void SetXExtent (int , int );\nV.SetXExtent((int, int))\nC++: void SetXExtent (int  a[2]);\n\n Set the simulation file decomposition in each dimension\n"},
  {(char*)"SetYExtent",                (PyCFunction)PyvtkVPICReader_SetYExtent, 1,
   (char*)"V.SetYExtent(int, int)\nC++: void SetYExtent (int , int );\nV.SetYExtent((int, int))\nC++: void SetYExtent (int  a[2]);\n\n Set the simulation file decomposition in each dimension\n"},
  {(char*)"SetZExtent",                (PyCFunction)PyvtkVPICReader_SetZExtent, 1,
   (char*)"V.SetZExtent(int, int)\nC++: void SetZExtent (int , int );\nV.SetZExtent((int, int))\nC++: void SetZExtent (int  a[2]);\n\n Set the simulation file decomposition in each dimension\n"},
  {(char*)"GetXLayout",                (PyCFunction)PyvtkVPICReader_GetXLayout, 1,
   (char*)"V.GetXLayout() -> (int, int)\nC++: int  *GetXLayout ();\n\n"},
  {(char*)"GetYLayout",                (PyCFunction)PyvtkVPICReader_GetYLayout, 1,
   (char*)"V.GetYLayout() -> (int, int)\nC++: int  *GetYLayout ();\n\n"},
  {(char*)"GetZLayout",                (PyCFunction)PyvtkVPICReader_GetZLayout, 1,
   (char*)"V.GetZLayout() -> (int, int)\nC++: int  *GetZLayout ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkVPICReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\nV.GetOutput(int) -> vtkImageData\nC++: vtkImageData *GetOutput (int index);\n\n Get the reader's output\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkVPICReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkVPICReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkVPICReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *name);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkVPICReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *name, int status);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"DisableAllPointArrays",                (PyCFunction)PyvtkVPICReader_DisableAllPointArrays, 1,
   (char*)"V.DisableAllPointArrays()\nC++: void DisableAllPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"EnableAllPointArrays",                (PyCFunction)PyvtkVPICReader_EnableAllPointArrays, 1,
   (char*)"V.EnableAllPointArrays()\nC++: void EnableAllPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVPICReaderDoc[] = {
  (char*)"vtkVPICReader - class for reading VPIC data files\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkDataReader is a helper superclass that reads the vtk data file header,\n dataset type, and attribute data (point and cell attributes such as\n scalars, vectors, normals, etc.) from a vtk data file.  See text for\n the format of the various vtk file types.\n\n\n",
  "See Also:\n\n vtkPolyDataReader vtkStructuredPointsReader vtkStructuredGridReader\n vtkUnstructuredGridReader vtkRectilinearGridReader\n\n",
  NULL
};

static vtkObjectBase *vtkVPICReaderStaticNew()
{
  return vtkVPICReader::New();
}

PyObject *PyVTKClass_vtkVPICReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkVPICReaderStaticNew,
                        PyvtkVPICReaderMethods,
                        (char*)"vtkVPICReader",modulename,
                        (char**)vtkVPICReaderDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

