// python wrapper for vtkWindBladeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWindBladeReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWindBladeReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWindBladeReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkWindBladeReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  const char    *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  vtkWindBladeReader  *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWindBladeReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWindBladeReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWindBladeReader_SetFilename(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  char    *temp0;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::SetFilename(temp0);
      }
    else
      {
      op->SetFilename(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetFilename(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  char    *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetFilename();
      }
    else
      {
      temp20 = op->GetFilename();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int     *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_SetSubExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::SetSubExtent(temp0);
      }
    else
      {
      op->SetSubExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetSubExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int     *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetSubExtent();
      }
    else
      {
      temp20 = op->GetSubExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetFieldOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  vtkStructuredGrid  *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetFieldOutput();
      }
    else
      {
      temp20 = op->GetFieldOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetBladeOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetBladeOutput();
      }
    else
      {
      temp20 = op->GetBladeOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int      temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindBladeReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_DisableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::DisableAllPointArrays();
      }
    else
      {
      op->DisableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindBladeReader_EnableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindBladeReader *op;

  op = (vtkWindBladeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindBladeReader::EnableAllPointArrays();
      }
    else
      {
      op->EnableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWindBladeReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWindBladeReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWindBladeReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWindBladeReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWindBladeReader\nC++: vtkWindBladeReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWindBladeReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWindBladeReader\nC++: vtkWindBladeReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilename",                (PyCFunction)PyvtkWindBladeReader_SetFilename, 1,
   (char*)"V.SetFilename(string)\nC++: void SetFilename (char *);\n\n"},
  {(char*)"GetFilename",                (PyCFunction)PyvtkWindBladeReader_GetFilename, 1,
   (char*)"V.GetFilename() -> string\nC++: char *GetFilename ();\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkWindBladeReader_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int , int , int , int , int , int );\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int  a[6]);\n\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkWindBladeReader_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n"},
  {(char*)"SetSubExtent",                (PyCFunction)PyvtkWindBladeReader_SetSubExtent, 1,
   (char*)"V.SetSubExtent(int, int, int, int, int, int)\nC++: void SetSubExtent (int , int , int , int , int , int );\nV.SetSubExtent((int, int, int, int, int, int))\nC++: void SetSubExtent (int  a[6]);\n\n"},
  {(char*)"GetSubExtent",                (PyCFunction)PyvtkWindBladeReader_GetSubExtent, 1,
   (char*)"V.GetSubExtent() -> (int, int, int, int, int, int)\nC++: int  *GetSubExtent ();\n\n"},
  {(char*)"GetFieldOutput",                (PyCFunction)PyvtkWindBladeReader_GetFieldOutput, 1,
   (char*)"V.GetFieldOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetFieldOutput ();\n\n Get the reader's output\n"},
  {(char*)"GetBladeOutput",                (PyCFunction)PyvtkWindBladeReader_GetBladeOutput, 1,
   (char*)"V.GetBladeOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetBladeOutput ();\n\n Get the reader's output\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkWindBladeReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkWindBladeReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkWindBladeReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *name);\n\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkWindBladeReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *name, int status);\n\n"},
  {(char*)"DisableAllPointArrays",                (PyCFunction)PyvtkWindBladeReader_DisableAllPointArrays, 1,
   (char*)"V.DisableAllPointArrays()\nC++: void DisableAllPointArrays ();\n\n"},
  {(char*)"EnableAllPointArrays",                (PyCFunction)PyvtkWindBladeReader_EnableAllPointArrays, 1,
   (char*)"V.EnableAllPointArrays()\nC++: void EnableAllPointArrays ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWindBladeReaderDoc[] = {
  (char*)"vtkWindBladeReader - class for reading WindBlade data files\n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" vtkWindBladeReader is a source object that reads WindBlade files\n which are block binary files with tags before and after each block\n giving the number of bytes within the block.  The number of data\n variables dumped varies.  The data is 3D rectilinear with irregular\n spacing on the Z dimension.\n\n\n",
  NULL
};

static vtkObjectBase *vtkWindBladeReaderStaticNew()
{
  return vtkWindBladeReader::New();
}

PyObject *PyVTKClass_vtkWindBladeReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkWindBladeReaderStaticNew,
                        PyvtkWindBladeReaderMethods,
                        (char*)"vtkWindBladeReader",modulename,
                        (char**)vtkWindBladeReaderDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

