// python wrapper for vtkCameraActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCameraActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCameraActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCameraActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkCameraActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  const char    *temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkCameraActor  *temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCameraActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCameraActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCameraActor_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraActor::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCameraActor_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkCamera  *temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_SetWidthByHeightRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  double   temp0;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraActor::SetWidthByHeightRatio(temp0);
      }
    else
      {
      op->SetWidthByHeightRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_GetWidthByHeightRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  double   temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::GetWidthByHeightRatio();
      }
    else
      {
      temp20 = op->GetWidthByHeightRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkCameraActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  int      temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkCameraActor_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  unsigned long     temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkProperty  *temp20;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraActor::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraActor_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraActor *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkCameraActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraActor::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkCameraActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCameraActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCameraActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCameraActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCameraActor\nC++: vtkCameraActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCameraActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCameraActor\nC++: vtkCameraActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkCameraActor_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: void SetCamera (vtkCamera *camera);\n\n The camera to represent. Initial value is NULL.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkCameraActor_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n The camera to represent. Initial value is NULL.\n"},
  {(char*)"SetWidthByHeightRatio",                (PyCFunction)PyvtkCameraActor_SetWidthByHeightRatio, 1,
   (char*)"V.SetWidthByHeightRatio(float)\nC++: void SetWidthByHeightRatio (double );\n\n Ratio between the width and the height of the frustum. Initial value is\n 1.0 (square)\n"},
  {(char*)"GetWidthByHeightRatio",                (PyCFunction)PyvtkCameraActor_GetWidthByHeightRatio, 1,
   (char*)"V.GetWidthByHeightRatio() -> float\nC++: double GetWidthByHeightRatio ();\n\n Ratio between the width and the height of the frustum. Initial value is\n 1.0 (square)\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkCameraActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCameraActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry? No.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCameraActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkCameraActor_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the actors mtime plus consider its properties and texture if set.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkCameraActor_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n Get property of the internal actor.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkCameraActor_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty)\nC++: void SetProperty (vtkProperty *p);\n\n Set property of the internal actor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCameraActorDoc[] = {
  (char*)"vtkCameraActor - a frustum to represent a camera.\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkCameraActor is an actor used to represent a camera by its wireframe\n frustum.\n\n",
  "See Also:\n\n vtkLight vtkConeSource vtkFrustumSource vtkCameraActor\n\n",
  NULL
};

static vtkObjectBase *vtkCameraActorStaticNew()
{
  return vtkCameraActor::New();
}

PyObject *PyVTKClass_vtkCameraActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkCameraActorStaticNew,
                        PyvtkCameraActorMethods,
                        (char*)"vtkCameraActor",modulename,
                        (char**)vtkCameraActorDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

