// python wrapper for vtkClearZPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClearZPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClearZPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClearZPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkClearZPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  const char    *temp20;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClearZPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClearZPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClearZPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClearZPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  vtkClearZPass  *temp20;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClearZPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClearZPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClearZPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClearZPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClearZPass_SetDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  double   temp0;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClearZPass::SetDepth(temp0);
      }
    else
      {
      op->SetDepth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClearZPass_GetDepthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  double   temp20;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClearZPass::GetDepthMinValue();
      }
    else
      {
      temp20 = op->GetDepthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClearZPass_GetDepthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  double   temp20;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClearZPass::GetDepthMaxValue();
      }
    else
      {
      temp20 = op->GetDepthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClearZPass_GetDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClearZPass *op;

  double   temp20;
  op = (vtkClearZPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClearZPass::GetDepth();
      }
    else
      {
      temp20 = op->GetDepth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClearZPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClearZPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClearZPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClearZPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClearZPass\nC++: vtkClearZPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClearZPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClearZPass\nC++: vtkClearZPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDepth",                (PyCFunction)PyvtkClearZPass_SetDepth, 1,
   (char*)"V.SetDepth(float)\nC++: void SetDepth (double );\n\n Set/Get the depth value. Initial value is 1.0 (farest).\n"},
  {(char*)"GetDepthMinValue",                (PyCFunction)PyvtkClearZPass_GetDepthMinValue, 1,
   (char*)"V.GetDepthMinValue() -> float\nC++: double GetDepthMinValue ();\n\n Set/Get the depth value. Initial value is 1.0 (farest).\n"},
  {(char*)"GetDepthMaxValue",                (PyCFunction)PyvtkClearZPass_GetDepthMaxValue, 1,
   (char*)"V.GetDepthMaxValue() -> float\nC++: double GetDepthMaxValue ();\n\n Set/Get the depth value. Initial value is 1.0 (farest).\n"},
  {(char*)"GetDepth",                (PyCFunction)PyvtkClearZPass_GetDepth, 1,
   (char*)"V.GetDepth() -> float\nC++: double GetDepth ();\n\n Set/Get the depth value. Initial value is 1.0 (farest).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClearZPassDoc[] = {
  (char*)"vtkClearZPass - Clear the depth buffer with a given value.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" Clear the depth buffer with a given value.\n \n\n",
  "See Also:\n\n vtkRenderPass\n\n",
  NULL
};

static vtkObjectBase *vtkClearZPassStaticNew()
{
  return vtkClearZPass::New();
}

PyObject *PyVTKClass_vtkClearZPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkClearZPassStaticNew,
                        PyvtkClearZPassMethods,
                        (char*)"vtkClearZPass",modulename,
                        (char**)vtkClearZPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

