// python wrapper for vtkDataTransferHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataTransferHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataTransferHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataTransferHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataTransferHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  const char    *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkDataTransferHelper  *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataTransferHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataTransferHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetContext(temp0);
      }
    else
      {
      op->SetContext(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkRenderWindow  *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetCPUExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetCPUExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetCPUExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetCPUExtent(temp0);
      }
    else
      {
      op->SetCPUExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetCPUExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int     *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetCPUExtent();
      }
    else
      {
      temp20 = op->GetCPUExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetGPUExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetGPUExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetGPUExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetGPUExtent(temp0);
      }
    else
      {
      op->SetGPUExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetGPUExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int     *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetGPUExtent();
      }
    else
      {
      temp20 = op->GetGPUExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetTextureExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetTextureExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetTextureExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetTextureExtent(temp0);
      }
    else
      {
      op->SetTextureExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetTextureExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int     *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetTextureExtent();
      }
    else
      {
      temp20 = op->GetTextureExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetCPUExtentIsValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetCPUExtentIsValid();
      }
    else
      {
      temp20 = op->GetCPUExtentIsValid();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetGPUExtentIsValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetGPUExtentIsValid();
      }
    else
      {
      temp20 = op->GetGPUExtentIsValid();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetTextureExtentIsValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetTextureExtentIsValid();
      }
    else
      {
      temp20 = op->GetTextureExtentIsValid();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetMinTextureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int      temp0;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetMinTextureDimension(temp0);
      }
    else
      {
      op->SetMinTextureDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetMinTextureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  int      temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetMinTextureDimension();
      }
    else
      {
      temp20 = op->GetMinTextureDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkDataArray  *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetArray();
      }
    else
      {
      temp20 = op->GetArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetArray(temp0);
      }
    else
      {
      op->SetArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkTextureObject  *temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetTexture();
      }
    else
      {
      temp20 = op->GetTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  vtkTextureObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextureObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextureObject");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetTexture(temp0);
      }
    else
      {
      op->SetTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_Download(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::Download();
      }
    else
      {
      temp20 = op->Download();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_DownloadAsync1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::DownloadAsync1();
      }
    else
      {
      temp20 = op->DownloadAsync1();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_DownloadAsync2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::DownloadAsync2();
      }
    else
      {
      temp20 = op->DownloadAsync2();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_GetShaderSupportsTextureInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp20;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataTransferHelper::GetShaderSupportsTextureInt();
      }
    else
      {
      temp20 = op->GetShaderSupportsTextureInt();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_SetShaderSupportsTextureInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataTransferHelper *op;

  bool   temp0;
  op = (vtkDataTransferHelper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataTransferHelper::SetShaderSupportsTextureInt(temp0);
      }
    else
      {
      op->SetShaderSupportsTextureInt(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataTransferHelper_IsSupported(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break29;
      {
      temp20 = vtkDataTransferHelper::IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break29:
  return NULL;
}

static PyMethodDef PyvtkDataTransferHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataTransferHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataTransferHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataTransferHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataTransferHelper\nC++: vtkDataTransferHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataTransferHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataTransferHelper\nC++: vtkDataTransferHelper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkDataTransferHelper_SetContext, 1,
   (char*)"V.SetContext(vtkRenderWindow)\nC++: void SetContext (vtkRenderWindow *context);\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkDataTransferHelper_GetContext, 1,
   (char*)"V.GetContext() -> vtkRenderWindow\nC++: vtkRenderWindow *GetContext ();\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"SetCPUExtent",                (PyCFunction)PyvtkDataTransferHelper_SetCPUExtent, 1,
   (char*)"V.SetCPUExtent(int, int, int, int, int, int)\nC++: void SetCPUExtent (int , int , int , int , int , int );\nV.SetCPUExtent((int, int, int, int, int, int))\nC++: void SetCPUExtent (int  a[6]);\n\n Set the CPU data extent. The extent matches the vtkDataArray size.\n If the vtkDataArray comes from an vtkImageData and it is part of the\n point data, it is usually the vtkImageData extent.\n It can be on cell data too, but in this case it does not match the\n vtkImageData extent.\n If the vtkDataArray comes from a vtkDataSet, just\n set it to a one-dimenstional extent equal to the number of tuples.\n Initial value is (0,0,0,0,0,0), a valid one tuple array.\n"},
  {(char*)"GetCPUExtent",                (PyCFunction)PyvtkDataTransferHelper_GetCPUExtent, 1,
   (char*)"V.GetCPUExtent() -> (int, int, int, int, int, int)\nC++: int  *GetCPUExtent ();\n\n Set the CPU data extent. The extent matches the vtkDataArray size.\n If the vtkDataArray comes from an vtkImageData and it is part of the\n point data, it is usually the vtkImageData extent.\n It can be on cell data too, but in this case it does not match the\n vtkImageData extent.\n If the vtkDataArray comes from a vtkDataSet, just\n set it to a one-dimenstional extent equal to the number of tuples.\n Initial value is (0,0,0,0,0,0), a valid one tuple array.\n"},
  {(char*)"SetGPUExtent",                (PyCFunction)PyvtkDataTransferHelper_SetGPUExtent, 1,
   (char*)"V.SetGPUExtent(int, int, int, int, int, int)\nC++: void SetGPUExtent (int , int , int , int , int , int );\nV.SetGPUExtent((int, int, int, int, int, int))\nC++: void SetGPUExtent (int  a[6]);\n\n Set the GPU data extent. This is the sub-extent to copy from or to the GPU.\n This extent matches the size of the data to transfer.\n GPUExtent and TextureExtent don't have to match (GPUExtent can be 1D\n whereas TextureExtent is 2D) but the number of elements have to match.\n Initial value is (0,0,0,0,0,0), a valid one tuple array.\n"},
  {(char*)"GetGPUExtent",                (PyCFunction)PyvtkDataTransferHelper_GetGPUExtent, 1,
   (char*)"V.GetGPUExtent() -> (int, int, int, int, int, int)\nC++: int  *GetGPUExtent ();\n\n Set the GPU data extent. This is the sub-extent to copy from or to the GPU.\n This extent matches the size of the data to transfer.\n GPUExtent and TextureExtent don't have to match (GPUExtent can be 1D\n whereas TextureExtent is 2D) but the number of elements have to match.\n Initial value is (0,0,0,0,0,0), a valid one tuple array.\n"},
  {(char*)"SetTextureExtent",                (PyCFunction)PyvtkDataTransferHelper_SetTextureExtent, 1,
   (char*)"V.SetTextureExtent(int, int, int, int, int, int)\nC++: void SetTextureExtent (int , int , int , int , int , int );\nV.SetTextureExtent((int, int, int, int, int, int))\nC++: void SetTextureExtent (int  a[6]);\n\n Set the texture data extent. This is the extent of the texture image that\n will receive the data. This extent matches the size of the data to\n transfer. If it is set to an invalid extent, GPUExtent is used.\n See more comment on GPUExtent.\n Initial value is an invalid extent.\n"},
  {(char*)"GetTextureExtent",                (PyCFunction)PyvtkDataTransferHelper_GetTextureExtent, 1,
   (char*)"V.GetTextureExtent() -> (int, int, int, int, int, int)\nC++: int  *GetTextureExtent ();\n\n Set the texture data extent. This is the extent of the texture image that\n will receive the data. This extent matches the size of the data to\n transfer. If it is set to an invalid extent, GPUExtent is used.\n See more comment on GPUExtent.\n Initial value is an invalid extent.\n"},
  {(char*)"GetCPUExtentIsValid",                (PyCFunction)PyvtkDataTransferHelper_GetCPUExtentIsValid, 1,
   (char*)"V.GetCPUExtentIsValid() -> bool\nC++: bool GetCPUExtentIsValid ();\n\n Tells if CPUExtent is valid. True if min extent<=max extent.\n"},
  {(char*)"GetGPUExtentIsValid",                (PyCFunction)PyvtkDataTransferHelper_GetGPUExtentIsValid, 1,
   (char*)"V.GetGPUExtentIsValid() -> bool\nC++: bool GetGPUExtentIsValid ();\n\n Tells if GPUExtent is valid. True if min extent<=max extent.\n"},
  {(char*)"GetTextureExtentIsValid",                (PyCFunction)PyvtkDataTransferHelper_GetTextureExtentIsValid, 1,
   (char*)"V.GetTextureExtentIsValid() -> bool\nC++: bool GetTextureExtentIsValid ();\n\n Tells if TextureExtent is valid. True if min extent<=max extent.\n"},
  {(char*)"SetMinTextureDimension",                (PyCFunction)PyvtkDataTransferHelper_SetMinTextureDimension, 1,
   (char*)"V.SetMinTextureDimension(int)\nC++: void SetMinTextureDimension (int );\n\n Define the minimal dimension of the texture regardless of the dimensions\n of the TextureExtent. Initial value is 1.\n A texture extent can have a given dimension 0D (one value), 1D, 2D or 3D.\n By default 0D and 1D are translated into a 1D texture, 2D is translated\n into a 2D texture, 3D is translated into a 3D texture. To make life easier\n when writting GLSL code and use only one type of sampler (ex: sampler2d),\n the default behavior can be changed by forcing a type of texture with\n this ivar.\n 1: default behavior. Initial value.\n 2: force 0D and 1D to be in a 2D texture\n 3: force 0D, 1D and 2D texture to be in a 3D texture.\n"},
  {(char*)"GetMinTextureDimension",                (PyCFunction)PyvtkDataTransferHelper_GetMinTextureDimension, 1,
   (char*)"V.GetMinTextureDimension() -> int\nC++: int GetMinTextureDimension ();\n\n Define the minimal dimension of the texture regardless of the dimensions\n of the TextureExtent. Initial value is 1.\n A texture extent can have a given dimension 0D (one value), 1D, 2D or 3D.\n By default 0D and 1D are translated into a 1D texture, 2D is translated\n into a 2D texture, 3D is translated into a 3D texture. To make life easier\n when writting GLSL code and use only one type of sampler (ex: sampler2d),\n the default behavior can be changed by forcing a type of texture with\n this ivar.\n 1: default behavior. Initial value.\n 2: force 0D and 1D to be in a 2D texture\n 3: force 0D, 1D and 2D texture to be in a 3D texture.\n"},
  {(char*)"GetArray",                (PyCFunction)PyvtkDataTransferHelper_GetArray, 1,
   (char*)"V.GetArray() -> vtkDataArray\nC++: vtkDataArray *GetArray ();\n\n Get/Set the CPU data buffer. Initial value is 0.\n"},
  {(char*)"SetArray",                (PyCFunction)PyvtkDataTransferHelper_SetArray, 1,
   (char*)"V.SetArray(vtkDataArray)\nC++: void SetArray (vtkDataArray *array);\n\n Get/Set the CPU data buffer. Initial value is 0.\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkDataTransferHelper_GetTexture, 1,
   (char*)"V.GetTexture() -> vtkTextureObject\nC++: vtkTextureObject *GetTexture ();\n\n Get/Set the GPU data buffer. Initial value is 0.\n"},
  {(char*)"SetTexture",                (PyCFunction)PyvtkDataTransferHelper_SetTexture, 1,
   (char*)"V.SetTexture(vtkTextureObject)\nC++: void SetTexture (vtkTextureObject *texture);\n\n Get/Set the GPU data buffer. Initial value is 0.\n"},
  {(char*)"Download",                (PyCFunction)PyvtkDataTransferHelper_Download, 1,
   (char*)"V.Download() -> bool\nC++: bool Download ();\n\n old comment:\n Downlad Extent from GPU data buffer to CPU.\n GPU data size must exactly match Extent.\n CPU data buffer will be resized to match WholeExtent in which only the\n Extent will be filled with the GPU data.\n new comment:\n Download GPUExtent from GPU texture to CPU vtkDataArray.\n If Array is not provided, it will be created with the size of CPUExtent.\n But only the tuples covered by GPUExtent will be download. In this case,\n if GPUExtent does not cover all GPUExtent, some of the vtkDataArray will\n be uninitialized.\n Reminder: A=>B <=> !A||B\n \\pre texture_exists: texture!=0\n \\pre array_not_empty: array==0 || array->GetNumberOfTuples()>0\n \\pre valid_cpu_extent: this->GetCPUExtentIsValid()\n \\pre valid_cpu_extent_size: array==0 || (CPUExtent[1]-CPUExtent[0]+1)*(CPUExtent[3]-CPUExtent[2]+1)*(CPUExtent[5]-CPUExtent[4]+1)==array->GetNumberOfTuples()\n \\pre valid_gpu_extent: this->GetGPUExtentIsValid()\n \\pre gpu_extent_in_cpu_extent: CPUExtent[ ...\n [Truncated]\n"},
  {(char*)"DownloadAsync1",                (PyCFunction)PyvtkDataTransferHelper_DownloadAsync1, 1,
   (char*)"V.DownloadAsync1() -> bool\nC++: bool DownloadAsync1 ();\n\n Splits the download in two operations\n * Asynchronously download from texture memory to PBO (DownloadAsync1()).\n * Copy from pbo to user array (DownloadAsync2()).\n"},
  {(char*)"DownloadAsync2",                (PyCFunction)PyvtkDataTransferHelper_DownloadAsync2, 1,
   (char*)"V.DownloadAsync2() -> bool\nC++: bool DownloadAsync2 ();\n\n Splits the download in two operations\n * Asynchronously download from texture memory to PBO (DownloadAsync1()).\n * Copy from pbo to user array (DownloadAsync2()).\n"},
  {(char*)"GetShaderSupportsTextureInt",                (PyCFunction)PyvtkDataTransferHelper_GetShaderSupportsTextureInt, 1,
   (char*)"V.GetShaderSupportsTextureInt() -> bool\nC++: bool GetShaderSupportsTextureInt ();\n\n"},
  {(char*)"SetShaderSupportsTextureInt",                (PyCFunction)PyvtkDataTransferHelper_SetShaderSupportsTextureInt, 1,
   (char*)"V.SetShaderSupportsTextureInt(bool)\nC++: void SetShaderSupportsTextureInt (bool value);\n\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkDataTransferHelper_IsSupported, 1,
   (char*)"V.IsSupported(vtkRenderWindow) -> bool\nC++: static bool IsSupported (vtkRenderWindow *renWin);\n\n Returns if the context supports the required extensions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataTransferHelperDoc[] = {
  (char*)"vtkDataTransferHelper - is a helper class that aids in transferring\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"  vtkDataTransferHelper is a helper class that aids in transferring data\n  between the CPU memory and the GPU memory. The data in GPU memory is \n  stored as textures which that in CPU memory is stored as vtkDataArray.\n  vtkDataTransferHelper provides API to transfer only a sub-extent of CPU\n  structured data to/from the GPU.\n\n\n",
  "See Also:\n\n vtkPixelBufferObject vtkTextureObject vtkOpenGLExtensionManager \n\n",
  NULL
};

static vtkObjectBase *vtkDataTransferHelperStaticNew()
{
  return vtkDataTransferHelper::New();
}

PyObject *PyVTKClass_vtkDataTransferHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataTransferHelperStaticNew,
                        PyvtkDataTransferHelperMethods,
                        (char*)"vtkDataTransferHelper",modulename,
                        (char**)vtkDataTransferHelperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

