// python wrapper for vtkDefaultPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDefaultPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDefaultPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDefaultPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkDefaultPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPass *op;

  const char    *temp20;
  op = (vtkDefaultPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkDefaultPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPass *op;

  vtkDefaultPass  *temp20;
  op = (vtkDefaultPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDefaultPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDefaultPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkDefaultPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDefaultPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDefaultPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDefaultPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDefaultPass\nC++: vtkDefaultPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDefaultPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDefaultPass\nC++: vtkDefaultPass *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDefaultPassDoc[] = {
  (char*)"vtkDefaultPass - Implement the basic render passes.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" vtkDefaultPass implements the basic standard render passes of VTK.\n Subclasses can easily be implemented by reusing some parts of the basic\n implementation.\n\n It implements classic Render operations as well as versions with property\n key checking.\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background",
  (char*)" color/gradient/transparent color.\n \n\n",
  "See Also:\n\n vtkRenderPass\n\n",
  NULL
};

static vtkObjectBase *vtkDefaultPassStaticNew()
{
  return vtkDefaultPass::New();
}

PyObject *PyVTKClass_vtkDefaultPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkDefaultPassStaticNew,
                        PyvtkDefaultPassMethods,
                        (char*)"vtkDefaultPass",modulename,
                        (char**)vtkDefaultPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

