// python wrapper for vtkFrameBufferObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFrameBufferObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFrameBufferObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFrameBufferObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFrameBufferObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  const char    *temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  char    *temp0;
  int      temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  vtkFrameBufferObject  *temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFrameBufferObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFrameBufferObject::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::SetContext(temp0);
      }
    else
      {
      op->SetContext(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  vtkRenderWindow  *temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  int      temp0;
  int      temp1;
  bool   temp2;
  bool   temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"iib", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::Start(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Start(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_StartNonOrtho(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  int      temp0;
  int      temp1;
  bool   temp2;
  bool   temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"iib", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::StartNonOrtho(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->StartNonOrtho(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_RenderQuad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::RenderQuad(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RenderQuad(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_Bind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::Bind();
      }
    else
      {
      op->Bind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_UnBind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::UnBind();
      }
    else
      {
      op->UnBind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SetActiveBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp0;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::SetActiveBuffer(temp0);
      }
    else
      {
      op->SetActiveBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SetColorBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp0;
  vtkTextureObject  *temp1;
  PyObject *tempH1;
  unsigned int      temp2;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"iOi", &temp0, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkTextureObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTextureObject");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::SetColorBuffer(temp0,temp1,temp2);
      }
    else
      {
      op->SetColorBuffer(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetColorBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp0;
  vtkTextureObject  *temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetColorBuffer(temp0);
      }
    else
      {
      temp20 = op->GetColorBuffer(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_RemoveColorBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp0;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::RemoveColorBuffer(temp0);
      }
    else
      {
      op->RemoveColorBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_RemoveAllColorBuffers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::RemoveAllColorBuffers();
      }
    else
      {
      op->RemoveAllColorBuffers();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SetDepthBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  vtkTextureObject  *temp0;
  PyObject *tempH0;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextureObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextureObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::SetDepthBuffer(temp0);
      }
    else
      {
      op->SetDepthBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_RemoveDepthBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::RemoveDepthBuffer();
      }
    else
      {
      op->RemoveDepthBuffer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SetDepthBufferNeeded(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  bool   temp0;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::SetDepthBufferNeeded(temp0);
      }
    else
      {
      op->SetDepthBufferNeeded(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetDepthBufferNeeded(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  bool   temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetDepthBufferNeeded();
      }
    else
      {
      temp20 = op->GetDepthBufferNeeded();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_SetNumberOfRenderTargets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp0;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrameBufferObject::SetNumberOfRenderTargets(temp0);
      }
    else
      {
      op->SetNumberOfRenderTargets(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetNumberOfRenderTargets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetNumberOfRenderTargets();
      }
    else
      {
      temp20 = op->GetNumberOfRenderTargets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetMaximumNumberOfActiveTargets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetMaximumNumberOfActiveTargets();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfActiveTargets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetMaximumNumberOfRenderTargets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  unsigned int      temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetMaximumNumberOfRenderTargets();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfRenderTargets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_GetLastSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrameBufferObject *op;

  int     *temp20;
  op = (vtkFrameBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrameBufferObject::GetLastSize();
      }
    else
      {
      temp20 = op->GetLastSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFrameBufferObject_IsSupported(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break25;
      {
      temp20 = vtkFrameBufferObject::IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break25:
  return NULL;
}

static PyMethodDef PyvtkFrameBufferObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFrameBufferObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFrameBufferObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFrameBufferObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFrameBufferObject\nC++: vtkFrameBufferObject *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFrameBufferObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFrameBufferObject\nC++: vtkFrameBufferObject *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkFrameBufferObject_SetContext, 1,
   (char*)"V.SetContext(vtkRenderWindow)\nC++: void SetContext (vtkRenderWindow *context);\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkFrameBufferObject_GetContext, 1,
   (char*)"V.GetContext() -> vtkRenderWindow\nC++: vtkRenderWindow *GetContext ();\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"Start",                (PyCFunction)PyvtkFrameBufferObject_Start, 1,
   (char*)"V.Start(int, int, bool) -> bool\nC++: bool Start (int width, int height, bool shaderSupportsTextureInt);\n\n User must take care that width/height match the dimensions of \n the user defined texture attachments.\n This method makes the \"active buffers\" the buffers that will get drawn\n into by subsequent drawing calls.\n Note that this does not clear the render buffers i.e. no glClear() calls\n are made by either of these methods. It's up to the caller to clear the\n buffers if needed.\n"},
  {(char*)"StartNonOrtho",                (PyCFunction)PyvtkFrameBufferObject_StartNonOrtho, 1,
   (char*)"V.StartNonOrtho(int, int, bool) -> bool\nC++: bool StartNonOrtho (int width, int height, bool shaderSupportsTextureInt);\n\n User must take care that width/height match the dimensions of \n the user defined texture attachments.\n This method makes the \"active buffers\" the buffers that will get drawn\n into by subsequent drawing calls.\n Note that this does not clear the render buffers i.e. no glClear() calls\n are made by either of these methods. It's up to the caller to clear the\n buffers if needed.\n"},
  {(char*)"RenderQuad",                (PyCFunction)PyvtkFrameBufferObject_RenderQuad, 1,
   (char*)"V.RenderQuad(int, int, int, int)\nC++: void RenderQuad (int minX, int maxX, int minY, int maxY);\n\n Renders a quad at the given location with pixel coordinates. This method\n is provided as a convenience, since we often render quads in a FBO.\n \\pre positive_minX: minX>=0\n \\pre increasing_x: minX<=maxX\n \\pre valid_maxX: maxX<LastSize[0]\n \\pre positive_minY: minY>=0\n \\pre increasing_y: minY<=maxY\n \\pre valid_maxY: maxY<LastSize[1]\n"},
  {(char*)"Bind",                (PyCFunction)PyvtkFrameBufferObject_Bind, 1,
   (char*)"V.Bind()\nC++: void Bind ();\n\n Save the current framebuffer and make the frame buffer active.\n Multiple calls to Bind has no effect.\n"},
  {(char*)"UnBind",                (PyCFunction)PyvtkFrameBufferObject_UnBind, 1,
   (char*)"V.UnBind()\nC++: void UnBind ();\n\n Restore the framebuffer saved with the call to Bind().\n Multiple calls to UnBind has no effect.\n"},
  {(char*)"SetActiveBuffer",                (PyCFunction)PyvtkFrameBufferObject_SetActiveBuffer, 1,
   (char*)"V.SetActiveBuffer(int)\nC++: void SetActiveBuffer (unsigned int index);this SetActiveBuffers index \n\n Choose the buffer to render into.\n This is available only if the GL_ARB_draw_buffers extension is supported\n by the card.\n"},
  {(char*)"SetColorBuffer",                (PyCFunction)PyvtkFrameBufferObject_SetColorBuffer, 1,
   (char*)"V.SetColorBuffer(int, vtkTextureObject, int)\nC++: void SetColorBuffer (unsigned int index, vtkTextureObject *texture, unsigned int zslice);\n\n"},
  {(char*)"GetColorBuffer",                (PyCFunction)PyvtkFrameBufferObject_GetColorBuffer, 1,
   (char*)"V.GetColorBuffer(int) -> vtkTextureObject\nC++: vtkTextureObject *GetColorBuffer (unsigned int index);\n\n"},
  {(char*)"RemoveColorBuffer",                (PyCFunction)PyvtkFrameBufferObject_RemoveColorBuffer, 1,
   (char*)"V.RemoveColorBuffer(int)\nC++: void RemoveColorBuffer (unsigned int index);\n\n"},
  {(char*)"RemoveAllColorBuffers",                (PyCFunction)PyvtkFrameBufferObject_RemoveAllColorBuffers, 1,
   (char*)"V.RemoveAllColorBuffers()\nC++: void RemoveAllColorBuffers ();\n\n"},
  {(char*)"SetDepthBuffer",                (PyCFunction)PyvtkFrameBufferObject_SetDepthBuffer, 1,
   (char*)"V.SetDepthBuffer(vtkTextureObject)\nC++: void SetDepthBuffer (vtkTextureObject *depthTexture);\n\n Set the texture to use as depth buffer.\n"},
  {(char*)"RemoveDepthBuffer",                (PyCFunction)PyvtkFrameBufferObject_RemoveDepthBuffer, 1,
   (char*)"V.RemoveDepthBuffer()\nC++: void RemoveDepthBuffer ();\n\n Set the texture to use as depth buffer.\n"},
  {(char*)"SetDepthBufferNeeded",                (PyCFunction)PyvtkFrameBufferObject_SetDepthBufferNeeded, 1,
   (char*)"V.SetDepthBufferNeeded(bool)\nC++: void SetDepthBufferNeeded (bool );\n\n If true, the frame buffer object will be initialized with a depth buffer.\n Initial value is true.\n"},
  {(char*)"GetDepthBufferNeeded",                (PyCFunction)PyvtkFrameBufferObject_GetDepthBufferNeeded, 1,
   (char*)"V.GetDepthBufferNeeded() -> bool\nC++: bool GetDepthBufferNeeded ();\n\n If true, the frame buffer object will be initialized with a depth buffer.\n Initial value is true.\n"},
  {(char*)"SetNumberOfRenderTargets",                (PyCFunction)PyvtkFrameBufferObject_SetNumberOfRenderTargets, 1,
   (char*)"V.SetNumberOfRenderTargets(int)\nC++: void SetNumberOfRenderTargets (unsigned int );\n\n Set/Get the number of render targets to render into at once.\n"},
  {(char*)"GetNumberOfRenderTargets",                (PyCFunction)PyvtkFrameBufferObject_GetNumberOfRenderTargets, 1,
   (char*)"V.GetNumberOfRenderTargets() -> int\nC++: int unsigned GetNumberOfRenderTargets ();\n\n Set/Get the number of render targets to render into at once.\n"},
  {(char*)"GetMaximumNumberOfActiveTargets",                (PyCFunction)PyvtkFrameBufferObject_GetMaximumNumberOfActiveTargets, 1,
   (char*)"V.GetMaximumNumberOfActiveTargets() -> int\nC++: unsigned int GetMaximumNumberOfActiveTargets ();\n\n Returns the maximum number of targets that can be rendered to at one time.\n This limits the active targets set by SetActiveTargets().\n The return value is valid only if GetContext is non-null.\n"},
  {(char*)"GetMaximumNumberOfRenderTargets",                (PyCFunction)PyvtkFrameBufferObject_GetMaximumNumberOfRenderTargets, 1,
   (char*)"V.GetMaximumNumberOfRenderTargets() -> int\nC++: unsigned int GetMaximumNumberOfRenderTargets ();\n\n Returns the maximum number of render targets available. This limits the\n available attachement points for SetColorAttachment().\n The return value is valid only if GetContext is non-null.\n"},
  {(char*)"GetLastSize",                (PyCFunction)PyvtkFrameBufferObject_GetLastSize, 1,
   (char*)"V.GetLastSize() -> (int, int)\nC++: int  *GetLastSize ();\n\n Dimensions in pixels of the framebuffer.\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkFrameBufferObject_IsSupported, 1,
   (char*)"V.IsSupported(vtkRenderWindow) -> bool\nC++: static bool IsSupported (vtkRenderWindow *renWin);\n\n Returns if the context supports the required extensions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFrameBufferObjectDoc[] = {
  (char*)"vtkFrameBufferObject - internal class which encapsulates OpenGL\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Encapsulates an OpenGL Frame Buffer Object.\n For use by vtkOpenGLFBORenderWindow, not to be used directly.\n\n",
  "Caveats:\n\n DON'T PLAY WITH IT YET.\n\n",
  NULL
};

static vtkObjectBase *vtkFrameBufferObjectStaticNew()
{
  return vtkFrameBufferObject::New();
}

PyObject *PyVTKClass_vtkFrameBufferObjectNew(char *modulename)
{
  return PyVTKClass_New(&vtkFrameBufferObjectStaticNew,
                        PyvtkFrameBufferObjectMethods,
                        (char*)"vtkFrameBufferObject",modulename,
                        (char**)vtkFrameBufferObjectDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

