// python wrapper for vtkGPUInfoList object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGPUInfoList.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGPUInfoListNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGPUInfoListNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGPUInfoList_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  const char    *temp20;
  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfoList::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfoList_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  char    *temp0;
  int      temp20;
  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfoList::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfoList_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  vtkGPUInfoList  *temp20;
  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfoList::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfoList_Probe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Probe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfoList_IsProbed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  bool   temp20;
  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfoList::IsProbed();
      }
    else
      {
      temp20 = op->IsProbed();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfoList_GetNumberOfGPUs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  int      temp20;
  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfoList::GetNumberOfGPUs();
      }
    else
      {
      temp20 = op->GetNumberOfGPUs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfoList_GetGPUInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfoList *op;

  int      temp0;
  vtkGPUInfo  *temp20;
  op = (vtkGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfoList::GetGPUInfo(temp0);
      }
    else
      {
      temp20 = op->GetGPUInfo(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGPUInfoListMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGPUInfoList_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGPUInfoList_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGPUInfoList_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGPUInfoList\nC++: vtkGPUInfoList *NewInstance ();\n\n"},
  {(char*)"Probe",                (PyCFunction)PyvtkGPUInfoList_Probe, 1,
   (char*)"V.Probe()\nC++: virtual void Probe () = 0;\n\n Build the list of vtkInfoGPU if not done yet.\n Default implementation created an empty list. Useful if there is no\n implementation available for a given architecture yet.\n \\post probed: IsProbed()\n"},
  {(char*)"IsProbed",                (PyCFunction)PyvtkGPUInfoList_IsProbed, 1,
   (char*)"V.IsProbed() -> bool\nC++: virtual bool IsProbed ();\n\n Tells if the operating system has been probed. Initial value is false.\n"},
  {(char*)"GetNumberOfGPUs",                (PyCFunction)PyvtkGPUInfoList_GetNumberOfGPUs, 1,
   (char*)"V.GetNumberOfGPUs() -> int\nC++: virtual int GetNumberOfGPUs ();\n\n Return the number of GPUs.\n \\pre probed: IsProbed()\n"},
  {(char*)"GetGPUInfo",                (PyCFunction)PyvtkGPUInfoList_GetGPUInfo, 1,
   (char*)"V.GetGPUInfo(int) -> vtkGPUInfo\nC++: virtual vtkGPUInfo *GetGPUInfo (int i);\n\n Return information about GPU i.\n \\pre probed: IsProbed()\n \\pre valid_index: i>=0 && i<GetNumberOfGPUs()\n \\post result_exists: result!=0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGPUInfoListDoc[] = {
  (char*)"vtkGPUInfoList - Stores the list of GPUs VRAM information.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGPUInfoList stores a list of vtkGPUInfo. An host can have\n several GPUs. It creates and sets the list by probing the host with system\n calls. This an abstract class. Concrete classes are OS specific.\n\n",
  "See Also:\n\n vtkGPUInfo vtkDirectXGPUInfoList vtkCoreGraphicsGPUInfoList\n\n",
  NULL
};

static vtkObjectBase *vtkGPUInfoListStaticNew()
{
  return vtkGPUInfoList::New();
}

PyObject *PyVTKClass_vtkGPUInfoListNew(char *modulename)
{
  return PyVTKClass_New(&vtkGPUInfoListStaticNew,
                        PyvtkGPUInfoListMethods,
                        (char*)"vtkGPUInfoList",modulename,
                        (char**)vtkGPUInfoListDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

