// python wrapper for vtkImageProcessingPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageProcessingPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageProcessingPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageProcessingPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkImageProcessingPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageProcessingPass *op;

  const char    *temp20;
  op = (vtkImageProcessingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageProcessingPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageProcessingPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageProcessingPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageProcessingPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageProcessingPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageProcessingPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageProcessingPass *op;

  vtkImageProcessingPass  *temp20;
  op = (vtkImageProcessingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageProcessingPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageProcessingPass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageProcessingPass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkImageProcessingPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageProcessingPass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageProcessingPass_GetDelegatePass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageProcessingPass *op;

  vtkRenderPass  *temp20;
  op = (vtkImageProcessingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageProcessingPass::GetDelegatePass();
      }
    else
      {
      temp20 = op->GetDelegatePass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageProcessingPass_SetDelegatePass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageProcessingPass *op;

  vtkRenderPass  *temp0;
  PyObject *tempH0;
  op = (vtkImageProcessingPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPass *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPass");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageProcessingPass::SetDelegatePass(temp0);
      }
    else
      {
      op->SetDelegatePass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkImageProcessingPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageProcessingPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageProcessingPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageProcessingPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageProcessingPass\nC++: vtkImageProcessingPass *NewInstance ();\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkImageProcessingPass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {(char*)"GetDelegatePass",                (PyCFunction)PyvtkImageProcessingPass_GetDelegatePass, 1,
   (char*)"V.GetDelegatePass() -> vtkRenderPass\nC++: vtkRenderPass *GetDelegatePass ();\n\n Delegate for rendering the image to be processed.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkCameraPass or to a post-processing pass.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetDelegatePass",                (PyCFunction)PyvtkImageProcessingPass_SetDelegatePass, 1,
   (char*)"V.SetDelegatePass(vtkRenderPass)\nC++: virtual void SetDelegatePass (vtkRenderPass *delegatePass);\n\n Delegate for rendering the image to be processed.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkCameraPass or to a post-processing pass.\n Initial value is a NULL pointer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageProcessingPassDoc[] = {
  (char*)"vtkImageProcessingPass - Convenient class for post-processing passes.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" Abstract class with some convenient methods frequently used in subclasses.\n\n .SECTION Implementation\n\n",
  "See Also:\n\n vtkRenderPass vtkGaussianBlurPass vtkSobelGradientMagnitudePass\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageProcessingPassNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageProcessingPassMethods,
                        (char*)"vtkImageProcessingPass",modulename,
                        (char**)vtkImageProcessingPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

