// python wrapper for vtkLabelHierarchyIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelHierarchyIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelHierarchyIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkLabelHierarchyIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  const char    *temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  vtkLabelHierarchyIterator  *temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::Begin(temp0);
      }
    else
      {
      op->Begin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  bool   temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::IsAtEnd();
      }
    else
      {
      temp20 = op->IsAtEnd();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  double temp0[3];
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::GetPoint(temp0);
      }
    else
      {
      op->GetPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  double temp0[2];
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetBoundedSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  double temp0[2];
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::GetBoundedSize(temp0);
      }
    else
      {
      op->GetBoundedSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  int      temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::GetType();
      }
    else
      {
      temp20 = op->GetType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  double   temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetLabelId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  vtkIdType   temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::GetLabelId();
      }
    else
      {
      temp20 = op->GetLabelId();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetHierarchy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  vtkLabelHierarchy  *temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::GetHierarchy();
      }
    else
      {
      temp20 = op->GetHierarchy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_SetTraversedBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::SetTraversedBounds(temp0);
      }
    else
      {
      op->SetTraversedBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_BoxNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::BoxNode();
      }
    else
      {
      op->BoxNode();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_BoxAllNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::BoxAllNodes(temp0);
      }
    else
      {
      op->BoxAllNodes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_SetAllBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  int      temp0;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyIterator::SetAllBounds(temp0);
      }
    else
      {
      op->SetAllBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyIterator_GetAllBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyIterator *op;

  int      temp20;
  op = (vtkLabelHierarchyIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyIterator::GetAllBounds();
      }
    else
      {
      temp20 = op->GetAllBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLabelHierarchyIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelHierarchyIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelHierarchyIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelHierarchyIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelHierarchyIterator\nC++: vtkLabelHierarchyIterator *NewInstance ();\n\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkLabelHierarchyIterator_Begin, 1,
   (char*)"V.Begin(vtkIdTypeArray)\nC++: virtual void Begin (vtkIdTypeArray *);\n\n Advance the iterator.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkLabelHierarchyIterator_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next ();\n\n Returns true if the iterator is at the end.\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkLabelHierarchyIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> bool\nC++: virtual bool IsAtEnd ();return true \n\n Retrieves the current label location.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkLabelHierarchyIterator_GetPoint, 1,
   (char*)"V.GetPoint((float, float, float))\nC++: virtual void GetPoint (double x[3]);\n\n Retrieves the current label location.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkLabelHierarchyIterator_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double sz[2]);\n\n Retrieves the current label size.\n"},
  {(char*)"GetBoundedSize",                (PyCFunction)PyvtkLabelHierarchyIterator_GetBoundedSize, 1,
   (char*)"V.GetBoundedSize((float, float))\nC++: virtual void GetBoundedSize (double sz[2]);\n\n Retrieves the current label maximum width in world coordinates.\n"},
  {(char*)"GetType",                (PyCFunction)PyvtkLabelHierarchyIterator_GetType, 1,
   (char*)"V.GetType() -> int\nC++: virtual int GetType ();\n\n Retrieves the current label type.\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkLabelHierarchyIterator_GetOrientation, 1,
   (char*)"V.GetOrientation() -> float\nC++: virtual double GetOrientation ();\n\n Retrieves the current label orientation.\n"},
  {(char*)"GetLabelId",                (PyCFunction)PyvtkLabelHierarchyIterator_GetLabelId, 1,
   (char*)"V.GetLabelId() -> int\nC++: virtual vtkIdType GetLabelId ();return \n\n Get the label hierarchy associated with the current label.\n"},
  {(char*)"GetHierarchy",                (PyCFunction)PyvtkLabelHierarchyIterator_GetHierarchy, 1,
   (char*)"V.GetHierarchy() -> vtkLabelHierarchy\nC++: vtkLabelHierarchy *GetHierarchy ();\n\n Get the label hierarchy associated with the current label.\n"},
  {(char*)"SetTraversedBounds",                (PyCFunction)PyvtkLabelHierarchyIterator_SetTraversedBounds, 1,
   (char*)"V.SetTraversedBounds(vtkPolyData)\nC++: virtual void SetTraversedBounds (vtkPolyData *);\n\n Sets a polydata to fill with geometry representing\n the bounding boxes of the traversed octree nodes.\n"},
  {(char*)"BoxNode",                (PyCFunction)PyvtkLabelHierarchyIterator_BoxNode, 1,
   (char*)"V.BoxNode()\nC++: virtual void BoxNode ();\n\n Add a representation to TraversedBounds for the current octree node.\n This should be called by subclasses inside Next().\n Does nothing if TraversedBounds is NULL.\n"},
  {(char*)"BoxAllNodes",                (PyCFunction)PyvtkLabelHierarchyIterator_BoxAllNodes, 1,
   (char*)"V.BoxAllNodes(vtkPolyData)\nC++: virtual void BoxAllNodes (vtkPolyData *);\n\n Add a representation for all existing octree nodes to the specified polydata.\n This is equivalent to setting TraversedBounds, iterating over the entire hierarchy,\n and then resetting TraversedBounds to its original value.\n"},
  {(char*)"SetAllBounds",                (PyCFunction)PyvtkLabelHierarchyIterator_SetAllBounds, 1,
   (char*)"V.SetAllBounds(int)\nC++: void SetAllBounds (int );\n\n Set/get whether all nodes in the hierarchy should be added to the TraversedBounds\n polydata or only those traversed.\n When non-zero, all nodes will be added.\n By default, AllBounds is 0.\n"},
  {(char*)"GetAllBounds",                (PyCFunction)PyvtkLabelHierarchyIterator_GetAllBounds, 1,
   (char*)"V.GetAllBounds() -> int\nC++: int GetAllBounds ();\n\n Set/get whether all nodes in the hierarchy should be added to the TraversedBounds\n polydata or only those traversed.\n When non-zero, all nodes will be added.\n By default, AllBounds is 0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelHierarchyIteratorDoc[] = {
  (char*)"vtkLabelHierarchyIterator - iterator over vtkLabelHierarchy\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Abstract superclass for iterators over vtkLabelHierarchy.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkLabelHierarchyIteratorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkLabelHierarchyIteratorMethods,
                        (char*)"vtkLabelHierarchyIterator",modulename,
                        (char**)vtkLabelHierarchyIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

