// python wrapper for vtkLightActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLightActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLightActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLightActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkLightActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  const char    *temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  vtkLightActor  *temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLightActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLightActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLightActor_SetLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  vtkLight  *temp0;
  PyObject *tempH0;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLight *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLight");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLightActor::SetLight(temp0);
      }
    else
      {
      op->SetLight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLightActor_GetLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  vtkLight  *temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::GetLight();
      }
    else
      {
      temp20 = op->GetLight();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_SetClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  double   temp0;
  double   temp1;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightActor::SetClippingRange(temp0,temp1);
      }
    else
      {
      op->SetClippingRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLightActor *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightActor::SetClippingRange(temp0);
      }
    else
      {
      op->SetClippingRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_GetClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  double  *temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::GetClippingRange();
      }
    else
      {
      temp20 = op->GetClippingRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkLightActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  int      temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkLightActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkLightActor_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightActor *op;

  unsigned long     temp20;
  op = (vtkLightActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightActor::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLightActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLightActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLightActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLightActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLightActor\nC++: vtkLightActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLightActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLightActor\nC++: vtkLightActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLight",                (PyCFunction)PyvtkLightActor_SetLight, 1,
   (char*)"V.SetLight(vtkLight)\nC++: void SetLight (vtkLight *light);\n\n The spotlight to represent. Initial value is NULL.\n"},
  {(char*)"GetLight",                (PyCFunction)PyvtkLightActor_GetLight, 1,
   (char*)"V.GetLight() -> vtkLight\nC++: vtkLight *GetLight ();\n\n The spotlight to represent. Initial value is NULL.\n"},
  {(char*)"SetClippingRange",                (PyCFunction)PyvtkLightActor_SetClippingRange, 1,
   (char*)"V.SetClippingRange(float, float)\nC++: void SetClippingRange (double dNear, double dFar);\nV.SetClippingRange((float, float))\nC++: void SetClippingRange (const double a[2]);\n\n Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n Initial values are  (0.5,11.0)\n"},
  {(char*)"GetClippingRange",                (PyCFunction)PyvtkLightActor_GetClippingRange, 1,
   (char*)"V.GetClippingRange() -> (float, float)\nC++: double  *GetClippingRange ();\n\n Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n Initial values are  (0.5,11.0)\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkLightActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkLightActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry? No.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLightActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkLightActor_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the actors mtime plus consider its properties and texture if set.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLightActorDoc[] = {
  (char*)"vtkLightActor - a cone and a frustum to represent a spotlight.\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkLightActor is a composite actor used to represent a spotlight. The cone\n angle is equal to the spotlight angle, the cone apex is at the position of\n the light, the direction of the light goes from the cone apex to the center\n of the base of the cone. The square frustum position is the light position,\n the frustum focal point is in the direction of the light direction. The\n frustum vertical vie",
  (char*)"w angle (aperture) (this is also the horizontal view\n angle as the frustum is square) is equal to twice the cone angle. The\n clipping range of the frustum is arbitrary set by the user\n (initially at 0.5,11.0).\n\n",
  "Caveats:\n\n Right now only spotlight are supported but directional light might be\n supported in the future.\n\n",
  "See Also:\n\n vtkLight vtkConeSource vtkFrustumSource vtkCameraActor\n\n",
  NULL
};

static vtkObjectBase *vtkLightActorStaticNew()
{
  return vtkLightActor::New();
}

PyObject *PyVTKClass_vtkLightActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkLightActorStaticNew,
                        PyvtkLightActorMethods,
                        (char*)"vtkLightActor",modulename,
                        (char**)vtkLightActorDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

