// python wrapper for vtkPixelBufferObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPixelBufferObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPixelBufferObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPixelBufferObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPixelBufferObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  const char    *temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  char    *temp0;
  int      temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  vtkPixelBufferObject  *temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPixelBufferObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPixelBufferObject::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPixelBufferObject::SetContext(temp0);
      }
    else
      {
      op->SetContext(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  vtkRenderWindow  *temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_GetUsage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  int      temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::GetUsage();
      }
    else
      {
      temp20 = op->GetUsage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_SetUsage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  int      temp0;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPixelBufferObject::SetUsage(temp0);
      }
    else
      {
      op->SetUsage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_Upload1D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  int      temp0;
  void    *temp1;
  int      size1;
  unsigned int      temp2;
  int      temp3;
  vtkIdType   temp4;
  bool   temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"is#iiL", &temp0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Upload1D in vtkPixelBufferObject was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Upload1D in vtkPixelBufferObject was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::Upload1D(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Upload1D(temp0,temp1,temp2,temp3,temp4);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_GetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  int      temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::GetType();
      }
    else
      {
      temp20 = op->GetType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  unsigned int      temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_GetHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  unsigned int      temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::GetHandle();
      }
    else
      {
      temp20 = op->GetHandle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_Download1D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  int      temp0;
  void    *temp1;
  int      size1;
  unsigned int      temp2;
  int      temp3;
  vtkIdType   temp4;
  bool   temp20;
  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"is#iiL", &temp0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Download1D in vtkPixelBufferObject was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Download1D in vtkPixelBufferObject was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPixelBufferObject::Download1D(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Download1D(temp0,temp1,temp2,temp3,temp4);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_BindToPackedBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPixelBufferObject::BindToPackedBuffer();
      }
    else
      {
      op->BindToPackedBuffer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_BindToUnPackedBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPixelBufferObject::BindToUnPackedBuffer();
      }
    else
      {
      op->BindToUnPackedBuffer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPixelBufferObject_UnBind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPixelBufferObject *op;

  op = (vtkPixelBufferObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPixelBufferObject::UnBind();
      }
    else
      {
      op->UnBind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPixelBufferObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPixelBufferObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPixelBufferObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPixelBufferObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPixelBufferObject\nC++: vtkPixelBufferObject *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPixelBufferObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPixelBufferObject\nC++: vtkPixelBufferObject *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkPixelBufferObject_SetContext, 1,
   (char*)"V.SetContext(vtkRenderWindow)\nC++: void SetContext (vtkRenderWindow *context);\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkPixelBufferObject_GetContext, 1,
   (char*)"V.GetContext() -> vtkRenderWindow\nC++: vtkRenderWindow *GetContext ();\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"GetUsage",                (PyCFunction)PyvtkPixelBufferObject_GetUsage, 1,
   (char*)"V.GetUsage() -> int\nC++: int GetUsage ();\n\n Usage is a performance hint.\n Valid values are:\n - StreamDraw specified once by A, used few times S\n - StreamRead specified once by R, queried a few times by A\n - StreamCopy specified once by R, used a few times S\n - StaticDraw specified once by A, used many times S\n - StaticRead specificed once by R, queried many times by A\n - StaticCopy specified once by R, used many times S\n - DynamicDraw respecified repeatedly by A, used many times S\n - DynamicRead respecified repeatedly by R, queried many times by A\n - DynamicCopy respecified repeatedly by R, used many times S\n A: the application\n S: as the source for GL drawing and image specification commands.\n R: reading data from the GL\n Initial value is StaticDraw, as in OpenGL spec.\n"},
  {(char*)"SetUsage",                (PyCFunction)PyvtkPixelBufferObject_SetUsage, 1,
   (char*)"V.SetUsage(int)\nC++: void SetUsage (int );\n\n Usage is a performance hint.\n Valid values are:\n - StreamDraw specified once by A, used few times S\n - StreamRead specified once by R, queried a few times by A\n - StreamCopy specified once by R, used a few times S\n - StaticDraw specified once by A, used many times S\n - StaticRead specificed once by R, queried many times by A\n - StaticCopy specified once by R, used many times S\n - DynamicDraw respecified repeatedly by A, used many times S\n - DynamicRead respecified repeatedly by R, queried many times by A\n - DynamicCopy respecified repeatedly by R, used many times S\n A: the application\n S: as the source for GL drawing and image specification commands.\n R: reading data from the GL\n Initial value is StaticDraw, as in OpenGL spec.\n"},
  {(char*)"Upload1D",                (PyCFunction)PyvtkPixelBufferObject_Upload1D, 1,
   (char*)"V.Upload1D(int, string, int, int, int) -> bool\nC++: bool Upload1D (int type, void *data, unsigned int numtuples, int comps, vtkIdType increment);unsigned int newdims newdims numtuples newdims newdims vtkIdType newinc newinc increment newinc newinc return this Upload3D type data newdims comps newinc \n\n Update data to GPU sourcing it from a 2D array.\n The input data can be freed after this call.\n The data ptr is treated as a 2D array with increments indicating how to\n iterate over the data.\n Look at the documentation for ContinuousIncrements in vtkImageData for\n details about how increments are specified.\n"},
  {(char*)"GetType",                (PyCFunction)PyvtkPixelBufferObject_GetType, 1,
   (char*)"V.GetType() -> int\nC++: int GetType ();\n\n Get the type with which the data is loaded into the GPU.\n eg. VTK_FLOAT for float32, VTK_CHAR for byte, VTK_UNSIGNED_CHAR for\n unsigned byte etc.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkPixelBufferObject_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: int unsigned GetSize ();\n\n Get the size of the data loaded into the GPU. Size is in the number of\n elements of the uploaded Type.\n"},
  {(char*)"GetHandle",                (PyCFunction)PyvtkPixelBufferObject_GetHandle, 1,
   (char*)"V.GetHandle() -> int\nC++: int unsigned GetHandle ();\n\n Get the openGL buffer handle.\n"},
  {(char*)"Download1D",                (PyCFunction)PyvtkPixelBufferObject_Download1D, 1,
   (char*)"V.Download1D(int, string, int, int, int) -> bool\nC++: bool Download1D (int type, void *data, unsigned int dim, int numcomps, vtkIdType increment);unsigned int newdims newdims dim newdims newdims vtkIdType newincrements newincrements increment newincrements newincrements return this Download3D type data newdims numcomps newincrements \n\n Download data from pixel buffer to the 2D array. (lengthx * lengthy) \n must be equal to the size of the data in the memory.\n"},
  {(char*)"BindToPackedBuffer",                (PyCFunction)PyvtkPixelBufferObject_BindToPackedBuffer, 1,
   (char*)"V.BindToPackedBuffer()\nC++: void BindToPackedBuffer ();this Bind PACKED_BUFFER \n\n"},
  {(char*)"BindToUnPackedBuffer",                (PyCFunction)PyvtkPixelBufferObject_BindToUnPackedBuffer, 1,
   (char*)"V.BindToUnPackedBuffer()\nC++: void BindToUnPackedBuffer ();this Bind UNPACKED_BUFFER \n\n Inactivate the buffer.\n"},
  {(char*)"UnBind",                (PyCFunction)PyvtkPixelBufferObject_UnBind, 1,
   (char*)"V.UnBind()\nC++: void UnBind ();\n\n Inactivate the buffer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPixelBufferObjectDoc[] = {
  (char*)"vtkPixelBufferObject - abstracts an OpenGL pixel buffer object.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Provides low-level access to GPU memory. Used to pass raw data to GPU. \n The data is uploaded into a pixel buffer.\n\n",
  "Caveats:\n\n Since most GPUs don't support double format all double data is converted to\n float and then uploaded.\n DON'T PLAY WITH IT YET.\n\n",
  "See Also:\n\n OpenGL Pixel Buffer Object Extension Spec (ARB_pixel_buffer_object):\n http://www.opengl.org/registry/specs/ARB/pixel_buffer_object.txt\n\n",
  NULL
};

static vtkObjectBase *vtkPixelBufferObjectStaticNew()
{
  return vtkPixelBufferObject::New();
}

PyObject *PyVTKClass_vtkPixelBufferObjectNew(char *modulename)
{
  return PyVTKClass_New(&vtkPixelBufferObjectStaticNew,
                        PyvtkPixelBufferObjectMethods,
                        (char*)"vtkPixelBufferObject",modulename,
                        (char**)vtkPixelBufferObjectDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

