// python wrapper for vtkPointSetToLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointSetToLabelHierarchy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointSetToLabelHierarchyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointSetToLabelHierarchyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyAlgorithmNew(char *); }

static PyObject *PyvtkPointSetToLabelHierarchy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  vtkPointSetToLabelHierarchy  *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointSetToLabelHierarchy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointSetToLabelHierarchy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetTargetLabelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetTargetLabelCount(temp0);
      }
    else
      {
      op->SetTargetLabelCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetTargetLabelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetTargetLabelCount();
      }
    else
      {
      temp20 = op->GetTargetLabelCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetMaximumDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetMaximumDepth(temp0);
      }
    else
      {
      op->SetMaximumDepth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetMaximumDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetMaximumDepth();
      }
    else
      {
      temp20 = op->GetMaximumDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetUseUnicodeStrings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  bool   temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetUseUnicodeStrings(temp0);
      }
    else
      {
      op->SetUseUnicodeStrings(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetUseUnicodeStrings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  bool   temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetUseUnicodeStrings();
      }
    else
      {
      temp20 = op->GetUseUnicodeStrings();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_UseUnicodeStringsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::UseUnicodeStringsOn();
      }
    else
      {
      op->UseUnicodeStringsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_UseUnicodeStringsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::UseUnicodeStringsOff();
      }
    else
      {
      op->UseUnicodeStringsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetLabelArrayName(temp0);
      }
    else
      {
      op->SetLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetLabelArrayName();
      }
    else
      {
      temp20 = op->GetLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetSizeArrayName(temp0);
      }
    else
      {
      op->SetSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetSizeArrayName();
      }
    else
      {
      temp20 = op->GetSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetPriorityArrayName(temp0);
      }
    else
      {
      op->SetPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetPriorityArrayName();
      }
    else
      {
      temp20 = op->GetPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetIconIndexArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetIconIndexArrayName(temp0);
      }
    else
      {
      op->SetIconIndexArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetIconIndexArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetIconIndexArrayName();
      }
    else
      {
      temp20 = op->GetIconIndexArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetOrientationArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetOrientationArrayName(temp0);
      }
    else
      {
      op->SetOrientationArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetOrientationArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetOrientationArrayName();
      }
    else
      {
      temp20 = op->GetOrientationArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetBoundedSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetBoundedSizeArrayName(temp0);
      }
    else
      {
      op->SetBoundedSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetBoundedSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetBoundedSizeArrayName();
      }
    else
      {
      temp20 = op->GetBoundedSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  vtkTextProperty  *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointSetToLabelHierarchyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointSetToLabelHierarchy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointSetToLabelHierarchy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointSetToLabelHierarchy\nC++: vtkPointSetToLabelHierarchy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointSetToLabelHierarchy\nC++: vtkPointSetToLabelHierarchy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTargetLabelCount",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetTargetLabelCount, 1,
   (char*)"V.SetTargetLabelCount(int)\nC++: void SetTargetLabelCount (int );\n\n Set/get the \"ideal\" number of labels to associate with each node in the output hierarchy.\n"},
  {(char*)"GetTargetLabelCount",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetTargetLabelCount, 1,
   (char*)"V.GetTargetLabelCount() -> int\nC++: int GetTargetLabelCount ();\n\n Set/get the \"ideal\" number of labels to associate with each node in the output hierarchy.\n"},
  {(char*)"SetMaximumDepth",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetMaximumDepth, 1,
   (char*)"V.SetMaximumDepth(int)\nC++: void SetMaximumDepth (int );\n\n Set/get the maximum tree depth in the output hierarchy.\n"},
  {(char*)"GetMaximumDepth",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetMaximumDepth, 1,
   (char*)"V.GetMaximumDepth() -> int\nC++: int GetMaximumDepth ();\n\n Set/get the maximum tree depth in the output hierarchy.\n"},
  {(char*)"SetUseUnicodeStrings",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetUseUnicodeStrings, 1,
   (char*)"V.SetUseUnicodeStrings(bool)\nC++: void SetUseUnicodeStrings (bool );\n\n Whether to use unicode strings.\n"},
  {(char*)"GetUseUnicodeStrings",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetUseUnicodeStrings, 1,
   (char*)"V.GetUseUnicodeStrings() -> bool\nC++: bool GetUseUnicodeStrings ();\n\n Whether to use unicode strings.\n"},
  {(char*)"UseUnicodeStringsOn",                (PyCFunction)PyvtkPointSetToLabelHierarchy_UseUnicodeStringsOn, 1,
   (char*)"V.UseUnicodeStringsOn()\nC++: void UseUnicodeStringsOn ();\n\n Whether to use unicode strings.\n"},
  {(char*)"UseUnicodeStringsOff",                (PyCFunction)PyvtkPointSetToLabelHierarchy_UseUnicodeStringsOff, 1,
   (char*)"V.UseUnicodeStringsOff()\nC++: void UseUnicodeStringsOff ();\n\n Whether to use unicode strings.\n"},
  {(char*)"SetLabelArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetLabelArrayName, 1,
   (char*)"V.SetLabelArrayName(string)\nC++: virtual void SetLabelArrayName (const char *name);\n\n Set/get the label array name.\n"},
  {(char*)"GetLabelArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetLabelArrayName, 1,
   (char*)"V.GetLabelArrayName() -> string\nC++: virtual const char *GetLabelArrayName ();\n\n Set/get the label array name.\n"},
  {(char*)"SetSizeArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetSizeArrayName, 1,
   (char*)"V.SetSizeArrayName(string)\nC++: virtual void SetSizeArrayName (const char *name);\n\n Set/get the priority array name.\n"},
  {(char*)"GetSizeArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetSizeArrayName, 1,
   (char*)"V.GetSizeArrayName() -> string\nC++: virtual const char *GetSizeArrayName ();\n\n Set/get the priority array name.\n"},
  {(char*)"SetPriorityArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetPriorityArrayName, 1,
   (char*)"V.SetPriorityArrayName(string)\nC++: virtual void SetPriorityArrayName (const char *name);\n\n Set/get the priority array name.\n"},
  {(char*)"GetPriorityArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetPriorityArrayName, 1,
   (char*)"V.GetPriorityArrayName() -> string\nC++: virtual const char *GetPriorityArrayName ();\n\n Set/get the priority array name.\n"},
  {(char*)"SetIconIndexArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetIconIndexArrayName, 1,
   (char*)"V.SetIconIndexArrayName(string)\nC++: virtual void SetIconIndexArrayName (const char *name);\n\n Set/get the icon index array name.\n"},
  {(char*)"GetIconIndexArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetIconIndexArrayName, 1,
   (char*)"V.GetIconIndexArrayName() -> string\nC++: virtual const char *GetIconIndexArrayName ();\n\n Set/get the icon index array name.\n"},
  {(char*)"SetOrientationArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetOrientationArrayName, 1,
   (char*)"V.SetOrientationArrayName(string)\nC++: virtual void SetOrientationArrayName (const char *name);\n\n Set/get the text orientation array name.\n"},
  {(char*)"GetOrientationArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetOrientationArrayName, 1,
   (char*)"V.GetOrientationArrayName() -> string\nC++: virtual const char *GetOrientationArrayName ();\n\n Set/get the text orientation array name.\n"},
  {(char*)"SetBoundedSizeArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetBoundedSizeArrayName, 1,
   (char*)"V.SetBoundedSizeArrayName(string)\nC++: virtual void SetBoundedSizeArrayName (const char *name);\n\n Set/get the maximum text width (in world coordinates) array name.\n"},
  {(char*)"GetBoundedSizeArrayName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetBoundedSizeArrayName, 1,
   (char*)"V.GetBoundedSizeArrayName() -> string\nC++: virtual const char *GetBoundedSizeArrayName ();\n\n Set/get the maximum text width (in world coordinates) array name.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *tprop);\n\n Set/get the text property assigned to the hierarchy.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/get the text property assigned to the hierarchy.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointSetToLabelHierarchyDoc[] = {
  (char*)"vtkPointSetToLabelHierarchy - build a label hierarchy for a graph or point set.\n\n",
  "Super Class:\n\n vtkLabelHierarchyAlgorithm\n\n",
  (char*)"\n Every point in the input vtkPoints object is taken to be an\n anchor point for a label. Statistics on the input points\n are used to subdivide an octree referencing the points\n until the points each octree node contains have a variance\n close to the node size and a limited population (< 100).\n\n",
  NULL
};

static vtkObjectBase *vtkPointSetToLabelHierarchyStaticNew()
{
  return vtkPointSetToLabelHierarchy::New();
}

PyObject *PyVTKClass_vtkPointSetToLabelHierarchyNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointSetToLabelHierarchyStaticNew,
                        PyvtkPointSetToLabelHierarchyMethods,
                        (char*)"vtkPointSetToLabelHierarchy",modulename,
                        (char**)vtkPointSetToLabelHierarchyDoc,
                        PyVTKClass_vtkLabelHierarchyAlgorithmNew(modulename));
}

