// python wrapper for vtkQImageToImageSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQImageToImageSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQImageToImageSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQImageToImageSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkQImageToImageSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQImageToImageSource *op;

  const char    *temp20;
  op = (vtkQImageToImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQImageToImageSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQImageToImageSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQImageToImageSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkQImageToImageSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQImageToImageSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQImageToImageSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQImageToImageSource *op;

  vtkQImageToImageSource  *temp20;
  op = (vtkQImageToImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQImageToImageSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQImageToImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQImageToImageSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQImageToImageSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkQImageToImageSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQImageToImageSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQImageToImageSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQImageToImageSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQImageToImageSource\nC++: vtkQImageToImageSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQImageToImageSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQImageToImageSource\nC++: vtkQImageToImageSource *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQImageToImageSourceDoc[] = {
  (char*)"vtkQImageToImageSource - Create image data from a QImage.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkQImageToImageSource produces image data from a QImage.\n\n",
  NULL
};

static vtkObjectBase *vtkQImageToImageSourceStaticNew()
{
  return vtkQImageToImageSource::New();
}

PyObject *PyVTKClass_vtkQImageToImageSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkQImageToImageSourceStaticNew,
                        PyvtkQImageToImageSourceMethods,
                        (char*)"vtkQImageToImageSource",modulename,
                        (char**)vtkQImageToImageSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

