// python wrapper for vtkQtInitialization object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQtInitialization.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtInitializationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtInitializationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkQtInitialization_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtInitialization *op;

  const char    *temp20;
  op = (vtkQtInitialization *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtInitialization::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtInitialization_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtInitialization *op;

  char    *temp0;
  int      temp20;
  op = (vtkQtInitialization *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtInitialization::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtInitialization_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtInitialization *op;

  vtkQtInitialization  *temp20;
  op = (vtkQtInitialization *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtInitialization::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtInitialization_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQtInitialization  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQtInitialization::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkQtInitializationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQtInitialization_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQtInitialization_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQtInitialization_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtInitialization\nC++: vtkQtInitialization *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQtInitialization_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtInitialization\nC++: vtkQtInitialization *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQtInitializationDoc[] = {
  (char*)"vtkQtInitialization - Initializes a Qt application.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Utility class that initializes Qt by creating an instance of \n QApplication in its ctor, if one doesn't already exist.\n This is mainly of use in ParaView with filters that use Qt in\n their implementation - create an instance of vtkQtInitialization\n prior to instantiating any filters that require Qt.\n\n",
  NULL
};

static vtkObjectBase *vtkQtInitializationStaticNew()
{
  return vtkQtInitialization::New();
}

PyObject *PyVTKClass_vtkQtInitializationNew(char *modulename)
{
  return PyVTKClass_New(&vtkQtInitializationStaticNew,
                        PyvtkQtInitializationMethods,
                        (char*)"vtkQtInitialization",modulename,
                        (char**)vtkQtInitializationDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

