// python wrapper for vtkRenderPassCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderPassCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderPassCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderPassCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkRenderPassCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPassCollection *op;

  const char    *temp20;
  op = (vtkRenderPassCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPassCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPassCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPassCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderPassCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPassCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPassCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPassCollection *op;

  vtkRenderPassCollection  *temp20;
  op = (vtkRenderPassCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPassCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPassCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderPassCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderPassCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderPassCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPassCollection *op;

  vtkRenderPass  *temp0;
  PyObject *tempH0;
  op = (vtkRenderPassCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPass *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPass");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderPassCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRenderPassCollection_GetNextRenderPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPassCollection *op;

  vtkRenderPass  *temp20;
  op = (vtkRenderPassCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPassCollection::GetNextRenderPass();
      }
    else
      {
      temp20 = op->GetNextRenderPass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPassCollection_GetLastRenderPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPassCollection *op;

  vtkRenderPass  *temp20;
  op = (vtkRenderPassCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPassCollection::GetLastRenderPass();
      }
    else
      {
      temp20 = op->GetLastRenderPass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderPassCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderPassCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderPassCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderPassCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderPassCollection\nC++: vtkRenderPassCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderPassCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderPassCollection\nC++: vtkRenderPassCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkRenderPassCollection_AddItem, 1,
   (char*)"V.AddItem(vtkRenderPass)\nC++: void AddItem (vtkRenderPass *pass);\n\n Add an RenderPass to the list.\n"},
  {(char*)"GetNextRenderPass",                (PyCFunction)PyvtkRenderPassCollection_GetNextRenderPass, 1,
   (char*)"V.GetNextRenderPass() -> vtkRenderPass\nC++: vtkRenderPass *GetNextRenderPass ();\n\n Get the next RenderPass in the list.\n"},
  {(char*)"GetLastRenderPass",                (PyCFunction)PyvtkRenderPassCollection_GetLastRenderPass, 1,
   (char*)"V.GetLastRenderPass() -> vtkRenderPass\nC++: vtkRenderPass *GetLastRenderPass ();\n\n Get the last RenderPass in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderPassCollectionDoc[] = {
  (char*)"vtkRenderPassCollection - a list of RenderPasses\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkRenderPassCollection represents a list of RenderPasses\n (i.e., vtkRenderPass and subclasses) and provides methods to manipulate the\n list. The list is unsorted and duplicate entries are not prevented.\n\n",
  "See Also:\n\n vtkRenderPass vtkCollection \n\n",
  NULL
};

static vtkObjectBase *vtkRenderPassCollectionStaticNew()
{
  return vtkRenderPassCollection::New();
}

PyObject *PyVTKClass_vtkRenderPassCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderPassCollectionStaticNew,
                        PyvtkRenderPassCollectionMethods,
                        (char*)"vtkRenderPassCollection",modulename,
                        (char**)vtkRenderPassCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

