// tcl wrapper for vtkShadowMapPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShadowMapPass.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkShadowMapPassNewCommand()
{
  vtkShadowMapPass *temp = vtkShadowMapPass::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderPassCppCommand(vtkRenderPass *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkShadowMapPassCppCommand(vtkShadowMapPass *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkShadowMapPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkShadowMapPassCppCommand(static_cast<vtkShadowMapPass *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkShadowMapPassCppCommand(vtkShadowMapPass *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkShadowMapPass",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderPassCppCommand(static_cast<vtkRenderPass *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderPass"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkShadowMapPass  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShadowMapPass");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkShadowMapPass  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShadowMapPass");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkShadowMapPass  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShadowMapPass");
    return TCL_OK;
    }
    }
  if ((!strcmp("OCCLUDER",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->OCCLUDER();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("RECEIVER",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->RECEIVER();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpaquePass",argv[1]))&&(argc == 2))
    {
    vtkRenderPass  *temp20;
    temp20 = (op)->GetOpaquePass();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderPass");
    return TCL_OK;
    }
  if ((!strcmp("SetOpaquePass",argv[1]))&&(argc == 3))
    {
    vtkRenderPass  *temp0;
    error = 0;

    temp0 = (vtkRenderPass *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderPass"),interp,error));
    if (!error)
    {
    op->SetOpaquePass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositeZPass",argv[1]))&&(argc == 2))
    {
    vtkRenderPass  *temp20;
    temp20 = (op)->GetCompositeZPass();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderPass");
    return TCL_OK;
    }
  if ((!strcmp("SetCompositeZPass",argv[1]))&&(argc == 3))
    {
    vtkRenderPass  *temp0;
    error = 0;

    temp0 = (vtkRenderPass *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderPass"),interp,error));
    if (!error)
    {
    op->SetCompositeZPass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPolygonOffsetFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPolygonOffsetFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolygonOffsetFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPolygonOffsetFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPolygonOffsetUnits",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPolygonOffsetUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolygonOffsetUnits",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPolygonOffsetUnits();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkShadowMapPassCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderPassCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkShadowMapPass:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OCCLUDER\n",NULL);
    Tcl_AppendResult(interp,"  RECEIVER\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpaquePass\n",NULL);
    Tcl_AppendResult(interp,"  SetOpaquePass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeZPass\n",NULL);
    Tcl_AppendResult(interp,"  SetCompositeZPass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetPolygonOffsetFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolygonOffsetFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetPolygonOffsetUnits\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolygonOffsetUnits\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderPassCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "OCCLUDER" );
    Tcl_DStringAppendElement ( &dString, "RECEIVER" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetOpaquePass" );
    Tcl_DStringAppendElement ( &dString, "SetOpaquePass" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeZPass" );
    Tcl_DStringAppendElement ( &dString, "SetCompositeZPass" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetPolygonOffsetFactor" );
    Tcl_DStringAppendElement ( &dString, "GetPolygonOffsetFactor" );
    Tcl_DStringAppendElement ( &dString, "SetPolygonOffsetUnits" );
    Tcl_DStringAppendElement ( &dString, "GetPolygonOffsetUnits" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderPassCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkShadowMapPass *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OCCLUDER */
    if ( strcmp ( argv[2], "OCCLUDER" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OCCLUDER" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OCCLUDER */
    Tcl_DStringAppendElement ( &dString, " If this key exists on the PropertyKeys of a prop, the prop is viewed as a\n light occluder (ie it casts shadows). This key is not mutually exclusive\n with the RECEIVER() key.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *OCCLUDER ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for OCCLUDER */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RECEIVER */
    if ( strcmp ( argv[2], "RECEIVER" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RECEIVER" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RECEIVER */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *RECEIVER ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for RECEIVER */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources (vtkWindow *w);" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpaquePass */
    if ( strcmp ( argv[2], "GetOpaquePass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpaquePass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpaquePass */
    Tcl_DStringAppendElement ( &dString, " Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass *GetOpaquePass ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for GetOpaquePass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpaquePass */
    if ( strcmp ( argv[2], "SetOpaquePass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpaquePass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpaquePass */
    Tcl_DStringAppendElement ( &dString, " Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOpaquePass (vtkRenderPass *opaquePass);" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for SetOpaquePass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeZPass */
    if ( strcmp ( argv[2], "GetCompositeZPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeZPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeZPass */
    Tcl_DStringAppendElement ( &dString, " Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass *GetCompositeZPass ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for GetCompositeZPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompositeZPass */
    if ( strcmp ( argv[2], "SetCompositeZPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompositeZPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompositeZPass */
    Tcl_DStringAppendElement ( &dString, " Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompositeZPass (vtkRenderPass *opaquePass);" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for SetCompositeZPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of pixels in each dimension of the shadow maps\n (shadow maps are square). Initial value is 256. The greater the better.\n Resolution does not have to be a power-of-two value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResolution (unsigned int );" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolution */
    if ( strcmp ( argv[2], "GetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of pixels in each dimension of the shadow maps\n (shadow maps are square). Initial value is 256. The greater the better.\n Resolution does not have to be a power-of-two value.\n" );
    Tcl_DStringAppendElement ( &dString, "int unsigned GetResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for GetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolygonOffsetFactor */
    if ( strcmp ( argv[2], "SetPolygonOffsetFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolygonOffsetFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolygonOffsetFactor */
    Tcl_DStringAppendElement ( &dString, " Factor used to scale the maximum depth slope of a polygon (definition\n from OpenGL 2.1 spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetUnits to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 1.1f (recommended by the nVidia presentation about\n Shadow Mapping by Cass Everitt). 3.1f  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolygonOffsetFactor (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for SetPolygonOffsetFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolygonOffsetFactor */
    if ( strcmp ( argv[2], "GetPolygonOffsetFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolygonOffsetFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolygonOffsetFactor */
    Tcl_DStringAppendElement ( &dString, " Factor used to scale the maximum depth slope of a polygon (definition\n from OpenGL 2.1 spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetUnits to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 1.1f (recommended by the nVidia presentation about\n Shadow Mapping by Cass Everitt). 3.1f  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPolygonOffsetFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for GetPolygonOffsetFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolygonOffsetUnits */
    if ( strcmp ( argv[2], "SetPolygonOffsetUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolygonOffsetUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolygonOffsetUnits */
    Tcl_DStringAppendElement ( &dString, " Factor used to scale an implementation dependent constant that relates\n to the usable resolution of the depth buffer (definition from OpenGL 2.1\n spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetFactor to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 4.0f (recommended by the nVidi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolygonOffsetUnits (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for SetPolygonOffsetUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolygonOffsetUnits */
    if ( strcmp ( argv[2], "GetPolygonOffsetUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolygonOffsetUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolygonOffsetUnits */
    Tcl_DStringAppendElement ( &dString, " Factor used to scale an implementation dependent constant that relates\n to the usable resolution of the depth buffer (definition from OpenGL 2.1\n spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetFactor to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 4.0f (recommended by the nVidi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPolygonOffsetUnits ();" );
    Tcl_DStringAppendElement ( &dString, "vtkShadowMapPass" );
    /* Closing for GetPolygonOffsetUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderPassCppCommand(static_cast<vtkRenderPass *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
