// python wrapper for vtkSurfaceLICDefaultPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSurfaceLICDefaultPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSurfaceLICDefaultPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSurfaceLICDefaultPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDefaultPainterNew(char *); }

static PyObject *PyvtkSurfaceLICDefaultPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICDefaultPainter *op;

  const char    *temp20;
  op = (vtkSurfaceLICDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICDefaultPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICDefaultPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICDefaultPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkSurfaceLICDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICDefaultPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICDefaultPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICDefaultPainter *op;

  vtkSurfaceLICDefaultPainter  *temp20;
  op = (vtkSurfaceLICDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICDefaultPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICDefaultPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSurfaceLICDefaultPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSurfaceLICDefaultPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSurfaceLICDefaultPainter_SetSurfaceLICPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICDefaultPainter *op;

  vtkSurfaceLICPainter  *temp0;
  PyObject *tempH0;
  op = (vtkSurfaceLICDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSurfaceLICPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSurfaceLICPainter");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICDefaultPainter::SetSurfaceLICPainter(temp0);
      }
    else
      {
      op->SetSurfaceLICPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSurfaceLICDefaultPainter_GetSurfaceLICPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICDefaultPainter *op;

  vtkSurfaceLICPainter  *temp20;
  op = (vtkSurfaceLICDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICDefaultPainter::GetSurfaceLICPainter();
      }
    else
      {
      temp20 = op->GetSurfaceLICPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSurfaceLICDefaultPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSurfaceLICDefaultPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSurfaceLICDefaultPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSurfaceLICDefaultPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSurfaceLICDefaultPainter\nC++: vtkSurfaceLICDefaultPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSurfaceLICDefaultPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSurfaceLICDefaultPainter\nC++: vtkSurfaceLICDefaultPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSurfaceLICPainter",                (PyCFunction)PyvtkSurfaceLICDefaultPainter_SetSurfaceLICPainter, 1,
   (char*)"V.SetSurfaceLICPainter(vtkSurfaceLICPainter)\nC++: void SetSurfaceLICPainter (vtkSurfaceLICPainter *);\n\n Get/Set the Surface LIC painter.\n"},
  {(char*)"GetSurfaceLICPainter",                (PyCFunction)PyvtkSurfaceLICDefaultPainter_GetSurfaceLICPainter, 1,
   (char*)"V.GetSurfaceLICPainter() -> vtkSurfaceLICPainter\nC++: vtkSurfaceLICPainter *GetSurfaceLICPainter ();\n\n Get/Set the Surface LIC painter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSurfaceLICDefaultPainterDoc[] = {
  (char*)"vtkSurfaceLICDefaultPainter - vtkDefaultPainter replacement that\n\n",
  "Super Class:\n\n vtkDefaultPainter\n\n",
  (char*)"  vtkSurfaceLICDefaultPainter is a vtkDefaultPainter replacement\n  that inserts the vtkSurfaceLICPainter at the correct position in the painter\n  chain.\n\n\n",
  "See Also:\n\n vtkDefaultPainter vtkSurfaceLICPainter\n\n",
  NULL
};

static vtkObjectBase *vtkSurfaceLICDefaultPainterStaticNew()
{
  return vtkSurfaceLICDefaultPainter::New();
}

PyObject *PyVTKClass_vtkSurfaceLICDefaultPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSurfaceLICDefaultPainterStaticNew,
                        PyvtkSurfaceLICDefaultPainterMethods,
                        (char*)"vtkSurfaceLICDefaultPainter",modulename,
                        (char**)vtkSurfaceLICDefaultPainterDoc,
                        PyVTKClass_vtkDefaultPainterNew(modulename));
}

