// python wrapper for vtkTDxInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTDxInteractorStyle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTDxInteractorStyleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTDxInteractorStyleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTDxInteractorStyle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyle *op;

  const char    *temp20;
  op = (vtkTDxInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyle *op;

  char    *temp0;
  int      temp20;
  op = (vtkTDxInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyle *op;

  vtkTDxInteractorStyle  *temp20;
  op = (vtkTDxInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyle_ProcessEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyle *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  void    *temp2;
  int      size2;
  op = (vtkTDxInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"Ols#", &tempH0, &temp1, &temp2, &size2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp2 = vtkPythonUnmanglePointer((char *)temp2,&size2,(char*)"void_p");
    if (size2 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ProcessEvent in vtkTDxInteractorStyle was of incorrect type.");
      return NULL;
      }
    else if (size2 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ProcessEvent in vtkTDxInteractorStyle was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyle::ProcessEvent(temp0,temp1,temp2);
      }
    else
      {
      op->ProcessEvent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyle_GetSettings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyle *op;

  vtkTDxInteractorStyleSettings  *temp20;
  op = (vtkTDxInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyle::GetSettings();
      }
    else
      {
      temp20 = op->GetSettings();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyle_SetSettings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyle *op;

  vtkTDxInteractorStyleSettings  *temp0;
  PyObject *tempH0;
  op = (vtkTDxInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTDxInteractorStyleSettings *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTDxInteractorStyleSettings");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyle::SetSettings(temp0);
      }
    else
      {
      op->SetSettings(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkTDxInteractorStyleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTDxInteractorStyle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTDxInteractorStyle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTDxInteractorStyle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTDxInteractorStyle\nC++: vtkTDxInteractorStyle *NewInstance ();\n\n"},
  {(char*)"ProcessEvent",                (PyCFunction)PyvtkTDxInteractorStyle_ProcessEvent, 1,
   (char*)"V.ProcessEvent(vtkRenderer, int, string)\nC++: virtual void ProcessEvent (vtkRenderer *renderer, unsigned long event, void *calldata);\n\n Dispatch the events TDxMotionEvent, TDxButtonPressEvent and\n TDxButtonReleaseEvent to OnMotionEvent(), OnButtonPressedEvent() and\n OnButtonReleasedEvent() respectively.\n It is called by the vtkInteractorStyle.\n This method is virtual for convenient but you should really override\n the On*Event() methods only.\n \\pre renderer can be null.\n"},
  {(char*)"GetSettings",                (PyCFunction)PyvtkTDxInteractorStyle_GetSettings, 1,
   (char*)"V.GetSettings() -> vtkTDxInteractorStyleSettings\nC++: vtkTDxInteractorStyleSettings *GetSettings ();\n\n 3Dconnexion device settings. (sensitivity, individual axis filters).\n Initial object is not null.\n"},
  {(char*)"SetSettings",                (PyCFunction)PyvtkTDxInteractorStyle_SetSettings, 1,
   (char*)"V.SetSettings(vtkTDxInteractorStyleSettings)\nC++: virtual void SetSettings (vtkTDxInteractorStyleSettings *settings);\n\n 3Dconnexion device settings. (sensitivity, individual axis filters).\n Initial object is not null.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTDxInteractorStyleDoc[] = {
  (char*)"vtkTDxInteractorStyle - provide 3DConnexion device event-driven interface to the rendering window\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTDxInteractorStyle is an abstract class defining an event-driven\n interface to support 3DConnexion device events send by\n vtkRenderWindowInteractor.\n vtkRenderWindowInteractor forwards events in a platform independent form to\n vtkInteractorStyle which can then delegate some processing to\n vtkTDxInteractorStyle.\n\n",
  "See Also:\n\n vtkInteractorStyle vtkRenderWindowInteractor\n vtkTDxInteractorStyleCamera\n\n",
  NULL
};

PyObject *PyVTKClass_vtkTDxInteractorStyleNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkTDxInteractorStyleMethods,
                        (char*)"vtkTDxInteractorStyle",modulename,
                        (char**)vtkTDxInteractorStyleDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

