// python wrapper for vtkTDxInteractorStyleSettings object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTDxInteractorStyleSettings.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTDxInteractorStyleSettingsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTDxInteractorStyleSettingsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTDxInteractorStyleSettings_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  const char    *temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  char    *temp0;
  int      temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  vtkTDxInteractorStyleSettings  *temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTDxInteractorStyleSettings  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTDxInteractorStyleSettings::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetAngleSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetAngleSensitivity(temp0);
      }
    else
      {
      op->SetAngleSensitivity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetAngleSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetAngleSensitivity();
      }
    else
      {
      temp20 = op->GetAngleSensitivity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetUseRotationX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  bool   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetUseRotationX(temp0);
      }
    else
      {
      op->SetUseRotationX(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetUseRotationX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  bool   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetUseRotationX();
      }
    else
      {
      temp20 = op->GetUseRotationX();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetUseRotationY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  bool   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetUseRotationY(temp0);
      }
    else
      {
      op->SetUseRotationY(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetUseRotationY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  bool   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetUseRotationY();
      }
    else
      {
      temp20 = op->GetUseRotationY();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetUseRotationZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  bool   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetUseRotationZ(temp0);
      }
    else
      {
      op->SetUseRotationZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetUseRotationZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  bool   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetUseRotationZ();
      }
    else
      {
      temp20 = op->GetUseRotationZ();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetTranslationXSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetTranslationXSensitivity(temp0);
      }
    else
      {
      op->SetTranslationXSensitivity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetTranslationXSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetTranslationXSensitivity();
      }
    else
      {
      temp20 = op->GetTranslationXSensitivity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetTranslationYSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetTranslationYSensitivity(temp0);
      }
    else
      {
      op->SetTranslationYSensitivity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetTranslationYSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetTranslationYSensitivity();
      }
    else
      {
      temp20 = op->GetTranslationYSensitivity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_SetTranslationZSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp0;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTDxInteractorStyleSettings::SetTranslationZSensitivity(temp0);
      }
    else
      {
      op->SetTranslationZSensitivity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleSettings_GetTranslationZSensitivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleSettings *op;

  double   temp20;
  op = (vtkTDxInteractorStyleSettings *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleSettings::GetTranslationZSensitivity();
      }
    else
      {
      temp20 = op->GetTranslationZSensitivity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTDxInteractorStyleSettingsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTDxInteractorStyleSettings_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTDxInteractorStyleSettings_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTDxInteractorStyleSettings\nC++: vtkTDxInteractorStyleSettings *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTDxInteractorStyleSettings\nC++: vtkTDxInteractorStyleSettings *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetAngleSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetAngleSensitivity, 1,
   (char*)"V.SetAngleSensitivity(float)\nC++: void SetAngleSensitivity (double );\n\n Sensitivity of the rotation angle. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no rotation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n"},
  {(char*)"GetAngleSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetAngleSensitivity, 1,
   (char*)"V.GetAngleSensitivity() -> float\nC++: double GetAngleSensitivity ();\n\n Sensitivity of the rotation angle. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no rotation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n"},
  {(char*)"SetUseRotationX",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetUseRotationX, 1,
   (char*)"V.SetUseRotationX(bool)\nC++: void SetUseRotationX (bool );\n\n Use or mask the rotation component around the X-axis. Initial value is\n true.\n"},
  {(char*)"GetUseRotationX",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetUseRotationX, 1,
   (char*)"V.GetUseRotationX() -> bool\nC++: bool GetUseRotationX ();\n\n Use or mask the rotation component around the X-axis. Initial value is\n true.\n"},
  {(char*)"SetUseRotationY",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetUseRotationY, 1,
   (char*)"V.SetUseRotationY(bool)\nC++: void SetUseRotationY (bool );\n\n Use or mask the rotation component around the Y-axis. Initial value is\n true.\n"},
  {(char*)"GetUseRotationY",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetUseRotationY, 1,
   (char*)"V.GetUseRotationY() -> bool\nC++: bool GetUseRotationY ();\n\n Use or mask the rotation component around the Y-axis. Initial value is\n true.\n"},
  {(char*)"SetUseRotationZ",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetUseRotationZ, 1,
   (char*)"V.SetUseRotationZ(bool)\nC++: void SetUseRotationZ (bool );\n\n Use or mask the rotation component around the Z-axis. Initial value is\n true.\n"},
  {(char*)"GetUseRotationZ",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetUseRotationZ, 1,
   (char*)"V.GetUseRotationZ() -> bool\nC++: bool GetUseRotationZ ();\n\n Use or mask the rotation component around the Z-axis. Initial value is\n true.\n"},
  {(char*)"SetTranslationXSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetTranslationXSensitivity, 1,
   (char*)"V.SetTranslationXSensitivity(float)\nC++: void SetTranslationXSensitivity (double );\n\n Sensitivity of the translation along the X-axis. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no translation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n Initial value is 1.0\n"},
  {(char*)"GetTranslationXSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetTranslationXSensitivity, 1,
   (char*)"V.GetTranslationXSensitivity() -> float\nC++: double GetTranslationXSensitivity ();\n\n Sensitivity of the translation along the X-axis. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no translation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n Initial value is 1.0\n"},
  {(char*)"SetTranslationYSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetTranslationYSensitivity, 1,
   (char*)"V.SetTranslationYSensitivity(float)\nC++: void SetTranslationYSensitivity (double );\n\n Sensitivity of the translation along the Y-axis.\n See comment of SetTranslationXSensitivity().\n"},
  {(char*)"GetTranslationYSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetTranslationYSensitivity, 1,
   (char*)"V.GetTranslationYSensitivity() -> float\nC++: double GetTranslationYSensitivity ();\n\n Sensitivity of the translation along the Y-axis.\n See comment of SetTranslationXSensitivity().\n"},
  {(char*)"SetTranslationZSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_SetTranslationZSensitivity, 1,
   (char*)"V.SetTranslationZSensitivity(float)\nC++: void SetTranslationZSensitivity (double );\n\n Sensitivity of the translation along the Z-axis.\n See comment of SetTranslationXSensitivity().\n"},
  {(char*)"GetTranslationZSensitivity",                (PyCFunction)PyvtkTDxInteractorStyleSettings_GetTranslationZSensitivity, 1,
   (char*)"V.GetTranslationZSensitivity() -> float\nC++: double GetTranslationZSensitivity ();\n\n Sensitivity of the translation along the Z-axis.\n See comment of SetTranslationXSensitivity().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTDxInteractorStyleSettingsDoc[] = {
  (char*)"vtkTDxInteractorStyleSettings - 3DConnexion device settings\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTDxInteractorStyleSettings defines settings for 3DConnexion device such\n as sensitivity, axis filters\n\n",
  "See Also:\n\n vtkInteractorStyle vtkRenderWindowInteractor\n vtkTDxInteractorStyle\n\n",
  NULL
};

static vtkObjectBase *vtkTDxInteractorStyleSettingsStaticNew()
{
  return vtkTDxInteractorStyleSettings::New();
}

PyObject *PyVTKClass_vtkTDxInteractorStyleSettingsNew(char *modulename)
{
  return PyVTKClass_New(&vtkTDxInteractorStyleSettingsStaticNew,
                        PyvtkTDxInteractorStyleSettingsMethods,
                        (char*)"vtkTDxInteractorStyleSettings",modulename,
                        (char**)vtkTDxInteractorStyleSettingsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

