// python wrapper for vtkConvertSelectionDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConvertSelectionDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConvertSelectionDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConvertSelectionDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkConvertSelectionDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelectionDomain *op;

  const char    *temp20;
  op = (vtkConvertSelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelectionDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelectionDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelectionDomain *op;

  char    *temp0;
  int      temp20;
  op = (vtkConvertSelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelectionDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelectionDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelectionDomain *op;

  vtkConvertSelectionDomain  *temp20;
  op = (vtkConvertSelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelectionDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelectionDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConvertSelectionDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConvertSelectionDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkConvertSelectionDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConvertSelectionDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConvertSelectionDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConvertSelectionDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConvertSelectionDomain\nC++: vtkConvertSelectionDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConvertSelectionDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConvertSelectionDomain\nC++: vtkConvertSelectionDomain *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConvertSelectionDomainDoc[] = {
  (char*)"vtkConvertSelectionDomain - Convert a selection from one domain to another\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" vtkConvertSelectionDomain converts a selection from one domain to another\n using known domain mappings. The domain mappings are described by a\n vtkMultiBlockDataSet containing one or more vtkTables.\n\n The first input port is for the input selection (or collection of annotations\n in a vtkAnnotationLayers object), while the second port\n is for the multi-block of mappings, and the third port is for ",
  (char*)"the\n data that is being selected on.\n\n If the second or third port is not set, this filter will pass the\n selection/annotation to the output unchanged.\n\n The second output is the selection associated with the \"current annotation\"\n normally representing the current interactive selection.\n\n",
  NULL
};

static vtkObjectBase *vtkConvertSelectionDomainStaticNew()
{
  return vtkConvertSelectionDomain::New();
}

PyObject *PyVTKClass_vtkConvertSelectionDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkConvertSelectionDomainStaticNew,
                        PyvtkConvertSelectionDomainMethods,
                        (char*)"vtkConvertSelectionDomain",modulename,
                        (char**)vtkConvertSelectionDomainDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

