// python wrapper for vtkIcicleView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIcicleView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIcicleViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIcicleViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAreaViewNew(char *); }

static PyObject *PyvtkIcicleView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  const char    *temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  char    *temp0;
  int      temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  vtkIcicleView  *temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIcicleView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIcicleView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIcicleView_SetTopToBottom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  bool   temp0;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::SetTopToBottom(temp0);
      }
    else
      {
      op->SetTopToBottom(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_GetTopToBottom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  bool   temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::GetTopToBottom();
      }
    else
      {
      temp20 = op->GetTopToBottom();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_TopToBottomOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::TopToBottomOn();
      }
    else
      {
      op->TopToBottomOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_TopToBottomOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::TopToBottomOff();
      }
    else
      {
      op->TopToBottomOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_SetRootWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  double   temp0;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::SetRootWidth(temp0);
      }
    else
      {
      op->SetRootWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_GetRootWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  double   temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::GetRootWidth();
      }
    else
      {
      temp20 = op->GetRootWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_SetLayerThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  double   temp0;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::SetLayerThickness(temp0);
      }
    else
      {
      op->SetLayerThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_GetLayerThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  double   temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::GetLayerThickness();
      }
    else
      {
      temp20 = op->GetLayerThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_SetUseGradientColoring(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  bool   temp0;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::SetUseGradientColoring(temp0);
      }
    else
      {
      op->SetUseGradientColoring(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_GetUseGradientColoring(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  bool   temp20;
  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIcicleView::GetUseGradientColoring();
      }
    else
      {
      temp20 = op->GetUseGradientColoring();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_UseGradientColoringOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::UseGradientColoringOn();
      }
    else
      {
      op->UseGradientColoringOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIcicleView_UseGradientColoringOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIcicleView *op;

  op = (vtkIcicleView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIcicleView::UseGradientColoringOff();
      }
    else
      {
      op->UseGradientColoringOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIcicleViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIcicleView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIcicleView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIcicleView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIcicleView\nC++: vtkIcicleView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIcicleView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIcicleView\nC++: vtkIcicleView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTopToBottom",                (PyCFunction)PyvtkIcicleView_SetTopToBottom, 1,
   (char*)"V.SetTopToBottom(bool)\nC++: virtual void SetTopToBottom (bool value);\n\n Sets whether the stacks go from top to bottom or bottom to top.\n"},
  {(char*)"GetTopToBottom",                (PyCFunction)PyvtkIcicleView_GetTopToBottom, 1,
   (char*)"V.GetTopToBottom() -> bool\nC++: virtual bool GetTopToBottom ();\n\n Sets whether the stacks go from top to bottom or bottom to top.\n"},
  {(char*)"TopToBottomOn",                (PyCFunction)PyvtkIcicleView_TopToBottomOn, 1,
   (char*)"V.TopToBottomOn()\nC++: void TopToBottomOn ();\n\n Sets whether the stacks go from top to bottom or bottom to top.\n"},
  {(char*)"TopToBottomOff",                (PyCFunction)PyvtkIcicleView_TopToBottomOff, 1,
   (char*)"V.TopToBottomOff()\nC++: void TopToBottomOff ();\n\n Sets whether the stacks go from top to bottom or bottom to top.\n"},
  {(char*)"SetRootWidth",                (PyCFunction)PyvtkIcicleView_SetRootWidth, 1,
   (char*)"V.SetRootWidth(float)\nC++: virtual void SetRootWidth (double width);\n\n Set the width of the root node\n"},
  {(char*)"GetRootWidth",                (PyCFunction)PyvtkIcicleView_GetRootWidth, 1,
   (char*)"V.GetRootWidth() -> float\nC++: virtual double GetRootWidth ();\n\n Set the width of the root node\n"},
  {(char*)"SetLayerThickness",                (PyCFunction)PyvtkIcicleView_SetLayerThickness, 1,
   (char*)"V.SetLayerThickness(float)\nC++: virtual void SetLayerThickness (double thickness);\n\n Set the thickness of each layer\n"},
  {(char*)"GetLayerThickness",                (PyCFunction)PyvtkIcicleView_GetLayerThickness, 1,
   (char*)"V.GetLayerThickness() -> float\nC++: virtual double GetLayerThickness ();\n\n Set the thickness of each layer\n"},
  {(char*)"SetUseGradientColoring",                (PyCFunction)PyvtkIcicleView_SetUseGradientColoring, 1,
   (char*)"V.SetUseGradientColoring(bool)\nC++: virtual void SetUseGradientColoring (bool value);\n\n Turn on/off gradient coloring.\n"},
  {(char*)"GetUseGradientColoring",                (PyCFunction)PyvtkIcicleView_GetUseGradientColoring, 1,
   (char*)"V.GetUseGradientColoring() -> bool\nC++: virtual bool GetUseGradientColoring ();\n\n Turn on/off gradient coloring.\n"},
  {(char*)"UseGradientColoringOn",                (PyCFunction)PyvtkIcicleView_UseGradientColoringOn, 1,
   (char*)"V.UseGradientColoringOn()\nC++: void UseGradientColoringOn ();\n\n Turn on/off gradient coloring.\n"},
  {(char*)"UseGradientColoringOff",                (PyCFunction)PyvtkIcicleView_UseGradientColoringOff, 1,
   (char*)"V.UseGradientColoringOff()\nC++: void UseGradientColoringOff ();\n\n Turn on/off gradient coloring.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIcicleViewDoc[] = {
  (char*)"vtkIcicleView - Displays a tree in a stacked \"icicle\" view\n\n",
  "Super Class:\n\n vtkTreeAreaView\n\n",
  (char*)" vtkIcicleView shows a vtkTree in horizontal layers\n where each vertex in the tree is represented by a bar.\n Child sectors are below (or above) parent sectors, and may be\n colored and sized by various parameters.\n\n",
  NULL
};

static vtkObjectBase *vtkIcicleViewStaticNew()
{
  return vtkIcicleView::New();
}

PyObject *PyVTKClass_vtkIcicleViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkIcicleViewStaticNew,
                        PyvtkIcicleViewMethods,
                        (char*)"vtkIcicleView",modulename,
                        (char**)vtkIcicleViewDoc,
                        PyVTKClass_vtkTreeAreaViewNew(modulename));
}

