// python wrapper for vtkParallelCoordinatesRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParallelCoordinatesRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelCoordinatesRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelCoordinatesRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *); }

static PyObject *PyvtkParallelCoordinatesRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  const char    *temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  vtkParallelCoordinatesRepresentation  *temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParallelCoordinatesRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParallelCoordinatesRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetHoverText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  vtkView  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkView *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkView");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetHoverText(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetHoverText(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetAxisTitles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAxisTitles(temp0);
      }
    else
      {
      op->SetAxisTitles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAxisTitles(temp0);
      }
    else
      {
      op->SetAxisTitles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetPlotTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  char    *temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetPlotTitle(temp0);
      }
    else
      {
      op->SetPlotTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetNumberOfAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetNumberOfAxes();
      }
    else
      {
      temp20 = op->GetNumberOfAxes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetNumberOfSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetNumberOfSamples();
      }
    else
      {
      temp20 = op->GetNumberOfSamples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetNumberOfAxisLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetNumberOfAxisLabels(temp0);
      }
    else
      {
      op->SetNumberOfAxisLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetNumberOfAxisLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetNumberOfAxisLabels();
      }
    else
      {
      temp20 = op->GetNumberOfAxisLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SwapAxisPositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::SwapAxisPositions(temp0,temp1);
      }
    else
      {
      temp20 = op->SwapAxisPositions(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetXCoordinateOfPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  double   temp1;
  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::SetXCoordinateOfPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetXCoordinateOfPosition(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetXCoordinateOfPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  double   temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetXCoordinateOfPosition(temp0);
      }
    else
      {
      temp20 = op->GetXCoordinateOfPosition(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetPositionNearXCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetPositionNearXCoordinate(temp0);
      }
    else
      {
      temp20 = op->GetPositionNearXCoordinate(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetUseCurves(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetUseCurves(temp0);
      }
    else
      {
      op->SetUseCurves(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetUseCurves(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetUseCurves();
      }
    else
      {
      temp20 = op->GetUseCurves();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_UseCurvesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::UseCurvesOn();
      }
    else
      {
      op->UseCurvesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_UseCurvesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::UseCurvesOff();
      }
    else
      {
      op->UseCurvesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetCurveResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetCurveResolution(temp0);
      }
    else
      {
      op->SetCurveResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetCurveResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetCurveResolution();
      }
    else
      {
      temp20 = op->GetCurveResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetLineOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetLineOpacity();
      }
    else
      {
      temp20 = op->GetLineOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetFontSize();
      }
    else
      {
      temp20 = op->GetFontSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetLineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double  *temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetLineColor();
      }
    else
      {
      temp20 = op->GetLineColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double  *temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetAxisColor();
      }
    else
      {
      temp20 = op->GetAxisColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetAxisLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double  *temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetAxisLabelColor();
      }
    else
      {
      temp20 = op->GetAxisLabelColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetLineOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetLineOpacity(temp0);
      }
    else
      {
      op->SetLineOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetFontSize(temp0);
      }
    else
      {
      op->SetFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetLineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetLineColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetLineColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetLineColor(temp0);
      }
    else
      {
      op->SetLineColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAxisColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetAxisColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAxisColor(temp0);
      }
    else
      {
      op->SetAxisColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetAxisLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAxisLabelColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetAxisLabelColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAxisLabelColor(temp0);
      }
    else
      {
      op->SetAxisLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetAngleBrushThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetAngleBrushThreshold(temp0);
      }
    else
      {
      op->SetAngleBrushThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetAngleBrushThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetAngleBrushThreshold();
      }
    else
      {
      temp20 = op->GetAngleBrushThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetFunctionBrushThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp0;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::SetFunctionBrushThreshold(temp0);
      }
    else
      {
      op->SetFunctionBrushThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetFunctionBrushThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  double   temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetFunctionBrushThreshold();
      }
    else
      {
      temp20 = op->GetFunctionBrushThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_GetRangeAtPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::GetRangeAtPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRangeAtPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_SetRangeAtPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesRepresentation::SetRangeAtPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetRangeAtPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_ResetAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::ResetAxes();
      }
    else
      {
      op->ResetAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesRepresentation_LassoSelect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesRepresentation *op;

  int      temp0;
  int      temp1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  op = (vtkParallelCoordinatesRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesRepresentation::LassoSelect(temp0,temp1,temp2);
      }
    else
      {
      op->LassoSelect(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break43:
  return NULL;
}

static PyMethodDef PyvtkParallelCoordinatesRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelCoordinatesRepresentation\nC++: vtkParallelCoordinatesRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParallelCoordinatesRepresentation\nC++: vtkParallelCoordinatesRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.  CellColor is used for line coloring\n and titles.  EdgeLabelColor is used for axis color. CellOpacity is \n used for line opacity.\n"},
  {(char*)"GetHoverText",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetHoverText, 1,
   (char*)"V.GetHoverText(vtkView, int, int) -> string\nC++: virtual const char *GetHoverText (vtkView *view, int x, int y);\n\n Returns the hover text at an x,y location.\n"},
  {(char*)"SetAxisTitles",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetAxisTitles, 1,
   (char*)"V.SetAxisTitles(vtkStringArray)\nC++: void SetAxisTitles (vtkStringArray *);\nV.SetAxisTitles(vtkAlgorithmOutput)\nC++: void SetAxisTitles (vtkAlgorithmOutput *);\n\n Set/Get the axis titles\n"},
  {(char*)"SetPlotTitle",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetPlotTitle, 1,
   (char*)"V.SetPlotTitle(string)\nC++: void SetPlotTitle (const char *);\n\n Set the title for the entire plot\n"},
  {(char*)"GetNumberOfAxes",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetNumberOfAxes, 1,
   (char*)"V.GetNumberOfAxes() -> int\nC++: int GetNumberOfAxes ();\n\n Get the number of axes in the plot\n"},
  {(char*)"GetNumberOfSamples",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetNumberOfSamples, 1,
   (char*)"V.GetNumberOfSamples() -> int\nC++: int GetNumberOfSamples ();\n\n"},
  {(char*)"SetNumberOfAxisLabels",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetNumberOfAxisLabels, 1,
   (char*)"V.SetNumberOfAxisLabels(int)\nC++: void SetNumberOfAxisLabels (int num);\n\n Set/Get the number of labels to display on each axis\n"},
  {(char*)"GetNumberOfAxisLabels",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetNumberOfAxisLabels, 1,
   (char*)"V.GetNumberOfAxisLabels() -> int\nC++: int GetNumberOfAxisLabels ();\n\n Set/Get the number of labels to display on each axis\n"},
  {(char*)"SwapAxisPositions",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SwapAxisPositions, 1,
   (char*)"V.SwapAxisPositions(int, int) -> int\nC++: virtual int SwapAxisPositions (int position1, int position2);\n\n Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n"},
  {(char*)"SetXCoordinateOfPosition",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetXCoordinateOfPosition, 1,
   (char*)"V.SetXCoordinateOfPosition(int, float) -> int\nC++: int SetXCoordinateOfPosition (int position, double xcoord);\n\n Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n"},
  {(char*)"GetXCoordinateOfPosition",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetXCoordinateOfPosition, 1,
   (char*)"V.GetXCoordinateOfPosition(int) -> float\nC++: double GetXCoordinateOfPosition (int axis);\n\n Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n"},
  {(char*)"GetPositionNearXCoordinate",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetPositionNearXCoordinate, 1,
   (char*)"V.GetPositionNearXCoordinate(float) -> int\nC++: int GetPositionNearXCoordinate (double xcoord);\n\n Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n"},
  {(char*)"SetUseCurves",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetUseCurves, 1,
   (char*)"V.SetUseCurves(int)\nC++: void SetUseCurves (int );\n\n Whether or not to display using curves\n"},
  {(char*)"GetUseCurves",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetUseCurves, 1,
   (char*)"V.GetUseCurves() -> int\nC++: int GetUseCurves ();\n\n Whether or not to display using curves\n"},
  {(char*)"UseCurvesOn",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_UseCurvesOn, 1,
   (char*)"V.UseCurvesOn()\nC++: void UseCurvesOn ();\n\n Whether or not to display using curves\n"},
  {(char*)"UseCurvesOff",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_UseCurvesOff, 1,
   (char*)"V.UseCurvesOff()\nC++: void UseCurvesOff ();\n\n Whether or not to display using curves\n"},
  {(char*)"SetCurveResolution",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetCurveResolution, 1,
   (char*)"V.SetCurveResolution(int)\nC++: void SetCurveResolution (int );\n\n Resolution of the curves displayed, enabled by setting UseCurves\n"},
  {(char*)"GetCurveResolution",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetCurveResolution, 1,
   (char*)"V.GetCurveResolution() -> int\nC++: int GetCurveResolution ();\n\n Resolution of the curves displayed, enabled by setting UseCurves\n"},
  {(char*)"GetLineOpacity",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetLineOpacity, 1,
   (char*)"V.GetLineOpacity() -> float\nC++: double GetLineOpacity ();\n\n Access plot properties\n"},
  {(char*)"GetFontSize",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetFontSize, 1,
   (char*)"V.GetFontSize() -> float\nC++: double GetFontSize ();\n\n Access plot properties\n"},
  {(char*)"GetLineColor",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetLineColor, 1,
   (char*)"V.GetLineColor() -> (float, float, float)\nC++: double  *GetLineColor ();\n\n Access plot properties\n"},
  {(char*)"GetAxisColor",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetAxisColor, 1,
   (char*)"V.GetAxisColor() -> (float, float, float)\nC++: double  *GetAxisColor ();\n\n Access plot properties\n"},
  {(char*)"GetAxisLabelColor",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetAxisLabelColor, 1,
   (char*)"V.GetAxisLabelColor() -> (float, float, float)\nC++: double  *GetAxisLabelColor ();\n\n Access plot properties\n"},
  {(char*)"SetLineOpacity",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetLineOpacity, 1,
   (char*)"V.SetLineOpacity(float)\nC++: void SetLineOpacity (double );\n\n Access plot properties\n"},
  {(char*)"SetFontSize",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetFontSize, 1,
   (char*)"V.SetFontSize(float)\nC++: void SetFontSize (double );\n\n Access plot properties\n"},
  {(char*)"SetLineColor",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetLineColor, 1,
   (char*)"V.SetLineColor(float, float, float)\nC++: void SetLineColor (double , double , double );\nV.SetLineColor((float, float, float))\nC++: void SetLineColor (double  a[3]);\n\n Access plot properties\n"},
  {(char*)"SetAxisColor",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetAxisColor, 1,
   (char*)"V.SetAxisColor(float, float, float)\nC++: void SetAxisColor (double , double , double );\nV.SetAxisColor((float, float, float))\nC++: void SetAxisColor (double  a[3]);\n\n Access plot properties\n"},
  {(char*)"SetAxisLabelColor",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetAxisLabelColor, 1,
   (char*)"V.SetAxisLabelColor(float, float, float)\nC++: void SetAxisLabelColor (double , double , double );\nV.SetAxisLabelColor((float, float, float))\nC++: void SetAxisLabelColor (double  a[3]);\n\n Access plot properties\n"},
  {(char*)"SetAngleBrushThreshold",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetAngleBrushThreshold, 1,
   (char*)"V.SetAngleBrushThreshold(float)\nC++: void SetAngleBrushThreshold (double );\n\n Maximum angle difference (in degrees) of selection using angle/function brushes\n"},
  {(char*)"GetAngleBrushThreshold",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetAngleBrushThreshold, 1,
   (char*)"V.GetAngleBrushThreshold() -> float\nC++: double GetAngleBrushThreshold ();\n\n Maximum angle difference (in degrees) of selection using angle/function brushes\n"},
  {(char*)"SetFunctionBrushThreshold",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetFunctionBrushThreshold, 1,
   (char*)"V.SetFunctionBrushThreshold(float)\nC++: void SetFunctionBrushThreshold (double );\n\n Maximum angle difference (in degrees) of selection using angle/function brushes\n"},
  {(char*)"GetFunctionBrushThreshold",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetFunctionBrushThreshold, 1,
   (char*)"V.GetFunctionBrushThreshold() -> float\nC++: double GetFunctionBrushThreshold ();\n\n Maximum angle difference (in degrees) of selection using angle/function brushes\n"},
  {(char*)"GetRangeAtPosition",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_GetRangeAtPosition, 1,
   (char*)"V.GetRangeAtPosition(int, (float, float)) -> int\nC++: int GetRangeAtPosition (int position, double range[2]);\n\n Set/get the value range of the axis at a particular screen position\n"},
  {(char*)"SetRangeAtPosition",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_SetRangeAtPosition, 1,
   (char*)"V.SetRangeAtPosition(int, (float, float)) -> int\nC++: virtual int SetRangeAtPosition (int position, double range[2]);\n\n Set/get the value range of the axis at a particular screen position\n"},
  {(char*)"ResetAxes",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_ResetAxes, 1,
   (char*)"V.ResetAxes()\nC++: void ResetAxes ();\n\n Reset the axes to their default positions and orders\n"},
  {(char*)"LassoSelect",                (PyCFunction)PyvtkParallelCoordinatesRepresentation_LassoSelect, 1,
   (char*)"V.LassoSelect(int, int, vtkPoints)\nC++: virtual void LassoSelect (int brushClass, int brushOperator, vtkPoints *brushPoints);\n\n Do a selection of the lines.  See the main description for how to use these functions.  \n RangeSelect is currently stubbed out.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelCoordinatesRepresentationDoc[] = {
  (char*)"vtkParallelCoordinatesRepresentation - Data representation that \n\n",
  "Super Class:\n\n vtkRenderedRepresentation\n\n",
  (char*)"  A parallel coordinates plot represents each variable in a multivariate\n  data set as a separate axis.  Individual samples of that data set are\n  represented as a polyline that pass through each variable axis at \n  positions that correspond to data values.  vtkParallelCoordinatesRepresentation\n  generates this plot when added to a vtkParallelCoordinatesView, which handles \n  interaction and highl",
  (char*)"ighting.  Sample polylines can alternatively\n  be represented as s-curves by enabling the UseCurves flag.  \n\n  There are three selection modes: lasso, angle, and function. Lasso selection\n  picks sample lines that pass through a polyline.  Angle selection picks sample \n  lines that have similar slope to a line segment.  Function selection picks\n  sample lines that are near a linear function define",
  (char*)"d on two variables.  This\n  function specified by passing two (x,y) variable value pairs.\n\n  All primitives are plotted in normalized view coordinates [0,1].\n\n\n",
  "See Also:\n\n vtkParallelCoordinatesView vtkParallelCoordinatesHistogramRepresentation\n vtkSCurveSpline\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n\n",
  NULL
};

static vtkObjectBase *vtkParallelCoordinatesRepresentationStaticNew()
{
  return vtkParallelCoordinatesRepresentation::New();
}

PyObject *PyVTKClass_vtkParallelCoordinatesRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkParallelCoordinatesRepresentationStaticNew,
                        PyvtkParallelCoordinatesRepresentationMethods,
                        (char*)"vtkParallelCoordinatesRepresentation",modulename,
                        (char**)vtkParallelCoordinatesRepresentationDoc,
                        PyVTKClass_vtkRenderedRepresentationNew(modulename));
}

