// python wrapper for vtkRenderedHierarchyRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedHierarchyRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedHierarchyRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedHierarchyRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderedGraphRepresentationNew(char *); }

static PyObject *PyvtkRenderedHierarchyRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  vtkRenderedHierarchyRepresentation  *temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderedHierarchyRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderedHierarchyRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetGraphEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  char    *temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeLabelArrayName(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeLabelArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetGraphEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeLabelArrayName(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetGraphEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"bi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeLabelVisibility(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeLabelVisibility(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetGraphEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  bool   temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeLabelVisibility(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelVisibility(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GraphEdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::GraphEdgeLabelVisibilityOn();
      }
    else
      {
      op->GraphEdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GraphEdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::GraphEdgeLabelVisibilityOff();
      }
    else
      {
      op->GraphEdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetGraphEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  char    *temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetGraphEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeColorArrayName(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeColorArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetGraphEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetGraphEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeColorArrayName(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeColorArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetColorGraphEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetColorGraphEdgesByArray(temp0);
      }
    else
      {
      op->SetColorGraphEdgesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"bi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetColorGraphEdgesByArray(temp0,temp1);
      }
    else
      {
      op->SetColorGraphEdgesByArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetColorGraphEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetColorGraphEdgesByArray();
      }
    else
      {
      temp20 = op->GetColorGraphEdgesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  bool   temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetColorGraphEdgesByArray(temp0);
      }
    else
      {
      temp20 = op->GetColorGraphEdgesByArray(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_ColorGraphEdgesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::ColorGraphEdgesByArrayOn();
      }
    else
      {
      op->ColorGraphEdgesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_ColorGraphEdgesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::ColorGraphEdgesByArrayOff();
      }
    else
      {
      op->ColorGraphEdgesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetGraphEdgeColorToSplineFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeColorToSplineFraction();
      }
    else
      {
      op->SetGraphEdgeColorToSplineFraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeColorToSplineFraction(temp0);
      }
    else
      {
      op->SetGraphEdgeColorToSplineFraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetGraphVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphVisibility(temp0);
      }
    else
      {
      op->SetGraphVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"bi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphVisibility(temp0,temp1);
      }
    else
      {
      op->SetGraphVisibility(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetGraphVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  bool   temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphVisibility();
      }
    else
      {
      temp20 = op->GetGraphVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  bool   temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphVisibility(temp0);
      }
    else
      {
      temp20 = op->GetGraphVisibility(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GraphVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::GraphVisibilityOn();
      }
    else
      {
      op->GraphVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GraphVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::GraphVisibilityOff();
      }
    else
      {
      op->GraphVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  double   temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetBundlingStrength(temp0);
      }
    else
      {
      op->SetBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  double   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"di", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetBundlingStrength(temp0,temp1);
      }
    else
      {
      op->SetBundlingStrength(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  double   temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetBundlingStrength();
      }
    else
      {
      temp20 = op->GetBundlingStrength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  double   temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetBundlingStrength(temp0);
      }
    else
      {
      temp20 = op->GetBundlingStrength(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_SetGraphEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedHierarchyRepresentation::SetGraphEdgeLabelFontSize(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeLabelFontSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedHierarchyRepresentation_GetGraphEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp20;
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedHierarchyRepresentation *op;

  int      temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkRenderedHierarchyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedHierarchyRepresentation::GetGraphEdgeLabelFontSize(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelFontSize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderedHierarchyRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedHierarchyRepresentation\nC++: vtkRenderedHierarchyRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedHierarchyRepresentation\nC++: vtkRenderedHierarchyRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGraphEdgeLabelArrayName",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetGraphEdgeLabelArrayName, 1,
   (char*)"V.SetGraphEdgeLabelArrayName(string)\nC++: virtual void SetGraphEdgeLabelArrayName (const char *name);this SetGraphEdgeLabelArrayName name \nV.SetGraphEdgeLabelArrayName(string, int)\nC++: virtual void SetGraphEdgeLabelArrayName (const char *name, int idx);\n\n \n"},
  {(char*)"GetGraphEdgeLabelArrayName",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetGraphEdgeLabelArrayName, 1,
   (char*)"V.GetGraphEdgeLabelArrayName() -> string\nC++: virtual const char *GetGraphEdgeLabelArrayName ();return this GetGraphEdgeLabelArrayName \nV.GetGraphEdgeLabelArrayName(int) -> string\nC++: virtual const char *GetGraphEdgeLabelArrayName (int idx);\n\n \n"},
  {(char*)"SetGraphEdgeLabelVisibility",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetGraphEdgeLabelVisibility, 1,
   (char*)"V.SetGraphEdgeLabelVisibility(bool)\nC++: virtual void SetGraphEdgeLabelVisibility (bool vis);this SetGraphEdgeLabelVisibility vis \nV.SetGraphEdgeLabelVisibility(bool, int)\nC++: virtual void SetGraphEdgeLabelVisibility (bool vis, int idx);\n\n"},
  {(char*)"GetGraphEdgeLabelVisibility",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetGraphEdgeLabelVisibility, 1,
   (char*)"V.GetGraphEdgeLabelVisibility() -> bool\nC++: virtual bool GetGraphEdgeLabelVisibility ();return this GetGraphEdgeLabelVisibility \nV.GetGraphEdgeLabelVisibility(int) -> bool\nC++: virtual bool GetGraphEdgeLabelVisibility (int idx);\n\n"},
  {(char*)"GraphEdgeLabelVisibilityOn",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GraphEdgeLabelVisibilityOn, 1,
   (char*)"V.GraphEdgeLabelVisibilityOn()\nC++: void GraphEdgeLabelVisibilityOn ();\n\n"},
  {(char*)"GraphEdgeLabelVisibilityOff",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GraphEdgeLabelVisibilityOff, 1,
   (char*)"V.GraphEdgeLabelVisibilityOff()\nC++: void GraphEdgeLabelVisibilityOff ();\n\n"},
  {(char*)"SetGraphEdgeColorArrayName",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetGraphEdgeColorArrayName, 1,
   (char*)"V.SetGraphEdgeColorArrayName(string)\nC++: virtual void SetGraphEdgeColorArrayName (const char *name);this SetGraphEdgeColorArrayName name \nV.SetGraphEdgeColorArrayName(string, int)\nC++: virtual void SetGraphEdgeColorArrayName (const char *name, int idx);\n\n"},
  {(char*)"GetGraphEdgeColorArrayName",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetGraphEdgeColorArrayName, 1,
   (char*)"V.GetGraphEdgeColorArrayName() -> string\nC++: virtual const char *GetGraphEdgeColorArrayName ();return this GetGraphEdgeColorArrayName \nV.GetGraphEdgeColorArrayName(int) -> string\nC++: virtual const char *GetGraphEdgeColorArrayName (int idx);\n\n"},
  {(char*)"SetColorGraphEdgesByArray",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetColorGraphEdgesByArray, 1,
   (char*)"V.SetColorGraphEdgesByArray(bool)\nC++: virtual void SetColorGraphEdgesByArray (bool vis);this SetColorGraphEdgesByArray vis \nV.SetColorGraphEdgesByArray(bool, int)\nC++: virtual void SetColorGraphEdgesByArray (bool vis, int idx);\n\n"},
  {(char*)"GetColorGraphEdgesByArray",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetColorGraphEdgesByArray, 1,
   (char*)"V.GetColorGraphEdgesByArray() -> bool\nC++: virtual bool GetColorGraphEdgesByArray ();return this GetColorGraphEdgesByArray \nV.GetColorGraphEdgesByArray(int) -> bool\nC++: virtual bool GetColorGraphEdgesByArray (int idx);\n\n"},
  {(char*)"ColorGraphEdgesByArrayOn",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_ColorGraphEdgesByArrayOn, 1,
   (char*)"V.ColorGraphEdgesByArrayOn()\nC++: void ColorGraphEdgesByArrayOn ();\n\n"},
  {(char*)"ColorGraphEdgesByArrayOff",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_ColorGraphEdgesByArrayOff, 1,
   (char*)"V.ColorGraphEdgesByArrayOff()\nC++: void ColorGraphEdgesByArrayOff ();\n\n"},
  {(char*)"SetGraphEdgeColorToSplineFraction",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetGraphEdgeColorToSplineFraction, 1,
   (char*)"V.SetGraphEdgeColorToSplineFraction()\nC++: virtual void SetGraphEdgeColorToSplineFraction ();this SetGraphEdgeColorArrayName \nV.SetGraphEdgeColorToSplineFraction(int)\nC++: virtual void SetGraphEdgeColorToSplineFraction (int idx);this SetGraphEdgeColorArrayName idx \n\n"},
  {(char*)"SetGraphVisibility",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetGraphVisibility, 1,
   (char*)"V.SetGraphVisibility(bool)\nC++: virtual void SetGraphVisibility (bool vis);this SetGraphVisibility vis \nV.SetGraphVisibility(bool, int)\nC++: virtual void SetGraphVisibility (bool vis, int idx);\n\n"},
  {(char*)"GetGraphVisibility",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetGraphVisibility, 1,
   (char*)"V.GetGraphVisibility() -> bool\nC++: virtual bool GetGraphVisibility ();return this GetGraphVisibility \nV.GetGraphVisibility(int) -> bool\nC++: virtual bool GetGraphVisibility (int idx);\n\n"},
  {(char*)"GraphVisibilityOn",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GraphVisibilityOn, 1,
   (char*)"V.GraphVisibilityOn()\nC++: void GraphVisibilityOn ();\n\n"},
  {(char*)"GraphVisibilityOff",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GraphVisibilityOff, 1,
   (char*)"V.GraphVisibilityOff()\nC++: void GraphVisibilityOff ();\n\n"},
  {(char*)"SetBundlingStrength",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetBundlingStrength, 1,
   (char*)"V.SetBundlingStrength(float)\nC++: virtual void SetBundlingStrength (double strength);this SetBundlingStrength strength \nV.SetBundlingStrength(float, int)\nC++: virtual void SetBundlingStrength (double strength, int idx);\n\n"},
  {(char*)"GetBundlingStrength",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetBundlingStrength, 1,
   (char*)"V.GetBundlingStrength() -> float\nC++: virtual double GetBundlingStrength ();return this GetBundlingStrength \nV.GetBundlingStrength(int) -> float\nC++: virtual double GetBundlingStrength (int idx);\n\n"},
  {(char*)"SetGraphEdgeLabelFontSize",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_SetGraphEdgeLabelFontSize, 1,
   (char*)"V.SetGraphEdgeLabelFontSize(int)\nC++: virtual void SetGraphEdgeLabelFontSize (int size);this SetGraphEdgeLabelFontSize size \nV.SetGraphEdgeLabelFontSize(int, int)\nC++: virtual void SetGraphEdgeLabelFontSize (int size, int idx);\n\n"},
  {(char*)"GetGraphEdgeLabelFontSize",                (PyCFunction)PyvtkRenderedHierarchyRepresentation_GetGraphEdgeLabelFontSize, 1,
   (char*)"V.GetGraphEdgeLabelFontSize() -> int\nC++: virtual int GetGraphEdgeLabelFontSize ();return this GetGraphEdgeLabelFontSize \nV.GetGraphEdgeLabelFontSize(int) -> int\nC++: virtual int GetGraphEdgeLabelFontSize (int idx);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderedHierarchyRepresentationDoc[] = {
  (char*)"vtkRenderedHierarchyRepresentation - \n\n",
  "Super Class:\n\n vtkRenderedGraphRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkRenderedHierarchyRepresentationStaticNew()
{
  return vtkRenderedHierarchyRepresentation::New();
}

PyObject *PyVTKClass_vtkRenderedHierarchyRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderedHierarchyRepresentationStaticNew,
                        PyvtkRenderedHierarchyRepresentationMethods,
                        (char*)"vtkRenderedHierarchyRepresentation",modulename,
                        (char**)vtkRenderedHierarchyRepresentationDoc,
                        PyVTKClass_vtkRenderedGraphRepresentationNew(modulename));
}

