// tcl wrapper for vtkGPUVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGPUVolumeRayCastMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGPUVolumeRayCastMapperNewCommand()
{
  vtkGPUVolumeRayCastMapper *temp = vtkGPUVolumeRayCastMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGPUVolumeRayCastMapperCppCommand(vtkGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGPUVolumeRayCastMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGPUVolumeRayCastMapperCppCommand(static_cast<vtkGPUVolumeRayCastMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGPUVolumeRayCastMapperCppCommand(vtkGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGPUVolumeRayCastMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGPUVolumeRayCastMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGPUVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGPUVolumeRayCastMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGPUVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGPUVolumeRayCastMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGPUVolumeRayCastMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoAdjustSampleDistances",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustSampleDistances(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistances",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistances();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFinalColorWindow",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFinalColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFinalColorWindow",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFinalColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFinalColorLevel",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFinalColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFinalColorLevel",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFinalColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxMemoryInBytes",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxMemoryInBytes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxMemoryInBytes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxMemoryInBytes();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxMemoryFraction",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxMemoryFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxMemoryFractionMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFractionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxMemoryFractionMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFractionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxMemoryFraction",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReportProgress",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetReportProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReportProgress",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetReportProgress();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsRenderSupported",argv[1]))&&(argc == 4))
    {
    vtkRenderWindow  *temp0;
    vtkVolumeProperty  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    temp1 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolumeProperty"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsRenderSupported(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetMaskInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetMaskInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetMaskBlendFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaskBlendFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskBlendFactorMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaskBlendFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaskBlendFactorMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaskBlendFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaskBlendFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaskBlendFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGPUVolumeRayCastMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGPUVolumeRayCastMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustSampleDistances\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistances\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetFinalColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFinalColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetFinalColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFinalColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxMemoryInBytes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryInBytes\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxMemoryFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryFractionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryFractionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetReportProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReportProgress\n",NULL);
    Tcl_AppendResult(interp,"  IsRenderSupported\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskInput\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskBlendFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskBlendFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskBlendFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskBlendFactor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryInBytes" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryInBytes" );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryFraction" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFraction" );
    Tcl_DStringAppendElement ( &dString, "SetReportProgress" );
    Tcl_DStringAppendElement ( &dString, "GetReportProgress" );
    Tcl_DStringAppendElement ( &dString, "IsRenderSupported" );
    Tcl_DStringAppendElement ( &dString, "SetMaskInput" );
    Tcl_DStringAppendElement ( &dString, "GetMaskInput" );
    Tcl_DStringAppendElement ( &dString, "SetMaskBlendFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGPUVolumeRayCastMapper *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "SetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustSampleDistances (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistancesMinValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMinValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistancesMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistancesMaxValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMaxValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistancesMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistances ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustSampleDistancesOn */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOn */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustSampleDistancesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustSampleDistancesOff */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOff */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustSampleDistancesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleDistance */
    if ( strcmp ( argv[2], "SetSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples used for rendering\n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleDistance (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSampleDistance */
    if ( strcmp ( argv[2], "GetSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples used for rendering\n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetSampleDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSampleDistance */
    if ( strcmp ( argv[2], "SetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSampleDistance (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistanceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistanceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistance */
    if ( strcmp ( argv[2], "GetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumImageSampleDistance (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistanceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistanceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumImageSampleDistance (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistanceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistanceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFinalColorWindow */
    if ( strcmp ( argv[2], "SetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFinalColorWindow (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFinalColorWindow */
    if ( strcmp ( argv[2], "GetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFinalColorWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFinalColorLevel */
    if ( strcmp ( argv[2], "SetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFinalColorLevel (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFinalColorLevel */
    if ( strcmp ( argv[2], "GetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFinalColorLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxMemoryInBytes */
    if ( strcmp ( argv[2], "SetMaxMemoryInBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryInBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxMemoryInBytes */
    Tcl_DStringAppendElement ( &dString, " Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxMemoryInBytes (vtkIdType );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaxMemoryInBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryInBytes */
    if ( strcmp ( argv[2], "GetMaxMemoryInBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryInBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryInBytes */
    Tcl_DStringAppendElement ( &dString, " Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaxMemoryInBytes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryInBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxMemoryFraction */
    if ( strcmp ( argv[2], "SetMaxMemoryFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxMemoryFraction */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxMemoryFraction (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaxMemoryFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryFractionMinValue */
    if ( strcmp ( argv[2], "GetMaxMemoryFractionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFractionMinValue */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxMemoryFractionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryFractionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryFractionMaxValue */
    if ( strcmp ( argv[2], "GetMaxMemoryFractionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFractionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxMemoryFractionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryFractionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryFraction */
    if ( strcmp ( argv[2], "GetMaxMemoryFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFraction */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxMemoryFraction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReportProgress */
    if ( strcmp ( argv[2], "SetReportProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReportProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReportProgress */
    Tcl_DStringAppendElement ( &dString, " Tells if the mapper will report intermediate progress.\n Initial value is true. As the progress works with a GL blocking\n call (glFinish()), this can be useful for huge dataset but can\n slow down rendering of small dataset. It should be set to true\n for big dataset or complex shading and streaming but to false for\n small datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReportProgress (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetReportProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReportProgress */
    if ( strcmp ( argv[2], "GetReportProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReportProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReportProgress */
    Tcl_DStringAppendElement ( &dString, " Tells if the mapper will report intermediate progress.\n Initial value is true. As the progress works with a GL blocking\n call (glFinish()), this can be useful for huge dataset but can\n slow down rendering of small dataset. It should be set to true\n for big dataset or complex shading and streaming but to false for\n small datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetReportProgress ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetReportProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsRenderSupported */
    if ( strcmp ( argv[2], "IsRenderSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsRenderSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsRenderSupported */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsRenderSupported (vtkRenderWindow *, vtkVolumeProperty *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for IsRenderSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskInput */
    if ( strcmp ( argv[2], "SetMaskInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskInput */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskInput (vtkImageData *mask);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskInput */
    if ( strcmp ( argv[2], "GetMaskInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskInput */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetMaskInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskBlendFactor */
    if ( strcmp ( argv[2], "SetMaskBlendFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskBlendFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskBlendFactor */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskBlendFactor (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskBlendFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskBlendFactorMinValue */
    if ( strcmp ( argv[2], "GetMaskBlendFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskBlendFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaskBlendFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskBlendFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskBlendFactorMaxValue */
    if ( strcmp ( argv[2], "GetMaskBlendFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskBlendFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaskBlendFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskBlendFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskBlendFactor */
    if ( strcmp ( argv[2], "GetMaskBlendFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskBlendFactor */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaskBlendFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskBlendFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
