// python wrapper for vtkOpenGLGPUVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLGPUVolumeRayCastMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLGPUVolumeRayCastMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLGPUVolumeRayCastMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGPUVolumeRayCastMapperNew(char *); }

static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLGPUVolumeRayCastMapper *op;

  const char    *temp20;
  op = (vtkOpenGLGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLGPUVolumeRayCastMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLGPUVolumeRayCastMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLGPUVolumeRayCastMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLGPUVolumeRayCastMapper *op;

  vtkOpenGLGPUVolumeRayCastMapper  *temp20;
  op = (vtkOpenGLGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLGPUVolumeRayCastMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLGPUVolumeRayCastMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLGPUVolumeRayCastMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_IsRenderSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLGPUVolumeRayCastMapper *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  vtkVolumeProperty  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkOpenGLGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolumeProperty");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLGPUVolumeRayCastMapper::IsRenderSupported(temp0,temp1);
      }
    else
      {
      temp20 = op->IsRenderSupported(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_OpenGLErrorMessage(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkOpenGLGPUVolumeRayCastMapper::OpenGLErrorMessage(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLGPUVolumeRayCastMapper_PrintError(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      vtkOpenGLGPUVolumeRayCastMapper::PrintError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLGPUVolumeRayCastMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLGPUVolumeRayCastMapper\nC++: vtkOpenGLGPUVolumeRayCastMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLGPUVolumeRayCastMapper\nC++: vtkOpenGLGPUVolumeRayCastMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IsRenderSupported",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_IsRenderSupported, 1,
   (char*)"V.IsRenderSupported(vtkRenderWindow, vtkVolumeProperty) -> int\nC++: virtual int IsRenderSupported (vtkRenderWindow *window, vtkVolumeProperty *property);\n\n Based on hardware and properties, we may or may not be able to\n render using 3D texture mapping. This indicates if 3D texture\n mapping is supported by the hardware, and if the other extensions\n necessary to support the specific properties are available.\n"},
  {(char*)"OpenGLErrorMessage",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_OpenGLErrorMessage, 1,
   (char*)"V.OpenGLErrorMessage(int) -> string\nC++: static const char *OpenGLErrorMessage (unsigned int errorCode);\n\n Return a string matching the OpenGL errorCode.\n \\post result_exists: result!=0\n"},
  {(char*)"PrintError",                (PyCFunction)PyvtkOpenGLGPUVolumeRayCastMapper_PrintError, 1,
   (char*)"V.PrintError(string)\nC++: static void PrintError (const char *headerMessage);\n\n Display headerMessage on the standard output and the last OpenGL error\n message if any.\n \\pre headerMessage_exists: headerMessage!=0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLGPUVolumeRayCastMapperDoc[] = {
  (char*)"vtkOpenGLGPUVolumeRayCastMapper - OpenGL subclass that draws the\n\n",
  "Super Class:\n\n vtkGPUVolumeRayCastMapper\n\n",
  (char*)" This is the concrete implementation of a ray cast image display helper -\n a helper class responsible for drawing the image to the screen.\n\n",
  "See Also:\n\n vtkGPUVolumeRayCastMapper\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLGPUVolumeRayCastMapperStaticNew()
{
  return vtkOpenGLGPUVolumeRayCastMapper::New();
}

PyObject *PyVTKClass_vtkOpenGLGPUVolumeRayCastMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLGPUVolumeRayCastMapperStaticNew,
                        PyvtkOpenGLGPUVolumeRayCastMapperMethods,
                        (char*)"vtkOpenGLGPUVolumeRayCastMapper",modulename,
                        (char**)vtkOpenGLGPUVolumeRayCastMapperDoc,
                        PyVTKClass_vtkGPUVolumeRayCastMapperNew(modulename));
}

