// python wrapper for vtkSplineWidget2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSplineWidget2.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplineWidget2New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplineWidget2New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkSplineWidget2_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget2 *op;

  const char    *temp20;
  op = (vtkSplineWidget2 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget2::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget2_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget2 *op;

  char    *temp0;
  int      temp20;
  op = (vtkSplineWidget2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget2::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget2_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget2 *op;

  vtkSplineWidget2  *temp20;
  op = (vtkSplineWidget2 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget2::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget2_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplineWidget2  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplineWidget2::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplineWidget2_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget2 *op;

  vtkSplineRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkSplineWidget2 *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSplineRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSplineRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget2::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSplineWidget2_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget2 *op;

  op = (vtkSplineWidget2 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget2::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSplineWidget2Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplineWidget2_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplineWidget2_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplineWidget2_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplineWidget2\nC++: vtkSplineWidget2 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplineWidget2_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplineWidget2\nC++: vtkSplineWidget2 *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkSplineWidget2_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkSplineRepresentation)\nC++: void SetRepresentation (vtkSplineRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. By default,\n this is an instance of the vtkSplineRepresentation class.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkSplineWidget2_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. By default,\n this is an instance of the vtkSplineRepresentation class.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplineWidget2Doc[] = {
  (char*)"vtkSplineWidget2 - widget for vtkSplineRepresentation.\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" vtkSplineWidget2 is the vtkAbstractWidget subclass for\n vtkSplineRepresentation which manages the interactions with\n vtkSplineRepresentation. This is based on vtkSplineWidget.\n\n",
  "See Also:\n\n vtkSplineRepresentation, vtkSplineWidget2\n\n",
  NULL
};

static vtkObjectBase *vtkSplineWidget2StaticNew()
{
  return vtkSplineWidget2::New();
}

PyObject *PyVTKClass_vtkSplineWidget2New(char *modulename)
{
  return PyVTKClass_New(&vtkSplineWidget2StaticNew,
                        PyvtkSplineWidget2Methods,
                        (char*)"vtkSplineWidget2",modulename,
                        (char**)vtkSplineWidget2Doc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

